/*
 * @author Mário Soares
 * @contributors Jefferson González
 * 
 * @license 
 * This file is part of wxPHP check the LICENSE file for information.
 * 
 * @note
 * This file was auto-generated by the wxPHP source maker
*/

#ifndef WXPHP_GRID_H_GUARD
#define WXPHP_GRID_H_GUARD

#include "references.h"
#include "object_types.h"

ZEND_BEGIN_ARG_INFO_EX(wxphp_grid_get_args, 0, 0, 1)
	ZEND_ARG_INFO(0, name)
ZEND_END_ARG_INFO()

extern zend_class_entry* php_wxGridCellRenderer_entry;
void php_wxGridCellRenderer_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridCellRenderer_php: public wxGridCellRenderer{
	public:
	
		
	wxSize GetBestSize(wxGrid& grid, wxGridCellAttr& attr, wxDC& dc, int row, int col);
	void Draw(wxGrid& grid, wxGridCellAttr& attr, wxDC& dc, const wxRect& rect, int row, int col, bool isSelected);
	wxGridCellRenderer* Clone() const;
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridCellRenderer 
{
    zend_object zo;
    wxGridCellRenderer_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridCellRenderer_free(void *object TSRMLS_DC);
zend_object_value php_wxGridCellRenderer_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridCellRenderer_functions[] = {
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGridCellAutoWrapStringRenderer_entry;
void php_wxGridCellAutoWrapStringRenderer_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridCellAutoWrapStringRenderer_php: public wxGridCellAutoWrapStringRenderer{
	public:
	
	wxGridCellAutoWrapStringRenderer_php():wxGridCellAutoWrapStringRenderer(){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridCellAutoWrapStringRenderer 
{
    zend_object zo;
    wxGridCellAutoWrapStringRenderer_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridCellAutoWrapStringRenderer_free(void *object TSRMLS_DC);
zend_object_value php_wxGridCellAutoWrapStringRenderer_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridCellAutoWrapStringRenderer_functions[] = {
	PHP_ME(php_wxGridCellAutoWrapStringRenderer, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGridCellBoolRenderer_entry;
void php_wxGridCellBoolRenderer_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridCellBoolRenderer_php: public wxGridCellBoolRenderer{
	public:
	
	wxGridCellBoolRenderer_php():wxGridCellBoolRenderer(){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridCellBoolRenderer 
{
    zend_object zo;
    wxGridCellBoolRenderer_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridCellBoolRenderer_free(void *object TSRMLS_DC);
zend_object_value php_wxGridCellBoolRenderer_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridCellBoolRenderer_functions[] = {
	PHP_ME(php_wxGridCellBoolRenderer, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGridCellDateTimeRenderer_entry;
void php_wxGridCellDateTimeRenderer_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridCellDateTimeRenderer_php: public wxGridCellDateTimeRenderer{
	public:
	
	wxGridCellDateTimeRenderer_php(const wxString& outformat=wxDefaultDateTimeFormat, const wxString& informat=wxDefaultDateTimeFormat):wxGridCellDateTimeRenderer(outformat, informat){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridCellDateTimeRenderer 
{
    zend_object zo;
    wxGridCellDateTimeRenderer_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridCellDateTimeRenderer_free(void *object TSRMLS_DC);
zend_object_value php_wxGridCellDateTimeRenderer_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridCellDateTimeRenderer_functions[] = {
	PHP_ME(php_wxGridCellDateTimeRenderer, SetParameters, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellDateTimeRenderer, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGridCellEnumRenderer_entry;
void php_wxGridCellEnumRenderer_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridCellEnumRenderer_php: public wxGridCellEnumRenderer{
	public:
	
	wxGridCellEnumRenderer_php(const wxString& choices=wxEmptyString):wxGridCellEnumRenderer(choices){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridCellEnumRenderer 
{
    zend_object zo;
    wxGridCellEnumRenderer_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridCellEnumRenderer_free(void *object TSRMLS_DC);
zend_object_value php_wxGridCellEnumRenderer_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridCellEnumRenderer_functions[] = {
	PHP_ME(php_wxGridCellEnumRenderer, SetParameters, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEnumRenderer, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGridCellFloatRenderer_entry;
void php_wxGridCellFloatRenderer_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridCellFloatRenderer_php: public wxGridCellFloatRenderer{
	public:
	
	wxGridCellFloatRenderer_php(int width=-1, int precision=-1, int format=wxGRID_FLOAT_FORMAT_DEFAULT):wxGridCellFloatRenderer(width, precision, format){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridCellFloatRenderer 
{
    zend_object zo;
    wxGridCellFloatRenderer_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridCellFloatRenderer_free(void *object TSRMLS_DC);
zend_object_value php_wxGridCellFloatRenderer_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridCellFloatRenderer_functions[] = {
	PHP_ME(php_wxGridCellFloatRenderer, GetFormat, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellFloatRenderer, GetPrecision, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellFloatRenderer, GetWidth, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellFloatRenderer, SetFormat, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellFloatRenderer, SetParameters, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellFloatRenderer, SetPrecision, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellFloatRenderer, SetWidth, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellFloatRenderer, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGridCellNumberRenderer_entry;
void php_wxGridCellNumberRenderer_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridCellNumberRenderer_php: public wxGridCellNumberRenderer{
	public:
	
	wxGridCellNumberRenderer_php():wxGridCellNumberRenderer(){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridCellNumberRenderer 
{
    zend_object zo;
    wxGridCellNumberRenderer_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridCellNumberRenderer_free(void *object TSRMLS_DC);
zend_object_value php_wxGridCellNumberRenderer_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridCellNumberRenderer_functions[] = {
	PHP_ME(php_wxGridCellNumberRenderer, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGridCellStringRenderer_entry;
void php_wxGridCellStringRenderer_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridCellStringRenderer_php: public wxGridCellStringRenderer{
	public:
	
	wxGridCellStringRenderer_php():wxGridCellStringRenderer(){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridCellStringRenderer 
{
    zend_object zo;
    wxGridCellStringRenderer_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridCellStringRenderer_free(void *object TSRMLS_DC);
zend_object_value php_wxGridCellStringRenderer_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridCellStringRenderer_functions[] = {
	PHP_ME(php_wxGridCellStringRenderer, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGridCellEditor_entry;
void php_wxGridCellEditor_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridCellEditor_php: public wxGridCellEditor{
	public:
	
		
	void ApplyEdit(int row, int col, wxGrid* grid);
	void BeginEdit(int row, int col, wxGrid* grid);
	wxGridCellEditor* Clone() const;
	void Create(wxWindow* parent, wxWindowID id, wxEvtHandler* evtHandler);
	bool EndEdit(int row, int col, const wxGrid* grid, const wxString& oldval, wxString* newval);
	void Reset();
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridCellEditor 
{
    zend_object zo;
    wxGridCellEditor_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridCellEditor_free(void *object TSRMLS_DC);
zend_object_value php_wxGridCellEditor_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridCellEditor_functions[] = {
	PHP_ME(php_wxGridCellEditor, PaintBackground, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, Destroy, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, HandleReturn, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, IsCreated, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, SetSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, Show, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, StartingClick, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, StartingKey, NULL, ZEND_ACC_PUBLIC)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGridCellAutoWrapStringEditor_entry;
void php_wxGridCellAutoWrapStringEditor_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridCellAutoWrapStringEditor_php: public wxGridCellAutoWrapStringEditor{
	public:
	
	wxGridCellAutoWrapStringEditor_php():wxGridCellAutoWrapStringEditor(){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridCellAutoWrapStringEditor 
{
    zend_object zo;
    wxGridCellAutoWrapStringEditor_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridCellAutoWrapStringEditor_free(void *object TSRMLS_DC);
zend_object_value php_wxGridCellAutoWrapStringEditor_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridCellAutoWrapStringEditor_functions[] = {
	PHP_ME(php_wxGridCellEditor, PaintBackground, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, Destroy, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, HandleReturn, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, IsCreated, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, SetSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, Show, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, StartingClick, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, StartingKey, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellTextEditor, SetParameters, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAutoWrapStringEditor, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGridCellBoolEditor_entry;
void php_wxGridCellBoolEditor_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridCellBoolEditor_php: public wxGridCellBoolEditor{
	public:
	
	wxGridCellBoolEditor_php():wxGridCellBoolEditor(){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridCellBoolEditor 
{
    zend_object zo;
    wxGridCellBoolEditor_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridCellBoolEditor_free(void *object TSRMLS_DC);
zend_object_value php_wxGridCellBoolEditor_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridCellBoolEditor_functions[] = {
	PHP_ME(php_wxGridCellEditor, PaintBackground, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, Destroy, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, HandleReturn, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, IsCreated, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, SetSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, Show, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, StartingClick, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, StartingKey, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellBoolEditor, IsTrueValue, NULL, ZEND_ACC_STATIC|ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellBoolEditor, UseStringValues, NULL, ZEND_ACC_STATIC|ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellBoolEditor, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGridCellChoiceEditor_entry;
void php_wxGridCellChoiceEditor_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridCellChoiceEditor_php: public wxGridCellChoiceEditor{
	public:
	
	wxGridCellChoiceEditor_php(const wxArrayString& choices, bool allowOthers=false):wxGridCellChoiceEditor(choices, allowOthers){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridCellChoiceEditor 
{
    zend_object zo;
    wxGridCellChoiceEditor_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridCellChoiceEditor_free(void *object TSRMLS_DC);
zend_object_value php_wxGridCellChoiceEditor_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridCellChoiceEditor_functions[] = {
	PHP_ME(php_wxGridCellEditor, PaintBackground, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, Destroy, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, HandleReturn, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, IsCreated, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, SetSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, Show, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, StartingClick, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, StartingKey, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellChoiceEditor, SetParameters, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellChoiceEditor, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGridCellEnumEditor_entry;
void php_wxGridCellEnumEditor_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridCellEnumEditor_php: public wxGridCellEnumEditor{
	public:
	
	wxGridCellEnumEditor_php(const wxString& choices=wxEmptyString):wxGridCellEnumEditor(choices){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridCellEnumEditor 
{
    zend_object zo;
    wxGridCellEnumEditor_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridCellEnumEditor_free(void *object TSRMLS_DC);
zend_object_value php_wxGridCellEnumEditor_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridCellEnumEditor_functions[] = {
	PHP_ME(php_wxGridCellEditor, PaintBackground, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, Destroy, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, HandleReturn, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, IsCreated, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, SetSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, Show, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, StartingClick, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, StartingKey, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellChoiceEditor, SetParameters, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEnumEditor, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGridCellTextEditor_entry;
void php_wxGridCellTextEditor_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridCellTextEditor_php: public wxGridCellTextEditor{
	public:
	
	wxGridCellTextEditor_php(size_t maxChars=0):wxGridCellTextEditor(maxChars){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridCellTextEditor 
{
    zend_object zo;
    wxGridCellTextEditor_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridCellTextEditor_free(void *object TSRMLS_DC);
zend_object_value php_wxGridCellTextEditor_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridCellTextEditor_functions[] = {
	PHP_ME(php_wxGridCellEditor, PaintBackground, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, Destroy, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, HandleReturn, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, IsCreated, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, SetSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, Show, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, StartingClick, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, StartingKey, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellTextEditor, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_ME(php_wxGridCellTextEditor, SetParameters, NULL, ZEND_ACC_PUBLIC)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGridCellFloatEditor_entry;
void php_wxGridCellFloatEditor_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridCellFloatEditor_php: public wxGridCellFloatEditor{
	public:
	
	wxGridCellFloatEditor_php(int width=-1, int precision=-1, int format=wxGRID_FLOAT_FORMAT_DEFAULT):wxGridCellFloatEditor(width, precision, format){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridCellFloatEditor 
{
    zend_object zo;
    wxGridCellFloatEditor_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridCellFloatEditor_free(void *object TSRMLS_DC);
zend_object_value php_wxGridCellFloatEditor_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridCellFloatEditor_functions[] = {
	PHP_ME(php_wxGridCellEditor, PaintBackground, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, Destroy, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, HandleReturn, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, IsCreated, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, SetSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, Show, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, StartingClick, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, StartingKey, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellFloatEditor, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_ME(php_wxGridCellFloatEditor, SetParameters, NULL, ZEND_ACC_PUBLIC)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGridCellNumberEditor_entry;
void php_wxGridCellNumberEditor_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridCellNumberEditor_php: public wxGridCellNumberEditor{
	public:
	
	wxGridCellNumberEditor_php(int min=-1, int max=-1):wxGridCellNumberEditor(min, max){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridCellNumberEditor 
{
    zend_object zo;
    wxGridCellNumberEditor_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridCellNumberEditor_free(void *object TSRMLS_DC);
zend_object_value php_wxGridCellNumberEditor_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridCellNumberEditor_functions[] = {
	PHP_ME(php_wxGridCellEditor, PaintBackground, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, Destroy, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, HandleReturn, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, IsCreated, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, SetSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, Show, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, StartingClick, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellEditor, StartingKey, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellNumberEditor, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_ME(php_wxGridCellNumberEditor, SetParameters, NULL, ZEND_ACC_PUBLIC)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGridCellAttr_entry;
void php_wxGridCellAttr_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridCellAttr_php: public wxGridCellAttr{
	public:
	
	wxGridCellAttr_php(wxGridCellAttr* attrDefault=NULL):wxGridCellAttr(attrDefault){}
	wxGridCellAttr_php(const wxColour& colText, const wxColour& colBack, const wxFont& font, int hAlign, int vAlign):wxGridCellAttr(colText, colBack, font, hAlign, vAlign){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridCellAttr 
{
    zend_object zo;
    wxGridCellAttr_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridCellAttr_free(void *object TSRMLS_DC);
zend_object_value php_wxGridCellAttr_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridCellAttr_functions[] = {
	PHP_ME(php_wxGridCellAttr, CloneMethod, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, DecRef, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, GetAlignment, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, GetBackgroundColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, GetEditor, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, GetFont, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, GetNonDefaultAlignment, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, GetRenderer, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, GetTextColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, HasAlignment, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, HasBackgroundColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, HasEditor, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, HasFont, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, HasRenderer, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, HasTextColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, IncRef, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, IsReadOnly, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, SetAlignment, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, SetBackgroundColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, SetDefAttr, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, SetEditor, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, SetFont, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, SetReadOnly, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, SetRenderer, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, SetTextColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridCellAttr, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGridTableBase_entry;
void php_wxGridTableBase_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridTableBase_php: public wxGridTableBase{
	public:
	
	wxGridTableBase_php():wxGridTableBase(){}
		
	int GetNumberCols();
	int GetNumberRows();
	wxString GetValue(int row, int col);
	void SetValue(int row, int col, const wxString& value);
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridTableBase 
{
    zend_object zo;
    wxGridTableBase_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridTableBase_free(void *object TSRMLS_DC);
zend_object_value php_wxGridTableBase_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridTableBase_functions[] = {
	PHP_ME(php_wxObject, UnShare, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxObject, UnRef, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxObject, IsSameAs, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxObject, Ref, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxObject, GetClassInfo, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxObject, IsKindOf, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, AppendCols, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, AppendRows, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, CanGetValueAs, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, CanHaveAttributes, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, CanSetValueAs, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, Clear, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, DeleteCols, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, DeleteRows, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, GetAttr, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, GetAttrProvider, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, GetColLabelValue, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, GetColsCount, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, GetRowLabelValue, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, GetRowsCount, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, GetTypeName, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, GetValueAsBool, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, GetValueAsCustom, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, GetValueAsDouble, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, GetValueAsLong, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, GetView, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, InsertCols, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, InsertRows, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, IsEmpty, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, IsEmptyCell, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, SetAttr, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, SetAttrProvider, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, SetColAttr, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, SetColLabelValue, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, SetRowAttr, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, SetRowLabelValue, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, SetValueAsBool, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, SetValueAsCustom, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, SetValueAsDouble, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, SetValueAsLong, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, SetView, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridTableBase, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGridSizesInfo_entry;
void php_wxGridSizesInfo_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridSizesInfo_php: public wxGridSizesInfo{
	public:
	
	wxGridSizesInfo_php():wxGridSizesInfo(){}
		
	
    void InitProperties(){
		properties = new void*[2];

		properties[0] = &m_sizeDefault;
		properties[1] = &m_customSizes;
		
	}

    void UninitProperties(){
		delete[] properties;
	}

    void** properties;
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridSizesInfo 
{
    zend_object zo;
    wxGridSizesInfo_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridSizesInfo_free(void *object TSRMLS_DC);
zend_object_value php_wxGridSizesInfo_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridSizesInfo_functions[] = {
	PHP_ME(php_wxGridSizesInfo, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_ME(php_wxGridSizesInfo, GetSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridSizesInfo, __get, wxphp_grid_get_args, ZEND_ACC_PUBLIC)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGrid_entry;
void php_wxGrid_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGrid_php: public wxGrid{
	public:
	
	wxGrid_php():wxGrid(){}
	wxGrid_php(wxWindow* parent, wxWindowID id, const wxPoint& pos=wxDefaultPosition, const wxSize& size=wxDefaultSize, long style=wxWANTS_CHARS, const wxString& name=wxGridNameStr):wxGrid(parent, id, pos, size, style, name){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGrid 
{
    zend_object zo;
    wxGrid_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGrid_free(void *object TSRMLS_DC);
zend_object_value php_wxGrid_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGrid_functions[] = {
	PHP_ME(php_wxObject, UnShare, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxObject, UnRef, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxObject, IsSameAs, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxObject, Ref, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxObject, GetClassInfo, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxObject, IsKindOf, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxEvtHandler, Connect, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxEvtHandler, AddFilter, NULL, ZEND_ACC_STATIC|ZEND_ACC_PUBLIC)
	PHP_ME(php_wxEvtHandler, AddPendingEvent, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxEvtHandler, DeletePendingEvents, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxEvtHandler, GetEvtHandlerEnabled, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxEvtHandler, GetNextHandler, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxEvtHandler, GetPreviousHandler, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxEvtHandler, IsUnlinked, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxEvtHandler, ProcessEvent, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxEvtHandler, ProcessEventLocally, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxEvtHandler, ProcessPendingEvents, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxEvtHandler, QueueEvent, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxEvtHandler, RemoveFilter, NULL, ZEND_ACC_STATIC|ZEND_ACC_PUBLIC)
	PHP_ME(php_wxEvtHandler, SafelyProcessEvent, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxEvtHandler, SetEvtHandlerEnabled, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxEvtHandler, Unlink, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, Show, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, FindWindowById, NULL, ZEND_ACC_STATIC|ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, FindWindow, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, Enable, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, Disable, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, Close, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetSizer, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetSizerAndFit, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetToolTip, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetWindowStyle, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetWindowStyleFlag, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, Update, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, UpdateWindowUI, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, Validate, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, WarpPointer, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, WindowToClientSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, UnsetToolTip, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, UnreserveControlId, NULL, ZEND_ACC_STATIC|ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, TransferDataToWindow, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, TransferDataFromWindow, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, ToggleWindowStyle, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, Thaw, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, ShouldInheritColours, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetVirtualSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetValidator, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetTransparent, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetSizeHints, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetScrollbar, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetScrollPos, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, AcceptsFocusFromKeyboard, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, AcceptsFocusRecursively, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, AddChild, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, AlwaysShowScrollbars, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, CacheBestSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, CanScroll, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, CanSetTransparent, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, CaptureMouse, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, Center, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, CenterOnParent, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, Centre, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, CentreOnParent, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, ClearBackground, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, ClientToScreen, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, ClientToWindowSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, ConvertDialogToPixels, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, ConvertPixelsToDialog, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, DragAcceptFiles, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, DoUpdateWindowUI, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, FindFocus, NULL, ZEND_ACC_STATIC|ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, FindWindowByLabel, NULL, ZEND_ACC_STATIC|ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, FindWindowByName, NULL, ZEND_ACC_STATIC|ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, FitInside, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, Freeze, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetAutoLayout, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetBackgroundColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetBackgroundStyle, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetBestSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetBestVirtualSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetBorder, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetCapture, NULL, ZEND_ACC_STATIC|ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetCaret, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetCharHeight, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetCharWidth, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, Destroy, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, DestroyChildren, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetClientAreaOrigin, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetClientRect, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetClientSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetContainingSizer, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetCursor, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetEffectiveMinSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetEventHandler, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetExtraStyle, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetFont, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetForegroundColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetGrandParent, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetHelpText, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetHelpTextAtPoint, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetId, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetLabel, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetMaxClientSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetMaxHeight, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetMaxSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetMaxWidth, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetMinClientSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetMinHeight, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetMinSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetMinWidth, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetName, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetNextSibling, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetParent, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetPopupMenuSelectionFromUser, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetPosition, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetPrevSibling, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetRect, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetScreenPosition, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetScreenRect, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetScrollPos, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetScrollRange, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetScrollThumb, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetSizer, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetTextExtent, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetToolTip, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetToolTipText, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetUpdateClientRect, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetUpdateRegion, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetValidator, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetVirtualSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetWindowBorderSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetWindowStyle, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetWindowStyleFlag, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetWindowVariant, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, HandleAsNavigationKey, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, HandleWindowEvent, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, HasCapture, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, HasExtraStyle, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, HasFlag, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, HasFocus, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, HasMultiplePages, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, HasScrollbar, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, HasTransparentBackground, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, Hide, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, HitTest, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, GetLayoutDirection, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, InheritAttributes, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, InformFirstDirection, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, InvalidateBestSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, IsBeingDeleted, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, IsDoubleBuffered, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, IsEnabled, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, IsExposed, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, IsFrozen, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, IsRetained, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, IsScrollbarAlwaysShown, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, IsShown, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, IsShownOnScreen, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, IsThisEnabled, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, IsTopLevel, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, LineDown, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, LineUp, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, Lower, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, Move, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, MoveAfterInTabOrder, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, MoveBeforeInTabOrder, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, Navigate, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, NavigateIn, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, NewControlId, NULL, ZEND_ACC_STATIC|ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, PageDown, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, PageUp, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, PopupMenu, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, PostSizeEvent, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, PostSizeEventToParent, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, ProcessWindowEvent, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, ProcessWindowEventLocally, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, PushEventHandler, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, Raise, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, Refresh, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, RefreshRect, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, ReleaseMouse, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, RemoveChild, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, RemoveEventHandler, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, Reparent, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, ScreenToClient, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, ScrollLines, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, ScrollPages, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SendSizeEvent, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SendSizeEventToParent, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetAutoLayout, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetBackgroundColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetBackgroundStyle, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetCanFocus, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetCaret, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetClientSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetConstraints, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetContainingSizer, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetCursor, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetDropTarget, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetEventHandler, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetExtraStyle, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetFocusFromKbd, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetFont, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetForegroundColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetHelpText, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetId, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetInitialSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetLabel, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetLayoutDirection, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetMaxClientSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetMaxSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetMinClientSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetMinSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetName, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetNextHandler, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetOwnBackgroundColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetOwnFont, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetOwnForegroundColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetPalette, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetPosition, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetPreviousHandler, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetThemeEnabled, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxWindow, SetWindowVariant, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxPanel, AcceptsFocus, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxPanel, InitDialog, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxPanel, Layout, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxPanel, SetFocus, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxPanel, SetFocusIgnoringChildren, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, SetScrollRate, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, SetScrollbars, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, SetTargetRect, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, SetTargetWindow, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, ShowScrollbars, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, StopAutoScrolling, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, SetScrollPageSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, SetScale, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, Scroll, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, SendAutoScrollEvents, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, PrepareDC, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, IsAutoScrolling, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, GetViewStart, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, GetTargetWindow, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, GetTargetRect, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, GetScrollPixelsPerUnit, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, GetScrollPageSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, GetScrollLines, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, GetScaleY, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, GetScaleX, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, EnableScrolling, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, DoPrepareDC, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, DisableKeyboardScrolling, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, CalcUnscrolledPosition, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, CalcScrolledPosition, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxScrolled, AdjustScrollbars, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, AppendCols, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, AppendRows, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, AreHorzGridLinesClipped, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, AreVertGridLinesClipped, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, AutoSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, AutoSizeColLabelSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, AutoSizeColumn, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, AutoSizeColumns, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, AutoSizeRow, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, AutoSizeRowLabelSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, AutoSizeRows, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, BeginBatch, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, BlockToDeviceRect, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, CanDragCell, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, CanDragColMove, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, CanDragColSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, CanDragGridSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, CanDragRowSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, CanEnableCellControl, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, CellToRect, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, ClearGrid, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, ClearSelection, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, ClipHorzGridLines, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, ClipVertGridLines, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, Create, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, CreateGrid, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, DeleteCols, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, DeleteRows, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, DisableCellEditControl, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, DisableColResize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, DisableDragColMove, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, DisableDragColSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, DisableDragGridSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, DisableDragRowSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, DisableRowResize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, EnableCellEditControl, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, EnableDragCell, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, EnableDragColMove, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, EnableDragColSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, EnableDragGridSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, EnableDragRowSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, EnableEditing, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, EnableGridLines, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, EndBatch, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, Fit, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, ForceRefresh, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetBatchCount, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetCellAlignment, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetCellBackgroundColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetCellEditor, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetCellFont, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetCellRenderer, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetCellSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetCellTextColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetCellValue, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetColAt, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetColGridLinePen, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetColLabelAlignment, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetColLabelSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetColLabelTextOrientation, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetColLabelValue, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetColMinimalAcceptableWidth, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetColPos, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetColSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetColSizes, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetDefaultCellAlignment, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetDefaultCellBackgroundColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetDefaultCellFont, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetDefaultCellTextColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetDefaultColLabelSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetDefaultColSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetDefaultEditor, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetDefaultEditorForCell, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetDefaultEditorForType, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetDefaultGridLinePen, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetDefaultRenderer, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetDefaultRendererForCell, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetDefaultRendererForType, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetDefaultRowLabelSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetDefaultRowSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetGridColHeader, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetGridColLabelWindow, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetGridCornerLabelWindow, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetGridCursorCol, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetGridCursorRow, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetGridLineColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetGridRowLabelWindow, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetGridWindow, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetLabelBackgroundColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetLabelFont, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetLabelTextColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetNumberCols, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetNumberRows, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetOrCreateCellAttr, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetRowGridLinePen, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetRowLabelAlignment, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetRowLabelSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetRowLabelValue, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetRowMinimalAcceptableHeight, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetRowSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetRowSizes, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetScrollLineX, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetScrollLineY, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetSelectionBackground, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetSelectionForeground, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetSelectionMode, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetSortingColumn, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GetTable, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GoToCell, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, GridLinesEnabled, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, HideCellEditControl, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, HideCol, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, HideColLabels, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, HideRow, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, HideRowLabels, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, InsertCols, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, InsertRows, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, IsCellEditControlEnabled, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, IsCurrentCellReadOnly, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, IsEditable, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, IsColShown, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, IsInSelection, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, IsReadOnly, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, IsRowShown, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, IsSelection, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, IsSortOrderAscending, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, IsSortingBy, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, IsVisible, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, MakeCellVisible, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, MoveCursorDown, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, MoveCursorDownBlock, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, MoveCursorLeft, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, MoveCursorLeftBlock, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, MoveCursorRight, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, MoveCursorRightBlock, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, MoveCursorUp, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, MoveCursorUpBlock, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, MovePageDown, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, MovePageUp, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, RefreshAttr, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, RegisterDataType, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, ResetColPos, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SaveEditControlValue, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SelectAll, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SelectBlock, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SelectCol, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SelectRow, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetCellAlignment, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetCellBackgroundColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetCellEditor, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetCellFont, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetCellRenderer, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetCellSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetCellTextColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetCellValue, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetColAttr, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetColFormatBool, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetColFormatCustom, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetColFormatFloat, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetColFormatNumber, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetColLabelAlignment, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetColLabelSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetColLabelTextOrientation, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetColLabelValue, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetColMinimalAcceptableWidth, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetColMinimalWidth, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetColPos, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetColSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetColSizes, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetDefaultCellAlignment, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetDefaultCellBackgroundColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetDefaultCellFont, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetDefaultCellTextColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetDefaultColSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetDefaultEditor, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetDefaultRenderer, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetDefaultRowSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetGridCursor, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetGridLineColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetLabelBackgroundColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetLabelFont, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetLabelTextColour, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetMargins, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetReadOnly, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetRowAttr, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetRowLabelAlignment, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetRowLabelSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetRowLabelValue, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetRowMinimalAcceptableHeight, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetRowMinimalHeight, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetRowSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetRowSizes, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetScrollLineX, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetScrollLineY, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetSelectionBackground, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetSelectionForeground, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetSelectionMode, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetSortingColumn, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetTable, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, SetUseNativeColLabels, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, ShowCellEditControl, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, ShowCol, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, ShowRow, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, UnsetSortingColumn, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, UseNativeColHeader, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, XToCol, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, XToEdgeOfCol, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, XYToCell, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, YToEdgeOfRow, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, YToRow, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGrid, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxGridUpdateLocker_entry;
void php_wxGridUpdateLocker_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxGridUpdateLocker_php: public wxGridUpdateLocker{
	public:
	
	wxGridUpdateLocker_php(wxGrid* grid=NULL):wxGridUpdateLocker(grid){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxGridUpdateLocker 
{
    zend_object zo;
    wxGridUpdateLocker_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxGridUpdateLocker_free(void *object TSRMLS_DC);
zend_object_value php_wxGridUpdateLocker_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxGridUpdateLocker_functions[] = {
	PHP_ME(php_wxGridUpdateLocker, Create, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxGridUpdateLocker, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

#endif //WXPHP_GRID_H_GUARD
