/*
 * @author Mário Soares
 * @contributors Jefferson González
 * 
 * @license 
 * This file is part of wxPHP check the LICENSE file for information.
 * 
 * @note
 * This file was auto-generated by the wxPHP source maker
*/

#ifndef WXPHP_DND_H_GUARD
#define WXPHP_DND_H_GUARD

#include "references.h"
#include "object_types.h"

ZEND_BEGIN_ARG_INFO_EX(wxphp_dnd_get_args, 0, 0, 1)
	ZEND_ARG_INFO(0, name)
ZEND_END_ARG_INFO()

extern zend_class_entry* php_wxClipboard_entry;
void php_wxClipboard_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxClipboard_php: public wxClipboard{
	public:
	
	wxClipboard_php():wxClipboard(){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxClipboard 
{
    zend_object zo;
    wxClipboard_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxClipboard_free(void *object TSRMLS_DC);
zend_object_value php_wxClipboard_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxClipboard_functions[] = {
	PHP_ME(php_wxObject, UnShare, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxObject, UnRef, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxObject, IsSameAs, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxObject, Ref, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxObject, GetClassInfo, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxObject, IsKindOf, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxClipboard, AddData, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxClipboard, Clear, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxClipboard, Close, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxClipboard, Flush, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxClipboard, GetData, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxClipboard, IsOpened, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxClipboard, IsSupported, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxClipboard, IsUsingPrimarySelection, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxClipboard, Open, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxClipboard, SetData, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxClipboard, UsePrimarySelection, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxClipboard, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_ME(php_wxClipboard, Get, NULL, ZEND_ACC_STATIC|ZEND_ACC_PUBLIC)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxDataFormat_entry;
void php_wxDataFormat_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxDataFormat_php: public wxDataFormat{
	public:
	
	wxDataFormat_php(wxDataFormatId format=wxDF_INVALID):wxDataFormat(format){}
	wxDataFormat_php(const wxString& format):wxDataFormat(format){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxDataFormat 
{
    zend_object zo;
    wxDataFormat_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxDataFormat_free(void *object TSRMLS_DC);
zend_object_value php_wxDataFormat_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxDataFormat_functions[] = {
	PHP_ME(php_wxDataFormat, GetId, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataFormat, GetType, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataFormat, SetId, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataFormat, SetType, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataFormat, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxDataObject_entry;
void php_wxDataObject_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxDataObject_php: public wxDataObject{
	public:
	
	wxDataObject_php():wxDataObject(){}
		
	void GetAllFormats(wxDataFormat* formats, Direction dir=Get) const;
	bool GetDataHere(const wxDataFormat& format, void* buf) const;
	size_t GetDataSize(const wxDataFormat& format) const;
	size_t GetFormatCount(Direction dir=Get) const;
	wxDataFormat GetPreferredFormat(Direction dir=Get) const;
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxDataObject 
{
    zend_object zo;
    wxDataObject_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxDataObject_free(void *object TSRMLS_DC);
zend_object_value php_wxDataObject_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxDataObject_functions[] = {
	PHP_ME(php_wxDataObject, IsSupported, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObject, SetData, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObject, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxCustomDataObject_entry;
void php_wxCustomDataObject_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxCustomDataObject_php: public wxCustomDataObject{
	public:
	
	wxCustomDataObject_php(const wxDataFormat& format=wxFormatInvalid):wxCustomDataObject(format){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxCustomDataObject 
{
    zend_object zo;
    wxCustomDataObject_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxCustomDataObject_free(void *object TSRMLS_DC);
zend_object_value php_wxCustomDataObject_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxCustomDataObject_functions[] = {
	PHP_ME(php_wxDataObject, IsSupported, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, GetDataHere, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, GetDataSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, GetFormat, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, SetFormat, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxCustomDataObject, Alloc, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxCustomDataObject, Free, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxCustomDataObject, GetData, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxCustomDataObject, GetSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxCustomDataObject, SetData, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxCustomDataObject, TakeData, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxCustomDataObject, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxDataObjectComposite_entry;
void php_wxDataObjectComposite_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxDataObjectComposite_php: public wxDataObjectComposite{
	public:
	
	wxDataObjectComposite_php():wxDataObjectComposite(){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxDataObjectComposite 
{
    zend_object zo;
    wxDataObjectComposite_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxDataObjectComposite_free(void *object TSRMLS_DC);
zend_object_value php_wxDataObjectComposite_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxDataObjectComposite_functions[] = {
	PHP_ME(php_wxDataObject, IsSupported, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObject, SetData, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectComposite, Add, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectComposite, GetReceivedFormat, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectComposite, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_ME(php_wxDataObjectComposite, GetObject, NULL, ZEND_ACC_PUBLIC)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxDataObjectSimple_entry;
void php_wxDataObjectSimple_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxDataObjectSimple_php: public wxDataObjectSimple{
	public:
	
	wxDataObjectSimple_php(const wxDataFormat& format=wxFormatInvalid):wxDataObjectSimple(format){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxDataObjectSimple 
{
    zend_object zo;
    wxDataObjectSimple_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxDataObjectSimple_free(void *object TSRMLS_DC);
zend_object_value php_wxDataObjectSimple_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxDataObjectSimple_functions[] = {
	PHP_ME(php_wxDataObject, IsSupported, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, GetDataHere, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, GetDataSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, GetFormat, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, SetData, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, SetFormat, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxBitmapDataObject_entry;
void php_wxBitmapDataObject_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxBitmapDataObject_php: public wxBitmapDataObject{
	public:
	
	wxBitmapDataObject_php(const wxBitmap& bitmap=wxNullBitmap):wxBitmapDataObject(bitmap){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxBitmapDataObject 
{
    zend_object zo;
    wxBitmapDataObject_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxBitmapDataObject_free(void *object TSRMLS_DC);
zend_object_value php_wxBitmapDataObject_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxBitmapDataObject_functions[] = {
	PHP_ME(php_wxDataObject, IsSupported, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, GetDataHere, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, GetDataSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, GetFormat, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, SetData, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, SetFormat, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxBitmapDataObject, GetBitmap, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxBitmapDataObject, SetBitmap, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxBitmapDataObject, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxURLDataObject_entry;
void php_wxURLDataObject_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxURLDataObject_php: public wxURLDataObject{
	public:
	
	wxURLDataObject_php(const wxString& url=wxEmptyString):wxURLDataObject(url){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxURLDataObject 
{
    zend_object zo;
    wxURLDataObject_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxURLDataObject_free(void *object TSRMLS_DC);
zend_object_value php_wxURLDataObject_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxURLDataObject_functions[] = {
	PHP_ME(php_wxDataObject, IsSupported, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, GetDataHere, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, GetDataSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, SetData, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, SetFormat, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxTextDataObject, GetFormat, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxTextDataObject, GetText, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxTextDataObject, GetTextLength, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxTextDataObject, GetFormatCount, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxTextDataObject, GetAllFormats, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxTextDataObject, SetText, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxURLDataObject, GetURL, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxURLDataObject, SetURL, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxURLDataObject, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxTextDataObject_entry;
void php_wxTextDataObject_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxTextDataObject_php: public wxTextDataObject{
	public:
	
	wxTextDataObject_php(const wxString& text=wxEmptyString):wxTextDataObject(text){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxTextDataObject 
{
    zend_object zo;
    wxTextDataObject_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxTextDataObject_free(void *object TSRMLS_DC);
zend_object_value php_wxTextDataObject_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxTextDataObject_functions[] = {
	PHP_ME(php_wxDataObject, IsSupported, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, GetDataHere, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, GetDataSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, SetData, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, SetFormat, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxTextDataObject, GetFormat, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxTextDataObject, GetText, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxTextDataObject, GetTextLength, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxTextDataObject, GetFormatCount, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxTextDataObject, GetAllFormats, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxTextDataObject, SetText, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxTextDataObject, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxFileDataObject_entry;
void php_wxFileDataObject_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxFileDataObject_php: public wxFileDataObject{
	public:
	
	wxFileDataObject_php():wxFileDataObject(){}
		
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxFileDataObject 
{
    zend_object zo;
    wxFileDataObject_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxFileDataObject_free(void *object TSRMLS_DC);
zend_object_value php_wxFileDataObject_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxFileDataObject_functions[] = {
	PHP_ME(php_wxDataObject, IsSupported, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, GetDataHere, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, GetDataSize, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, GetFormat, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, SetData, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDataObjectSimple, SetFormat, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxFileDataObject, AddFile, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxFileDataObject, GetFilenames, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxFileDataObject, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxDropTarget_entry;
void php_wxDropTarget_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxDropTarget_php: public wxDropTarget{
	public:
	
	wxDropTarget_php(wxDataObject* data=NULL):wxDropTarget(data){}
		
	void OnLeave();
	wxDragResult OnDragOver(wxCoord x, wxCoord y, wxDragResult defResult);
	wxDragResult OnEnter(wxCoord x, wxCoord y, wxDragResult defResult);
	wxDragResult OnData(wxCoord x, wxCoord y, wxDragResult defResult);
	bool OnDrop(wxCoord x, wxCoord y);
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxDropTarget 
{
    zend_object zo;
    wxDropTarget_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxDropTarget_free(void *object TSRMLS_DC);
zend_object_value php_wxDropTarget_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxDropTarget_functions[] = {
	PHP_ME(php_wxDropTarget, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_ME(php_wxDropTarget, SetDataObject, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDropTarget, GetData, NULL, ZEND_ACC_PUBLIC)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxTextDropTarget_entry;
void php_wxTextDropTarget_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxTextDropTarget_php: public wxTextDropTarget{
	public:
	
	wxTextDropTarget_php():wxTextDropTarget(){}
		
	bool OnDropText(wxCoord x, wxCoord y, const wxString& data);
	bool OnDrop(wxCoord x, wxCoord y);
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxTextDropTarget 
{
    zend_object zo;
    wxTextDropTarget_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxTextDropTarget_free(void *object TSRMLS_DC);
zend_object_value php_wxTextDropTarget_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxTextDropTarget_functions[] = {
	PHP_ME(php_wxDropTarget, SetDataObject, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDropTarget, GetData, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxTextDropTarget, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

extern zend_class_entry* php_wxFileDropTarget_entry;
void php_wxFileDropTarget_destruction_handler(zend_rsrc_list_entry * TSRMLS_DC);

class wxFileDropTarget_php: public wxFileDropTarget{
	public:
	
	wxFileDropTarget_php():wxFileDropTarget(){}
		
	bool OnDropFiles(wxCoord x, wxCoord y, const wxArrayString& filenames);
	bool OnDrop(wxCoord x, wxCoord y);
	
	
	void ***tsrm_ls;
	zval* phpObj;
	wxPHPObjectReferences references;
};

BEGIN_EXTERN_C()
struct zo_wxFileDropTarget 
{
    zend_object zo;
    wxFileDropTarget_php* native_object;
    wxphp_object_type object_type;
    int is_user_initialized;
};

void php_wxFileDropTarget_free(void *object TSRMLS_DC);
zend_object_value php_wxFileDropTarget_new(zend_class_entry *class_type TSRMLS_DC);
END_EXTERN_C()

#ifdef WXPHP_INCLUDE_METHOD_TABLES
static zend_function_entry php_wxFileDropTarget_functions[] = {
	PHP_ME(php_wxDropTarget, SetDataObject, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxDropTarget, GetData, NULL, ZEND_ACC_PUBLIC)
	PHP_ME(php_wxFileDropTarget, __construct, NULL, ZEND_ACC_PUBLIC|ZEND_ACC_CTOR)
	PHP_FE_END
};
#endif

#endif //WXPHP_DND_H_GUARD
