/*
 * @author Mário Soares
 * @contributors Jefferson González
 * 
 * @license 
 * This file is part of wxPHP check the LICENSE file for information.
 * 
 * @description
 * wxWidgets php extension declarations file
 * 
 * @note
 * Some parts of this file are auto-generated by the wxPHP source maker
*/

//Prevent double inclusion 
#ifndef WXPHP_PHP_WXWIDGETS_H_GUARD
#define WXPHP_PHP_WXWIDGETS_H_GUARD

#include "common.h"

/**
 * Define Extension Properties 
 */
#define PHP_WXWIDGETS_EXTNAME    "wxWidgets"
#define PHP_WXWIDGETS_EXTVER    "3.0.0.2"
#define PHP_WXWIDGETS_VERSION	"3.0.0"

/**
 * Import configure options when building outside 
 * of the PHP source tree 
 */
#ifdef HAVE_CONFIG_H
	#include "config.h"
#endif

/** 
 * Include PHP Standard Header 
 */
#include "php.h"

/**
 * Define the entry point symbol
 * Zend will use when loading this module
 */
extern zend_module_entry wxWidgets_module_entry;
#define phpext_sample_ptr &wxWidgets_module_entry

/**
 * Custom function to register objects as constants
 */
#define wxPHP_REGISTER_OBJECT_CONSTANT(name, object, flags)  wxphp_register_object_constant((name), sizeof(name), (object), (flags), module_number TSRMLS_CC)
BEGIN_EXTERN_C()
void wxphp_register_object_constant(const char *name, uint name_len, zval object, int flags, int module_number TSRMLS_DC);
END_EXTERN_C()

/**
 * Custom zend_method_call function to call methods with more than 2 parameters
 */
BEGIN_EXTERN_C()
int wxphp_call_method(zval **object_pp, zend_class_entry *obj_ce, zend_function **fn_proxy, const char *function_name, int function_name_len, zval **retval_ptr_ptr, int param_count, zval*** params TSRMLS_DC);
END_EXTERN_C()

class wxPhpClientData : public wxClientData
{
	public:
	wxPhpClientData(zval* phpObj)
	{
			this->phpObj = phpObj;
	}
	zval* phpObj;
};

/**
 * Predefined wxApp class method bindings
 */
PHP_METHOD(php_wxApp, __construct);
PHP_METHOD(php_wxApp, SetInstance);
PHP_METHOD(php_wxApp, Yield);

/**
 * Space reserved for autogenerated class method binding declarations 
 */
// entries --->
PHP_METHOD(php_wxScrolledWindow, __construct);
PHP_METHOD(php_wxScrolledWindow, Connect);
PHP_METHOD(php_wxAboutDialogInfo, __construct);
PHP_METHOD(php_wxAboutDialogInfo, SetWebSite);
PHP_METHOD(php_wxAboutDialogInfo, SetVersion);
PHP_METHOD(php_wxAboutDialogInfo, AddDeveloper);
PHP_METHOD(php_wxAboutDialogInfo, AddDocWriter);
PHP_METHOD(php_wxAboutDialogInfo, AddTranslator);
PHP_METHOD(php_wxAboutDialogInfo, GetCopyright);
PHP_METHOD(php_wxAboutDialogInfo, GetDescription);
PHP_METHOD(php_wxAboutDialogInfo, HasCopyright);
PHP_METHOD(php_wxAboutDialogInfo, HasDescription);
PHP_METHOD(php_wxAboutDialogInfo, SetArtists);
PHP_METHOD(php_wxAboutDialogInfo, SetCopyright);
PHP_METHOD(php_wxAboutDialogInfo, SetDescription);
PHP_METHOD(php_wxAboutDialogInfo, SetDevelopers);
PHP_METHOD(php_wxAboutDialogInfo, SetDocWriters);
PHP_METHOD(php_wxAboutDialogInfo, SetIcon);
PHP_METHOD(php_wxAboutDialogInfo, SetLicence);
PHP_METHOD(php_wxAboutDialogInfo, SetLicense);
PHP_METHOD(php_wxAboutDialogInfo, SetName);
PHP_METHOD(php_wxAboutDialogInfo, SetTranslators);
PHP_METHOD(php_wxAboutDialogInfo, AddArtist);
PHP_METHOD(php_wxAboutDialogInfo, GetName);
PHP_METHOD(php_wxGridCellCoords, __construct);
PHP_METHOD(php_wxGridCellCoords, GetRow);
PHP_METHOD(php_wxGridCellCoords, SetRow);
PHP_METHOD(php_wxGridCellCoords, GetCol);
PHP_METHOD(php_wxGridCellCoords, SetCol);
PHP_METHOD(php_wxGridCellCoords, Set);
PHP_METHOD(php_wxFrame, __construct);
PHP_METHOD(php_wxFrame, Centre);
PHP_METHOD(php_wxFrame, Create);
PHP_METHOD(php_wxFrame, SetStatusBar);
PHP_METHOD(php_wxFrame, SetStatusBarPane);
PHP_METHOD(php_wxFrame, SetStatusText);
PHP_METHOD(php_wxFrame, SetMenuBar);
PHP_METHOD(php_wxFrame, GetMenuBar);
PHP_METHOD(php_wxFrame, OnCreateStatusBar);
PHP_METHOD(php_wxFrame, GetStatusBar);
PHP_METHOD(php_wxFrame, GetStatusBarPane);
PHP_METHOD(php_wxFrame, GetClientAreaOrigin);
PHP_METHOD(php_wxFrame, PopStatusText);
PHP_METHOD(php_wxFrame, ProcessCommand);
PHP_METHOD(php_wxFrame, PushStatusText);
PHP_METHOD(php_wxFrame, SetStatusWidths);
PHP_METHOD(php_wxFrame, GetToolBar);
PHP_METHOD(php_wxFrame, OnCreateToolBar);
PHP_METHOD(php_wxFrame, SetToolBar);
PHP_METHOD(php_wxFrame, CreateStatusBar);
PHP_METHOD(php_wxFrame, CreateToolBar);
PHP_METHOD(php_wxFrame, Connect);
PHP_METHOD(php_wxTopLevelWindow, __construct);
PHP_METHOD(php_wxTopLevelWindow, SetTitle);
PHP_METHOD(php_wxTopLevelWindow, Maximize);
PHP_METHOD(php_wxTopLevelWindow, GetTitle);
PHP_METHOD(php_wxTopLevelWindow, ShowFullScreen);
PHP_METHOD(php_wxTopLevelWindow, IsFullScreen);
PHP_METHOD(php_wxTopLevelWindow, SetIcon);
PHP_METHOD(php_wxTopLevelWindow, CanSetTransparent);
PHP_METHOD(php_wxTopLevelWindow, CentreOnScreen);
PHP_METHOD(php_wxTopLevelWindow, CenterOnScreen);
PHP_METHOD(php_wxTopLevelWindow, Create);
PHP_METHOD(php_wxTopLevelWindow, GetDefaultItem);
PHP_METHOD(php_wxTopLevelWindow, GetDefaultSize);
PHP_METHOD(php_wxTopLevelWindow, GetIcon);
PHP_METHOD(php_wxTopLevelWindow, GetIcons);
PHP_METHOD(php_wxTopLevelWindow, GetTmpDefaultItem);
PHP_METHOD(php_wxTopLevelWindow, Iconize);
PHP_METHOD(php_wxTopLevelWindow, IsActive);
PHP_METHOD(php_wxTopLevelWindow, IsAlwaysMaximized);
PHP_METHOD(php_wxTopLevelWindow, IsIconized);
PHP_METHOD(php_wxTopLevelWindow, IsMaximized);
PHP_METHOD(php_wxTopLevelWindow, Layout);
PHP_METHOD(php_wxTopLevelWindow, RequestUserAttention);
PHP_METHOD(php_wxTopLevelWindow, SetDefaultItem);
PHP_METHOD(php_wxTopLevelWindow, SetIcons);
PHP_METHOD(php_wxTopLevelWindow, SetMaxSize);
PHP_METHOD(php_wxTopLevelWindow, SetMinSize);
PHP_METHOD(php_wxTopLevelWindow, SetSizeHints);
PHP_METHOD(php_wxTopLevelWindow, SetTmpDefaultItem);
PHP_METHOD(php_wxTopLevelWindow, SetTransparent);
PHP_METHOD(php_wxTopLevelWindow, ShouldPreventAppExit);
PHP_METHOD(php_wxTopLevelWindow, Connect);
PHP_METHOD(php_wxNonOwnedWindow, SetShape);
PHP_METHOD(php_wxNonOwnedWindow, Connect);
PHP_METHOD(php_wxWindow, __construct);
PHP_METHOD(php_wxWindow, Show);
PHP_METHOD(php_wxWindow, FindWindowById);
PHP_METHOD(php_wxWindow, FindWindow);
PHP_METHOD(php_wxWindow, Enable);
PHP_METHOD(php_wxWindow, Disable);
PHP_METHOD(php_wxWindow, Close);
PHP_METHOD(php_wxWindow, SetSizer);
PHP_METHOD(php_wxWindow, SetSizerAndFit);
PHP_METHOD(php_wxWindow, SetToolTip);
PHP_METHOD(php_wxWindow, SetWindowStyle);
PHP_METHOD(php_wxWindow, SetWindowStyleFlag);
PHP_METHOD(php_wxWindow, Update);
PHP_METHOD(php_wxWindow, UpdateWindowUI);
PHP_METHOD(php_wxWindow, Validate);
PHP_METHOD(php_wxWindow, WarpPointer);
PHP_METHOD(php_wxWindow, WindowToClientSize);
PHP_METHOD(php_wxWindow, UnsetToolTip);
PHP_METHOD(php_wxWindow, UnreserveControlId);
PHP_METHOD(php_wxWindow, TransferDataToWindow);
PHP_METHOD(php_wxWindow, TransferDataFromWindow);
PHP_METHOD(php_wxWindow, ToggleWindowStyle);
PHP_METHOD(php_wxWindow, Thaw);
PHP_METHOD(php_wxWindow, ShouldInheritColours);
PHP_METHOD(php_wxWindow, SetVirtualSize);
PHP_METHOD(php_wxWindow, SetValidator);
PHP_METHOD(php_wxWindow, SetTransparent);
PHP_METHOD(php_wxWindow, SetSizeHints);
PHP_METHOD(php_wxWindow, SetSize);
PHP_METHOD(php_wxWindow, SetScrollbar);
PHP_METHOD(php_wxWindow, SetScrollPos);
PHP_METHOD(php_wxWindow, AcceptsFocus);
PHP_METHOD(php_wxWindow, AcceptsFocusFromKeyboard);
PHP_METHOD(php_wxWindow, AcceptsFocusRecursively);
PHP_METHOD(php_wxWindow, AddChild);
PHP_METHOD(php_wxWindow, AddPendingEvent);
PHP_METHOD(php_wxWindow, AlwaysShowScrollbars);
PHP_METHOD(php_wxWindow, CacheBestSize);
PHP_METHOD(php_wxWindow, CanScroll);
PHP_METHOD(php_wxWindow, CanSetTransparent);
PHP_METHOD(php_wxWindow, CaptureMouse);
PHP_METHOD(php_wxWindow, Center);
PHP_METHOD(php_wxWindow, CenterOnParent);
PHP_METHOD(php_wxWindow, Centre);
PHP_METHOD(php_wxWindow, CentreOnParent);
PHP_METHOD(php_wxWindow, ClearBackground);
PHP_METHOD(php_wxWindow, ClientToScreen);
PHP_METHOD(php_wxWindow, ClientToWindowSize);
PHP_METHOD(php_wxWindow, ConvertDialogToPixels);
PHP_METHOD(php_wxWindow, ConvertPixelsToDialog);
PHP_METHOD(php_wxWindow, Create);
PHP_METHOD(php_wxWindow, DragAcceptFiles);
PHP_METHOD(php_wxWindow, DoUpdateWindowUI);
PHP_METHOD(php_wxWindow, FindFocus);
PHP_METHOD(php_wxWindow, FindWindowByLabel);
PHP_METHOD(php_wxWindow, FindWindowByName);
PHP_METHOD(php_wxWindow, Fit);
PHP_METHOD(php_wxWindow, FitInside);
PHP_METHOD(php_wxWindow, Freeze);
PHP_METHOD(php_wxWindow, GetAutoLayout);
PHP_METHOD(php_wxWindow, GetBackgroundColour);
PHP_METHOD(php_wxWindow, GetBackgroundStyle);
PHP_METHOD(php_wxWindow, GetBestSize);
PHP_METHOD(php_wxWindow, GetBestVirtualSize);
PHP_METHOD(php_wxWindow, GetBorder);
PHP_METHOD(php_wxWindow, GetCapture);
PHP_METHOD(php_wxWindow, GetCaret);
PHP_METHOD(php_wxWindow, GetCharHeight);
PHP_METHOD(php_wxWindow, GetCharWidth);
PHP_METHOD(php_wxWindow, Destroy);
PHP_METHOD(php_wxWindow, DestroyChildren);
PHP_METHOD(php_wxWindow, GetClientAreaOrigin);
PHP_METHOD(php_wxWindow, GetClientRect);
PHP_METHOD(php_wxWindow, GetClientSize);
PHP_METHOD(php_wxWindow, GetContainingSizer);
PHP_METHOD(php_wxWindow, GetCursor);
PHP_METHOD(php_wxWindow, GetEffectiveMinSize);
PHP_METHOD(php_wxWindow, GetEventHandler);
PHP_METHOD(php_wxWindow, GetExtraStyle);
PHP_METHOD(php_wxWindow, GetFont);
PHP_METHOD(php_wxWindow, GetForegroundColour);
PHP_METHOD(php_wxWindow, GetGrandParent);
PHP_METHOD(php_wxWindow, GetHelpText);
PHP_METHOD(php_wxWindow, GetHelpTextAtPoint);
PHP_METHOD(php_wxWindow, GetId);
PHP_METHOD(php_wxWindow, GetLabel);
PHP_METHOD(php_wxWindow, GetMaxClientSize);
PHP_METHOD(php_wxWindow, GetMaxHeight);
PHP_METHOD(php_wxWindow, GetMaxSize);
PHP_METHOD(php_wxWindow, GetMaxWidth);
PHP_METHOD(php_wxWindow, GetMinClientSize);
PHP_METHOD(php_wxWindow, GetMinHeight);
PHP_METHOD(php_wxWindow, GetMinSize);
PHP_METHOD(php_wxWindow, GetMinWidth);
PHP_METHOD(php_wxWindow, GetName);
PHP_METHOD(php_wxWindow, GetNextSibling);
PHP_METHOD(php_wxWindow, GetParent);
PHP_METHOD(php_wxWindow, GetPopupMenuSelectionFromUser);
PHP_METHOD(php_wxWindow, GetPosition);
PHP_METHOD(php_wxWindow, GetPrevSibling);
PHP_METHOD(php_wxWindow, GetRect);
PHP_METHOD(php_wxWindow, GetScreenPosition);
PHP_METHOD(php_wxWindow, GetScreenRect);
PHP_METHOD(php_wxWindow, GetScrollPos);
PHP_METHOD(php_wxWindow, GetScrollRange);
PHP_METHOD(php_wxWindow, GetScrollThumb);
PHP_METHOD(php_wxWindow, GetSize);
PHP_METHOD(php_wxWindow, GetSizer);
PHP_METHOD(php_wxWindow, GetTextExtent);
PHP_METHOD(php_wxWindow, GetToolTip);
PHP_METHOD(php_wxWindow, GetToolTipText);
PHP_METHOD(php_wxWindow, GetUpdateClientRect);
PHP_METHOD(php_wxWindow, GetUpdateRegion);
PHP_METHOD(php_wxWindow, GetValidator);
PHP_METHOD(php_wxWindow, GetVirtualSize);
PHP_METHOD(php_wxWindow, GetWindowBorderSize);
PHP_METHOD(php_wxWindow, GetWindowStyle);
PHP_METHOD(php_wxWindow, GetWindowStyleFlag);
PHP_METHOD(php_wxWindow, GetWindowVariant);
PHP_METHOD(php_wxWindow, HandleAsNavigationKey);
PHP_METHOD(php_wxWindow, HandleWindowEvent);
PHP_METHOD(php_wxWindow, HasCapture);
PHP_METHOD(php_wxWindow, HasExtraStyle);
PHP_METHOD(php_wxWindow, HasFlag);
PHP_METHOD(php_wxWindow, HasFocus);
PHP_METHOD(php_wxWindow, HasMultiplePages);
PHP_METHOD(php_wxWindow, HasScrollbar);
PHP_METHOD(php_wxWindow, HasTransparentBackground);
PHP_METHOD(php_wxWindow, Hide);
PHP_METHOD(php_wxWindow, HitTest);
PHP_METHOD(php_wxWindow, GetLayoutDirection);
PHP_METHOD(php_wxWindow, InitDialog);
PHP_METHOD(php_wxWindow, InheritAttributes);
PHP_METHOD(php_wxWindow, InformFirstDirection);
PHP_METHOD(php_wxWindow, InvalidateBestSize);
PHP_METHOD(php_wxWindow, IsBeingDeleted);
PHP_METHOD(php_wxWindow, IsDoubleBuffered);
PHP_METHOD(php_wxWindow, IsEnabled);
PHP_METHOD(php_wxWindow, IsExposed);
PHP_METHOD(php_wxWindow, IsFrozen);
PHP_METHOD(php_wxWindow, IsRetained);
PHP_METHOD(php_wxWindow, IsScrollbarAlwaysShown);
PHP_METHOD(php_wxWindow, IsShown);
PHP_METHOD(php_wxWindow, IsShownOnScreen);
PHP_METHOD(php_wxWindow, IsThisEnabled);
PHP_METHOD(php_wxWindow, IsTopLevel);
PHP_METHOD(php_wxWindow, Layout);
PHP_METHOD(php_wxWindow, LineDown);
PHP_METHOD(php_wxWindow, LineUp);
PHP_METHOD(php_wxWindow, Lower);
PHP_METHOD(php_wxWindow, Move);
PHP_METHOD(php_wxWindow, MoveAfterInTabOrder);
PHP_METHOD(php_wxWindow, MoveBeforeInTabOrder);
PHP_METHOD(php_wxWindow, Navigate);
PHP_METHOD(php_wxWindow, NavigateIn);
PHP_METHOD(php_wxWindow, NewControlId);
PHP_METHOD(php_wxWindow, OnInternalIdle);
PHP_METHOD(php_wxWindow, PageDown);
PHP_METHOD(php_wxWindow, PageUp);
PHP_METHOD(php_wxWindow, PopupMenu);
PHP_METHOD(php_wxWindow, PostSizeEvent);
PHP_METHOD(php_wxWindow, PostSizeEventToParent);
PHP_METHOD(php_wxWindow, ProcessEvent);
PHP_METHOD(php_wxWindow, ProcessWindowEvent);
PHP_METHOD(php_wxWindow, ProcessWindowEventLocally);
PHP_METHOD(php_wxWindow, PushEventHandler);
PHP_METHOD(php_wxWindow, QueueEvent);
PHP_METHOD(php_wxWindow, Raise);
PHP_METHOD(php_wxWindow, Refresh);
PHP_METHOD(php_wxWindow, RefreshRect);
PHP_METHOD(php_wxWindow, ReleaseMouse);
PHP_METHOD(php_wxWindow, RemoveChild);
PHP_METHOD(php_wxWindow, RemoveEventHandler);
PHP_METHOD(php_wxWindow, Reparent);
PHP_METHOD(php_wxWindow, ScreenToClient);
PHP_METHOD(php_wxWindow, ScrollLines);
PHP_METHOD(php_wxWindow, ScrollPages);
PHP_METHOD(php_wxWindow, SendSizeEvent);
PHP_METHOD(php_wxWindow, SendSizeEventToParent);
PHP_METHOD(php_wxWindow, SetAutoLayout);
PHP_METHOD(php_wxWindow, SetBackgroundColour);
PHP_METHOD(php_wxWindow, SetBackgroundStyle);
PHP_METHOD(php_wxWindow, SetCanFocus);
PHP_METHOD(php_wxWindow, SetCaret);
PHP_METHOD(php_wxWindow, SetClientSize);
PHP_METHOD(php_wxWindow, SetConstraints);
PHP_METHOD(php_wxWindow, SetContainingSizer);
PHP_METHOD(php_wxWindow, SetCursor);
PHP_METHOD(php_wxWindow, SetDropTarget);
PHP_METHOD(php_wxWindow, SetEventHandler);
PHP_METHOD(php_wxWindow, SetExtraStyle);
PHP_METHOD(php_wxWindow, SetFocus);
PHP_METHOD(php_wxWindow, SetFocusFromKbd);
PHP_METHOD(php_wxWindow, SetFont);
PHP_METHOD(php_wxWindow, SetForegroundColour);
PHP_METHOD(php_wxWindow, SetHelpText);
PHP_METHOD(php_wxWindow, SetId);
PHP_METHOD(php_wxWindow, SetInitialBestSize);
PHP_METHOD(php_wxWindow, SetInitialSize);
PHP_METHOD(php_wxWindow, SetLabel);
PHP_METHOD(php_wxWindow, SetLayoutDirection);
PHP_METHOD(php_wxWindow, SetMaxClientSize);
PHP_METHOD(php_wxWindow, SetMaxSize);
PHP_METHOD(php_wxWindow, SetMinClientSize);
PHP_METHOD(php_wxWindow, SetMinSize);
PHP_METHOD(php_wxWindow, SetName);
PHP_METHOD(php_wxWindow, SetNextHandler);
PHP_METHOD(php_wxWindow, SetOwnBackgroundColour);
PHP_METHOD(php_wxWindow, SetOwnFont);
PHP_METHOD(php_wxWindow, SetOwnForegroundColour);
PHP_METHOD(php_wxWindow, SetPalette);
PHP_METHOD(php_wxWindow, SetPosition);
PHP_METHOD(php_wxWindow, SetPreviousHandler);
PHP_METHOD(php_wxWindow, SetThemeEnabled);
PHP_METHOD(php_wxWindow, SetWindowVariant);
PHP_METHOD(php_wxWindow, Connect);
PHP_METHOD(php_wxSize, __construct);
PHP_METHOD(php_wxSize, SetWidth);
PHP_METHOD(php_wxSize, SetHeight);
PHP_METHOD(php_wxSize, SetDefaults);
PHP_METHOD(php_wxSize, Set);
PHP_METHOD(php_wxSize, GetHeight);
PHP_METHOD(php_wxSize, GetWidth);
PHP_METHOD(php_wxSize, IsFullySpecified);
PHP_METHOD(php_wxSize, Scale);
PHP_METHOD(php_wxSize, DecTo);
PHP_METHOD(php_wxSize, IncTo);
PHP_METHOD(php_wxPoint, __get);
PHP_METHOD(php_wxPoint, __construct);
PHP_METHOD(php_wxPoint, IsFullySpecified);
PHP_METHOD(php_wxRealPoint, __get);
PHP_METHOD(php_wxRealPoint, __construct);
PHP_METHOD(php_wxEvtHandler, __construct);
PHP_METHOD(php_wxEvtHandler, Connect);
PHP_METHOD(php_wxEvtHandler, AddFilter);
PHP_METHOD(php_wxEvtHandler, AddPendingEvent);
PHP_METHOD(php_wxEvtHandler, DeletePendingEvents);
PHP_METHOD(php_wxEvtHandler, GetEvtHandlerEnabled);
PHP_METHOD(php_wxEvtHandler, GetNextHandler);
PHP_METHOD(php_wxEvtHandler, GetPreviousHandler);
PHP_METHOD(php_wxEvtHandler, IsUnlinked);
PHP_METHOD(php_wxEvtHandler, ProcessEvent);
PHP_METHOD(php_wxEvtHandler, ProcessEventLocally);
PHP_METHOD(php_wxEvtHandler, ProcessPendingEvents);
PHP_METHOD(php_wxEvtHandler, QueueEvent);
PHP_METHOD(php_wxEvtHandler, RemoveFilter);
PHP_METHOD(php_wxEvtHandler, SafelyProcessEvent);
PHP_METHOD(php_wxEvtHandler, SetEvtHandlerEnabled);
PHP_METHOD(php_wxEvtHandler, SetNextHandler);
PHP_METHOD(php_wxEvtHandler, SetPreviousHandler);
PHP_METHOD(php_wxEvtHandler, TryAfter);
PHP_METHOD(php_wxEvtHandler, TryBefore);
PHP_METHOD(php_wxEvtHandler, Unlink);
PHP_METHOD(php_wxStatusBar, __construct);
PHP_METHOD(php_wxStatusBar, SetMinHeight);
PHP_METHOD(php_wxStatusBar, SetStatusText);
PHP_METHOD(php_wxStatusBar, Create);
PHP_METHOD(php_wxStatusBar, GetBorders);
PHP_METHOD(php_wxStatusBar, GetField);
PHP_METHOD(php_wxStatusBar, GetFieldRect);
PHP_METHOD(php_wxStatusBar, GetFieldsCount);
PHP_METHOD(php_wxStatusBar, GetStatusStyle);
PHP_METHOD(php_wxStatusBar, GetStatusText);
PHP_METHOD(php_wxStatusBar, GetStatusWidth);
PHP_METHOD(php_wxStatusBar, PopStatusText);
PHP_METHOD(php_wxStatusBar, PushStatusText);
PHP_METHOD(php_wxStatusBar, SetFieldsCount);
PHP_METHOD(php_wxStatusBar, SetStatusStyles);
PHP_METHOD(php_wxStatusBar, SetStatusWidths);
PHP_METHOD(php_wxStatusBar, Connect);
PHP_METHOD(php_wxButton, __construct);
PHP_METHOD(php_wxButton, SetLabel);
PHP_METHOD(php_wxButton, Create);
PHP_METHOD(php_wxButton, GetLabel);
PHP_METHOD(php_wxButton, SetDefault);
PHP_METHOD(php_wxButton, SetAuthNeeded);
PHP_METHOD(php_wxButton, GetDefaultSize);
PHP_METHOD(php_wxButton, GetAuthNeeded);
PHP_METHOD(php_wxButton, Connect);
PHP_METHOD(php_wxAnyButton, __construct);
PHP_METHOD(php_wxAnyButton, GetBitmap);
PHP_METHOD(php_wxAnyButton, GetBitmapCurrent);
PHP_METHOD(php_wxAnyButton, GetBitmapDisabled);
PHP_METHOD(php_wxAnyButton, GetBitmapFocus);
PHP_METHOD(php_wxAnyButton, GetBitmapLabel);
PHP_METHOD(php_wxAnyButton, GetBitmapMargins);
PHP_METHOD(php_wxAnyButton, GetBitmapPressed);
PHP_METHOD(php_wxAnyButton, SetBitmap);
PHP_METHOD(php_wxAnyButton, SetBitmapCurrent);
PHP_METHOD(php_wxAnyButton, SetBitmapDisabled);
PHP_METHOD(php_wxAnyButton, SetBitmapFocus);
PHP_METHOD(php_wxAnyButton, SetBitmapLabel);
PHP_METHOD(php_wxAnyButton, SetBitmapMargins);
PHP_METHOD(php_wxAnyButton, SetBitmapPosition);
PHP_METHOD(php_wxAnyButton, SetBitmapPressed);
PHP_METHOD(php_wxAnyButton, Connect);
PHP_METHOD(php_wxControl, __construct);
PHP_METHOD(php_wxControl, GetLabelText);
PHP_METHOD(php_wxControl, Create);
PHP_METHOD(php_wxControl, SetLabelMarkup);
PHP_METHOD(php_wxControl, SetLabelText);
PHP_METHOD(php_wxControl, RemoveMnemonics);
PHP_METHOD(php_wxControl, SetLabel);
PHP_METHOD(php_wxControl, GetLabel);
PHP_METHOD(php_wxControl, EscapeMnemonics);
PHP_METHOD(php_wxControl, Command);
PHP_METHOD(php_wxControl, Connect);
PHP_METHOD(php_wxValidator, __construct);
PHP_METHOD(php_wxValidator, Validate);
PHP_METHOD(php_wxValidator, TransferToWindow);
PHP_METHOD(php_wxValidator, TransferFromWindow);
PHP_METHOD(php_wxValidator, SetWindow);
PHP_METHOD(php_wxValidator, GetWindow);
PHP_METHOD(php_wxValidator, SuppressBellOnError);
PHP_METHOD(php_wxValidator, CloneMethod);
PHP_METHOD(php_wxValidator, Connect);
PHP_METHOD(php_wxBitmapHandler, __construct);
PHP_METHOD(php_wxBitmapHandler, SetType);
PHP_METHOD(php_wxBitmapHandler, SetName);
PHP_METHOD(php_wxBitmapHandler, SetExtension);
PHP_METHOD(php_wxBitmapHandler, LoadFile);
PHP_METHOD(php_wxBitmapHandler, GetType);
PHP_METHOD(php_wxBitmapHandler, GetName);
PHP_METHOD(php_wxBitmapHandler, GetExtension);
PHP_METHOD(php_wxBitmapHandler, SaveFile);
PHP_METHOD(php_wxBitmapHandler, Create);
PHP_METHOD(php_wxBitmap, AddHandler);
PHP_METHOD(php_wxBitmap, CleanUpHandlers);
PHP_METHOD(php_wxBitmap, ConvertToDisabled);
PHP_METHOD(php_wxBitmap, __construct);
PHP_METHOD(php_wxBitmap, LoadFile);
PHP_METHOD(php_wxBitmap, RemoveHandler);
PHP_METHOD(php_wxBitmap, SaveFile);
PHP_METHOD(php_wxBitmap, SetDepth);
PHP_METHOD(php_wxBitmap, SetHeight);
PHP_METHOD(php_wxBitmap, SetWidth);
PHP_METHOD(php_wxBitmap, ConvertToImage);
PHP_METHOD(php_wxBitmap, CopyFromIcon);
PHP_METHOD(php_wxBitmap, Create);
PHP_METHOD(php_wxBitmap, FindHandler);
PHP_METHOD(php_wxBitmap, GetDepth);
PHP_METHOD(php_wxBitmap, GetHeight);
PHP_METHOD(php_wxBitmap, GetMask);
PHP_METHOD(php_wxBitmap, GetPalette);
PHP_METHOD(php_wxBitmap, GetSize);
PHP_METHOD(php_wxBitmap, GetSubBitmap);
PHP_METHOD(php_wxBitmap, GetWidth);
PHP_METHOD(php_wxBitmap, InitStandardHandlers);
PHP_METHOD(php_wxBitmap, InsertHandler);
PHP_METHOD(php_wxBitmap, IsOk);
PHP_METHOD(php_wxBitmap, SetMask);
PHP_METHOD(php_wxBitmap, SetPalette);
PHP_METHOD(php_wxPalette, __construct);
PHP_METHOD(php_wxPalette, IsOk);
PHP_METHOD(php_wxPalette, GetPixel);
PHP_METHOD(php_wxPalette, GetColoursCount);
PHP_METHOD(php_wxPalette, Create);
PHP_METHOD(php_wxPalette, GetRGB);
PHP_METHOD(php_wxImage, __construct);
PHP_METHOD(php_wxImage, SetType);
PHP_METHOD(php_wxImage, SetRGB);
PHP_METHOD(php_wxImage, SetPalette);
PHP_METHOD(php_wxImage, SetOption);
PHP_METHOD(php_wxImage, SetMaskFromImage);
PHP_METHOD(php_wxImage, SetMaskColour);
PHP_METHOD(php_wxImage, SetMask);
PHP_METHOD(php_wxImage, SetData);
PHP_METHOD(php_wxImage, SetAlpha);
PHP_METHOD(php_wxImage, Scale);
PHP_METHOD(php_wxImage, SaveFile);
PHP_METHOD(php_wxImage, RotateHue);
PHP_METHOD(php_wxImage, Rotate90);
PHP_METHOD(php_wxImage, Rotate180);
PHP_METHOD(php_wxImage, Rotate);
PHP_METHOD(php_wxImage, Resize);
PHP_METHOD(php_wxImage, Rescale);
PHP_METHOD(php_wxImage, Replace);
PHP_METHOD(php_wxImage, RemoveHandler);
PHP_METHOD(php_wxImage, Paste);
PHP_METHOD(php_wxImage, Mirror);
PHP_METHOD(php_wxImage, LoadFile);
PHP_METHOD(php_wxImage, IsTransparent);
PHP_METHOD(php_wxImage, IsOk);
PHP_METHOD(php_wxImage, InsertHandler);
PHP_METHOD(php_wxImage, InitStandardHandlers);
PHP_METHOD(php_wxImage, InitAlpha);
PHP_METHOD(php_wxImage, HasOption);
PHP_METHOD(php_wxImage, HasMask);
PHP_METHOD(php_wxImage, HasAlpha);
PHP_METHOD(php_wxImage, GetWidth);
PHP_METHOD(php_wxImage, GetType);
PHP_METHOD(php_wxImage, GetSubImage);
PHP_METHOD(php_wxImage, GetSize);
PHP_METHOD(php_wxImage, GetRed);
PHP_METHOD(php_wxImage, GetPalette);
PHP_METHOD(php_wxImage, GetOrFindMaskColour);
PHP_METHOD(php_wxImage, GetOptionInt);
PHP_METHOD(php_wxImage, GetOption);
PHP_METHOD(php_wxImage, GetMaskRed);
PHP_METHOD(php_wxImage, GetMaskGreen);
PHP_METHOD(php_wxImage, GetMaskBlue);
PHP_METHOD(php_wxImage, GetImageExtWildcard);
PHP_METHOD(php_wxImage, GetImageCount);
PHP_METHOD(php_wxImage, GetHeight);
PHP_METHOD(php_wxImage, GetGreen);
PHP_METHOD(php_wxImage, GetData);
PHP_METHOD(php_wxImage, GetBlue);
PHP_METHOD(php_wxImage, GetAlpha);
PHP_METHOD(php_wxImage, FindHandlerMime);
PHP_METHOD(php_wxImage, FindHandler);
PHP_METHOD(php_wxImage, FindFirstUnusedColour);
PHP_METHOD(php_wxImage, Destroy);
PHP_METHOD(php_wxImage, Create);
PHP_METHOD(php_wxImage, Copy);
PHP_METHOD(php_wxImage, ConvertToMono);
PHP_METHOD(php_wxImage, ConvertToGreyscale);
PHP_METHOD(php_wxImage, ConvertToDisabled);
PHP_METHOD(php_wxImage, ConvertAlphaToMask);
PHP_METHOD(php_wxImage, ClearAlpha);
PHP_METHOD(php_wxImage, Clear);
PHP_METHOD(php_wxImage, CleanUpHandlers);
PHP_METHOD(php_wxImage, CanRead);
PHP_METHOD(php_wxImage, BlurVertical);
PHP_METHOD(php_wxImage, BlurHorizontal);
PHP_METHOD(php_wxImage, Blur);
PHP_METHOD(php_wxImage, AddHandler);
PHP_METHOD(php_wxImage, Size);
PHP_METHOD(php_wxIcon, __construct);
PHP_METHOD(php_wxIcon, SetWidth);
PHP_METHOD(php_wxIcon, SetHeight);
PHP_METHOD(php_wxIcon, SetDepth);
PHP_METHOD(php_wxIcon, LoadFile);
PHP_METHOD(php_wxIcon, IsOk);
PHP_METHOD(php_wxIcon, GetWidth);
PHP_METHOD(php_wxIcon, GetHeight);
PHP_METHOD(php_wxIcon, GetDepth);
PHP_METHOD(php_wxIcon, CopyFromBitmap);
PHP_METHOD(php_wxSplitterWindow, __construct);
PHP_METHOD(php_wxSplitterWindow, UpdateSize);
PHP_METHOD(php_wxSplitterWindow, Unsplit);
PHP_METHOD(php_wxSplitterWindow, SplitVertically);
PHP_METHOD(php_wxSplitterWindow, SplitHorizontally);
PHP_METHOD(php_wxSplitterWindow, SetSplitMode);
PHP_METHOD(php_wxSplitterWindow, SetSashPosition);
PHP_METHOD(php_wxSplitterWindow, SetSashGravity);
PHP_METHOD(php_wxSplitterWindow, ReplaceWindow);
PHP_METHOD(php_wxSplitterWindow, SetMinimumPaneSize);
PHP_METHOD(php_wxSplitterWindow, IsSplit);
PHP_METHOD(php_wxSplitterWindow, Initialize);
PHP_METHOD(php_wxSplitterWindow, GetWindow2);
PHP_METHOD(php_wxSplitterWindow, GetWindow1);
PHP_METHOD(php_wxSplitterWindow, GetSplitMode);
PHP_METHOD(php_wxSplitterWindow, GetSashSize);
PHP_METHOD(php_wxSplitterWindow, GetSashPosition);
PHP_METHOD(php_wxSplitterWindow, GetSashGravity);
PHP_METHOD(php_wxSplitterWindow, GetMinimumPaneSize);
PHP_METHOD(php_wxSplitterWindow, Create);
PHP_METHOD(php_wxSplitterWindow, OnDoubleClickSash);
PHP_METHOD(php_wxSplitterWindow, OnSashPositionChange);
PHP_METHOD(php_wxSplitterWindow, OnUnsplit);
PHP_METHOD(php_wxSplitterWindow, Connect);
PHP_METHOD(php_wxBoxSizer, __construct);
PHP_METHOD(php_wxBoxSizer, RecalcSizes);
PHP_METHOD(php_wxBoxSizer, GetOrientation);
PHP_METHOD(php_wxBoxSizer, CalcMin);
PHP_METHOD(php_wxBoxSizer, AddSpacer);
PHP_METHOD(php_wxSizer, Show);
PHP_METHOD(php_wxSizer, __construct);
PHP_METHOD(php_wxSizer, SetSizeHints);
PHP_METHOD(php_wxSizer, SetVirtualSizeHints);
PHP_METHOD(php_wxSizer, SetMinSize);
PHP_METHOD(php_wxSizer, SetItemMinSize);
PHP_METHOD(php_wxSizer, SetDimension);
PHP_METHOD(php_wxSizer, Replace);
PHP_METHOD(php_wxSizer, Remove);
PHP_METHOD(php_wxSizer, RecalcSizes);
PHP_METHOD(php_wxSizer, PrependStretchSpacer);
PHP_METHOD(php_wxSizer, PrependSpacer);
PHP_METHOD(php_wxSizer, Prepend);
PHP_METHOD(php_wxSizer, Layout);
PHP_METHOD(php_wxSizer, IsShown);
PHP_METHOD(php_wxSizer, IsEmpty);
PHP_METHOD(php_wxSizer, InsertStretchSpacer);
PHP_METHOD(php_wxSizer, InsertSpacer);
PHP_METHOD(php_wxSizer, Insert);
PHP_METHOD(php_wxSizer, InformFirstDirection);
PHP_METHOD(php_wxSizer, Hide);
PHP_METHOD(php_wxSizer, GetSize);
PHP_METHOD(php_wxSizer, GetPosition);
PHP_METHOD(php_wxSizer, GetMinSize);
PHP_METHOD(php_wxSizer, GetItemCount);
PHP_METHOD(php_wxSizer, FitInside);
PHP_METHOD(php_wxSizer, Fit);
PHP_METHOD(php_wxSizer, Detach);
PHP_METHOD(php_wxSizer, ComputeFittingWindowSize);
PHP_METHOD(php_wxSizer, ComputeFittingClientSize);
PHP_METHOD(php_wxSizer, Add);
PHP_METHOD(php_wxSizer, AddSpacer);
PHP_METHOD(php_wxSizer, AddStretchSpacer);
PHP_METHOD(php_wxSizer, CalcMin);
PHP_METHOD(php_wxSizer, Clear);
PHP_METHOD(php_wxSizer, GetContainingWindow);
PHP_METHOD(php_wxSizer, GetItem);
PHP_METHOD(php_wxSizer, GetItemById);
PHP_METHOD(php_wxSizerItem, __construct);
PHP_METHOD(php_wxSizerItem, SetWindow);
PHP_METHOD(php_wxSizerItem, Show);
PHP_METHOD(php_wxSizerItem, SetUserData);
PHP_METHOD(php_wxSizerItem, SetSpacer);
PHP_METHOD(php_wxSizerItem, SetSizer);
PHP_METHOD(php_wxSizerItem, SetRatio);
PHP_METHOD(php_wxSizerItem, SetProportion);
PHP_METHOD(php_wxSizerItem, SetMinSize);
PHP_METHOD(php_wxSizerItem, SetInitSize);
PHP_METHOD(php_wxSizerItem, SetId);
PHP_METHOD(php_wxSizerItem, SetFlag);
PHP_METHOD(php_wxSizerItem, SetDimension);
PHP_METHOD(php_wxSizerItem, SetBorder);
PHP_METHOD(php_wxSizerItem, IsWindow);
PHP_METHOD(php_wxSizerItem, IsSpacer);
PHP_METHOD(php_wxSizerItem, IsSizer);
PHP_METHOD(php_wxSizerItem, IsShown);
PHP_METHOD(php_wxSizerItem, AssignSizer);
PHP_METHOD(php_wxSizerItem, AssignSpacer);
PHP_METHOD(php_wxSizerItem, AssignWindow);
PHP_METHOD(php_wxSizerItem, CalcMin);
PHP_METHOD(php_wxSizerItem, DeleteWindows);
PHP_METHOD(php_wxSizerItem, DetachSizer);
PHP_METHOD(php_wxSizerItem, GetBorder);
PHP_METHOD(php_wxSizerItem, GetFlag);
PHP_METHOD(php_wxSizerItem, GetId);
PHP_METHOD(php_wxSizerItem, GetMinSize);
PHP_METHOD(php_wxSizerItem, GetPosition);
PHP_METHOD(php_wxSizerItem, GetProportion);
PHP_METHOD(php_wxSizerItem, GetRatio);
PHP_METHOD(php_wxSizerItem, GetRect);
PHP_METHOD(php_wxSizerItem, GetSize);
PHP_METHOD(php_wxSizerItem, GetSizer);
PHP_METHOD(php_wxSizerItem, GetSpacer);
PHP_METHOD(php_wxSizerItem, GetUserData);
PHP_METHOD(php_wxSizerItem, GetWindow);
PHP_METHOD(php_wxSizerFlags, __construct);
PHP_METHOD(php_wxSizerFlags, TripleBorder);
PHP_METHOD(php_wxSizerFlags, Top);
PHP_METHOD(php_wxSizerFlags, Shaped);
PHP_METHOD(php_wxSizerFlags, Right);
PHP_METHOD(php_wxSizerFlags, ReserveSpaceEvenIfHidden);
PHP_METHOD(php_wxSizerFlags, Proportion);
PHP_METHOD(php_wxSizerFlags, Left);
PHP_METHOD(php_wxSizerFlags, GetDefaultBorder);
PHP_METHOD(php_wxSizerFlags, FixedMinSize);
PHP_METHOD(php_wxSizerFlags, Expand);
PHP_METHOD(php_wxSizerFlags, DoubleHorzBorder);
PHP_METHOD(php_wxSizerFlags, DoubleBorder);
PHP_METHOD(php_wxSizerFlags, Centre);
PHP_METHOD(php_wxSizerFlags, Center);
PHP_METHOD(php_wxSizerFlags, Bottom);
PHP_METHOD(php_wxSizerFlags, Border);
PHP_METHOD(php_wxSizerFlags, Align);
PHP_METHOD(php_wxRect, __get);
PHP_METHOD(php_wxRect, __construct);
PHP_METHOD(php_wxRect, SetX);
PHP_METHOD(php_wxRect, SetY);
PHP_METHOD(php_wxRect, Union);
PHP_METHOD(php_wxRect, SetWidth);
PHP_METHOD(php_wxRect, SetSize);
PHP_METHOD(php_wxRect, SetHeight);
PHP_METHOD(php_wxRect, Offset);
PHP_METHOD(php_wxRect, IsEmpty);
PHP_METHOD(php_wxRect, Intersects);
PHP_METHOD(php_wxRect, Intersect);
PHP_METHOD(php_wxRect, Inflate);
PHP_METHOD(php_wxRect, GetY);
PHP_METHOD(php_wxRect, GetX);
PHP_METHOD(php_wxRect, GetWidth);
PHP_METHOD(php_wxRect, GetTopRight);
PHP_METHOD(php_wxRect, GetTopLeft);
PHP_METHOD(php_wxRect, GetTop);
PHP_METHOD(php_wxRect, GetSize);
PHP_METHOD(php_wxRect, GetRight);
PHP_METHOD(php_wxRect, GetPosition);
PHP_METHOD(php_wxRect, CenterIn);
PHP_METHOD(php_wxRect, CentreIn);
PHP_METHOD(php_wxRect, Contains);
PHP_METHOD(php_wxRect, Deflate);
PHP_METHOD(php_wxRect, GetBottom);
PHP_METHOD(php_wxRect, GetBottomLeft);
PHP_METHOD(php_wxRect, GetBottomRight);
PHP_METHOD(php_wxRect, GetHeight);
PHP_METHOD(php_wxRect, GetLeft);
PHP_METHOD(php_wxTreeCtrl, __construct);
PHP_METHOD(php_wxTreeCtrl, AddRoot);
PHP_METHOD(php_wxTreeCtrl, AppendItem);
PHP_METHOD(php_wxTreeCtrl, AssignImageList);
PHP_METHOD(php_wxTreeCtrl, AssignStateImageList);
PHP_METHOD(php_wxTreeCtrl, ClearFocusedItem);
PHP_METHOD(php_wxTreeCtrl, Collapse);
PHP_METHOD(php_wxTreeCtrl, CollapseAll);
PHP_METHOD(php_wxTreeCtrl, CollapseAllChildren);
PHP_METHOD(php_wxTreeCtrl, CollapseAndReset);
PHP_METHOD(php_wxTreeCtrl, Create);
PHP_METHOD(php_wxTreeCtrl, Delete);
PHP_METHOD(php_wxTreeCtrl, DeleteAllItems);
PHP_METHOD(php_wxTreeCtrl, DeleteChildren);
PHP_METHOD(php_wxTreeCtrl, EndEditLabel);
PHP_METHOD(php_wxTreeCtrl, EnsureVisible);
PHP_METHOD(php_wxTreeCtrl, Expand);
PHP_METHOD(php_wxTreeCtrl, ExpandAll);
PHP_METHOD(php_wxTreeCtrl, ExpandAllChildren);
PHP_METHOD(php_wxTreeCtrl, GetBoundingRect);
PHP_METHOD(php_wxTreeCtrl, GetChildrenCount);
PHP_METHOD(php_wxTreeCtrl, GetCount);
PHP_METHOD(php_wxTreeCtrl, GetEditControl);
PHP_METHOD(php_wxTreeCtrl, GetFirstVisibleItem);
PHP_METHOD(php_wxTreeCtrl, GetFocusedItem);
PHP_METHOD(php_wxTreeCtrl, GetImageList);
PHP_METHOD(php_wxTreeCtrl, GetIndent);
PHP_METHOD(php_wxTreeCtrl, GetItemBackgroundColour);
PHP_METHOD(php_wxTreeCtrl, GetItemData);
PHP_METHOD(php_wxTreeCtrl, GetItemFont);
PHP_METHOD(php_wxTreeCtrl, GetItemImage);
PHP_METHOD(php_wxTreeCtrl, GetItemParent);
PHP_METHOD(php_wxTreeCtrl, GetItemState);
PHP_METHOD(php_wxTreeCtrl, GetItemText);
PHP_METHOD(php_wxTreeCtrl, GetItemTextColour);
PHP_METHOD(php_wxTreeCtrl, GetLastChild);
PHP_METHOD(php_wxTreeCtrl, GetNextSibling);
PHP_METHOD(php_wxTreeCtrl, GetNextVisible);
PHP_METHOD(php_wxTreeCtrl, GetPrevSibling);
PHP_METHOD(php_wxTreeCtrl, GetPrevVisible);
PHP_METHOD(php_wxTreeCtrl, GetQuickBestSize);
PHP_METHOD(php_wxTreeCtrl, GetRootItem);
PHP_METHOD(php_wxTreeCtrl, GetSelection);
PHP_METHOD(php_wxTreeCtrl, GetStateImageList);
PHP_METHOD(php_wxTreeCtrl, HitTest);
PHP_METHOD(php_wxTreeCtrl, InsertItem);
PHP_METHOD(php_wxTreeCtrl, IsBold);
PHP_METHOD(php_wxTreeCtrl, IsEmpty);
PHP_METHOD(php_wxTreeCtrl, IsExpanded);
PHP_METHOD(php_wxTreeCtrl, IsSelected);
PHP_METHOD(php_wxTreeCtrl, IsVisible);
PHP_METHOD(php_wxTreeCtrl, ItemHasChildren);
PHP_METHOD(php_wxTreeCtrl, PrependItem);
PHP_METHOD(php_wxTreeCtrl, ScrollTo);
PHP_METHOD(php_wxTreeCtrl, SelectChildren);
PHP_METHOD(php_wxTreeCtrl, SelectItem);
PHP_METHOD(php_wxTreeCtrl, SetFocusedItem);
PHP_METHOD(php_wxTreeCtrl, SetImageList);
PHP_METHOD(php_wxTreeCtrl, SetIndent);
PHP_METHOD(php_wxTreeCtrl, SetItemBackgroundColour);
PHP_METHOD(php_wxTreeCtrl, SetItemBold);
PHP_METHOD(php_wxTreeCtrl, SetItemData);
PHP_METHOD(php_wxTreeCtrl, SetItemDropHighlight);
PHP_METHOD(php_wxTreeCtrl, SetItemFont);
PHP_METHOD(php_wxTreeCtrl, SetItemHasChildren);
PHP_METHOD(php_wxTreeCtrl, SetItemImage);
PHP_METHOD(php_wxTreeCtrl, SetItemState);
PHP_METHOD(php_wxTreeCtrl, SetItemText);
PHP_METHOD(php_wxTreeCtrl, SetItemTextColour);
PHP_METHOD(php_wxTreeCtrl, SetQuickBestSize);
PHP_METHOD(php_wxTreeCtrl, SetStateImageList);
PHP_METHOD(php_wxTreeCtrl, SetWindowStyle);
PHP_METHOD(php_wxTreeCtrl, SortChildren);
PHP_METHOD(php_wxTreeCtrl, Toggle);
PHP_METHOD(php_wxTreeCtrl, ToggleItemSelection);
PHP_METHOD(php_wxTreeCtrl, Unselect);
PHP_METHOD(php_wxTreeCtrl, UnselectAll);
PHP_METHOD(php_wxTreeCtrl, UnselectItem);
PHP_METHOD(php_wxTreeCtrl, Connect);
PHP_METHOD(php_wxTreeItemId, __construct);
PHP_METHOD(php_wxTreeItemId, IsOk);
PHP_METHOD(php_wxTreeItemData, GetId);
PHP_METHOD(php_wxTreeItemData, SetId);
PHP_METHOD(php_wxTreeItemData, __construct);
PHP_METHOD(php_wxClientData, __construct);
PHP_METHOD(php_wxImageList, Add);
PHP_METHOD(php_wxImageList, Create);
PHP_METHOD(php_wxImageList, GetBitmap);
PHP_METHOD(php_wxImageList, GetIcon);
PHP_METHOD(php_wxImageList, GetImageCount);
PHP_METHOD(php_wxImageList, GetSize);
PHP_METHOD(php_wxImageList, Remove);
PHP_METHOD(php_wxImageList, RemoveAll);
PHP_METHOD(php_wxImageList, Replace);
PHP_METHOD(php_wxImageList, __construct);
PHP_METHOD(php_wxImageList, Draw);
PHP_METHOD(php_wxDC, StartPage);
PHP_METHOD(php_wxDC, StartDoc);
PHP_METHOD(php_wxDC, SetUserScale);
PHP_METHOD(php_wxDC, SetTextForeground);
PHP_METHOD(php_wxDC, SetTextBackground);
PHP_METHOD(php_wxDC, CalcBoundingBox);
PHP_METHOD(php_wxDC, CanUseTransformMatrix);
PHP_METHOD(php_wxDC, Clear);
PHP_METHOD(php_wxDC, CopyAttributes);
PHP_METHOD(php_wxDC, CrossHair);
PHP_METHOD(php_wxDC, DestroyClippingRegion);
PHP_METHOD(php_wxDC, DeviceToLogicalX);
PHP_METHOD(php_wxDC, DeviceToLogicalXRel);
PHP_METHOD(php_wxDC, DeviceToLogicalY);
PHP_METHOD(php_wxDC, DeviceToLogicalYRel);
PHP_METHOD(php_wxDC, DrawArc);
PHP_METHOD(php_wxDC, DrawBitmap);
PHP_METHOD(php_wxDC, DrawCheckMark);
PHP_METHOD(php_wxDC, DrawCircle);
PHP_METHOD(php_wxDC, DrawEllipse);
PHP_METHOD(php_wxDC, DrawEllipticArc);
PHP_METHOD(php_wxDC, DrawIcon);
PHP_METHOD(php_wxDC, DrawLabel);
PHP_METHOD(php_wxDC, DrawLine);
PHP_METHOD(php_wxDC, DrawPoint);
PHP_METHOD(php_wxDC, DrawRectangle);
PHP_METHOD(php_wxDC, DrawRotatedText);
PHP_METHOD(php_wxDC, DrawRoundedRectangle);
PHP_METHOD(php_wxDC, DrawSpline);
PHP_METHOD(php_wxDC, DrawText);
PHP_METHOD(php_wxDC, EndDoc);
PHP_METHOD(php_wxDC, EndPage);
PHP_METHOD(php_wxDC, FloodFill);
PHP_METHOD(php_wxDC, GetBackground);
PHP_METHOD(php_wxDC, GetBackgroundMode);
PHP_METHOD(php_wxDC, GetBrush);
PHP_METHOD(php_wxDC, GetCharHeight);
PHP_METHOD(php_wxDC, GetCharWidth);
PHP_METHOD(php_wxDC, GetClippingBox);
PHP_METHOD(php_wxDC, GetDepth);
PHP_METHOD(php_wxDC, GetDeviceOrigin);
PHP_METHOD(php_wxDC, GetFont);
PHP_METHOD(php_wxDC, GetLayoutDirection);
PHP_METHOD(php_wxDC, GetLogicalFunction);
PHP_METHOD(php_wxDC, GetLogicalOrigin);
PHP_METHOD(php_wxDC, GetLogicalScale);
PHP_METHOD(php_wxDC, GetMapMode);
PHP_METHOD(php_wxDC, GetMultiLineTextExtent);
PHP_METHOD(php_wxDC, GetPPI);
PHP_METHOD(php_wxDC, GetPen);
PHP_METHOD(php_wxDC, GetPixel);
PHP_METHOD(php_wxDC, GetSize);
PHP_METHOD(php_wxDC, GetSizeMM);
PHP_METHOD(php_wxDC, GetTextBackground);
PHP_METHOD(php_wxDC, GetTextExtent);
PHP_METHOD(php_wxDC, GetTextForeground);
PHP_METHOD(php_wxDC, GetUserScale);
PHP_METHOD(php_wxDC, GradientFillConcentric);
PHP_METHOD(php_wxDC, GradientFillLinear);
PHP_METHOD(php_wxDC, IsOk);
PHP_METHOD(php_wxDC, LogicalToDeviceX);
PHP_METHOD(php_wxDC, LogicalToDeviceY);
PHP_METHOD(php_wxDC, LogicalToDeviceXRel);
PHP_METHOD(php_wxDC, LogicalToDeviceYRel);
PHP_METHOD(php_wxDC, MaxX);
PHP_METHOD(php_wxDC, MaxY);
PHP_METHOD(php_wxDC, MinX);
PHP_METHOD(php_wxDC, MinY);
PHP_METHOD(php_wxDC, ResetBoundingBox);
PHP_METHOD(php_wxDC, ResetTransformMatrix);
PHP_METHOD(php_wxDC, SetAxisOrientation);
PHP_METHOD(php_wxDC, SetBackground);
PHP_METHOD(php_wxDC, SetBackgroundMode);
PHP_METHOD(php_wxDC, SetBrush);
PHP_METHOD(php_wxDC, SetClippingRegion);
PHP_METHOD(php_wxDC, SetDeviceClippingRegion);
PHP_METHOD(php_wxDC, SetDeviceOrigin);
PHP_METHOD(php_wxDC, SetFont);
PHP_METHOD(php_wxDC, SetLayoutDirection);
PHP_METHOD(php_wxDC, SetLogicalFunction);
PHP_METHOD(php_wxDC, SetLogicalOrigin);
PHP_METHOD(php_wxDC, SetLogicalScale);
PHP_METHOD(php_wxDC, SetMapMode);
PHP_METHOD(php_wxDC, SetPalette);
PHP_METHOD(php_wxDC, SetPen);
PHP_METHOD(php_wxDC, StretchBlit);
PHP_METHOD(php_wxDC, Blit);
PHP_METHOD(php_wxColour, __construct);
PHP_METHOD(php_wxColour, Set);
PHP_METHOD(php_wxColour, Red);
PHP_METHOD(php_wxColour, SetRGB);
PHP_METHOD(php_wxColour, SetRGBA);
PHP_METHOD(php_wxColour, Blue);
PHP_METHOD(php_wxColour, Green);
PHP_METHOD(php_wxColour, GetRGBA);
PHP_METHOD(php_wxColour, GetRGB);
PHP_METHOD(php_wxColour, Alpha);
PHP_METHOD(php_wxFont, __construct);
PHP_METHOD(php_wxFont, Bold);
PHP_METHOD(php_wxFont, GetDefaultEncoding);
PHP_METHOD(php_wxFont, GetEncoding);
PHP_METHOD(php_wxFont, GetFaceName);
PHP_METHOD(php_wxFont, GetFamily);
PHP_METHOD(php_wxFont, GetNativeFontInfoDesc);
PHP_METHOD(php_wxFont, GetNativeFontInfoUserDesc);
PHP_METHOD(php_wxFont, GetPixelSize);
PHP_METHOD(php_wxFont, GetPointSize);
PHP_METHOD(php_wxFont, GetStyle);
PHP_METHOD(php_wxFont, GetUnderlined);
PHP_METHOD(php_wxFont, GetWeight);
PHP_METHOD(php_wxFont, IsFixedWidth);
PHP_METHOD(php_wxFont, IsOk);
PHP_METHOD(php_wxFont, Italic);
PHP_METHOD(php_wxFont, Larger);
PHP_METHOD(php_wxFont, MakeBold);
PHP_METHOD(php_wxFont, MakeItalic);
PHP_METHOD(php_wxFont, MakeLarger);
PHP_METHOD(php_wxFont, MakeSmaller);
PHP_METHOD(php_wxFont, MakeUnderlined);
PHP_METHOD(php_wxFont, NewMethod);
PHP_METHOD(php_wxFont, Scale);
PHP_METHOD(php_wxFont, Scaled);
PHP_METHOD(php_wxFont, SetDefaultEncoding);
PHP_METHOD(php_wxFont, SetEncoding);
PHP_METHOD(php_wxFont, SetFaceName);
PHP_METHOD(php_wxFont, SetFamily);
PHP_METHOD(php_wxFont, SetNativeFontInfo);
PHP_METHOD(php_wxFont, SetNativeFontInfoUserDesc);
PHP_METHOD(php_wxFont, SetPixelSize);
PHP_METHOD(php_wxFont, SetPointSize);
PHP_METHOD(php_wxFont, SetStyle);
PHP_METHOD(php_wxFont, SetSymbolicSize);
PHP_METHOD(php_wxFont, SetSymbolicSizeRelativeTo);
PHP_METHOD(php_wxFont, SetUnderlined);
PHP_METHOD(php_wxFont, SetWeight);
PHP_METHOD(php_wxFont, Smaller);
PHP_METHOD(php_wxFont, Underlined);
PHP_METHOD(php_wxFont, GetNativeFontInfo);
PHP_METHOD(php_wxPanel, AcceptsFocus);
PHP_METHOD(php_wxPanel, Create);
PHP_METHOD(php_wxPanel, InitDialog);
PHP_METHOD(php_wxPanel, Layout);
PHP_METHOD(php_wxPanel, SetFocus);
PHP_METHOD(php_wxPanel, SetFocusIgnoringChildren);
PHP_METHOD(php_wxPanel, __construct);
PHP_METHOD(php_wxPanel, Connect);
PHP_METHOD(php_wxCheckListBox, Check);
PHP_METHOD(php_wxCheckListBox, Create);
PHP_METHOD(php_wxCheckListBox, IsChecked);
PHP_METHOD(php_wxCheckListBox, __construct);
PHP_METHOD(php_wxCheckListBox, Connect);
PHP_METHOD(php_wxListBox, __construct);
PHP_METHOD(php_wxListBox, SetStringSelection);
PHP_METHOD(php_wxListBox, SetString);
PHP_METHOD(php_wxListBox, SetSelection);
PHP_METHOD(php_wxListBox, SetFirstItem);
PHP_METHOD(php_wxListBox, IsSorted);
PHP_METHOD(php_wxListBox, InsertItems);
PHP_METHOD(php_wxListBox, IsSelected);
PHP_METHOD(php_wxListBox, HitTest);
PHP_METHOD(php_wxListBox, GetString);
PHP_METHOD(php_wxListBox, GetSelection);
PHP_METHOD(php_wxListBox, GetCount);
PHP_METHOD(php_wxListBox, FindString);
PHP_METHOD(php_wxListBox, EnsureVisible);
PHP_METHOD(php_wxListBox, Deselect);
PHP_METHOD(php_wxListBox, Create);
PHP_METHOD(php_wxListBox, Connect);
PHP_METHOD(php_wxControlWithItems, Connect);
PHP_METHOD(php_wxMenuBar, __construct);
PHP_METHOD(php_wxMenuBar, Append);
PHP_METHOD(php_wxMenuBar, Attach);
PHP_METHOD(php_wxMenuBar, Check);
PHP_METHOD(php_wxMenuBar, Detach);
PHP_METHOD(php_wxMenuBar, Enable);
PHP_METHOD(php_wxMenuBar, EnableTop);
PHP_METHOD(php_wxMenuBar, FindMenu);
PHP_METHOD(php_wxMenuBar, FindMenuItem);
PHP_METHOD(php_wxMenuBar, GetFrame);
PHP_METHOD(php_wxMenuBar, GetHelpString);
PHP_METHOD(php_wxMenuBar, GetLabel);
PHP_METHOD(php_wxMenuBar, GetLabelTop);
PHP_METHOD(php_wxMenuBar, GetMenu);
PHP_METHOD(php_wxMenuBar, GetMenuCount);
PHP_METHOD(php_wxMenuBar, GetMenuLabel);
PHP_METHOD(php_wxMenuBar, GetMenuLabelText);
PHP_METHOD(php_wxMenuBar, Insert);
PHP_METHOD(php_wxMenuBar, IsAttached);
PHP_METHOD(php_wxMenuBar, IsChecked);
PHP_METHOD(php_wxMenuBar, IsEnabled);
PHP_METHOD(php_wxMenuBar, Refresh);
PHP_METHOD(php_wxMenuBar, Remove);
PHP_METHOD(php_wxMenuBar, Replace);
PHP_METHOD(php_wxMenuBar, SetHelpString);
PHP_METHOD(php_wxMenuBar, SetLabel);
PHP_METHOD(php_wxMenuBar, SetLabelTop);
PHP_METHOD(php_wxMenuBar, SetMenuLabel);
PHP_METHOD(php_wxMenuBar, Connect);
PHP_METHOD(php_wxMenuEvent, GetMenu);
PHP_METHOD(php_wxMenuEvent, GetMenuId);
PHP_METHOD(php_wxMenuEvent, IsPopup);
PHP_METHOD(php_wxMenuEvent, __construct);
PHP_METHOD(php_wxMenuItem, __construct);
PHP_METHOD(php_wxMenuItem, SetText);
PHP_METHOD(php_wxMenuItem, SetSubMenu);
PHP_METHOD(php_wxMenuItem, SetMenu);
PHP_METHOD(php_wxMenuItem, SetItemLabel);
PHP_METHOD(php_wxMenuItem, SetHelp);
PHP_METHOD(php_wxMenuItem, IsSubMenu);
PHP_METHOD(php_wxMenuItem, IsSeparator);
PHP_METHOD(php_wxMenuItem, Check);
PHP_METHOD(php_wxMenuItem, Enable);
PHP_METHOD(php_wxMenuItem, GetHelp);
PHP_METHOD(php_wxMenuItem, GetId);
PHP_METHOD(php_wxMenuItem, GetItemLabel);
PHP_METHOD(php_wxMenuItem, GetItemLabelText);
PHP_METHOD(php_wxMenuItem, GetKind);
PHP_METHOD(php_wxMenuItem, GetLabel);
PHP_METHOD(php_wxMenuItem, GetLabelFromText);
PHP_METHOD(php_wxMenuItem, GetLabelText);
PHP_METHOD(php_wxMenuItem, GetMenu);
PHP_METHOD(php_wxMenuItem, GetName);
PHP_METHOD(php_wxMenuItem, GetSubMenu);
PHP_METHOD(php_wxMenuItem, GetText);
PHP_METHOD(php_wxMenuItem, IsCheckable);
PHP_METHOD(php_wxMenuItem, IsChecked);
PHP_METHOD(php_wxMenuItem, IsEnabled);
PHP_METHOD(php_wxMenuItem, SetBitmap);
PHP_METHOD(php_wxMenu, __construct);
PHP_METHOD(php_wxMenu, SetTitle);
PHP_METHOD(php_wxMenu, SetParent);
PHP_METHOD(php_wxMenu, SetLabel);
PHP_METHOD(php_wxMenu, SetInvokingWindow);
PHP_METHOD(php_wxMenu, SetHelpString);
PHP_METHOD(php_wxMenu, Remove);
PHP_METHOD(php_wxMenu, PrependSeparator);
PHP_METHOD(php_wxMenu, PrependRadioItem);
PHP_METHOD(php_wxMenu, PrependCheckItem);
PHP_METHOD(php_wxMenu, Prepend);
PHP_METHOD(php_wxMenu, Append);
PHP_METHOD(php_wxMenu, AppendCheckItem);
PHP_METHOD(php_wxMenu, AppendRadioItem);
PHP_METHOD(php_wxMenu, AppendSeparator);
PHP_METHOD(php_wxMenu, AppendSubMenu);
PHP_METHOD(php_wxMenu, Attach);
PHP_METHOD(php_wxMenu, BreakMethod);
PHP_METHOD(php_wxMenu, Check);
PHP_METHOD(php_wxMenu, Delete);
PHP_METHOD(php_wxMenu, Destroy);
PHP_METHOD(php_wxMenu, Detach);
PHP_METHOD(php_wxMenu, Enable);
PHP_METHOD(php_wxMenu, FindItem);
PHP_METHOD(php_wxMenu, FindItemByPosition);
PHP_METHOD(php_wxMenu, GetHelpString);
PHP_METHOD(php_wxMenu, GetInvokingWindow);
PHP_METHOD(php_wxMenu, GetLabel);
PHP_METHOD(php_wxMenu, GetLabelText);
PHP_METHOD(php_wxMenu, GetMenuItemCount);
PHP_METHOD(php_wxMenu, GetParent);
PHP_METHOD(php_wxMenu, GetStyle);
PHP_METHOD(php_wxMenu, GetTitle);
PHP_METHOD(php_wxMenu, GetWindow);
PHP_METHOD(php_wxMenu, Insert);
PHP_METHOD(php_wxMenu, InsertCheckItem);
PHP_METHOD(php_wxMenu, InsertRadioItem);
PHP_METHOD(php_wxMenu, InsertSeparator);
PHP_METHOD(php_wxMenu, IsAttached);
PHP_METHOD(php_wxMenu, IsChecked);
PHP_METHOD(php_wxMenu, IsEnabled);
PHP_METHOD(php_wxMenu, FindChildItem);
PHP_METHOD(php_wxMenu, Connect);
PHP_METHOD(php_wxEvent, GetEventCategory);
PHP_METHOD(php_wxEvent, GetEventObject);
PHP_METHOD(php_wxEvent, GetEventType);
PHP_METHOD(php_wxEvent, GetId);
PHP_METHOD(php_wxEvent, GetSkipped);
PHP_METHOD(php_wxEvent, GetTimestamp);
PHP_METHOD(php_wxEvent, IsCommandEvent);
PHP_METHOD(php_wxEvent, ResumePropagation);
PHP_METHOD(php_wxEvent, SetEventObject);
PHP_METHOD(php_wxEvent, SetEventType);
PHP_METHOD(php_wxEvent, SetId);
PHP_METHOD(php_wxEvent, SetTimestamp);
PHP_METHOD(php_wxEvent, ShouldPropagate);
PHP_METHOD(php_wxEvent, Skip);
PHP_METHOD(php_wxEvent, StopPropagation);
PHP_METHOD(php_wxEvent, __get);
PHP_METHOD(php_wxEvent, __construct);
PHP_METHOD(php_wxEvent, CloneMethod);
PHP_METHOD(php_wxTreeEvent, GetItem);
PHP_METHOD(php_wxTreeEvent, GetKeyCode);
PHP_METHOD(php_wxTreeEvent, GetKeyEvent);
PHP_METHOD(php_wxTreeEvent, GetLabel);
PHP_METHOD(php_wxTreeEvent, GetOldItem);
PHP_METHOD(php_wxTreeEvent, GetPoint);
PHP_METHOD(php_wxTreeEvent, IsEditCancelled);
PHP_METHOD(php_wxTreeEvent, SetToolTip);
PHP_METHOD(php_wxTreeEvent, __construct);
PHP_METHOD(php_wxKeyEvent, DoAllowNextEvent);
PHP_METHOD(php_wxKeyEvent, GetKeyCode);
PHP_METHOD(php_wxKeyEvent, GetPosition);
PHP_METHOD(php_wxKeyEvent, GetRawKeyCode);
PHP_METHOD(php_wxKeyEvent, GetRawKeyFlags);
PHP_METHOD(php_wxKeyEvent, GetX);
PHP_METHOD(php_wxKeyEvent, GetY);
PHP_METHOD(php_wxKeyEvent, IsKeyInCategory);
PHP_METHOD(php_wxKeyEvent, IsNextEventAllowed);
PHP_METHOD(php_wxKeyEvent, __construct);
PHP_METHOD(php_wxKeyboardState, AltDown);
PHP_METHOD(php_wxKeyboardState, CmdDown);
PHP_METHOD(php_wxKeyboardState, ControlDown);
PHP_METHOD(php_wxKeyboardState, GetModifiers);
PHP_METHOD(php_wxKeyboardState, HasModifiers);
PHP_METHOD(php_wxKeyboardState, MetaDown);
PHP_METHOD(php_wxKeyboardState, RawControlDown);
PHP_METHOD(php_wxKeyboardState, SetAltDown);
PHP_METHOD(php_wxKeyboardState, SetControlDown);
PHP_METHOD(php_wxKeyboardState, SetMetaDown);
PHP_METHOD(php_wxKeyboardState, SetRawControlDown);
PHP_METHOD(php_wxKeyboardState, SetShiftDown);
PHP_METHOD(php_wxKeyboardState, ShiftDown);
PHP_METHOD(php_wxKeyboardState, __construct);
PHP_METHOD(php_wxNotifyEvent, Allow);
PHP_METHOD(php_wxNotifyEvent, IsAllowed);
PHP_METHOD(php_wxNotifyEvent, Veto);
PHP_METHOD(php_wxNotifyEvent, __construct);
PHP_METHOD(php_wxCommandEvent, __construct);
PHP_METHOD(php_wxCommandEvent, SetString);
PHP_METHOD(php_wxCommandEvent, SetInt);
PHP_METHOD(php_wxCommandEvent, SetExtraLong);
PHP_METHOD(php_wxCommandEvent, IsSelection);
PHP_METHOD(php_wxCommandEvent, IsChecked);
PHP_METHOD(php_wxCommandEvent, GetString);
PHP_METHOD(php_wxCommandEvent, GetSelection);
PHP_METHOD(php_wxCommandEvent, GetInt);
PHP_METHOD(php_wxCommandEvent, GetExtraLong);
PHP_METHOD(php_wxCloseEvent, CanVeto);
PHP_METHOD(php_wxCloseEvent, GetLoggingOff);
PHP_METHOD(php_wxCloseEvent, SetCanVeto);
PHP_METHOD(php_wxCloseEvent, SetLoggingOff);
PHP_METHOD(php_wxCloseEvent, Veto);
PHP_METHOD(php_wxCloseEvent, __construct);
PHP_METHOD(php_wxActivateEvent, __construct);
PHP_METHOD(php_wxActivateEvent, GetActive);
PHP_METHOD(php_wxAuiManager, __construct);
PHP_METHOD(php_wxAuiManager, Update);
PHP_METHOD(php_wxAuiManager, UnInit);
PHP_METHOD(php_wxAuiManager, ShowHint);
PHP_METHOD(php_wxAuiManager, SetManagedWindow);
PHP_METHOD(php_wxAuiManager, SetDockSizeConstraint);
PHP_METHOD(php_wxAuiManager, SetFlags);
PHP_METHOD(php_wxAuiManager, SetArtProvider);
PHP_METHOD(php_wxAuiManager, SavePerspective);
PHP_METHOD(php_wxAuiManager, SavePaneInfo);
PHP_METHOD(php_wxAuiManager, ProcessDockResult);
PHP_METHOD(php_wxAuiManager, LoadPerspective);
PHP_METHOD(php_wxAuiManager, LoadPaneInfo);
PHP_METHOD(php_wxAuiManager, InsertPane);
PHP_METHOD(php_wxAuiManager, HideHint);
PHP_METHOD(php_wxAuiManager, GetPane);
PHP_METHOD(php_wxAuiManager, GetManager);
PHP_METHOD(php_wxAuiManager, GetManagedWindow);
PHP_METHOD(php_wxAuiManager, GetFlags);
PHP_METHOD(php_wxAuiManager, GetDockSizeConstraint);
PHP_METHOD(php_wxAuiManager, GetArtProvider);
PHP_METHOD(php_wxAuiManager, DetachPane);
PHP_METHOD(php_wxAuiManager, AddPane);
PHP_METHOD(php_wxAuiManager, Connect);
PHP_METHOD(php_wxAuiDockArt, __construct);
PHP_METHOD(php_wxAuiDockArt, SetMetric);
PHP_METHOD(php_wxAuiDockArt, SetFont);
PHP_METHOD(php_wxAuiDockArt, GetMetric);
PHP_METHOD(php_wxAuiDockArt, SetColour);
PHP_METHOD(php_wxAuiDockArt, GetFont);
PHP_METHOD(php_wxAuiDockArt, GetColour);
PHP_METHOD(php_wxAuiDockArt, DrawSash);
PHP_METHOD(php_wxAuiDockArt, DrawPaneButton);
PHP_METHOD(php_wxAuiDockArt, DrawGripper);
PHP_METHOD(php_wxAuiDockArt, DrawCaption);
PHP_METHOD(php_wxAuiDockArt, DrawBorder);
PHP_METHOD(php_wxAuiDockArt, DrawBackground);
PHP_METHOD(php_wxAuiPaneInfo, __construct);
PHP_METHOD(php_wxAuiPaneInfo, Window);
PHP_METHOD(php_wxAuiPaneInfo, TopDockable);
PHP_METHOD(php_wxAuiPaneInfo, Top);
PHP_METHOD(php_wxAuiPaneInfo, ToolbarPane);
PHP_METHOD(php_wxAuiPaneInfo, Show);
PHP_METHOD(php_wxAuiPaneInfo, SetFlag);
PHP_METHOD(php_wxAuiPaneInfo, SafeSet);
PHP_METHOD(php_wxAuiPaneInfo, Row);
PHP_METHOD(php_wxAuiPaneInfo, RightDockable);
PHP_METHOD(php_wxAuiPaneInfo, Right);
PHP_METHOD(php_wxAuiPaneInfo, Resizable);
PHP_METHOD(php_wxAuiPaneInfo, Position);
PHP_METHOD(php_wxAuiPaneInfo, PinButton);
PHP_METHOD(php_wxAuiPaneInfo, PaneBorder);
PHP_METHOD(php_wxAuiPaneInfo, Name);
PHP_METHOD(php_wxAuiPaneInfo, Movable);
PHP_METHOD(php_wxAuiPaneInfo, MinimizeButton);
PHP_METHOD(php_wxAuiPaneInfo, MinSize);
PHP_METHOD(php_wxAuiPaneInfo, MaximizeButton);
PHP_METHOD(php_wxAuiPaneInfo, MaxSize);
PHP_METHOD(php_wxAuiPaneInfo, LeftDockable);
PHP_METHOD(php_wxAuiPaneInfo, Left);
PHP_METHOD(php_wxAuiPaneInfo, Layer);
PHP_METHOD(php_wxAuiPaneInfo, IsTopDockable);
PHP_METHOD(php_wxAuiPaneInfo, IsToolbar);
PHP_METHOD(php_wxAuiPaneInfo, IsShown);
PHP_METHOD(php_wxAuiPaneInfo, IsRightDockable);
PHP_METHOD(php_wxAuiPaneInfo, IsResizable);
PHP_METHOD(php_wxAuiPaneInfo, IsOk);
PHP_METHOD(php_wxAuiPaneInfo, IsMovable);
PHP_METHOD(php_wxAuiPaneInfo, IsLeftDockable);
PHP_METHOD(php_wxAuiPaneInfo, IsFloating);
PHP_METHOD(php_wxAuiPaneInfo, IsFloatable);
PHP_METHOD(php_wxAuiPaneInfo, IsFixed);
PHP_METHOD(php_wxAuiPaneInfo, IsDocked);
PHP_METHOD(php_wxAuiPaneInfo, IsDockable);
PHP_METHOD(php_wxAuiPaneInfo, IsBottomDockable);
PHP_METHOD(php_wxAuiPaneInfo, Icon);
PHP_METHOD(php_wxAuiPaneInfo, Hide);
PHP_METHOD(php_wxAuiPaneInfo, HasPinButton);
PHP_METHOD(php_wxAuiPaneInfo, HasMinimizeButton);
PHP_METHOD(php_wxAuiPaneInfo, HasMaximizeButton);
PHP_METHOD(php_wxAuiPaneInfo, HasGripperTop);
PHP_METHOD(php_wxAuiPaneInfo, HasGripper);
PHP_METHOD(php_wxAuiPaneInfo, HasFlag);
PHP_METHOD(php_wxAuiPaneInfo, HasCloseButton);
PHP_METHOD(php_wxAuiPaneInfo, HasCaption);
PHP_METHOD(php_wxAuiPaneInfo, HasBorder);
PHP_METHOD(php_wxAuiPaneInfo, GripperTop);
PHP_METHOD(php_wxAuiPaneInfo, Gripper);
PHP_METHOD(php_wxAuiPaneInfo, FloatingSize);
PHP_METHOD(php_wxAuiPaneInfo, FloatingPosition);
PHP_METHOD(php_wxAuiPaneInfo, Floatable);
PHP_METHOD(php_wxAuiPaneInfo, Float);
PHP_METHOD(php_wxAuiPaneInfo, Fixed);
PHP_METHOD(php_wxAuiPaneInfo, Dockable);
PHP_METHOD(php_wxAuiPaneInfo, DockFixed);
PHP_METHOD(php_wxAuiPaneInfo, Dock);
PHP_METHOD(php_wxAuiPaneInfo, Direction);
PHP_METHOD(php_wxAuiPaneInfo, DestroyOnClose);
PHP_METHOD(php_wxAuiPaneInfo, DefaultPane);
PHP_METHOD(php_wxAuiPaneInfo, CloseButton);
PHP_METHOD(php_wxAuiPaneInfo, CentrePane);
PHP_METHOD(php_wxAuiPaneInfo, Centre);
PHP_METHOD(php_wxAuiPaneInfo, CenterPane);
PHP_METHOD(php_wxAuiPaneInfo, Center);
PHP_METHOD(php_wxAuiPaneInfo, CaptionVisible);
PHP_METHOD(php_wxAuiPaneInfo, Caption);
PHP_METHOD(php_wxAuiPaneInfo, BottomDockable);
PHP_METHOD(php_wxAuiPaneInfo, Bottom);
PHP_METHOD(php_wxAuiPaneInfo, BestSize);
PHP_METHOD(php_wxAuiManagerEvent, __construct);
PHP_METHOD(php_wxAuiManagerEvent, Veto);
PHP_METHOD(php_wxAuiManagerEvent, SetPane);
PHP_METHOD(php_wxAuiManagerEvent, SetManager);
PHP_METHOD(php_wxAuiManagerEvent, SetDC);
PHP_METHOD(php_wxAuiManagerEvent, SetCanVeto);
PHP_METHOD(php_wxAuiManagerEvent, SetButton);
PHP_METHOD(php_wxAuiManagerEvent, GetVeto);
PHP_METHOD(php_wxAuiManagerEvent, GetPane);
PHP_METHOD(php_wxAuiManagerEvent, GetManager);
PHP_METHOD(php_wxAuiManagerEvent, GetDC);
PHP_METHOD(php_wxAuiManagerEvent, GetButton);
PHP_METHOD(php_wxAuiManagerEvent, CanVeto);
PHP_METHOD(php_wxAuiNotebook, __construct);
PHP_METHOD(php_wxAuiNotebook, Split);
PHP_METHOD(php_wxAuiNotebook, ShowWindowMenu);
PHP_METHOD(php_wxAuiNotebook, SetUniformBitmapSize);
PHP_METHOD(php_wxAuiNotebook, SetTabCtrlHeight);
PHP_METHOD(php_wxAuiNotebook, SetSelectedFont);
PHP_METHOD(php_wxAuiNotebook, SetPageText);
PHP_METHOD(php_wxAuiNotebook, SetPageImage);
PHP_METHOD(php_wxAuiNotebook, SetPageBitmap);
PHP_METHOD(php_wxAuiNotebook, SetNormalFont);
PHP_METHOD(php_wxAuiNotebook, SetMeasuringFont);
PHP_METHOD(php_wxAuiNotebook, SetFont);
PHP_METHOD(php_wxAuiNotebook, SetArtProvider);
PHP_METHOD(php_wxAuiNotebook, RemovePage);
PHP_METHOD(php_wxAuiNotebook, GetTabCtrlHeight);
PHP_METHOD(php_wxAuiNotebook, GetSelection);
PHP_METHOD(php_wxAuiNotebook, GetPageText);
PHP_METHOD(php_wxAuiNotebook, GetPageIndex);
PHP_METHOD(php_wxAuiNotebook, GetPageCount);
PHP_METHOD(php_wxAuiNotebook, GetPageBitmap);
PHP_METHOD(php_wxAuiNotebook, GetPage);
PHP_METHOD(php_wxAuiNotebook, GetHeightForPageHeight);
PHP_METHOD(php_wxAuiNotebook, GetCurrentPage);
PHP_METHOD(php_wxAuiNotebook, GetArtProvider);
PHP_METHOD(php_wxAuiNotebook, DeletePage);
PHP_METHOD(php_wxAuiNotebook, DeleteAllPages);
PHP_METHOD(php_wxAuiNotebook, Create);
PHP_METHOD(php_wxAuiNotebook, ChangeSelection);
PHP_METHOD(php_wxAuiNotebook, AdvanceSelection);
PHP_METHOD(php_wxAuiNotebook, AddPage);
PHP_METHOD(php_wxAuiNotebook, SetSelection);
PHP_METHOD(php_wxAuiNotebook, Connect);
PHP_METHOD(php_wxAuiNotebookEvent, CloneMethod);
PHP_METHOD(php_wxAuiNotebookEvent, __construct);
PHP_METHOD(php_wxBookCtrlEvent, GetOldSelection);
PHP_METHOD(php_wxBookCtrlEvent, GetSelection);
PHP_METHOD(php_wxBookCtrlEvent, SetOldSelection);
PHP_METHOD(php_wxBookCtrlEvent, SetSelection);
PHP_METHOD(php_wxBookCtrlEvent, __construct);
PHP_METHOD(php_wxAuiDefaultToolBarArt, CloneMethod);
PHP_METHOD(php_wxAuiDefaultToolBarArt, DrawBackground);
PHP_METHOD(php_wxAuiDefaultToolBarArt, DrawButton);
PHP_METHOD(php_wxAuiDefaultToolBarArt, DrawControlLabel);
PHP_METHOD(php_wxAuiDefaultToolBarArt, DrawDropDownButton);
PHP_METHOD(php_wxAuiDefaultToolBarArt, DrawGripper);
PHP_METHOD(php_wxAuiDefaultToolBarArt, DrawLabel);
PHP_METHOD(php_wxAuiDefaultToolBarArt, DrawOverflowButton);
PHP_METHOD(php_wxAuiDefaultToolBarArt, DrawSeparator);
PHP_METHOD(php_wxAuiDefaultToolBarArt, GetElementSize);
PHP_METHOD(php_wxAuiDefaultToolBarArt, GetFlags);
PHP_METHOD(php_wxAuiDefaultToolBarArt, GetFont);
PHP_METHOD(php_wxAuiDefaultToolBarArt, GetLabelSize);
PHP_METHOD(php_wxAuiDefaultToolBarArt, GetTextOrientation);
PHP_METHOD(php_wxAuiDefaultToolBarArt, GetToolSize);
PHP_METHOD(php_wxAuiDefaultToolBarArt, SetElementSize);
PHP_METHOD(php_wxAuiDefaultToolBarArt, SetFlags);
PHP_METHOD(php_wxAuiDefaultToolBarArt, SetFont);
PHP_METHOD(php_wxAuiDefaultToolBarArt, SetTextOrientation);
PHP_METHOD(php_wxAuiDefaultToolBarArt, __construct);
PHP_METHOD(php_wxBookCtrlBase, Create);
PHP_METHOD(php_wxBookCtrlBase, AddPage);
PHP_METHOD(php_wxBookCtrlBase, AdvanceSelection);
PHP_METHOD(php_wxBookCtrlBase, DeleteAllPages);
PHP_METHOD(php_wxBookCtrlBase, DeletePage);
PHP_METHOD(php_wxBookCtrlBase, GetCurrentPage);
PHP_METHOD(php_wxBookCtrlBase, GetPage);
PHP_METHOD(php_wxBookCtrlBase, GetPageCount);
PHP_METHOD(php_wxBookCtrlBase, HitTest);
PHP_METHOD(php_wxBookCtrlBase, InsertPage);
PHP_METHOD(php_wxBookCtrlBase, RemovePage);
PHP_METHOD(php_wxBookCtrlBase, SetPageImage);
PHP_METHOD(php_wxBookCtrlBase, SetPageSize);
PHP_METHOD(php_wxBookCtrlBase, SetPageText);
PHP_METHOD(php_wxBookCtrlBase, SetSelection);
PHP_METHOD(php_wxBookCtrlBase, GetSelection);
PHP_METHOD(php_wxBookCtrlBase, GetPageText);
PHP_METHOD(php_wxBookCtrlBase, GetPageImage);
PHP_METHOD(php_wxBookCtrlBase, ChangeSelection);
PHP_METHOD(php_wxBookCtrlBase, Connect);
PHP_METHOD(php_wxWithImages, __construct);
PHP_METHOD(php_wxWithImages, SetImageList);
PHP_METHOD(php_wxWithImages, GetImageList);
PHP_METHOD(php_wxWithImages, AssignImageList);
PHP_METHOD(php_wxAcceleratorEntry, __construct);
PHP_METHOD(php_wxAcceleratorEntry, ToString);
PHP_METHOD(php_wxAcceleratorEntry, Set);
PHP_METHOD(php_wxAcceleratorEntry, IsOk);
PHP_METHOD(php_wxAcceleratorEntry, GetMenuItem);
PHP_METHOD(php_wxAcceleratorEntry, GetKeyCode);
PHP_METHOD(php_wxAcceleratorEntry, GetFlags);
PHP_METHOD(php_wxAcceleratorEntry, GetCommand);
PHP_METHOD(php_wxAcceleratorEntry, FromString);
PHP_METHOD(php_wxAcceleratorTable, IsOk);
PHP_METHOD(php_wxAcceleratorTable, __construct);
PHP_METHOD(php_wxAnimation, GetDelay);
PHP_METHOD(php_wxAnimation, GetFrame);
PHP_METHOD(php_wxAnimation, GetFrameCount);
PHP_METHOD(php_wxAnimation, GetSize);
PHP_METHOD(php_wxAnimation, IsOk);
PHP_METHOD(php_wxAnimation, LoadFile);
PHP_METHOD(php_wxAnimation, __construct);
PHP_METHOD(php_wxAnimation, Load);
PHP_METHOD(php_wxAnimationCtrl, Create);
PHP_METHOD(php_wxAnimationCtrl, GetAnimation);
PHP_METHOD(php_wxAnimationCtrl, GetInactiveBitmap);
PHP_METHOD(php_wxAnimationCtrl, IsPlaying);
PHP_METHOD(php_wxAnimationCtrl, LoadFile);
PHP_METHOD(php_wxAnimationCtrl, Play);
PHP_METHOD(php_wxAnimationCtrl, SetAnimation);
PHP_METHOD(php_wxAnimationCtrl, SetInactiveBitmap);
PHP_METHOD(php_wxAnimationCtrl, Stop);
PHP_METHOD(php_wxAnimationCtrl, __construct);
PHP_METHOD(php_wxAnimationCtrl, Load);
PHP_METHOD(php_wxAnimationCtrl, Connect);
PHP_METHOD(php_wxArtProvider, Remove);
PHP_METHOD(php_wxArtProvider, PushBack);
PHP_METHOD(php_wxArtProvider, Push);
PHP_METHOD(php_wxArtProvider, Pop);
PHP_METHOD(php_wxArtProvider, Insert);
PHP_METHOD(php_wxArtProvider, HasNativeProvider);
PHP_METHOD(php_wxArtProvider, GetSizeHint);
PHP_METHOD(php_wxArtProvider, GetNativeSizeHint);
PHP_METHOD(php_wxArtProvider, GetIconBundle);
PHP_METHOD(php_wxArtProvider, GetIcon);
PHP_METHOD(php_wxArtProvider, GetBitmap);
PHP_METHOD(php_wxArtProvider, Delete);
PHP_METHOD(php_wxIconBundle, __construct);
PHP_METHOD(php_wxIconBundle, IsEmpty);
PHP_METHOD(php_wxIconBundle, GetIconOfExactSize);
PHP_METHOD(php_wxIconBundle, GetIconCount);
PHP_METHOD(php_wxIconBundle, GetIconByIndex);
PHP_METHOD(php_wxIconBundle, AddIcon);
PHP_METHOD(php_wxIconBundle, GetIcon);
PHP_METHOD(php_wxStyledTextCtrl, __construct);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompGetCurrent);
PHP_METHOD(php_wxStyledTextCtrl, DoDragOver);
PHP_METHOD(php_wxStyledTextCtrl, GetCaretSticky);
PHP_METHOD(php_wxStyledTextCtrl, GetCharacterPointer);
PHP_METHOD(php_wxStyledTextCtrl, LoadFile);
PHP_METHOD(php_wxStyledTextCtrl, SaveFile);
PHP_METHOD(php_wxStyledTextCtrl, SetCaretSticky);
PHP_METHOD(php_wxStyledTextCtrl, ZoomOut);
PHP_METHOD(php_wxStyledTextCtrl, ZoomIn);
PHP_METHOD(php_wxStyledTextCtrl, AddText);
PHP_METHOD(php_wxStyledTextCtrl, AddSelection);
PHP_METHOD(php_wxStyledTextCtrl, WrapCount);
PHP_METHOD(php_wxStyledTextCtrl, WordStartPosition);
PHP_METHOD(php_wxStyledTextCtrl, WordRightExtend);
PHP_METHOD(php_wxStyledTextCtrl, AddUndoAction);
PHP_METHOD(php_wxStyledTextCtrl, Allocate);
PHP_METHOD(php_wxStyledTextCtrl, AnnotationClearAll);
PHP_METHOD(php_wxStyledTextCtrl, AnnotationGetLines);
PHP_METHOD(php_wxStyledTextCtrl, AnnotationGetStyle);
PHP_METHOD(php_wxStyledTextCtrl, AnnotationGetStyleOffset);
PHP_METHOD(php_wxStyledTextCtrl, AnnotationGetStyles);
PHP_METHOD(php_wxStyledTextCtrl, AnnotationGetText);
PHP_METHOD(php_wxStyledTextCtrl, AnnotationGetVisible);
PHP_METHOD(php_wxStyledTextCtrl, AnnotationSetStyle);
PHP_METHOD(php_wxStyledTextCtrl, AnnotationSetStyleOffset);
PHP_METHOD(php_wxStyledTextCtrl, AnnotationSetStyles);
PHP_METHOD(php_wxStyledTextCtrl, AnnotationSetText);
PHP_METHOD(php_wxStyledTextCtrl, AnnotationSetVisible);
PHP_METHOD(php_wxStyledTextCtrl, AppendText);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompActive);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompCancel);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompComplete);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompGetAutoHide);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompGetCancelAtStart);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompGetChooseSingle);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompGetDropRestOfWord);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompGetIgnoreCase);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompGetMaxHeight);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompGetMaxWidth);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompGetSeparator);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompGetTypeSeparator);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompPosStart);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompSelect);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompSetAutoHide);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompSetCancelAtStart);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompSetChooseSingle);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompSetDropRestOfWord);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompSetFillUps);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompSetIgnoreCase);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompSetMaxHeight);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompSetMaxWidth);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompSetSeparator);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompSetTypeSeparator);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompShow);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompStops);
PHP_METHOD(php_wxStyledTextCtrl, BackTab);
PHP_METHOD(php_wxStyledTextCtrl, BeginUndoAction);
PHP_METHOD(php_wxStyledTextCtrl, BraceBadLight);
PHP_METHOD(php_wxStyledTextCtrl, BraceHighlight);
PHP_METHOD(php_wxStyledTextCtrl, BraceMatch);
PHP_METHOD(php_wxStyledTextCtrl, CallTipActive);
PHP_METHOD(php_wxStyledTextCtrl, CallTipCancel);
PHP_METHOD(php_wxStyledTextCtrl, CallTipPosAtStart);
PHP_METHOD(php_wxStyledTextCtrl, CallTipSetBackground);
PHP_METHOD(php_wxStyledTextCtrl, CallTipSetForeground);
PHP_METHOD(php_wxStyledTextCtrl, CallTipSetForegroundHighlight);
PHP_METHOD(php_wxStyledTextCtrl, CallTipSetHighlight);
PHP_METHOD(php_wxStyledTextCtrl, CallTipShow);
PHP_METHOD(php_wxStyledTextCtrl, CallTipUseStyle);
PHP_METHOD(php_wxStyledTextCtrl, CanPaste);
PHP_METHOD(php_wxStyledTextCtrl, CanRedo);
PHP_METHOD(php_wxStyledTextCtrl, CanUndo);
PHP_METHOD(php_wxStyledTextCtrl, Cancel);
PHP_METHOD(php_wxStyledTextCtrl, CharLeft);
PHP_METHOD(php_wxStyledTextCtrl, CharLeftExtend);
PHP_METHOD(php_wxStyledTextCtrl, CharLeftRectExtend);
PHP_METHOD(php_wxStyledTextCtrl, CharPositionFromPoint);
PHP_METHOD(php_wxStyledTextCtrl, CharPositionFromPointClose);
PHP_METHOD(php_wxStyledTextCtrl, CharRight);
PHP_METHOD(php_wxStyledTextCtrl, CharRightExtend);
PHP_METHOD(php_wxStyledTextCtrl, CharRightRectExtend);
PHP_METHOD(php_wxStyledTextCtrl, ChooseCaretX);
PHP_METHOD(php_wxStyledTextCtrl, Clear);
PHP_METHOD(php_wxStyledTextCtrl, ClearAll);
PHP_METHOD(php_wxStyledTextCtrl, ClearDocumentStyle);
PHP_METHOD(php_wxStyledTextCtrl, ClearRegisteredImages);
PHP_METHOD(php_wxStyledTextCtrl, ClearSelections);
PHP_METHOD(php_wxStyledTextCtrl, CmdKeyAssign);
PHP_METHOD(php_wxStyledTextCtrl, CmdKeyClear);
PHP_METHOD(php_wxStyledTextCtrl, CmdKeyClearAll);
PHP_METHOD(php_wxStyledTextCtrl, CmdKeyExecute);
PHP_METHOD(php_wxStyledTextCtrl, Colourise);
PHP_METHOD(php_wxStyledTextCtrl, ConvertEOLs);
PHP_METHOD(php_wxStyledTextCtrl, Copy);
PHP_METHOD(php_wxStyledTextCtrl, CopyAllowLine);
PHP_METHOD(php_wxStyledTextCtrl, CopyRange);
PHP_METHOD(php_wxStyledTextCtrl, CopyText);
PHP_METHOD(php_wxStyledTextCtrl, Create);
PHP_METHOD(php_wxStyledTextCtrl, CreateDocument);
PHP_METHOD(php_wxStyledTextCtrl, Cut);
PHP_METHOD(php_wxStyledTextCtrl, DelLineLeft);
PHP_METHOD(php_wxStyledTextCtrl, DelLineRight);
PHP_METHOD(php_wxStyledTextCtrl, DelWordLeft);
PHP_METHOD(php_wxStyledTextCtrl, DelWordRight);
PHP_METHOD(php_wxStyledTextCtrl, DeleteBack);
PHP_METHOD(php_wxStyledTextCtrl, DeleteBackNotLine);
PHP_METHOD(php_wxStyledTextCtrl, DoDropText);
PHP_METHOD(php_wxStyledTextCtrl, DocLineFromVisible);
PHP_METHOD(php_wxStyledTextCtrl, DocumentEnd);
PHP_METHOD(php_wxStyledTextCtrl, DocumentEndExtend);
PHP_METHOD(php_wxStyledTextCtrl, DocumentStart);
PHP_METHOD(php_wxStyledTextCtrl, DocumentStartExtend);
PHP_METHOD(php_wxStyledTextCtrl, EditToggleOvertype);
PHP_METHOD(php_wxStyledTextCtrl, EmptyUndoBuffer);
PHP_METHOD(php_wxStyledTextCtrl, EndUndoAction);
PHP_METHOD(php_wxStyledTextCtrl, EnsureCaretVisible);
PHP_METHOD(php_wxStyledTextCtrl, EnsureVisible);
PHP_METHOD(php_wxStyledTextCtrl, EnsureVisibleEnforcePolicy);
PHP_METHOD(php_wxStyledTextCtrl, FindColumn);
PHP_METHOD(php_wxStyledTextCtrl, FindText);
PHP_METHOD(php_wxStyledTextCtrl, FormFeed);
PHP_METHOD(php_wxStyledTextCtrl, FormatRange);
PHP_METHOD(php_wxStyledTextCtrl, GetAdditionalCaretForeground);
PHP_METHOD(php_wxStyledTextCtrl, GetAdditionalCaretsBlink);
PHP_METHOD(php_wxStyledTextCtrl, GetAdditionalCaretsVisible);
PHP_METHOD(php_wxStyledTextCtrl, GetAdditionalSelAlpha);
PHP_METHOD(php_wxStyledTextCtrl, GetAdditionalSelectionTyping);
PHP_METHOD(php_wxStyledTextCtrl, GetAnchor);
PHP_METHOD(php_wxStyledTextCtrl, GetBackSpaceUnIndents);
PHP_METHOD(php_wxStyledTextCtrl, GetBufferedDraw);
PHP_METHOD(php_wxStyledTextCtrl, GetCaretForeground);
PHP_METHOD(php_wxStyledTextCtrl, GetCaretLineBackAlpha);
PHP_METHOD(php_wxStyledTextCtrl, GetCaretLineBackground);
PHP_METHOD(php_wxStyledTextCtrl, GetCaretLineVisible);
PHP_METHOD(php_wxStyledTextCtrl, GetCaretPeriod);
PHP_METHOD(php_wxStyledTextCtrl, GetCaretWidth);
PHP_METHOD(php_wxStyledTextCtrl, GetCharAt);
PHP_METHOD(php_wxStyledTextCtrl, GetCodePage);
PHP_METHOD(php_wxStyledTextCtrl, GetColumn);
PHP_METHOD(php_wxStyledTextCtrl, GetControlCharSymbol);
PHP_METHOD(php_wxStyledTextCtrl, GetCurrentLine);
PHP_METHOD(php_wxStyledTextCtrl, GetCurrentPos);
PHP_METHOD(php_wxStyledTextCtrl, GetEOLMode);
PHP_METHOD(php_wxStyledTextCtrl, GetEdgeColour);
PHP_METHOD(php_wxStyledTextCtrl, GetEdgeColumn);
PHP_METHOD(php_wxStyledTextCtrl, GetEdgeMode);
PHP_METHOD(php_wxStyledTextCtrl, GetEndAtLastLine);
PHP_METHOD(php_wxStyledTextCtrl, GetEndStyled);
PHP_METHOD(php_wxStyledTextCtrl, GetExtraAscent);
PHP_METHOD(php_wxStyledTextCtrl, GetExtraDescent);
PHP_METHOD(php_wxStyledTextCtrl, GetFirstVisibleLine);
PHP_METHOD(php_wxStyledTextCtrl, GetFoldExpanded);
PHP_METHOD(php_wxStyledTextCtrl, GetFoldLevel);
PHP_METHOD(php_wxStyledTextCtrl, GetFoldParent);
PHP_METHOD(php_wxStyledTextCtrl, GetHighlightGuide);
PHP_METHOD(php_wxStyledTextCtrl, GetIndent);
PHP_METHOD(php_wxStyledTextCtrl, GetIndentationGuides);
PHP_METHOD(php_wxStyledTextCtrl, GetKeysUnicode);
PHP_METHOD(php_wxStyledTextCtrl, GetLastChild);
PHP_METHOD(php_wxStyledTextCtrl, GetLastKeydownProcessed);
PHP_METHOD(php_wxStyledTextCtrl, GetLayoutCache);
PHP_METHOD(php_wxStyledTextCtrl, GetLength);
PHP_METHOD(php_wxStyledTextCtrl, GetLexer);
PHP_METHOD(php_wxStyledTextCtrl, GetLibraryVersionInfo);
PHP_METHOD(php_wxStyledTextCtrl, GetLine);
PHP_METHOD(php_wxStyledTextCtrl, GetLineCount);
PHP_METHOD(php_wxStyledTextCtrl, GetLineEndPosition);
PHP_METHOD(php_wxStyledTextCtrl, GetLineIndentPosition);
PHP_METHOD(php_wxStyledTextCtrl, GetLineIndentation);
PHP_METHOD(php_wxStyledTextCtrl, GetLineSelEndPosition);
PHP_METHOD(php_wxStyledTextCtrl, GetLineSelStartPosition);
PHP_METHOD(php_wxStyledTextCtrl, GetLineState);
PHP_METHOD(php_wxStyledTextCtrl, GetLineVisible);
PHP_METHOD(php_wxStyledTextCtrl, GetMainSelection);
PHP_METHOD(php_wxStyledTextCtrl, GetMarginLeft);
PHP_METHOD(php_wxStyledTextCtrl, GetMarginMask);
PHP_METHOD(php_wxStyledTextCtrl, GetMarginRight);
PHP_METHOD(php_wxStyledTextCtrl, GetMarginSensitive);
PHP_METHOD(php_wxStyledTextCtrl, GetMarginType);
PHP_METHOD(php_wxStyledTextCtrl, GetMarginWidth);
PHP_METHOD(php_wxStyledTextCtrl, GetMarkerSymbolDefined);
PHP_METHOD(php_wxStyledTextCtrl, GetMaxLineState);
PHP_METHOD(php_wxStyledTextCtrl, GetModEventMask);
PHP_METHOD(php_wxStyledTextCtrl, GetModify);
PHP_METHOD(php_wxStyledTextCtrl, GetMouseDownCaptures);
PHP_METHOD(php_wxStyledTextCtrl, GetMouseDwellTime);
PHP_METHOD(php_wxStyledTextCtrl, GetMultipleSelection);
PHP_METHOD(php_wxStyledTextCtrl, GetOvertype);
PHP_METHOD(php_wxStyledTextCtrl, GetPasteConvertEndings);
PHP_METHOD(php_wxStyledTextCtrl, GetPrintColourMode);
PHP_METHOD(php_wxStyledTextCtrl, GetPrintMagnification);
PHP_METHOD(php_wxStyledTextCtrl, GetPrintWrapMode);
PHP_METHOD(php_wxStyledTextCtrl, GetProperty);
PHP_METHOD(php_wxStyledTextCtrl, GetPropertyExpanded);
PHP_METHOD(php_wxStyledTextCtrl, GetPropertyInt);
PHP_METHOD(php_wxStyledTextCtrl, GetReadOnly);
PHP_METHOD(php_wxStyledTextCtrl, GetRectangularSelectionAnchor);
PHP_METHOD(php_wxStyledTextCtrl, GetRectangularSelectionAnchorVirtualSpace);
PHP_METHOD(php_wxStyledTextCtrl, GetRectangularSelectionCaret);
PHP_METHOD(php_wxStyledTextCtrl, GetRectangularSelectionCaretVirtualSpace);
PHP_METHOD(php_wxStyledTextCtrl, GetRectangularSelectionModifier);
PHP_METHOD(php_wxStyledTextCtrl, GetSTCCursor);
PHP_METHOD(php_wxStyledTextCtrl, GetSTCFocus);
PHP_METHOD(php_wxStyledTextCtrl, GetScrollWidth);
PHP_METHOD(php_wxStyledTextCtrl, GetSearchFlags);
PHP_METHOD(php_wxStyledTextCtrl, GetSelAlpha);
PHP_METHOD(php_wxStyledTextCtrl, GetSelectedText);
PHP_METHOD(php_wxStyledTextCtrl, GetSelectionEnd);
PHP_METHOD(php_wxStyledTextCtrl, GetSelectionMode);
PHP_METHOD(php_wxStyledTextCtrl, GetSelectionNAnchor);
PHP_METHOD(php_wxStyledTextCtrl, GetSelectionNAnchorVirtualSpace);
PHP_METHOD(php_wxStyledTextCtrl, GetSelectionNCaret);
PHP_METHOD(php_wxStyledTextCtrl, GetSelectionNCaretVirtualSpace);
PHP_METHOD(php_wxStyledTextCtrl, GetSelectionNEnd);
PHP_METHOD(php_wxStyledTextCtrl, GetSelectionNStart);
PHP_METHOD(php_wxStyledTextCtrl, GetSelectionStart);
PHP_METHOD(php_wxStyledTextCtrl, GetSelections);
PHP_METHOD(php_wxStyledTextCtrl, GetStatus);
PHP_METHOD(php_wxStyledTextCtrl, GetStyleAt);
PHP_METHOD(php_wxStyledTextCtrl, GetStyleBits);
PHP_METHOD(php_wxStyledTextCtrl, GetStyleBitsNeeded);
PHP_METHOD(php_wxStyledTextCtrl, GetTabIndents);
PHP_METHOD(php_wxStyledTextCtrl, GetTabWidth);
PHP_METHOD(php_wxStyledTextCtrl, GetTargetEnd);
PHP_METHOD(php_wxStyledTextCtrl, GetTargetStart);
PHP_METHOD(php_wxStyledTextCtrl, GetText);
PHP_METHOD(php_wxStyledTextCtrl, GetTextLength);
PHP_METHOD(php_wxStyledTextCtrl, GetTextRange);
PHP_METHOD(php_wxStyledTextCtrl, GetTwoPhaseDraw);
PHP_METHOD(php_wxStyledTextCtrl, GetUndoCollection);
PHP_METHOD(php_wxStyledTextCtrl, GetUseHorizontalScrollBar);
PHP_METHOD(php_wxStyledTextCtrl, GetUseTabs);
PHP_METHOD(php_wxStyledTextCtrl, GetUseVerticalScrollBar);
PHP_METHOD(php_wxStyledTextCtrl, GetViewEOL);
PHP_METHOD(php_wxStyledTextCtrl, GetViewWhiteSpace);
PHP_METHOD(php_wxStyledTextCtrl, GetVirtualSpaceOptions);
PHP_METHOD(php_wxStyledTextCtrl, GetWhitespaceSize);
PHP_METHOD(php_wxStyledTextCtrl, GetWrapIndentMode);
PHP_METHOD(php_wxStyledTextCtrl, GetWrapMode);
PHP_METHOD(php_wxStyledTextCtrl, GetWrapStartIndent);
PHP_METHOD(php_wxStyledTextCtrl, GetWrapVisualFlags);
PHP_METHOD(php_wxStyledTextCtrl, GetWrapVisualFlagsLocation);
PHP_METHOD(php_wxStyledTextCtrl, GetXOffset);
PHP_METHOD(php_wxStyledTextCtrl, GetZoom);
PHP_METHOD(php_wxStyledTextCtrl, GotoLine);
PHP_METHOD(php_wxStyledTextCtrl, GotoPos);
PHP_METHOD(php_wxStyledTextCtrl, HideLines);
PHP_METHOD(php_wxStyledTextCtrl, HideSelection);
PHP_METHOD(php_wxStyledTextCtrl, Home);
PHP_METHOD(php_wxStyledTextCtrl, HomeDisplay);
PHP_METHOD(php_wxStyledTextCtrl, HomeDisplayExtend);
PHP_METHOD(php_wxStyledTextCtrl, HomeExtend);
PHP_METHOD(php_wxStyledTextCtrl, HomeRectExtend);
PHP_METHOD(php_wxStyledTextCtrl, HomeWrap);
PHP_METHOD(php_wxStyledTextCtrl, HomeWrapExtend);
PHP_METHOD(php_wxStyledTextCtrl, IndicatorGetAlpha);
PHP_METHOD(php_wxStyledTextCtrl, IndicatorGetForeground);
PHP_METHOD(php_wxStyledTextCtrl, IndicatorGetStyle);
PHP_METHOD(php_wxStyledTextCtrl, IndicatorSetAlpha);
PHP_METHOD(php_wxStyledTextCtrl, IndicatorSetForeground);
PHP_METHOD(php_wxStyledTextCtrl, IndicatorSetStyle);
PHP_METHOD(php_wxStyledTextCtrl, InsertText);
PHP_METHOD(php_wxStyledTextCtrl, InsertTextRaw);
PHP_METHOD(php_wxStyledTextCtrl, LineCopy);
PHP_METHOD(php_wxStyledTextCtrl, LineCut);
PHP_METHOD(php_wxStyledTextCtrl, LineDelete);
PHP_METHOD(php_wxStyledTextCtrl, LineDown);
PHP_METHOD(php_wxStyledTextCtrl, LineDownExtend);
PHP_METHOD(php_wxStyledTextCtrl, LineDownRectExtend);
PHP_METHOD(php_wxStyledTextCtrl, LineDuplicate);
PHP_METHOD(php_wxStyledTextCtrl, LineEnd);
PHP_METHOD(php_wxStyledTextCtrl, LineEndDisplay);
PHP_METHOD(php_wxStyledTextCtrl, LineEndDisplayExtend);
PHP_METHOD(php_wxStyledTextCtrl, LineEndExtend);
PHP_METHOD(php_wxStyledTextCtrl, LineEndRectExtend);
PHP_METHOD(php_wxStyledTextCtrl, LineEndWrap);
PHP_METHOD(php_wxStyledTextCtrl, LineEndWrapExtend);
PHP_METHOD(php_wxStyledTextCtrl, LineFromPosition);
PHP_METHOD(php_wxStyledTextCtrl, LineLength);
PHP_METHOD(php_wxStyledTextCtrl, LineScroll);
PHP_METHOD(php_wxStyledTextCtrl, LineScrollDown);
PHP_METHOD(php_wxStyledTextCtrl, LineScrollUp);
PHP_METHOD(php_wxStyledTextCtrl, LineTranspose);
PHP_METHOD(php_wxStyledTextCtrl, LineUp);
PHP_METHOD(php_wxStyledTextCtrl, LineUpExtend);
PHP_METHOD(php_wxStyledTextCtrl, LineUpRectExtend);
PHP_METHOD(php_wxStyledTextCtrl, LinesJoin);
PHP_METHOD(php_wxStyledTextCtrl, LinesOnScreen);
PHP_METHOD(php_wxStyledTextCtrl, LinesSplit);
PHP_METHOD(php_wxStyledTextCtrl, LowerCase);
PHP_METHOD(php_wxStyledTextCtrl, MarginGetStyle);
PHP_METHOD(php_wxStyledTextCtrl, MarginGetStyleOffset);
PHP_METHOD(php_wxStyledTextCtrl, MarginGetStyles);
PHP_METHOD(php_wxStyledTextCtrl, MarginGetText);
PHP_METHOD(php_wxStyledTextCtrl, MarginSetStyle);
PHP_METHOD(php_wxStyledTextCtrl, MarginSetStyleOffset);
PHP_METHOD(php_wxStyledTextCtrl, MarginSetStyles);
PHP_METHOD(php_wxStyledTextCtrl, MarginSetText);
PHP_METHOD(php_wxStyledTextCtrl, MarginTextClearAll);
PHP_METHOD(php_wxStyledTextCtrl, MarkerAdd);
PHP_METHOD(php_wxStyledTextCtrl, MarkerAddSet);
PHP_METHOD(php_wxStyledTextCtrl, MarkerDefine);
PHP_METHOD(php_wxStyledTextCtrl, MarkerDefineBitmap);
PHP_METHOD(php_wxStyledTextCtrl, MarkerDelete);
PHP_METHOD(php_wxStyledTextCtrl, MarkerDeleteAll);
PHP_METHOD(php_wxStyledTextCtrl, MarkerDeleteHandle);
PHP_METHOD(php_wxStyledTextCtrl, MarkerGet);
PHP_METHOD(php_wxStyledTextCtrl, MarkerLineFromHandle);
PHP_METHOD(php_wxStyledTextCtrl, MarkerNext);
PHP_METHOD(php_wxStyledTextCtrl, MarkerPrevious);
PHP_METHOD(php_wxStyledTextCtrl, MarkerSetAlpha);
PHP_METHOD(php_wxStyledTextCtrl, MarkerSetBackground);
PHP_METHOD(php_wxStyledTextCtrl, MarkerSetForeground);
PHP_METHOD(php_wxStyledTextCtrl, MoveCaretInsideView);
PHP_METHOD(php_wxStyledTextCtrl, NewLine);
PHP_METHOD(php_wxStyledTextCtrl, PageDown);
PHP_METHOD(php_wxStyledTextCtrl, PageDownExtend);
PHP_METHOD(php_wxStyledTextCtrl, PageDownRectExtend);
PHP_METHOD(php_wxStyledTextCtrl, PageUp);
PHP_METHOD(php_wxStyledTextCtrl, PageUpExtend);
PHP_METHOD(php_wxStyledTextCtrl, PageUpRectExtend);
PHP_METHOD(php_wxStyledTextCtrl, ParaDown);
PHP_METHOD(php_wxStyledTextCtrl, ParaDownExtend);
PHP_METHOD(php_wxStyledTextCtrl, ParaUp);
PHP_METHOD(php_wxStyledTextCtrl, ParaUpExtend);
PHP_METHOD(php_wxStyledTextCtrl, Paste);
PHP_METHOD(php_wxStyledTextCtrl, PointFromPosition);
PHP_METHOD(php_wxStyledTextCtrl, PositionAfter);
PHP_METHOD(php_wxStyledTextCtrl, PositionBefore);
PHP_METHOD(php_wxStyledTextCtrl, PositionFromLine);
PHP_METHOD(php_wxStyledTextCtrl, PositionFromPoint);
PHP_METHOD(php_wxStyledTextCtrl, PositionFromPointClose);
PHP_METHOD(php_wxStyledTextCtrl, Redo);
PHP_METHOD(php_wxStyledTextCtrl, RegisterImage);
PHP_METHOD(php_wxStyledTextCtrl, ReplaceSelection);
PHP_METHOD(php_wxStyledTextCtrl, ReplaceTarget);
PHP_METHOD(php_wxStyledTextCtrl, ReplaceTargetRE);
PHP_METHOD(php_wxStyledTextCtrl, RotateSelection);
PHP_METHOD(php_wxStyledTextCtrl, ScrollToColumn);
PHP_METHOD(php_wxStyledTextCtrl, ScrollToLine);
PHP_METHOD(php_wxStyledTextCtrl, SearchAnchor);
PHP_METHOD(php_wxStyledTextCtrl, SearchInTarget);
PHP_METHOD(php_wxStyledTextCtrl, SearchNext);
PHP_METHOD(php_wxStyledTextCtrl, SearchPrev);
PHP_METHOD(php_wxStyledTextCtrl, SelectAll);
PHP_METHOD(php_wxStyledTextCtrl, SelectionDuplicate);
PHP_METHOD(php_wxStyledTextCtrl, SelectionIsRectangle);
PHP_METHOD(php_wxStyledTextCtrl, SetAdditionalCaretForeground);
PHP_METHOD(php_wxStyledTextCtrl, SetAdditionalCaretsBlink);
PHP_METHOD(php_wxStyledTextCtrl, SetAdditionalCaretsVisible);
PHP_METHOD(php_wxStyledTextCtrl, SetAdditionalSelAlpha);
PHP_METHOD(php_wxStyledTextCtrl, SetAdditionalSelBackground);
PHP_METHOD(php_wxStyledTextCtrl, SetAdditionalSelForeground);
PHP_METHOD(php_wxStyledTextCtrl, SetAdditionalSelectionTyping);
PHP_METHOD(php_wxStyledTextCtrl, SetAnchor);
PHP_METHOD(php_wxStyledTextCtrl, SetBackSpaceUnIndents);
PHP_METHOD(php_wxStyledTextCtrl, SetBufferedDraw);
PHP_METHOD(php_wxStyledTextCtrl, SetCaretForeground);
PHP_METHOD(php_wxStyledTextCtrl, SetCaretLineBackAlpha);
PHP_METHOD(php_wxStyledTextCtrl, SetCaretLineBackground);
PHP_METHOD(php_wxStyledTextCtrl, SetCaretLineVisible);
PHP_METHOD(php_wxStyledTextCtrl, SetCaretPeriod);
PHP_METHOD(php_wxStyledTextCtrl, SetCaretWidth);
PHP_METHOD(php_wxStyledTextCtrl, SetCharsDefault);
PHP_METHOD(php_wxStyledTextCtrl, SetCodePage);
PHP_METHOD(php_wxStyledTextCtrl, SetControlCharSymbol);
PHP_METHOD(php_wxStyledTextCtrl, SetCurrentPos);
PHP_METHOD(php_wxStyledTextCtrl, SetEOLMode);
PHP_METHOD(php_wxStyledTextCtrl, SetEdgeColour);
PHP_METHOD(php_wxStyledTextCtrl, SetEdgeColumn);
PHP_METHOD(php_wxStyledTextCtrl, SetEdgeMode);
PHP_METHOD(php_wxStyledTextCtrl, SetEndAtLastLine);
PHP_METHOD(php_wxStyledTextCtrl, SetExtraAscent);
PHP_METHOD(php_wxStyledTextCtrl, SetExtraDescent);
PHP_METHOD(php_wxStyledTextCtrl, SetFirstVisibleLine);
PHP_METHOD(php_wxStyledTextCtrl, SetFoldExpanded);
PHP_METHOD(php_wxStyledTextCtrl, SetFoldFlags);
PHP_METHOD(php_wxStyledTextCtrl, SetFoldLevel);
PHP_METHOD(php_wxStyledTextCtrl, SetFoldMarginColour);
PHP_METHOD(php_wxStyledTextCtrl, SetFoldMarginHiColour);
PHP_METHOD(php_wxStyledTextCtrl, SetHScrollBar);
PHP_METHOD(php_wxStyledTextCtrl, SetHighlightGuide);
PHP_METHOD(php_wxStyledTextCtrl, SetHotspotActiveBackground);
PHP_METHOD(php_wxStyledTextCtrl, SetHotspotActiveForeground);
PHP_METHOD(php_wxStyledTextCtrl, SetHotspotActiveUnderline);
PHP_METHOD(php_wxStyledTextCtrl, SetHotspotSingleLine);
PHP_METHOD(php_wxStyledTextCtrl, SetIndent);
PHP_METHOD(php_wxStyledTextCtrl, SetIndentationGuides);
PHP_METHOD(php_wxStyledTextCtrl, SetKeyWords);
PHP_METHOD(php_wxStyledTextCtrl, SetKeysUnicode);
PHP_METHOD(php_wxStyledTextCtrl, SetLastKeydownProcessed);
PHP_METHOD(php_wxStyledTextCtrl, SetLayoutCache);
PHP_METHOD(php_wxStyledTextCtrl, SetLexer);
PHP_METHOD(php_wxStyledTextCtrl, SetLexerLanguage);
PHP_METHOD(php_wxStyledTextCtrl, SetLineIndentation);
PHP_METHOD(php_wxStyledTextCtrl, SetLineState);
PHP_METHOD(php_wxStyledTextCtrl, SetMainSelection);
PHP_METHOD(php_wxStyledTextCtrl, SetMarginLeft);
PHP_METHOD(php_wxStyledTextCtrl, SetMarginMask);
PHP_METHOD(php_wxStyledTextCtrl, SetMarginRight);
PHP_METHOD(php_wxStyledTextCtrl, SetMarginSensitive);
PHP_METHOD(php_wxStyledTextCtrl, SetMarginType);
PHP_METHOD(php_wxStyledTextCtrl, SetMarginWidth);
PHP_METHOD(php_wxStyledTextCtrl, SetMargins);
PHP_METHOD(php_wxStyledTextCtrl, SetModEventMask);
PHP_METHOD(php_wxStyledTextCtrl, SetMouseDownCaptures);
PHP_METHOD(php_wxStyledTextCtrl, SetMouseDwellTime);
PHP_METHOD(php_wxStyledTextCtrl, SetMultipleSelection);
PHP_METHOD(php_wxStyledTextCtrl, SetOvertype);
PHP_METHOD(php_wxStyledTextCtrl, SetPasteConvertEndings);
PHP_METHOD(php_wxStyledTextCtrl, SetPrintColourMode);
PHP_METHOD(php_wxStyledTextCtrl, SetPrintMagnification);
PHP_METHOD(php_wxStyledTextCtrl, SetPrintWrapMode);
PHP_METHOD(php_wxStyledTextCtrl, SetProperty);
PHP_METHOD(php_wxStyledTextCtrl, SetReadOnly);
PHP_METHOD(php_wxStyledTextCtrl, SetRectangularSelectionAnchor);
PHP_METHOD(php_wxStyledTextCtrl, SetRectangularSelectionAnchorVirtualSpace);
PHP_METHOD(php_wxStyledTextCtrl, SetRectangularSelectionCaret);
PHP_METHOD(php_wxStyledTextCtrl, SetRectangularSelectionCaretVirtualSpace);
PHP_METHOD(php_wxStyledTextCtrl, SetRectangularSelectionModifier);
PHP_METHOD(php_wxStyledTextCtrl, SetSTCCursor);
PHP_METHOD(php_wxStyledTextCtrl, SetSTCFocus);
PHP_METHOD(php_wxStyledTextCtrl, SetSavePoint);
PHP_METHOD(php_wxStyledTextCtrl, SetScrollWidth);
PHP_METHOD(php_wxStyledTextCtrl, SetSearchFlags);
PHP_METHOD(php_wxStyledTextCtrl, SetSelAlpha);
PHP_METHOD(php_wxStyledTextCtrl, SetSelBackground);
PHP_METHOD(php_wxStyledTextCtrl, SetSelForeground);
PHP_METHOD(php_wxStyledTextCtrl, SetSelection);
PHP_METHOD(php_wxStyledTextCtrl, SetSelectionEnd);
PHP_METHOD(php_wxStyledTextCtrl, SetSelectionMode);
PHP_METHOD(php_wxStyledTextCtrl, SetSelectionNAnchor);
PHP_METHOD(php_wxStyledTextCtrl, SetSelectionNAnchorVirtualSpace);
PHP_METHOD(php_wxStyledTextCtrl, SetSelectionNCaret);
PHP_METHOD(php_wxStyledTextCtrl, SetSelectionNCaretVirtualSpace);
PHP_METHOD(php_wxStyledTextCtrl, SetSelectionNEnd);
PHP_METHOD(php_wxStyledTextCtrl, SetSelectionNStart);
PHP_METHOD(php_wxStyledTextCtrl, SetSelectionStart);
PHP_METHOD(php_wxStyledTextCtrl, SetStatus);
PHP_METHOD(php_wxStyledTextCtrl, SetStyleBits);
PHP_METHOD(php_wxStyledTextCtrl, SetStyling);
PHP_METHOD(php_wxStyledTextCtrl, SetTabIndents);
PHP_METHOD(php_wxStyledTextCtrl, SetTabWidth);
PHP_METHOD(php_wxStyledTextCtrl, SetTargetEnd);
PHP_METHOD(php_wxStyledTextCtrl, SetTargetStart);
PHP_METHOD(php_wxStyledTextCtrl, SetText);
PHP_METHOD(php_wxStyledTextCtrl, SetTextRaw);
PHP_METHOD(php_wxStyledTextCtrl, SetTwoPhaseDraw);
PHP_METHOD(php_wxStyledTextCtrl, SetUndoCollection);
PHP_METHOD(php_wxStyledTextCtrl, SetUseHorizontalScrollBar);
PHP_METHOD(php_wxStyledTextCtrl, SetUseTabs);
PHP_METHOD(php_wxStyledTextCtrl, SetUseVerticalScrollBar);
PHP_METHOD(php_wxStyledTextCtrl, SetVScrollBar);
PHP_METHOD(php_wxStyledTextCtrl, SetViewEOL);
PHP_METHOD(php_wxStyledTextCtrl, SetViewWhiteSpace);
PHP_METHOD(php_wxStyledTextCtrl, SetVirtualSpaceOptions);
PHP_METHOD(php_wxStyledTextCtrl, SetVisiblePolicy);
PHP_METHOD(php_wxStyledTextCtrl, SetWhitespaceBackground);
PHP_METHOD(php_wxStyledTextCtrl, SetWhitespaceChars);
PHP_METHOD(php_wxStyledTextCtrl, SetWhitespaceForeground);
PHP_METHOD(php_wxStyledTextCtrl, SetWhitespaceSize);
PHP_METHOD(php_wxStyledTextCtrl, SetWordChars);
PHP_METHOD(php_wxStyledTextCtrl, SetWrapIndentMode);
PHP_METHOD(php_wxStyledTextCtrl, SetWrapMode);
PHP_METHOD(php_wxStyledTextCtrl, SetWrapStartIndent);
PHP_METHOD(php_wxStyledTextCtrl, SetWrapVisualFlags);
PHP_METHOD(php_wxStyledTextCtrl, SetWrapVisualFlagsLocation);
PHP_METHOD(php_wxStyledTextCtrl, SetXCaretPolicy);
PHP_METHOD(php_wxStyledTextCtrl, SetXOffset);
PHP_METHOD(php_wxStyledTextCtrl, SetYCaretPolicy);
PHP_METHOD(php_wxStyledTextCtrl, SetZoom);
PHP_METHOD(php_wxStyledTextCtrl, ShowLines);
PHP_METHOD(php_wxStyledTextCtrl, StartRecord);
PHP_METHOD(php_wxStyledTextCtrl, StartStyling);
PHP_METHOD(php_wxStyledTextCtrl, StopRecord);
PHP_METHOD(php_wxStyledTextCtrl, StutteredPageDown);
PHP_METHOD(php_wxStyledTextCtrl, StutteredPageDownExtend);
PHP_METHOD(php_wxStyledTextCtrl, StutteredPageUp);
PHP_METHOD(php_wxStyledTextCtrl, StutteredPageUpExtend);
PHP_METHOD(php_wxStyledTextCtrl, StyleClearAll);
PHP_METHOD(php_wxStyledTextCtrl, StyleResetDefault);
PHP_METHOD(php_wxStyledTextCtrl, StyleSetBackground);
PHP_METHOD(php_wxStyledTextCtrl, StyleSetBold);
PHP_METHOD(php_wxStyledTextCtrl, StyleSetCase);
PHP_METHOD(php_wxStyledTextCtrl, StyleSetChangeable);
PHP_METHOD(php_wxStyledTextCtrl, StyleSetCharacterSet);
PHP_METHOD(php_wxStyledTextCtrl, StyleSetEOLFilled);
PHP_METHOD(php_wxStyledTextCtrl, StyleSetFaceName);
PHP_METHOD(php_wxStyledTextCtrl, StyleSetFont);
PHP_METHOD(php_wxStyledTextCtrl, StyleSetFontAttr);
PHP_METHOD(php_wxStyledTextCtrl, StyleSetFontEncoding);
PHP_METHOD(php_wxStyledTextCtrl, StyleSetForeground);
PHP_METHOD(php_wxStyledTextCtrl, StyleSetHotSpot);
PHP_METHOD(php_wxStyledTextCtrl, StyleSetItalic);
PHP_METHOD(php_wxStyledTextCtrl, StyleSetSize);
PHP_METHOD(php_wxStyledTextCtrl, StyleSetSpec);
PHP_METHOD(php_wxStyledTextCtrl, StyleSetUnderline);
PHP_METHOD(php_wxStyledTextCtrl, StyleSetVisible);
PHP_METHOD(php_wxStyledTextCtrl, SwapMainAnchorCaret);
PHP_METHOD(php_wxStyledTextCtrl, Tab);
PHP_METHOD(php_wxStyledTextCtrl, TargetFromSelection);
PHP_METHOD(php_wxStyledTextCtrl, TextHeight);
PHP_METHOD(php_wxStyledTextCtrl, TextWidth);
PHP_METHOD(php_wxStyledTextCtrl, ToggleCaretSticky);
PHP_METHOD(php_wxStyledTextCtrl, ToggleFold);
PHP_METHOD(php_wxStyledTextCtrl, Undo);
PHP_METHOD(php_wxStyledTextCtrl, UpperCase);
PHP_METHOD(php_wxStyledTextCtrl, UsePopUp);
PHP_METHOD(php_wxStyledTextCtrl, UserListShow);
PHP_METHOD(php_wxStyledTextCtrl, VCHome);
PHP_METHOD(php_wxStyledTextCtrl, VCHomeExtend);
PHP_METHOD(php_wxStyledTextCtrl, VCHomeRectExtend);
PHP_METHOD(php_wxStyledTextCtrl, VCHomeWrap);
PHP_METHOD(php_wxStyledTextCtrl, VCHomeWrapExtend);
PHP_METHOD(php_wxStyledTextCtrl, VisibleFromDocLine);
PHP_METHOD(php_wxStyledTextCtrl, WordEndPosition);
PHP_METHOD(php_wxStyledTextCtrl, WordLeft);
PHP_METHOD(php_wxStyledTextCtrl, WordLeftEnd);
PHP_METHOD(php_wxStyledTextCtrl, WordLeftEndExtend);
PHP_METHOD(php_wxStyledTextCtrl, WordLeftExtend);
PHP_METHOD(php_wxStyledTextCtrl, WordPartLeft);
PHP_METHOD(php_wxStyledTextCtrl, WordPartLeftExtend);
PHP_METHOD(php_wxStyledTextCtrl, WordPartRight);
PHP_METHOD(php_wxStyledTextCtrl, WordPartRightExtend);
PHP_METHOD(php_wxStyledTextCtrl, WordRight);
PHP_METHOD(php_wxStyledTextCtrl, WordRightEnd);
PHP_METHOD(php_wxStyledTextCtrl, WordRightEndExtend);
PHP_METHOD(php_wxStyledTextCtrl, AppendTextRaw);
PHP_METHOD(php_wxStyledTextCtrl, AddTextRaw);
PHP_METHOD(php_wxStyledTextCtrl, ScrollToEnd);
PHP_METHOD(php_wxStyledTextCtrl, ScrollToStart);
PHP_METHOD(php_wxStyledTextCtrl, MarkerEnableHighlight);
PHP_METHOD(php_wxStyledTextCtrl, MarkerDefineRGBAImage);
PHP_METHOD(php_wxStyledTextCtrl, AnnotationClearLine);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompGetCaseInsensitiveBehaviour);
PHP_METHOD(php_wxStyledTextCtrl, AutoCompSetCaseInsensitiveBehaviour);
PHP_METHOD(php_wxStyledTextCtrl, BraceBadLightIndicator);
PHP_METHOD(php_wxStyledTextCtrl, BraceHighlightIndicator);
PHP_METHOD(php_wxStyledTextCtrl, CallTipSetPosition);
PHP_METHOD(php_wxStyledTextCtrl, ChangeLexerState);
PHP_METHOD(php_wxStyledTextCtrl, ContractedFoldNext);
PHP_METHOD(php_wxStyledTextCtrl, CountCharacters);
PHP_METHOD(php_wxStyledTextCtrl, DelWordRightEnd);
PHP_METHOD(php_wxStyledTextCtrl, DeleteRange);
PHP_METHOD(php_wxStyledTextCtrl, DescribeKeyWordSets);
PHP_METHOD(php_wxStyledTextCtrl, DescribeProperty);
PHP_METHOD(php_wxStyledTextCtrl, DiscardEdits);
PHP_METHOD(php_wxStyledTextCtrl, GetAllLinesVisible);
PHP_METHOD(php_wxStyledTextCtrl, GetCaretStyle);
PHP_METHOD(php_wxStyledTextCtrl, GetCurLine);
PHP_METHOD(php_wxStyledTextCtrl, GetGapPosition);
PHP_METHOD(php_wxStyledTextCtrl, GetHotspotActiveBackground);
PHP_METHOD(php_wxStyledTextCtrl, GetHotspotActiveForeground);
PHP_METHOD(php_wxStyledTextCtrl, GetHotspotActiveUnderline);
PHP_METHOD(php_wxStyledTextCtrl, GetHotspotSingleLine);
PHP_METHOD(php_wxStyledTextCtrl, GetIdentifier);
PHP_METHOD(php_wxStyledTextCtrl, GetIndicatorCurrent);
PHP_METHOD(php_wxStyledTextCtrl, GetIndicatorValue);
PHP_METHOD(php_wxStyledTextCtrl, GetInsertionPoint);
PHP_METHOD(php_wxStyledTextCtrl, GetLineLength);
PHP_METHOD(php_wxStyledTextCtrl, GetLineText);
PHP_METHOD(php_wxStyledTextCtrl, GetMarginCursor);
PHP_METHOD(php_wxStyledTextCtrl, GetMarginOptions);
PHP_METHOD(php_wxStyledTextCtrl, GetMultiPaste);
PHP_METHOD(php_wxStyledTextCtrl, GetNumberOfLines);
PHP_METHOD(php_wxStyledTextCtrl, GetPositionCacheSize);
PHP_METHOD(php_wxStyledTextCtrl, GetPunctuationChars);
PHP_METHOD(php_wxStyledTextCtrl, GetScrollWidthTracking);
PHP_METHOD(php_wxStyledTextCtrl, GetSelEOLFilled);
PHP_METHOD(php_wxStyledTextCtrl, GetSelection);
PHP_METHOD(php_wxStyledTextCtrl, GetTag);
PHP_METHOD(php_wxStyledTextCtrl, GetTechnology);
PHP_METHOD(php_wxStyledTextCtrl, GetWhitespaceChars);
PHP_METHOD(php_wxStyledTextCtrl, GetWordChars);
PHP_METHOD(php_wxStyledTextCtrl, IndicatorAllOnFor);
PHP_METHOD(php_wxStyledTextCtrl, IndicatorClearRange);
PHP_METHOD(php_wxStyledTextCtrl, IndicatorEnd);
PHP_METHOD(php_wxStyledTextCtrl, IndicatorFillRange);
PHP_METHOD(php_wxStyledTextCtrl, IndicatorGetOutlineAlpha);
PHP_METHOD(php_wxStyledTextCtrl, IndicatorGetUnder);
PHP_METHOD(php_wxStyledTextCtrl, IndicatorSetOutlineAlpha);
PHP_METHOD(php_wxStyledTextCtrl, IndicatorSetUnder);
PHP_METHOD(php_wxStyledTextCtrl, IndicatorStart);
PHP_METHOD(php_wxStyledTextCtrl, IndicatorValueAt);
PHP_METHOD(php_wxStyledTextCtrl, IsEditable);
PHP_METHOD(php_wxStyledTextCtrl, IsModified);
PHP_METHOD(php_wxStyledTextCtrl, MarkDirty);
PHP_METHOD(php_wxStyledTextCtrl, MarkerSetBackgroundSelected);
PHP_METHOD(php_wxStyledTextCtrl, MoveSelectedLinesDown);
PHP_METHOD(php_wxStyledTextCtrl, MoveSelectedLinesUp);
PHP_METHOD(php_wxStyledTextCtrl, PropertyNames);
PHP_METHOD(php_wxStyledTextCtrl, PropertyType);
PHP_METHOD(php_wxStyledTextCtrl, RGBAImageSetHeight);
PHP_METHOD(php_wxStyledTextCtrl, RGBAImageSetWidth);
PHP_METHOD(php_wxStyledTextCtrl, RegisterRGBAImage);
PHP_METHOD(php_wxStyledTextCtrl, Remove);
PHP_METHOD(php_wxStyledTextCtrl, Replace);
PHP_METHOD(php_wxStyledTextCtrl, SelectNone);
PHP_METHOD(php_wxStyledTextCtrl, SetCaretStyle);
PHP_METHOD(php_wxStyledTextCtrl, WriteText);
PHP_METHOD(php_wxStyledTextCtrl, XYToPosition);
PHP_METHOD(php_wxStyledTextCtrl, VerticalCentreCaret);
PHP_METHOD(php_wxStyledTextCtrl, StyleSetWeight);
PHP_METHOD(php_wxStyledTextCtrl, StyleSetSizeFractional);
PHP_METHOD(php_wxStyledTextCtrl, StyleGetBackground);
PHP_METHOD(php_wxStyledTextCtrl, StyleGetBold);
PHP_METHOD(php_wxStyledTextCtrl, StyleGetCase);
PHP_METHOD(php_wxStyledTextCtrl, StyleGetChangeable);
PHP_METHOD(php_wxStyledTextCtrl, StyleGetCharacterSet);
PHP_METHOD(php_wxStyledTextCtrl, StyleGetEOLFilled);
PHP_METHOD(php_wxStyledTextCtrl, StyleGetFaceName);
PHP_METHOD(php_wxStyledTextCtrl, StyleGetFont);
PHP_METHOD(php_wxStyledTextCtrl, StyleGetForeground);
PHP_METHOD(php_wxStyledTextCtrl, StyleGetHotSpot);
PHP_METHOD(php_wxStyledTextCtrl, StyleGetItalic);
PHP_METHOD(php_wxStyledTextCtrl, StyleGetSize);
PHP_METHOD(php_wxStyledTextCtrl, StyleGetSizeFractional);
PHP_METHOD(php_wxStyledTextCtrl, StyleGetUnderline);
PHP_METHOD(php_wxStyledTextCtrl, StyleGetVisible);
PHP_METHOD(php_wxStyledTextCtrl, StyleGetWeight);
PHP_METHOD(php_wxStyledTextCtrl, ShowPosition);
PHP_METHOD(php_wxStyledTextCtrl, SetStyle);
PHP_METHOD(php_wxStyledTextCtrl, SetMarginCursor);
PHP_METHOD(php_wxStyledTextCtrl, SetMarginOptions);
PHP_METHOD(php_wxStyledTextCtrl, SetIdentifier);
PHP_METHOD(php_wxStyledTextCtrl, SetIndicatorCurrent);
PHP_METHOD(php_wxStyledTextCtrl, SetIndicatorValue);
PHP_METHOD(php_wxStyledTextCtrl, SetInsertionPoint);
PHP_METHOD(php_wxStyledTextCtrl, SetEmptySelection);
PHP_METHOD(php_wxStyledTextCtrl, SetEditable);
PHP_METHOD(php_wxStyledTextCtrl, SetDefaultStyle);
PHP_METHOD(php_wxStyledTextCtrl, GetStyle);
PHP_METHOD(php_wxStyledTextCtrl, GetLastPosition);
PHP_METHOD(php_wxStyledTextCtrl, SetMultiPaste);
PHP_METHOD(php_wxStyledTextCtrl, SetPositionCacheSize);
PHP_METHOD(php_wxStyledTextCtrl, SetPunctuationChars);
PHP_METHOD(php_wxStyledTextCtrl, SetScrollWidthTracking);
PHP_METHOD(php_wxStyledTextCtrl, SetSelEOLFilled);
PHP_METHOD(php_wxStyledTextCtrl, SetTechnology);
PHP_METHOD(php_wxStyledTextCtrl, Connect);
PHP_METHOD(php_wxStyledTextEvent, __construct);
PHP_METHOD(php_wxStyledTextEvent, SetY);
PHP_METHOD(php_wxStyledTextEvent, SetX);
PHP_METHOD(php_wxStyledTextEvent, SetWParam);
PHP_METHOD(php_wxStyledTextEvent, SetText);
PHP_METHOD(php_wxStyledTextEvent, SetPosition);
PHP_METHOD(php_wxStyledTextEvent, SetModifiers);
PHP_METHOD(php_wxStyledTextEvent, SetModificationType);
PHP_METHOD(php_wxStyledTextEvent, SetMessage);
PHP_METHOD(php_wxStyledTextEvent, SetMargin);
PHP_METHOD(php_wxStyledTextEvent, SetListType);
PHP_METHOD(php_wxStyledTextEvent, SetLinesAdded);
PHP_METHOD(php_wxStyledTextEvent, SetLine);
PHP_METHOD(php_wxStyledTextEvent, GetAlt);
PHP_METHOD(php_wxStyledTextEvent, GetControl);
PHP_METHOD(php_wxStyledTextEvent, GetDragText);
PHP_METHOD(php_wxStyledTextEvent, GetFoldLevelNow);
PHP_METHOD(php_wxStyledTextEvent, GetFoldLevelPrev);
PHP_METHOD(php_wxStyledTextEvent, GetKey);
PHP_METHOD(php_wxStyledTextEvent, GetLParam);
PHP_METHOD(php_wxStyledTextEvent, GetLength);
PHP_METHOD(php_wxStyledTextEvent, GetLine);
PHP_METHOD(php_wxStyledTextEvent, GetLinesAdded);
PHP_METHOD(php_wxStyledTextEvent, GetListType);
PHP_METHOD(php_wxStyledTextEvent, GetMargin);
PHP_METHOD(php_wxStyledTextEvent, GetMessage);
PHP_METHOD(php_wxStyledTextEvent, GetModificationType);
PHP_METHOD(php_wxStyledTextEvent, GetModifiers);
PHP_METHOD(php_wxStyledTextEvent, GetPosition);
PHP_METHOD(php_wxStyledTextEvent, GetShift);
PHP_METHOD(php_wxStyledTextEvent, GetText);
PHP_METHOD(php_wxStyledTextEvent, GetWParam);
PHP_METHOD(php_wxStyledTextEvent, GetX);
PHP_METHOD(php_wxStyledTextEvent, GetY);
PHP_METHOD(php_wxStyledTextEvent, SetDragResult);
PHP_METHOD(php_wxStyledTextEvent, SetDragText);
PHP_METHOD(php_wxStyledTextEvent, SetFoldLevelNow);
PHP_METHOD(php_wxStyledTextEvent, SetFoldLevelPrev);
PHP_METHOD(php_wxStyledTextEvent, SetKey);
PHP_METHOD(php_wxStyledTextEvent, SetLParam);
PHP_METHOD(php_wxStyledTextEvent, SetLength);
PHP_METHOD(php_wxStyledTextEvent, GetDragResult);
PHP_METHOD(php_wxVersionInfo, ToString);
PHP_METHOD(php_wxVersionInfo, HasCopyright);
PHP_METHOD(php_wxVersionInfo, GetVersionString);
PHP_METHOD(php_wxVersionInfo, GetName);
PHP_METHOD(php_wxVersionInfo, GetMinor);
PHP_METHOD(php_wxVersionInfo, GetMicro);
PHP_METHOD(php_wxVersionInfo, GetMajor);
PHP_METHOD(php_wxVersionInfo, GetDescription);
PHP_METHOD(php_wxVersionInfo, GetCopyright);
PHP_METHOD(php_wxVersionInfo, __construct);
PHP_METHOD(php_wxVersionInfo, HasDescription);
PHP_METHOD(php_wxScrollBar, __construct);
PHP_METHOD(php_wxScrollBar, SetThumbPosition);
PHP_METHOD(php_wxScrollBar, SetScrollbar);
PHP_METHOD(php_wxScrollBar, GetThumbSize);
PHP_METHOD(php_wxScrollBar, GetThumbPosition);
PHP_METHOD(php_wxScrollBar, GetPageSize);
PHP_METHOD(php_wxScrollBar, GetRange);
PHP_METHOD(php_wxScrollBar, Create);
PHP_METHOD(php_wxScrollBar, Connect);
PHP_METHOD(php_wxStaticText, Create);
PHP_METHOD(php_wxStaticText, IsEllipsized);
PHP_METHOD(php_wxStaticText, Wrap);
PHP_METHOD(php_wxStaticText, __construct);
PHP_METHOD(php_wxStaticText, Connect);
PHP_METHOD(php_wxStatusBarPane, __construct);
PHP_METHOD(php_wxStatusBarPane, GetText);
PHP_METHOD(php_wxStatusBarPane, GetStyle);
PHP_METHOD(php_wxStatusBarPane, GetWidth);
PHP_METHOD(php_wxStaticLine, Create);
PHP_METHOD(php_wxStaticLine, GetDefaultSize);
PHP_METHOD(php_wxStaticLine, IsVertical);
PHP_METHOD(php_wxStaticLine, __construct);
PHP_METHOD(php_wxStaticLine, Connect);
PHP_METHOD(php_wxStaticBoxSizer, CalcMin);
PHP_METHOD(php_wxStaticBoxSizer, GetStaticBox);
PHP_METHOD(php_wxStaticBoxSizer, RecalcSizes);
PHP_METHOD(php_wxStaticBoxSizer, __construct);
PHP_METHOD(php_wxStaticBox, Create);
PHP_METHOD(php_wxStaticBox, __construct);
PHP_METHOD(php_wxStaticBox, Connect);
PHP_METHOD(php_wxStaticBitmap, Create);
PHP_METHOD(php_wxStaticBitmap, GetBitmap);
PHP_METHOD(php_wxStaticBitmap, GetIcon);
PHP_METHOD(php_wxStaticBitmap, SetBitmap);
PHP_METHOD(php_wxStaticBitmap, SetIcon);
PHP_METHOD(php_wxStaticBitmap, __construct);
PHP_METHOD(php_wxStaticBitmap, Connect);
PHP_METHOD(php_wxAuiToolBarItem, __construct);
PHP_METHOD(php_wxAuiToolBarItem, SetWindow);
PHP_METHOD(php_wxAuiToolBarItem, SetUserData);
PHP_METHOD(php_wxAuiToolBarItem, SetSticky);
PHP_METHOD(php_wxAuiToolBarItem, SetState);
PHP_METHOD(php_wxAuiToolBarItem, SetSpacerPixels);
PHP_METHOD(php_wxAuiToolBarItem, SetSizerItem);
PHP_METHOD(php_wxAuiToolBarItem, SetShortHelp);
PHP_METHOD(php_wxAuiToolBarItem, SetProportion);
PHP_METHOD(php_wxAuiToolBarItem, SetMinSize);
PHP_METHOD(php_wxAuiToolBarItem, SetLongHelp);
PHP_METHOD(php_wxAuiToolBarItem, SetLabel);
PHP_METHOD(php_wxAuiToolBarItem, SetKind);
PHP_METHOD(php_wxAuiToolBarItem, SetId);
PHP_METHOD(php_wxAuiToolBarItem, SetHoverBitmap);
PHP_METHOD(php_wxAuiToolBarItem, SetHasDropDown);
PHP_METHOD(php_wxAuiToolBarItem, SetDisabledBitmap);
PHP_METHOD(php_wxAuiToolBarItem, SetBitmap);
PHP_METHOD(php_wxAuiToolBarItem, SetAlignment);
PHP_METHOD(php_wxAuiToolBarItem, SetActive);
PHP_METHOD(php_wxAuiToolBarItem, IsSticky);
PHP_METHOD(php_wxAuiToolBarItem, IsActive);
PHP_METHOD(php_wxAuiToolBarItem, HasDropDown);
PHP_METHOD(php_wxAuiToolBarItem, GetWindow);
PHP_METHOD(php_wxAuiToolBarItem, GetUserData);
PHP_METHOD(php_wxAuiToolBarItem, GetState);
PHP_METHOD(php_wxAuiToolBarItem, GetSpacerPixels);
PHP_METHOD(php_wxAuiToolBarItem, GetSizerItem);
PHP_METHOD(php_wxAuiToolBarItem, GetShortHelp);
PHP_METHOD(php_wxAuiToolBarItem, GetProportion);
PHP_METHOD(php_wxAuiToolBarItem, GetMinSize);
PHP_METHOD(php_wxAuiToolBarItem, GetLongHelp);
PHP_METHOD(php_wxAuiToolBarItem, GetLabel);
PHP_METHOD(php_wxAuiToolBarItem, GetKind);
PHP_METHOD(php_wxAuiToolBarItem, GetId);
PHP_METHOD(php_wxAuiToolBarItem, GetHoverBitmap);
PHP_METHOD(php_wxAuiToolBarItem, GetDisabledBitmap);
PHP_METHOD(php_wxAuiToolBarItem, GetBitmap);
PHP_METHOD(php_wxAuiToolBarItem, GetAlignment);
PHP_METHOD(php_wxAuiToolBarItem, Assign);
PHP_METHOD(php_wxCheckBox, __construct);
PHP_METHOD(php_wxCheckBox, SetValue);
PHP_METHOD(php_wxCheckBox, Set3StateValue);
PHP_METHOD(php_wxCheckBox, IsChecked);
PHP_METHOD(php_wxCheckBox, Is3rdStateAllowedForUser);
PHP_METHOD(php_wxCheckBox, Is3State);
PHP_METHOD(php_wxCheckBox, GetValue);
PHP_METHOD(php_wxCheckBox, Get3StateValue);
PHP_METHOD(php_wxCheckBox, Create);
PHP_METHOD(php_wxCheckBox, Connect);
PHP_METHOD(php_wxWrapSizer, __construct);
PHP_METHOD(php_wxWrapSizer, RecalcSizes);
PHP_METHOD(php_wxWrapSizer, IsSpaceItem);
PHP_METHOD(php_wxWrapSizer, InformFirstDirection);
PHP_METHOD(php_wxWrapSizer, CalcMin);
PHP_METHOD(php_wxBitmapButton, Create);
PHP_METHOD(php_wxBitmapButton, __construct);
PHP_METHOD(php_wxBitmapButton, Connect);
PHP_METHOD(php_wxTextEntry, WriteText);
PHP_METHOD(php_wxTextEntry, Undo);
PHP_METHOD(php_wxTextEntry, SetValue);
PHP_METHOD(php_wxTextEntry, SetSelection);
PHP_METHOD(php_wxTextEntry, SetMaxLength);
PHP_METHOD(php_wxTextEntry, SetMargins);
PHP_METHOD(php_wxTextEntry, SetInsertionPointEnd);
PHP_METHOD(php_wxTextEntry, SetInsertionPoint);
PHP_METHOD(php_wxTextEntry, SetHint);
PHP_METHOD(php_wxTextEntry, SetEditable);
PHP_METHOD(php_wxTextEntry, SelectAll);
PHP_METHOD(php_wxTextEntry, Replace);
PHP_METHOD(php_wxTextEntry, Remove);
PHP_METHOD(php_wxTextEntry, Redo);
PHP_METHOD(php_wxTextEntry, Paste);
PHP_METHOD(php_wxTextEntry, IsEditable);
PHP_METHOD(php_wxTextEntry, GetValue);
PHP_METHOD(php_wxTextEntry, GetStringSelection);
PHP_METHOD(php_wxTextEntry, GetSelection);
PHP_METHOD(php_wxTextEntry, GetRange);
PHP_METHOD(php_wxTextEntry, GetMargins);
PHP_METHOD(php_wxTextEntry, GetLastPosition);
PHP_METHOD(php_wxTextEntry, GetInsertionPoint);
PHP_METHOD(php_wxTextEntry, GetHint);
PHP_METHOD(php_wxTextEntry, Copy);
PHP_METHOD(php_wxTextEntry, Clear);
PHP_METHOD(php_wxTextEntry, ChangeValue);
PHP_METHOD(php_wxTextEntry, CanUndo);
PHP_METHOD(php_wxTextEntry, CanRedo);
PHP_METHOD(php_wxTextEntry, CanPaste);
PHP_METHOD(php_wxTextEntry, CanCut);
PHP_METHOD(php_wxTextEntry, CanCopy);
PHP_METHOD(php_wxTextEntry, AutoCompleteFileNames);
PHP_METHOD(php_wxTextEntry, AutoCompleteDirectories);
PHP_METHOD(php_wxTextEntry, AutoComplete);
PHP_METHOD(php_wxTextEntry, AppendText);
PHP_METHOD(php_wxTextEntry, Cut);
PHP_METHOD(php_wxTextEntry, SelectNone);
PHP_METHOD(php_wxTextCompleter, GetNext);
PHP_METHOD(php_wxTextCompleter, Start);
PHP_METHOD(php_wxTextCtrl, __construct);
PHP_METHOD(php_wxTextCtrl, XYToPosition);
PHP_METHOD(php_wxTextCtrl, ShowPosition);
PHP_METHOD(php_wxTextCtrl, SetStyle);
PHP_METHOD(php_wxTextCtrl, SetModified);
PHP_METHOD(php_wxTextCtrl, SetDefaultStyle);
PHP_METHOD(php_wxTextCtrl, SaveFile);
PHP_METHOD(php_wxTextCtrl, PositionToXY);
PHP_METHOD(php_wxTextCtrl, MarkDirty);
PHP_METHOD(php_wxTextCtrl, LoadFile);
PHP_METHOD(php_wxTextCtrl, IsSingleLine);
PHP_METHOD(php_wxTextCtrl, IsMultiLine);
PHP_METHOD(php_wxTextCtrl, IsModified);
PHP_METHOD(php_wxTextCtrl, GetNumberOfLines);
PHP_METHOD(php_wxTextCtrl, GetLineText);
PHP_METHOD(php_wxTextCtrl, GetLineLength);
PHP_METHOD(php_wxTextCtrl, EmulateKeyPress);
PHP_METHOD(php_wxTextCtrl, DiscardEdits);
PHP_METHOD(php_wxTextCtrl, Create);
PHP_METHOD(php_wxTextCtrl, GetDefaultStyle);
PHP_METHOD(php_wxTextCtrl, GetStyle);
PHP_METHOD(php_wxTextCtrl, Connect);
PHP_METHOD(php_wxTextAttr, __construct);
PHP_METHOD(php_wxTextAttr, SetFont);
PHP_METHOD(php_wxTextAttr, SetURL);
PHP_METHOD(php_wxTextAttr, SetTextEffects);
PHP_METHOD(php_wxTextAttr, SetTextEffectFlags);
PHP_METHOD(php_wxTextAttr, SetTextColour);
PHP_METHOD(php_wxTextAttr, SetRightIndent);
PHP_METHOD(php_wxTextAttr, SetParagraphStyleName);
PHP_METHOD(php_wxTextAttr, SetParagraphSpacingBefore);
PHP_METHOD(php_wxTextAttr, SetParagraphSpacingAfter);
PHP_METHOD(php_wxTextAttr, SetOutlineLevel);
PHP_METHOD(php_wxTextAttr, SetListStyleName);
PHP_METHOD(php_wxTextAttr, SetLineSpacing);
PHP_METHOD(php_wxTextAttr, SetLeftIndent);
PHP_METHOD(php_wxTextAttr, SetFontWeight);
PHP_METHOD(php_wxTextAttr, SetFontUnderlined);
PHP_METHOD(php_wxTextAttr, SetFontStyle);
PHP_METHOD(php_wxTextAttr, SetFontSize);
PHP_METHOD(php_wxTextAttr, Apply);
PHP_METHOD(php_wxTextAttr, GetAlignment);
PHP_METHOD(php_wxTextAttr, GetBackgroundColour);
PHP_METHOD(php_wxTextAttr, GetBulletFont);
PHP_METHOD(php_wxTextAttr, GetBulletName);
PHP_METHOD(php_wxTextAttr, GetBulletNumber);
PHP_METHOD(php_wxTextAttr, GetBulletStyle);
PHP_METHOD(php_wxTextAttr, GetBulletText);
PHP_METHOD(php_wxTextAttr, GetCharacterStyleName);
PHP_METHOD(php_wxTextAttr, GetFlags);
PHP_METHOD(php_wxTextAttr, GetFont);
PHP_METHOD(php_wxTextAttr, GetFontAttributes);
PHP_METHOD(php_wxTextAttr, GetFontEncoding);
PHP_METHOD(php_wxTextAttr, GetFontFaceName);
PHP_METHOD(php_wxTextAttr, GetFontFamily);
PHP_METHOD(php_wxTextAttr, GetFontSize);
PHP_METHOD(php_wxTextAttr, GetFontStyle);
PHP_METHOD(php_wxTextAttr, GetFontUnderlined);
PHP_METHOD(php_wxTextAttr, GetFontWeight);
PHP_METHOD(php_wxTextAttr, GetLeftIndent);
PHP_METHOD(php_wxTextAttr, GetLeftSubIndent);
PHP_METHOD(php_wxTextAttr, GetLineSpacing);
PHP_METHOD(php_wxTextAttr, GetListStyleName);
PHP_METHOD(php_wxTextAttr, GetOutlineLevel);
PHP_METHOD(php_wxTextAttr, GetParagraphSpacingAfter);
PHP_METHOD(php_wxTextAttr, GetParagraphSpacingBefore);
PHP_METHOD(php_wxTextAttr, GetParagraphStyleName);
PHP_METHOD(php_wxTextAttr, GetRightIndent);
PHP_METHOD(php_wxTextAttr, GetTextColour);
PHP_METHOD(php_wxTextAttr, GetTextEffectFlags);
PHP_METHOD(php_wxTextAttr, GetTextEffects);
PHP_METHOD(php_wxTextAttr, GetURL);
PHP_METHOD(php_wxTextAttr, HasAlignment);
PHP_METHOD(php_wxTextAttr, HasBackgroundColour);
PHP_METHOD(php_wxTextAttr, HasBulletName);
PHP_METHOD(php_wxTextAttr, HasBulletNumber);
PHP_METHOD(php_wxTextAttr, HasBulletStyle);
PHP_METHOD(php_wxTextAttr, HasBulletText);
PHP_METHOD(php_wxTextAttr, HasCharacterStyleName);
PHP_METHOD(php_wxTextAttr, HasFlag);
PHP_METHOD(php_wxTextAttr, HasFont);
PHP_METHOD(php_wxTextAttr, HasFontEncoding);
PHP_METHOD(php_wxTextAttr, HasFontFaceName);
PHP_METHOD(php_wxTextAttr, HasFontFamily);
PHP_METHOD(php_wxTextAttr, HasFontItalic);
PHP_METHOD(php_wxTextAttr, HasFontSize);
PHP_METHOD(php_wxTextAttr, HasFontUnderlined);
PHP_METHOD(php_wxTextAttr, HasFontWeight);
PHP_METHOD(php_wxTextAttr, HasLeftIndent);
PHP_METHOD(php_wxTextAttr, HasLineSpacing);
PHP_METHOD(php_wxTextAttr, HasListStyleName);
PHP_METHOD(php_wxTextAttr, HasOutlineLevel);
PHP_METHOD(php_wxTextAttr, HasPageBreak);
PHP_METHOD(php_wxTextAttr, HasParagraphSpacingAfter);
PHP_METHOD(php_wxTextAttr, HasParagraphSpacingBefore);
PHP_METHOD(php_wxTextAttr, HasParagraphStyleName);
PHP_METHOD(php_wxTextAttr, HasRightIndent);
PHP_METHOD(php_wxTextAttr, HasTabs);
PHP_METHOD(php_wxTextAttr, HasTextColour);
PHP_METHOD(php_wxTextAttr, HasTextEffects);
PHP_METHOD(php_wxTextAttr, HasURL);
PHP_METHOD(php_wxTextAttr, IsCharacterStyle);
PHP_METHOD(php_wxTextAttr, IsDefault);
PHP_METHOD(php_wxTextAttr, IsParagraphStyle);
PHP_METHOD(php_wxTextAttr, Merge);
PHP_METHOD(php_wxTextAttr, SetAlignment);
PHP_METHOD(php_wxTextAttr, SetBackgroundColour);
PHP_METHOD(php_wxTextAttr, SetBulletFont);
PHP_METHOD(php_wxTextAttr, SetBulletName);
PHP_METHOD(php_wxTextAttr, SetBulletNumber);
PHP_METHOD(php_wxTextAttr, SetBulletStyle);
PHP_METHOD(php_wxTextAttr, SetBulletText);
PHP_METHOD(php_wxTextAttr, SetCharacterStyleName);
PHP_METHOD(php_wxTextAttr, SetFlags);
PHP_METHOD(php_wxTextAttr, SetFontEncoding);
PHP_METHOD(php_wxTextAttr, SetFontFaceName);
PHP_METHOD(php_wxTextAttr, SetFontFamily);
PHP_METHOD(php_wxTextAttr, SetPageBreak);
PHP_METHOD(php_wxTextEntryDialog, GetValue);
PHP_METHOD(php_wxTextEntryDialog, SetValue);
PHP_METHOD(php_wxTextEntryDialog, ShowModal);
PHP_METHOD(php_wxTextEntryDialog, __construct);
PHP_METHOD(php_wxTextEntryDialog, Connect);
PHP_METHOD(php_wxComboBox, Create);
PHP_METHOD(php_wxComboBox, Dismiss);
PHP_METHOD(php_wxComboBox, FindString);
PHP_METHOD(php_wxComboBox, GetCount);
PHP_METHOD(php_wxComboBox, GetCurrentSelection);
PHP_METHOD(php_wxComboBox, GetInsertionPoint);
PHP_METHOD(php_wxComboBox, GetSelection);
PHP_METHOD(php_wxComboBox, GetString);
PHP_METHOD(php_wxComboBox, GetStringSelection);
PHP_METHOD(php_wxComboBox, IsListEmpty);
PHP_METHOD(php_wxComboBox, IsTextEmpty);
PHP_METHOD(php_wxComboBox, Popup);
PHP_METHOD(php_wxComboBox, SetSelection);
PHP_METHOD(php_wxComboBox, SetValue);
PHP_METHOD(php_wxComboBox, __construct);
PHP_METHOD(php_wxComboBox, SetString);
PHP_METHOD(php_wxComboBox, Connect);
PHP_METHOD(php_wxItemContainer, Append);
PHP_METHOD(php_wxItemContainer, Delete);
PHP_METHOD(php_wxItemContainer, Insert);
PHP_METHOD(php_wxItemContainer, Clear);
PHP_METHOD(php_wxItemContainer, Set);
PHP_METHOD(php_wxItemContainerImmutable, FindString);
PHP_METHOD(php_wxItemContainerImmutable, GetString);
PHP_METHOD(php_wxItemContainerImmutable, GetCount);
PHP_METHOD(php_wxItemContainerImmutable, GetSelection);
PHP_METHOD(php_wxItemContainerImmutable, GetStringSelection);
PHP_METHOD(php_wxItemContainerImmutable, GetStrings);
PHP_METHOD(php_wxItemContainerImmutable, SetSelection);
PHP_METHOD(php_wxItemContainerImmutable, SetString);
PHP_METHOD(php_wxItemContainerImmutable, SetStringSelection);
PHP_METHOD(php_wxBitmapComboBox, Append);
PHP_METHOD(php_wxBitmapComboBox, Create);
PHP_METHOD(php_wxBitmapComboBox, GetBitmapSize);
PHP_METHOD(php_wxBitmapComboBox, GetItemBitmap);
PHP_METHOD(php_wxBitmapComboBox, Insert);
PHP_METHOD(php_wxBitmapComboBox, SetItemBitmap);
PHP_METHOD(php_wxBitmapComboBox, __construct);
PHP_METHOD(php_wxBitmapComboBox, Connect);
PHP_METHOD(php_wxAuiToolBarEvent, GetClickPoint);
PHP_METHOD(php_wxAuiToolBarEvent, GetItemRect);
PHP_METHOD(php_wxAuiToolBarEvent, GetToolId);
PHP_METHOD(php_wxAuiToolBarEvent, IsDropDownClicked);
PHP_METHOD(php_wxAuiToolBar, __construct);
PHP_METHOD(php_wxAuiToolBar, AddControl);
PHP_METHOD(php_wxAuiToolBar, AddLabel);
PHP_METHOD(php_wxAuiToolBar, AddSeparator);
PHP_METHOD(php_wxAuiToolBar, AddSpacer);
PHP_METHOD(php_wxAuiToolBar, AddStretchSpacer);
PHP_METHOD(php_wxAuiToolBar, Clear);
PHP_METHOD(php_wxAuiToolBar, ClearTools);
PHP_METHOD(php_wxAuiToolBar, DeleteByIndex);
PHP_METHOD(php_wxAuiToolBar, DeleteTool);
PHP_METHOD(php_wxAuiToolBar, EnableTool);
PHP_METHOD(php_wxAuiToolBar, ToggleTool);
PHP_METHOD(php_wxAuiToolBar, SetWindowStyleFlag);
PHP_METHOD(php_wxAuiToolBar, SetToolTextOrientation);
PHP_METHOD(php_wxAuiToolBar, SetToolSticky);
PHP_METHOD(php_wxAuiToolBar, SetToolShortHelp);
PHP_METHOD(php_wxAuiToolBar, SetToolSeparation);
PHP_METHOD(php_wxAuiToolBar, SetToolProportion);
PHP_METHOD(php_wxAuiToolBar, SetToolPacking);
PHP_METHOD(php_wxAuiToolBar, SetToolLongHelp);
PHP_METHOD(php_wxAuiToolBar, SetToolLabel);
PHP_METHOD(php_wxAuiToolBar, SetToolDropDown);
PHP_METHOD(php_wxAuiToolBar, SetToolBorderPadding);
PHP_METHOD(php_wxAuiToolBar, SetToolBitmapSize);
PHP_METHOD(php_wxAuiToolBar, SetToolBitmap);
PHP_METHOD(php_wxAuiToolBar, SetOverflowVisible);
PHP_METHOD(php_wxAuiToolBar, SetMargins);
PHP_METHOD(php_wxAuiToolBar, SetGripperVisible);
PHP_METHOD(php_wxAuiToolBar, SetFont);
PHP_METHOD(php_wxAuiToolBar, Realize);
PHP_METHOD(php_wxAuiToolBar, IsPaneValid);
PHP_METHOD(php_wxAuiToolBar, GetWindowStyleFlag);
PHP_METHOD(php_wxAuiToolBar, GetToolToggled);
PHP_METHOD(php_wxAuiToolBar, GetToolTextOrientation);
PHP_METHOD(php_wxAuiToolBar, GetToolSticky);
PHP_METHOD(php_wxAuiToolBar, GetToolShortHelp);
PHP_METHOD(php_wxAuiToolBar, GetToolSeparation);
PHP_METHOD(php_wxAuiToolBar, FindControl);
PHP_METHOD(php_wxAuiToolBar, FindTool);
PHP_METHOD(php_wxAuiToolBar, FindToolByIndex);
PHP_METHOD(php_wxAuiToolBar, FindToolByPosition);
PHP_METHOD(php_wxAuiToolBar, GetArtProvider);
PHP_METHOD(php_wxAuiToolBar, GetGripperVisible);
PHP_METHOD(php_wxAuiToolBar, GetHintSize);
PHP_METHOD(php_wxAuiToolBar, GetOverflowVisible);
PHP_METHOD(php_wxAuiToolBar, GetToolBarFits);
PHP_METHOD(php_wxAuiToolBar, GetToolBitmap);
PHP_METHOD(php_wxAuiToolBar, GetToolBitmapSize);
PHP_METHOD(php_wxAuiToolBar, GetToolBorderPadding);
PHP_METHOD(php_wxAuiToolBar, GetToolCount);
PHP_METHOD(php_wxAuiToolBar, GetToolDropDown);
PHP_METHOD(php_wxAuiToolBar, GetToolEnabled);
PHP_METHOD(php_wxAuiToolBar, GetToolFits);
PHP_METHOD(php_wxAuiToolBar, GetToolFitsByIndex);
PHP_METHOD(php_wxAuiToolBar, GetToolIndex);
PHP_METHOD(php_wxAuiToolBar, GetToolLabel);
PHP_METHOD(php_wxAuiToolBar, GetToolLongHelp);
PHP_METHOD(php_wxAuiToolBar, GetToolPacking);
PHP_METHOD(php_wxAuiToolBar, GetToolPos);
PHP_METHOD(php_wxAuiToolBar, GetToolProportion);
PHP_METHOD(php_wxAuiToolBar, GetToolRect);
PHP_METHOD(php_wxAuiToolBar, AddTool);
PHP_METHOD(php_wxAuiToolBar, Connect);
PHP_METHOD(php_wxBannerWindow, __construct);
PHP_METHOD(php_wxBannerWindow, SetText);
PHP_METHOD(php_wxBannerWindow, SetGradient);
PHP_METHOD(php_wxBannerWindow, SetBitmap);
PHP_METHOD(php_wxBannerWindow, Create);
PHP_METHOD(php_wxBannerWindow, Connect);
PHP_METHOD(php_wxChoice, __construct);
PHP_METHOD(php_wxChoice, SetString);
PHP_METHOD(php_wxChoice, SetSelection);
PHP_METHOD(php_wxChoice, SetColumns);
PHP_METHOD(php_wxChoice, IsSorted);
PHP_METHOD(php_wxChoice, GetString);
PHP_METHOD(php_wxChoice, GetSelection);
PHP_METHOD(php_wxChoice, GetCurrentSelection);
PHP_METHOD(php_wxChoice, GetCount);
PHP_METHOD(php_wxChoice, GetColumns);
PHP_METHOD(php_wxChoice, FindString);
PHP_METHOD(php_wxChoice, Create);
PHP_METHOD(php_wxChoice, Connect);
PHP_METHOD(php_wxListEvent, GetCacheFrom);
PHP_METHOD(php_wxListEvent, GetCacheTo);
PHP_METHOD(php_wxListEvent, GetColumn);
PHP_METHOD(php_wxListEvent, GetImage);
PHP_METHOD(php_wxListEvent, GetIndex);
PHP_METHOD(php_wxListEvent, GetItem);
PHP_METHOD(php_wxListEvent, GetKeyCode);
PHP_METHOD(php_wxListEvent, GetLabel);
PHP_METHOD(php_wxListEvent, GetMask);
PHP_METHOD(php_wxListEvent, GetPoint);
PHP_METHOD(php_wxListEvent, GetText);
PHP_METHOD(php_wxListEvent, IsEditCancelled);
PHP_METHOD(php_wxListEvent, __construct);
PHP_METHOD(php_wxListCtrl, __construct);
PHP_METHOD(php_wxListCtrl, SetWindowStyleFlag);
PHP_METHOD(php_wxListCtrl, SetTextColour);
PHP_METHOD(php_wxListCtrl, SetSingleStyle);
PHP_METHOD(php_wxListCtrl, SetItemTextColour);
PHP_METHOD(php_wxListCtrl, SetItemText);
PHP_METHOD(php_wxListCtrl, SetItemState);
PHP_METHOD(php_wxListCtrl, SetItemPosition);
PHP_METHOD(php_wxListCtrl, SetItemFont);
PHP_METHOD(php_wxListCtrl, SetItemData);
PHP_METHOD(php_wxListCtrl, SetItemCount);
PHP_METHOD(php_wxListCtrl, SetItemColumnImage);
PHP_METHOD(php_wxListCtrl, SetItemBackgroundColour);
PHP_METHOD(php_wxListCtrl, SetItem);
PHP_METHOD(php_wxListCtrl, SetImageList);
PHP_METHOD(php_wxListCtrl, SetColumnWidth);
PHP_METHOD(php_wxListCtrl, SetColumn);
PHP_METHOD(php_wxListCtrl, SetBackgroundColour);
PHP_METHOD(php_wxListCtrl, ScrollList);
PHP_METHOD(php_wxListCtrl, RefreshItems);
PHP_METHOD(php_wxListCtrl, OnGetItemText);
PHP_METHOD(php_wxListCtrl, RefreshItem);
PHP_METHOD(php_wxListCtrl, OnGetItemImage);
PHP_METHOD(php_wxListCtrl, OnGetItemColumnImage);
PHP_METHOD(php_wxListCtrl, OnGetItemAttr);
PHP_METHOD(php_wxListCtrl, InsertItem);
PHP_METHOD(php_wxListCtrl, GetViewRect);
PHP_METHOD(php_wxListCtrl, GetTopItem);
PHP_METHOD(php_wxListCtrl, GetTextColour);
PHP_METHOD(php_wxListCtrl, GetSubItemRect);
PHP_METHOD(php_wxListCtrl, GetSelectedItemCount);
PHP_METHOD(php_wxListCtrl, Arrange);
PHP_METHOD(php_wxListCtrl, AssignImageList);
PHP_METHOD(php_wxListCtrl, ClearAll);
PHP_METHOD(php_wxListCtrl, Create);
PHP_METHOD(php_wxListCtrl, DeleteAllItems);
PHP_METHOD(php_wxListCtrl, DeleteColumn);
PHP_METHOD(php_wxListCtrl, DeleteItem);
PHP_METHOD(php_wxListCtrl, EditLabel);
PHP_METHOD(php_wxListCtrl, EnsureVisible);
PHP_METHOD(php_wxListCtrl, FindItem);
PHP_METHOD(php_wxListCtrl, GetColumn);
PHP_METHOD(php_wxListCtrl, GetColumnCount);
PHP_METHOD(php_wxListCtrl, GetColumnWidth);
PHP_METHOD(php_wxListCtrl, GetCountPerPage);
PHP_METHOD(php_wxListCtrl, GetEditControl);
PHP_METHOD(php_wxListCtrl, GetImageList);
PHP_METHOD(php_wxListCtrl, GetItem);
PHP_METHOD(php_wxListCtrl, GetItemBackgroundColour);
PHP_METHOD(php_wxListCtrl, GetItemCount);
PHP_METHOD(php_wxListCtrl, GetItemFont);
PHP_METHOD(php_wxListCtrl, GetItemPosition);
PHP_METHOD(php_wxListCtrl, GetItemRect);
PHP_METHOD(php_wxListCtrl, GetItemSpacing);
PHP_METHOD(php_wxListCtrl, GetItemState);
PHP_METHOD(php_wxListCtrl, GetItemText);
PHP_METHOD(php_wxListCtrl, GetItemTextColour);
PHP_METHOD(php_wxListCtrl, GetNextItem);
PHP_METHOD(php_wxListCtrl, InsertColumn);
PHP_METHOD(php_wxListCtrl, Connect);
PHP_METHOD(php_wxListItemAttr, GetBackgroundColour);
PHP_METHOD(php_wxListItemAttr, __construct);
PHP_METHOD(php_wxListItemAttr, SetTextColour);
PHP_METHOD(php_wxListItemAttr, SetFont);
PHP_METHOD(php_wxListItemAttr, SetBackgroundColour);
PHP_METHOD(php_wxListItemAttr, HasTextColour);
PHP_METHOD(php_wxListItemAttr, HasFont);
PHP_METHOD(php_wxListItemAttr, HasBackgroundColour);
PHP_METHOD(php_wxListItemAttr, GetTextColour);
PHP_METHOD(php_wxListItemAttr, GetFont);
PHP_METHOD(php_wxListItem, Clear);
PHP_METHOD(php_wxListItem, __construct);
PHP_METHOD(php_wxListItem, SetWidth);
PHP_METHOD(php_wxListItem, SetTextColour);
PHP_METHOD(php_wxListItem, SetText);
PHP_METHOD(php_wxListItem, SetStateMask);
PHP_METHOD(php_wxListItem, SetState);
PHP_METHOD(php_wxListItem, SetMask);
PHP_METHOD(php_wxListItem, SetImage);
PHP_METHOD(php_wxListItem, SetId);
PHP_METHOD(php_wxListItem, SetFont);
PHP_METHOD(php_wxListItem, SetData);
PHP_METHOD(php_wxListItem, SetColumn);
PHP_METHOD(php_wxListItem, SetBackgroundColour);
PHP_METHOD(php_wxListItem, SetAlign);
PHP_METHOD(php_wxListItem, GetWidth);
PHP_METHOD(php_wxListItem, GetTextColour);
PHP_METHOD(php_wxListItem, GetText);
PHP_METHOD(php_wxListItem, GetState);
PHP_METHOD(php_wxListItem, GetMask);
PHP_METHOD(php_wxListItem, GetImage);
PHP_METHOD(php_wxListItem, GetId);
PHP_METHOD(php_wxListItem, GetAlign);
PHP_METHOD(php_wxListItem, GetBackgroundColour);
PHP_METHOD(php_wxListItem, GetColumn);
PHP_METHOD(php_wxListItem, GetFont);
PHP_METHOD(php_wxListbook, __construct);
PHP_METHOD(php_wxListbook, GetListView);
PHP_METHOD(php_wxListbook, Connect);
PHP_METHOD(php_wxChildFocusEvent, GetWindow);
PHP_METHOD(php_wxChildFocusEvent, __construct);
PHP_METHOD(php_wxChoicebook, GetChoiceCtrl);
PHP_METHOD(php_wxChoicebook, __construct);
PHP_METHOD(php_wxChoicebook, Connect);
PHP_METHOD(php_wxRadioBox, Create);
PHP_METHOD(php_wxRadioBox, Enable);
PHP_METHOD(php_wxRadioBox, FindString);
PHP_METHOD(php_wxRadioBox, GetColumnCount);
PHP_METHOD(php_wxRadioBox, GetCount);
PHP_METHOD(php_wxRadioBox, GetItemFromPoint);
PHP_METHOD(php_wxRadioBox, GetItemHelpText);
PHP_METHOD(php_wxRadioBox, GetItemToolTip);
PHP_METHOD(php_wxRadioBox, GetRowCount);
PHP_METHOD(php_wxRadioBox, GetSelection);
PHP_METHOD(php_wxRadioBox, GetString);
PHP_METHOD(php_wxRadioBox, IsItemEnabled);
PHP_METHOD(php_wxRadioBox, IsItemShown);
PHP_METHOD(php_wxRadioBox, SetItemHelpText);
PHP_METHOD(php_wxRadioBox, SetItemToolTip);
PHP_METHOD(php_wxRadioBox, SetSelection);
PHP_METHOD(php_wxRadioBox, SetString);
PHP_METHOD(php_wxRadioBox, Show);
PHP_METHOD(php_wxRadioBox, __construct);
PHP_METHOD(php_wxRadioBox, Connect);
PHP_METHOD(php_wxRadioButton, Create);
PHP_METHOD(php_wxRadioButton, GetValue);
PHP_METHOD(php_wxRadioButton, SetValue);
PHP_METHOD(php_wxRadioButton, __construct);
PHP_METHOD(php_wxRadioButton, Connect);
PHP_METHOD(php_wxRearrangeCtrl, __construct);
PHP_METHOD(php_wxRearrangeCtrl, GetList);
PHP_METHOD(php_wxRearrangeDialog, AddExtraControls);
PHP_METHOD(php_wxRearrangeDialog, GetList);
PHP_METHOD(php_wxRearrangeDialog, __construct);
PHP_METHOD(php_wxRearrangeList, CanMoveCurrentDown);
PHP_METHOD(php_wxRearrangeList, CanMoveCurrentUp);
PHP_METHOD(php_wxRearrangeList, MoveCurrentDown);
PHP_METHOD(php_wxRearrangeList, MoveCurrentUp);
PHP_METHOD(php_wxRearrangeList, __construct);
PHP_METHOD(php_wxRearrangeList, Connect);
PHP_METHOD(php_wxSlider, __construct);
PHP_METHOD(php_wxSlider, SetValue);
PHP_METHOD(php_wxSlider, SetRange);
PHP_METHOD(php_wxSlider, SetPageSize);
PHP_METHOD(php_wxSlider, SetLineSize);
PHP_METHOD(php_wxSlider, GetValue);
PHP_METHOD(php_wxSlider, Create);
PHP_METHOD(php_wxSlider, GetLineSize);
PHP_METHOD(php_wxSlider, GetMax);
PHP_METHOD(php_wxSlider, GetMin);
PHP_METHOD(php_wxSlider, GetPageSize);
PHP_METHOD(php_wxSlider, Connect);
PHP_METHOD(php_wxSpinCtrl, Create);
PHP_METHOD(php_wxSpinCtrl, GetMax);
PHP_METHOD(php_wxSpinCtrl, GetMin);
PHP_METHOD(php_wxSpinCtrl, GetValue);
PHP_METHOD(php_wxSpinCtrl, SetRange);
PHP_METHOD(php_wxSpinCtrl, SetSelection);
PHP_METHOD(php_wxSpinCtrl, SetValue);
PHP_METHOD(php_wxSpinCtrl, __construct);
PHP_METHOD(php_wxSpinCtrl, Connect);
PHP_METHOD(php_wxSpinButton, GetMin);
PHP_METHOD(php_wxSpinButton, GetMax);
PHP_METHOD(php_wxSpinButton, Create);
PHP_METHOD(php_wxSpinButton, GetValue);
PHP_METHOD(php_wxSpinButton, SetRange);
PHP_METHOD(php_wxSpinButton, SetValue);
PHP_METHOD(php_wxSpinButton, __construct);
PHP_METHOD(php_wxSpinButton, Connect);
PHP_METHOD(php_wxSpinEvent, GetPosition);
PHP_METHOD(php_wxSpinEvent, SetPosition);
PHP_METHOD(php_wxSpinEvent, __construct);
PHP_METHOD(php_wxSplitterEvent, GetSashPosition);
PHP_METHOD(php_wxSplitterEvent, GetWindowBeingRemoved);
PHP_METHOD(php_wxSplitterEvent, GetX);
PHP_METHOD(php_wxSplitterEvent, GetY);
PHP_METHOD(php_wxSplitterEvent, SetSashPosition);
PHP_METHOD(php_wxSplitterEvent, __construct);
PHP_METHOD(php_wxSplashScreen, GetSplashStyle);
PHP_METHOD(php_wxSplashScreen, GetTimeout);
PHP_METHOD(php_wxSplashScreen, __construct);
PHP_METHOD(php_wxSplashScreen, Connect);
PHP_METHOD(php_wxSizeEvent, GetRect);
PHP_METHOD(php_wxSizeEvent, GetSize);
PHP_METHOD(php_wxSizeEvent, SetRect);
PHP_METHOD(php_wxSizeEvent, SetSize);
PHP_METHOD(php_wxSizeEvent, __construct);
PHP_METHOD(php_wxGauge, Create);
PHP_METHOD(php_wxGauge, GetBezelFace);
PHP_METHOD(php_wxGauge, GetRange);
PHP_METHOD(php_wxGauge, GetShadowWidth);
PHP_METHOD(php_wxGauge, GetValue);
PHP_METHOD(php_wxGauge, IsVertical);
PHP_METHOD(php_wxGauge, Pulse);
PHP_METHOD(php_wxGauge, SetBezelFace);
PHP_METHOD(php_wxGauge, SetRange);
PHP_METHOD(php_wxGauge, SetShadowWidth);
PHP_METHOD(php_wxGauge, SetValue);
PHP_METHOD(php_wxGauge, __construct);
PHP_METHOD(php_wxGauge, Connect);
PHP_METHOD(php_wxHtmlWindow, AppendToPage);
PHP_METHOD(php_wxHtmlWindow, GetOpenedAnchor);
PHP_METHOD(php_wxHtmlWindow, GetOpenedPage);
PHP_METHOD(php_wxHtmlWindow, GetOpenedPageTitle);
PHP_METHOD(php_wxHtmlWindow, GetRelatedFrame);
PHP_METHOD(php_wxHtmlWindow, HistoryBack);
PHP_METHOD(php_wxHtmlWindow, HistoryCanBack);
PHP_METHOD(php_wxHtmlWindow, HistoryCanForward);
PHP_METHOD(php_wxHtmlWindow, HistoryClear);
PHP_METHOD(php_wxHtmlWindow, HistoryForward);
PHP_METHOD(php_wxHtmlWindow, LoadPage);
PHP_METHOD(php_wxHtmlWindow, LoadFile);
PHP_METHOD(php_wxHtmlWindow, OnCellClicked);
PHP_METHOD(php_wxHtmlWindow, OnCellMouseHover);
PHP_METHOD(php_wxHtmlWindow, OnLinkClicked);
PHP_METHOD(php_wxHtmlWindow, OnSetTitle);
PHP_METHOD(php_wxHtmlWindow, OnOpeningURL);
PHP_METHOD(php_wxHtmlWindow, SelectAll);
PHP_METHOD(php_wxHtmlWindow, SelectLine);
PHP_METHOD(php_wxHtmlWindow, SelectWord);
PHP_METHOD(php_wxHtmlWindow, SelectionToText);
PHP_METHOD(php_wxHtmlWindow, SetBorders);
PHP_METHOD(php_wxHtmlWindow, SetPage);
PHP_METHOD(php_wxHtmlWindow, SetRelatedFrame);
PHP_METHOD(php_wxHtmlWindow, SetRelatedStatusBar);
PHP_METHOD(php_wxHtmlWindow, SetStandardFonts);
PHP_METHOD(php_wxHtmlWindow, ToText);
PHP_METHOD(php_wxHtmlWindow, WriteCustomization);
PHP_METHOD(php_wxHtmlWindow, __construct);
PHP_METHOD(php_wxHtmlWindow, GetInternalRepresentation);
PHP_METHOD(php_wxHtmlWindow, AddFilter);
PHP_METHOD(php_wxHtmlWindow, SetFonts);
PHP_METHOD(php_wxHtmlWindow, Connect);
PHP_METHOD(php_wxHtmlContainerCell, __construct);
PHP_METHOD(php_wxHtmlContainerCell, SetWidthFloat);
PHP_METHOD(php_wxHtmlContainerCell, SetMinHeight);
PHP_METHOD(php_wxHtmlContainerCell, SetIndent);
PHP_METHOD(php_wxHtmlContainerCell, SetBorder);
PHP_METHOD(php_wxHtmlContainerCell, SetBackgroundColour);
PHP_METHOD(php_wxHtmlContainerCell, SetAlignVer);
PHP_METHOD(php_wxHtmlContainerCell, SetAlignHor);
PHP_METHOD(php_wxHtmlContainerCell, SetAlign);
PHP_METHOD(php_wxHtmlContainerCell, InsertCell);
PHP_METHOD(php_wxHtmlContainerCell, GetIndentUnits);
PHP_METHOD(php_wxHtmlContainerCell, GetIndent);
PHP_METHOD(php_wxHtmlContainerCell, GetBackgroundColour);
PHP_METHOD(php_wxHtmlContainerCell, GetAlignVer);
PHP_METHOD(php_wxHtmlContainerCell, GetAlignHor);
PHP_METHOD(php_wxHtmlCell, GetDescent);
PHP_METHOD(php_wxHtmlCell, GetFirstChild);
PHP_METHOD(php_wxHtmlCell, GetHeight);
PHP_METHOD(php_wxHtmlCell, GetId);
PHP_METHOD(php_wxHtmlCell, GetLink);
PHP_METHOD(php_wxHtmlCell, GetNext);
PHP_METHOD(php_wxHtmlCell, GetParent);
PHP_METHOD(php_wxHtmlCell, GetPosX);
PHP_METHOD(php_wxHtmlCell, GetPosY);
PHP_METHOD(php_wxHtmlCell, GetWidth);
PHP_METHOD(php_wxHtmlCell, Layout);
PHP_METHOD(php_wxHtmlCell, SetId);
PHP_METHOD(php_wxHtmlCell, SetLink);
PHP_METHOD(php_wxHtmlCell, SetNext);
PHP_METHOD(php_wxHtmlCell, SetParent);
PHP_METHOD(php_wxHtmlCell, SetPos);
PHP_METHOD(php_wxHtmlCell, __construct);
PHP_METHOD(php_wxHtmlCell, Find);
PHP_METHOD(php_wxHtmlCellEvent, GetCell);
PHP_METHOD(php_wxHtmlCellEvent, GetLinkClicked);
PHP_METHOD(php_wxHtmlCellEvent, GetPoint);
PHP_METHOD(php_wxHtmlCellEvent, SetLinkClicked);
PHP_METHOD(php_wxHtmlCellEvent, __construct);
PHP_METHOD(php_wxHtmlColourCell, __construct);
PHP_METHOD(php_wxHtmlEasyPrinting, GetName);
PHP_METHOD(php_wxHtmlEasyPrinting, GetPageSetupData);
PHP_METHOD(php_wxHtmlEasyPrinting, GetParentWindow);
PHP_METHOD(php_wxHtmlEasyPrinting, GetPrintData);
PHP_METHOD(php_wxHtmlEasyPrinting, PageSetup);
PHP_METHOD(php_wxHtmlEasyPrinting, PreviewFile);
PHP_METHOD(php_wxHtmlEasyPrinting, PreviewText);
PHP_METHOD(php_wxHtmlEasyPrinting, PrintFile);
PHP_METHOD(php_wxHtmlEasyPrinting, PrintText);
PHP_METHOD(php_wxHtmlEasyPrinting, SetFooter);
PHP_METHOD(php_wxHtmlEasyPrinting, SetHeader);
PHP_METHOD(php_wxHtmlEasyPrinting, __construct);
PHP_METHOD(php_wxHtmlEasyPrinting, SetStandardFonts);
PHP_METHOD(php_wxHtmlEasyPrinting, SetParentWindow);
PHP_METHOD(php_wxHtmlEasyPrinting, SetName);
PHP_METHOD(php_wxHtmlEasyPrinting, SetFonts);
PHP_METHOD(php_wxHtmlLinkEvent, GetLinkInfo);
PHP_METHOD(php_wxHtmlLinkEvent, __construct);
PHP_METHOD(php_wxHtmlLinkInfo, GetEvent);
PHP_METHOD(php_wxHtmlLinkInfo, GetHref);
PHP_METHOD(php_wxHtmlLinkInfo, GetHtmlCell);
PHP_METHOD(php_wxHtmlLinkInfo, GetTarget);
PHP_METHOD(php_wxHtmlLinkInfo, __construct);
PHP_METHOD(php_wxMouseEvent, Aux1DClick);
PHP_METHOD(php_wxMouseEvent, Aux1Down);
PHP_METHOD(php_wxMouseEvent, Aux1Up);
PHP_METHOD(php_wxMouseEvent, Aux2DClick);
PHP_METHOD(php_wxMouseEvent, Aux2Down);
PHP_METHOD(php_wxMouseEvent, Aux2Up);
PHP_METHOD(php_wxMouseEvent, Button);
PHP_METHOD(php_wxMouseEvent, ButtonDClick);
PHP_METHOD(php_wxMouseEvent, ButtonDown);
PHP_METHOD(php_wxMouseEvent, ButtonUp);
PHP_METHOD(php_wxMouseEvent, Dragging);
PHP_METHOD(php_wxMouseEvent, Entering);
PHP_METHOD(php_wxMouseEvent, GetButton);
PHP_METHOD(php_wxMouseEvent, GetClickCount);
PHP_METHOD(php_wxMouseEvent, GetLinesPerAction);
PHP_METHOD(php_wxMouseEvent, GetLogicalPosition);
PHP_METHOD(php_wxMouseEvent, GetWheelDelta);
PHP_METHOD(php_wxMouseEvent, GetWheelRotation);
PHP_METHOD(php_wxMouseEvent, IsButton);
PHP_METHOD(php_wxMouseEvent, IsPageScroll);
PHP_METHOD(php_wxMouseEvent, Leaving);
PHP_METHOD(php_wxMouseEvent, LeftDClick);
PHP_METHOD(php_wxMouseEvent, LeftDown);
PHP_METHOD(php_wxMouseEvent, LeftUp);
PHP_METHOD(php_wxMouseEvent, MetaDown);
PHP_METHOD(php_wxMouseEvent, MiddleDClick);
PHP_METHOD(php_wxMouseEvent, MiddleDown);
PHP_METHOD(php_wxMouseEvent, MiddleUp);
PHP_METHOD(php_wxMouseEvent, Moving);
PHP_METHOD(php_wxMouseEvent, RightDClick);
PHP_METHOD(php_wxMouseEvent, RightDown);
PHP_METHOD(php_wxMouseEvent, RightUp);
PHP_METHOD(php_wxMouseEvent, __construct);
PHP_METHOD(php_wxMouseEvent, GetWheelAxis);
PHP_METHOD(php_wxMouseState, Aux1IsDown);
PHP_METHOD(php_wxMouseState, Aux2IsDown);
PHP_METHOD(php_wxMouseState, GetPosition);
PHP_METHOD(php_wxMouseState, GetX);
PHP_METHOD(php_wxMouseState, GetY);
PHP_METHOD(php_wxMouseState, LeftIsDown);
PHP_METHOD(php_wxMouseState, MiddleIsDown);
PHP_METHOD(php_wxMouseState, RightIsDown);
PHP_METHOD(php_wxMouseState, SetAux1Down);
PHP_METHOD(php_wxMouseState, SetAux2Down);
PHP_METHOD(php_wxMouseState, SetLeftDown);
PHP_METHOD(php_wxMouseState, SetMiddleDown);
PHP_METHOD(php_wxMouseState, SetPosition);
PHP_METHOD(php_wxMouseState, SetRightDown);
PHP_METHOD(php_wxMouseState, SetState);
PHP_METHOD(php_wxMouseState, SetX);
PHP_METHOD(php_wxMouseState, SetY);
PHP_METHOD(php_wxMouseState, __construct);
PHP_METHOD(php_wxMoveEvent, GetPosition);
PHP_METHOD(php_wxMoveEvent, GetRect);
PHP_METHOD(php_wxMoveEvent, SetPosition);
PHP_METHOD(php_wxMoveEvent, SetRect);
PHP_METHOD(php_wxMoveEvent, __construct);
PHP_METHOD(php_wxMouseEventsManager, Create);
PHP_METHOD(php_wxMouseEventsManager, MouseClickBegin);
PHP_METHOD(php_wxMouseEventsManager, MouseClickCancelled);
PHP_METHOD(php_wxMouseEventsManager, MouseClicked);
PHP_METHOD(php_wxMouseEventsManager, MouseDragBegin);
PHP_METHOD(php_wxMouseEventsManager, MouseDragCancelled);
PHP_METHOD(php_wxMouseEventsManager, MouseDragEnd);
PHP_METHOD(php_wxMouseEventsManager, MouseDragging);
PHP_METHOD(php_wxMouseEventsManager, MouseHitTest);
PHP_METHOD(php_wxMouseEventsManager, __construct);
PHP_METHOD(php_wxMouseEventsManager, Connect);
PHP_METHOD(php_wxMessageDialog, GetCancelLabel);
PHP_METHOD(php_wxMessageDialog, GetCaption);
PHP_METHOD(php_wxMessageDialog, GetEffectiveIcon);
PHP_METHOD(php_wxMessageDialog, GetExtendedMessage);
PHP_METHOD(php_wxMessageDialog, GetHelpLabel);
PHP_METHOD(php_wxMessageDialog, GetMessage);
PHP_METHOD(php_wxMessageDialog, GetMessageDialogStyle);
PHP_METHOD(php_wxMessageDialog, GetNoLabel);
PHP_METHOD(php_wxMessageDialog, GetOKLabel);
PHP_METHOD(php_wxMessageDialog, GetYesLabel);
PHP_METHOD(php_wxMessageDialog, HasCustomLabels);
PHP_METHOD(php_wxMessageDialog, SetExtendedMessage);
PHP_METHOD(php_wxMessageDialog, __construct);
PHP_METHOD(php_wxMessageDialog, ShowModal);
PHP_METHOD(php_wxMessageDialog, SetYesNoLabels);
PHP_METHOD(php_wxMessageDialog, SetYesNoCancelLabels);
PHP_METHOD(php_wxMessageDialog, SetOKLabel);
PHP_METHOD(php_wxMessageDialog, SetOKCancelLabels);
PHP_METHOD(php_wxMessageDialog, SetMessage);
PHP_METHOD(php_wxMessageDialog, SetHelpLabel);
PHP_METHOD(php_wxMessageDialog, Connect);
PHP_METHOD(php_wxHtmlListBox, __construct);
PHP_METHOD(php_wxHtmlListBox, OnLinkClicked);
PHP_METHOD(php_wxHtmlListBox, GetSelectedTextColour);
PHP_METHOD(php_wxHtmlListBox, GetSelectedTextBgColour);
PHP_METHOD(php_wxHtmlListBox, OnGetItemMarkup);
PHP_METHOD(php_wxHtmlListBox, OnGetItem);
PHP_METHOD(php_wxHtmlListBox, Create);
PHP_METHOD(php_wxVListBox, __construct);
PHP_METHOD(php_wxVListBox, Toggle);
PHP_METHOD(php_wxVListBox, SetSelectionBackground);
PHP_METHOD(php_wxVListBox, SetSelection);
PHP_METHOD(php_wxVListBox, SetMargins);
PHP_METHOD(php_wxVListBox, SetItemCount);
PHP_METHOD(php_wxVListBox, SelectRange);
PHP_METHOD(php_wxVListBox, SelectAll);
PHP_METHOD(php_wxVListBox, Select);
PHP_METHOD(php_wxVListBox, OnMeasureItem);
PHP_METHOD(php_wxVListBox, OnDrawSeparator);
PHP_METHOD(php_wxVListBox, OnDrawItem);
PHP_METHOD(php_wxVListBox, OnDrawBackground);
PHP_METHOD(php_wxVListBox, IsSelected);
PHP_METHOD(php_wxVListBox, IsCurrent);
PHP_METHOD(php_wxVListBox, HasMultipleSelection);
PHP_METHOD(php_wxVListBox, GetSelectionBackground);
PHP_METHOD(php_wxVListBox, GetSelection);
PHP_METHOD(php_wxVListBox, GetSelectedCount);
PHP_METHOD(php_wxVListBox, Clear);
PHP_METHOD(php_wxVListBox, Create);
PHP_METHOD(php_wxVListBox, DeselectAll);
PHP_METHOD(php_wxVListBox, GetFirstSelected);
PHP_METHOD(php_wxVListBox, GetItemCount);
PHP_METHOD(php_wxVListBox, GetItemRect);
PHP_METHOD(php_wxVListBox, GetMargins);
PHP_METHOD(php_wxVListBox, GetNextSelected);
PHP_METHOD(php_wxHtmlTag, GetAllParams);
PHP_METHOD(php_wxHtmlTag, GetBeginPos);
PHP_METHOD(php_wxHtmlTag, GetEndPos1);
PHP_METHOD(php_wxHtmlTag, GetEndPos2);
PHP_METHOD(php_wxHtmlTag, GetName);
PHP_METHOD(php_wxHtmlTag, GetParam);
PHP_METHOD(php_wxHtmlTag, GetParamAsColour);
PHP_METHOD(php_wxHtmlTag, HasEnding);
PHP_METHOD(php_wxHtmlTag, HasParam);
PHP_METHOD(php_wxHtmlTag, ParseAsColour);
PHP_METHOD(php_wxHtmlTag, ScanParam);
PHP_METHOD(php_wxHtmlTag, GetParamAsInt);
PHP_METHOD(php_wxHyperlinkCtrl, Create);
PHP_METHOD(php_wxHyperlinkCtrl, GetHoverColour);
PHP_METHOD(php_wxHyperlinkCtrl, GetNormalColour);
PHP_METHOD(php_wxHyperlinkCtrl, GetURL);
PHP_METHOD(php_wxHyperlinkCtrl, GetVisited);
PHP_METHOD(php_wxHyperlinkCtrl, GetVisitedColour);
PHP_METHOD(php_wxHyperlinkCtrl, SetHoverColour);
PHP_METHOD(php_wxHyperlinkCtrl, SetNormalColour);
PHP_METHOD(php_wxHyperlinkCtrl, SetURL);
PHP_METHOD(php_wxHyperlinkCtrl, SetVisited);
PHP_METHOD(php_wxHyperlinkCtrl, SetVisitedColour);
PHP_METHOD(php_wxHyperlinkCtrl, __construct);
PHP_METHOD(php_wxHyperlinkCtrl, Connect);
PHP_METHOD(php_wxHyperlinkEvent, GetURL);
PHP_METHOD(php_wxHyperlinkEvent, SetURL);
PHP_METHOD(php_wxHyperlinkEvent, __construct);
PHP_METHOD(php_wxCursor, IsOk);
PHP_METHOD(php_wxCursor, __construct);
PHP_METHOD(php_wxToggleButton, Create);
PHP_METHOD(php_wxToggleButton, GetValue);
PHP_METHOD(php_wxToggleButton, SetValue);
PHP_METHOD(php_wxToggleButton, __construct);
PHP_METHOD(php_wxToggleButton, Connect);
PHP_METHOD(php_wxTimer, GetId);
PHP_METHOD(php_wxTimer, GetInterval);
PHP_METHOD(php_wxTimer, GetOwner);
PHP_METHOD(php_wxTimer, IsOneShot);
PHP_METHOD(php_wxTimer, IsRunning);
PHP_METHOD(php_wxTimer, Notify);
PHP_METHOD(php_wxTimer, SetOwner);
PHP_METHOD(php_wxTimer, Start);
PHP_METHOD(php_wxTimer, Stop);
PHP_METHOD(php_wxTimer, __construct);
PHP_METHOD(php_wxTimer, Connect);
PHP_METHOD(php_wxTimerEvent, GetInterval);
PHP_METHOD(php_wxTimerEvent, __construct);
PHP_METHOD(php_wxThreadEvent, CloneMethod);
PHP_METHOD(php_wxThreadEvent, GetExtraLong);
PHP_METHOD(php_wxThreadEvent, GetEventCategory);
PHP_METHOD(php_wxThreadEvent, GetInt);
PHP_METHOD(php_wxThreadEvent, GetString);
PHP_METHOD(php_wxThreadEvent, SetInt);
PHP_METHOD(php_wxThreadEvent, SetExtraLong);
PHP_METHOD(php_wxThreadEvent, SetString);
PHP_METHOD(php_wxThreadEvent, __construct);
PHP_METHOD(php_wxSearchCtrl, Create);
PHP_METHOD(php_wxSearchCtrl, GetDescriptiveText);
PHP_METHOD(php_wxSearchCtrl, GetMenu);
PHP_METHOD(php_wxSearchCtrl, IsCancelButtonVisible);
PHP_METHOD(php_wxSearchCtrl, IsSearchButtonVisible);
PHP_METHOD(php_wxSearchCtrl, SetDescriptiveText);
PHP_METHOD(php_wxSearchCtrl, SetMenu);
PHP_METHOD(php_wxSearchCtrl, ShowCancelButton);
PHP_METHOD(php_wxSearchCtrl, ShowSearchButton);
PHP_METHOD(php_wxSearchCtrl, __construct);
PHP_METHOD(php_wxSearchCtrl, Connect);
PHP_METHOD(php_wxColourPickerEvent, GetColour);
PHP_METHOD(php_wxColourPickerEvent, SetColour);
PHP_METHOD(php_wxColourPickerEvent, __construct);
PHP_METHOD(php_wxColourPickerCtrl, Create);
PHP_METHOD(php_wxColourPickerCtrl, GetColour);
PHP_METHOD(php_wxColourPickerCtrl, SetColour);
PHP_METHOD(php_wxColourPickerCtrl, __construct);
PHP_METHOD(php_wxColourPickerCtrl, Connect);
PHP_METHOD(php_wxFontPickerCtrl, Create);
PHP_METHOD(php_wxFontPickerCtrl, GetMaxPointSize);
PHP_METHOD(php_wxFontPickerCtrl, GetSelectedFont);
PHP_METHOD(php_wxFontPickerCtrl, SetMaxPointSize);
PHP_METHOD(php_wxFontPickerCtrl, SetSelectedFont);
PHP_METHOD(php_wxFontPickerCtrl, __construct);
PHP_METHOD(php_wxFontPickerCtrl, Connect);
PHP_METHOD(php_wxFontPickerEvent, GetFont);
PHP_METHOD(php_wxFontPickerEvent, SetFont);
PHP_METHOD(php_wxFontPickerEvent, __construct);
PHP_METHOD(php_wxFilePickerCtrl, Create);
PHP_METHOD(php_wxFilePickerCtrl, GetPath);
PHP_METHOD(php_wxFilePickerCtrl, SetFileName);
PHP_METHOD(php_wxFilePickerCtrl, SetPath);
PHP_METHOD(php_wxFilePickerCtrl, __construct);
PHP_METHOD(php_wxFilePickerCtrl, GetFileName);
PHP_METHOD(php_wxFilePickerCtrl, Connect);
PHP_METHOD(php_wxFindReplaceDialog, Create);
PHP_METHOD(php_wxFindReplaceDialog, GetData);
PHP_METHOD(php_wxFindReplaceDialog, __construct);
PHP_METHOD(php_wxFindReplaceDialog, Connect);
PHP_METHOD(php_wxFindReplaceData, GetFindString);
PHP_METHOD(php_wxFindReplaceData, GetReplaceString);
PHP_METHOD(php_wxFindReplaceData, GetFlags);
PHP_METHOD(php_wxFindReplaceData, SetFindString);
PHP_METHOD(php_wxFindReplaceData, SetFlags);
PHP_METHOD(php_wxFindReplaceData, SetReplaceString);
PHP_METHOD(php_wxFindReplaceData, __construct);
PHP_METHOD(php_wxDirPickerCtrl, Create);
PHP_METHOD(php_wxDirPickerCtrl, GetDirName);
PHP_METHOD(php_wxDirPickerCtrl, GetPath);
PHP_METHOD(php_wxDirPickerCtrl, SetDirName);
PHP_METHOD(php_wxDirPickerCtrl, SetPath);
PHP_METHOD(php_wxDirPickerCtrl, __construct);
PHP_METHOD(php_wxDirPickerCtrl, Connect);
PHP_METHOD(php_wxDirDialog, GetMessage);
PHP_METHOD(php_wxDirDialog, GetPath);
PHP_METHOD(php_wxDirDialog, SetMessage);
PHP_METHOD(php_wxDirDialog, SetPath);
PHP_METHOD(php_wxDirDialog, ShowModal);
PHP_METHOD(php_wxDirDialog, __construct);
PHP_METHOD(php_wxDirDialog, Connect);
PHP_METHOD(php_wxSpinDoubleEvent, __construct);
PHP_METHOD(php_wxSpinDoubleEvent, SetValue);
PHP_METHOD(php_wxSpinDoubleEvent, GetValue);
PHP_METHOD(php_wxSpinCtrlDouble, Create);
PHP_METHOD(php_wxSpinCtrlDouble, GetDigits);
PHP_METHOD(php_wxSpinCtrlDouble, GetIncrement);
PHP_METHOD(php_wxSpinCtrlDouble, GetMax);
PHP_METHOD(php_wxSpinCtrlDouble, GetMin);
PHP_METHOD(php_wxSpinCtrlDouble, GetValue);
PHP_METHOD(php_wxSpinCtrlDouble, SetDigits);
PHP_METHOD(php_wxSpinCtrlDouble, SetIncrement);
PHP_METHOD(php_wxSpinCtrlDouble, SetRange);
PHP_METHOD(php_wxSpinCtrlDouble, SetValue);
PHP_METHOD(php_wxSpinCtrlDouble, __construct);
PHP_METHOD(php_wxSpinCtrlDouble, Connect);
PHP_METHOD(php_wxGenericDirCtrl, CollapsePath);
PHP_METHOD(php_wxGenericDirCtrl, CollapseTree);
PHP_METHOD(php_wxGenericDirCtrl, Create);
PHP_METHOD(php_wxGenericDirCtrl, ExpandPath);
PHP_METHOD(php_wxGenericDirCtrl, GetDefaultPath);
PHP_METHOD(php_wxGenericDirCtrl, GetFilePath);
PHP_METHOD(php_wxGenericDirCtrl, GetFilePaths);
PHP_METHOD(php_wxGenericDirCtrl, GetFilter);
PHP_METHOD(php_wxGenericDirCtrl, GetFilterIndex);
PHP_METHOD(php_wxGenericDirCtrl, GetPath);
PHP_METHOD(php_wxGenericDirCtrl, GetPaths);
PHP_METHOD(php_wxGenericDirCtrl, GetRootId);
PHP_METHOD(php_wxGenericDirCtrl, GetTreeCtrl);
PHP_METHOD(php_wxGenericDirCtrl, Init);
PHP_METHOD(php_wxGenericDirCtrl, ReCreateTree);
PHP_METHOD(php_wxGenericDirCtrl, SelectPath);
PHP_METHOD(php_wxGenericDirCtrl, SelectPaths);
PHP_METHOD(php_wxGenericDirCtrl, SetDefaultPath);
PHP_METHOD(php_wxGenericDirCtrl, SetFilter);
PHP_METHOD(php_wxGenericDirCtrl, SetFilterIndex);
PHP_METHOD(php_wxGenericDirCtrl, SetPath);
PHP_METHOD(php_wxGenericDirCtrl, ShowHidden);
PHP_METHOD(php_wxGenericDirCtrl, UnselectAll);
PHP_METHOD(php_wxGenericDirCtrl, __construct);
PHP_METHOD(php_wxGenericDirCtrl, Connect);
PHP_METHOD(php_wxFileName, AppendDir);
PHP_METHOD(php_wxFileName, InsertDir);
PHP_METHOD(php_wxFileName, Assign);
PHP_METHOD(php_wxFileName, __construct);
PHP_METHOD(php_wxFileName, Touch);
PHP_METHOD(php_wxFileName, StripExtension);
PHP_METHOD(php_wxFileName, SplitVolume);
PHP_METHOD(php_wxFileName, SplitPath);
PHP_METHOD(php_wxFileName, SetVolume);
PHP_METHOD(php_wxFileName, SetTimes);
PHP_METHOD(php_wxFileName, SetPath);
PHP_METHOD(php_wxFileName, SetName);
PHP_METHOD(php_wxFileName, SetFullName);
PHP_METHOD(php_wxFileName, SetExt);
PHP_METHOD(php_wxFileName, SetEmptyExt);
PHP_METHOD(php_wxFileName, SetCwd);
PHP_METHOD(php_wxFileName, SameAs);
PHP_METHOD(php_wxFileName, Rmdir);
PHP_METHOD(php_wxFileName, ReplaceHomeDir);
PHP_METHOD(php_wxFileName, ReplaceEnvVariable);
PHP_METHOD(php_wxFileName, RemoveLastDir);
PHP_METHOD(php_wxFileName, RemoveDir);
PHP_METHOD(php_wxFileName, PrependDir);
PHP_METHOD(php_wxFileName, AssignCwd);
PHP_METHOD(php_wxFileName, AssignDir);
PHP_METHOD(php_wxFileName, AssignHomeDir);
PHP_METHOD(php_wxFileName, AssignTempFileName);
PHP_METHOD(php_wxFileName, Clear);
PHP_METHOD(php_wxFileName, ClearExt);
PHP_METHOD(php_wxFileName, CreateTempFileName);
PHP_METHOD(php_wxFileName, DirExists);
PHP_METHOD(php_wxFileName, DirName);
PHP_METHOD(php_wxFileName, FileExists);
PHP_METHOD(php_wxFileName, FileName);
PHP_METHOD(php_wxFileName, GetCwd);
PHP_METHOD(php_wxFileName, GetDirCount);
PHP_METHOD(php_wxFileName, GetDirs);
PHP_METHOD(php_wxFileName, GetExt);
PHP_METHOD(php_wxFileName, GetForbiddenChars);
PHP_METHOD(php_wxFileName, GetFormat);
PHP_METHOD(php_wxFileName, GetFullName);
PHP_METHOD(php_wxFileName, GetFullPath);
PHP_METHOD(php_wxFileName, GetHomeDir);
PHP_METHOD(php_wxFileName, GetHumanReadableSize);
PHP_METHOD(php_wxFileName, GetLongPath);
PHP_METHOD(php_wxFileName, GetName);
PHP_METHOD(php_wxFileName, GetModificationTime);
PHP_METHOD(php_wxFileName, GetPath);
PHP_METHOD(php_wxFileName, GetPathSeparators);
PHP_METHOD(php_wxFileName, GetPathTerminators);
PHP_METHOD(php_wxFileName, GetPathWithSep);
PHP_METHOD(php_wxFileName, GetShortPath);
PHP_METHOD(php_wxFileName, GetTempDir);
PHP_METHOD(php_wxFileName, GetVolumeSeparator);
PHP_METHOD(php_wxFileName, GetVolume);
PHP_METHOD(php_wxFileName, HasExt);
PHP_METHOD(php_wxFileName, HasName);
PHP_METHOD(php_wxFileName, HasVolume);
PHP_METHOD(php_wxFileName, IsAbsolute);
PHP_METHOD(php_wxFileName, IsCaseSensitive);
PHP_METHOD(php_wxFileName, IsDir);
PHP_METHOD(php_wxFileName, IsDirReadable);
PHP_METHOD(php_wxFileName, IsDirWritable);
PHP_METHOD(php_wxFileName, IsFileExecutable);
PHP_METHOD(php_wxFileName, IsFileReadable);
PHP_METHOD(php_wxFileName, IsFileWritable);
PHP_METHOD(php_wxFileName, IsMSWUniqueVolumeNamePath);
PHP_METHOD(php_wxFileName, IsOk);
PHP_METHOD(php_wxFileName, IsRelative);
PHP_METHOD(php_wxFileName, MakeAbsolute);
PHP_METHOD(php_wxFileName, MakeRelativeTo);
PHP_METHOD(php_wxFileName, Mkdir);
PHP_METHOD(php_wxFileName, Normalize);
PHP_METHOD(php_wxGridSizeEvent, AltDown);
PHP_METHOD(php_wxGridSizeEvent, ControlDown);
PHP_METHOD(php_wxGridSizeEvent, GetPosition);
PHP_METHOD(php_wxGridSizeEvent, GetRowOrCol);
PHP_METHOD(php_wxGridSizeEvent, MetaDown);
PHP_METHOD(php_wxGridSizeEvent, ShiftDown);
PHP_METHOD(php_wxGridSizeEvent, __construct);
PHP_METHOD(php_wxGridSizer, CalcMin);
PHP_METHOD(php_wxGridSizer, GetCols);
PHP_METHOD(php_wxGridSizer, GetEffectiveColsCount);
PHP_METHOD(php_wxGridSizer, GetEffectiveRowsCount);
PHP_METHOD(php_wxGridSizer, GetHGap);
PHP_METHOD(php_wxGridSizer, GetRows);
PHP_METHOD(php_wxGridSizer, GetVGap);
PHP_METHOD(php_wxGridSizer, RecalcSizes);
PHP_METHOD(php_wxGridSizer, SetCols);
PHP_METHOD(php_wxGridSizer, SetHGap);
PHP_METHOD(php_wxGridSizer, SetRows);
PHP_METHOD(php_wxGridSizer, SetVGap);
PHP_METHOD(php_wxGridSizer, __construct);
PHP_METHOD(php_wxFlexGridSizer, AddGrowableCol);
PHP_METHOD(php_wxFlexGridSizer, AddGrowableRow);
PHP_METHOD(php_wxFlexGridSizer, CalcMin);
PHP_METHOD(php_wxFlexGridSizer, GetFlexibleDirection);
PHP_METHOD(php_wxFlexGridSizer, GetNonFlexibleGrowMode);
PHP_METHOD(php_wxFlexGridSizer, IsColGrowable);
PHP_METHOD(php_wxFlexGridSizer, IsRowGrowable);
PHP_METHOD(php_wxFlexGridSizer, RecalcSizes);
PHP_METHOD(php_wxFlexGridSizer, RemoveGrowableCol);
PHP_METHOD(php_wxFlexGridSizer, RemoveGrowableRow);
PHP_METHOD(php_wxFlexGridSizer, SetFlexibleDirection);
PHP_METHOD(php_wxFlexGridSizer, SetNonFlexibleGrowMode);
PHP_METHOD(php_wxFlexGridSizer, __construct);
PHP_METHOD(php_wxGridBagSizer, Add);
PHP_METHOD(php_wxGridBagSizer, CalcMin);
PHP_METHOD(php_wxGridBagSizer, CheckForIntersection);
PHP_METHOD(php_wxGridBagSizer, FindItem);
PHP_METHOD(php_wxGridBagSizer, FindItemAtPoint);
PHP_METHOD(php_wxGridBagSizer, FindItemAtPosition);
PHP_METHOD(php_wxGridBagSizer, FindItemWithData);
PHP_METHOD(php_wxGridBagSizer, GetCellSize);
PHP_METHOD(php_wxGridBagSizer, GetEmptyCellSize);
PHP_METHOD(php_wxGridBagSizer, GetItemPosition);
PHP_METHOD(php_wxGridBagSizer, GetItemSpan);
PHP_METHOD(php_wxGridBagSizer, RecalcSizes);
PHP_METHOD(php_wxGridBagSizer, SetEmptyCellSize);
PHP_METHOD(php_wxGridBagSizer, SetItemPosition);
PHP_METHOD(php_wxGridBagSizer, SetItemSpan);
PHP_METHOD(php_wxGridBagSizer, __construct);
PHP_METHOD(php_wxStdDialogButtonSizer, AddButton);
PHP_METHOD(php_wxStdDialogButtonSizer, CalcMin);
PHP_METHOD(php_wxStdDialogButtonSizer, Realize);
PHP_METHOD(php_wxStdDialogButtonSizer, RecalcSizes);
PHP_METHOD(php_wxStdDialogButtonSizer, SetAffirmativeButton);
PHP_METHOD(php_wxStdDialogButtonSizer, SetCancelButton);
PHP_METHOD(php_wxStdDialogButtonSizer, SetNegativeButton);
PHP_METHOD(php_wxStdDialogButtonSizer, __construct);
PHP_METHOD(php_wxScrollEvent, __construct);
PHP_METHOD(php_wxScrollEvent, SetPosition);
PHP_METHOD(php_wxScrollEvent, SetOrientation);
PHP_METHOD(php_wxScrollEvent, GetPosition);
PHP_METHOD(php_wxScrollEvent, GetOrientation);
PHP_METHOD(php_wxScrollWinEvent, __construct);
PHP_METHOD(php_wxScrollWinEvent, SetPosition);
PHP_METHOD(php_wxScrollWinEvent, SetOrientation);
PHP_METHOD(php_wxScrollWinEvent, GetPosition);
PHP_METHOD(php_wxScrollWinEvent, GetOrientation);
PHP_METHOD(php_wxNotebook, ChangeSelection);
PHP_METHOD(php_wxNotebook, Create);
PHP_METHOD(php_wxNotebook, GetPageImage);
PHP_METHOD(php_wxNotebook, GetPageText);
PHP_METHOD(php_wxNotebook, GetRowCount);
PHP_METHOD(php_wxNotebook, GetSelection);
PHP_METHOD(php_wxNotebook, GetThemeBackgroundColour);
PHP_METHOD(php_wxNotebook, InsertPage);
PHP_METHOD(php_wxNotebook, SetPadding);
PHP_METHOD(php_wxNotebook, SetPageImage);
PHP_METHOD(php_wxNotebook, SetPageText);
PHP_METHOD(php_wxNotebook, SetSelection);
PHP_METHOD(php_wxNotebook, __construct);
PHP_METHOD(php_wxNotebook, Connect);
PHP_METHOD(php_wxDialog, AddMainButtonId);
PHP_METHOD(php_wxDialog, Centre);
PHP_METHOD(php_wxDialog, Create);
PHP_METHOD(php_wxDialog, CreateButtonSizer);
PHP_METHOD(php_wxDialog, CreateSeparatedButtonSizer);
PHP_METHOD(php_wxDialog, CreateSeparatedSizer);
PHP_METHOD(php_wxDialog, CreateStdDialogButtonSizer);
PHP_METHOD(php_wxDialog, EndModal);
PHP_METHOD(php_wxDialog, GetAffirmativeId);
PHP_METHOD(php_wxDialog, GetContentWindow);
PHP_METHOD(php_wxDialog, GetEscapeId);
PHP_METHOD(php_wxDialog, GetReturnCode);
PHP_METHOD(php_wxDialog, Iconize);
PHP_METHOD(php_wxDialog, IsIconized);
PHP_METHOD(php_wxDialog, IsModal);
PHP_METHOD(php_wxDialog, SetAffirmativeId);
PHP_METHOD(php_wxDialog, __construct);
PHP_METHOD(php_wxDialog, ShowWindowModal);
PHP_METHOD(php_wxDialog, ShowModal);
PHP_METHOD(php_wxDialog, Show);
PHP_METHOD(php_wxDialog, SetReturnCode);
PHP_METHOD(php_wxDialog, SetLayoutAdaptationMode);
PHP_METHOD(php_wxDialog, SetLayoutAdaptationLevel);
PHP_METHOD(php_wxDialog, SetIcons);
PHP_METHOD(php_wxDialog, SetIcon);
PHP_METHOD(php_wxDialog, SetEscapeId);
PHP_METHOD(php_wxDialog, SetLayoutAdaptationDone);
PHP_METHOD(php_wxDialog, GetLayoutAdaptationDone);
PHP_METHOD(php_wxDialog, GetLayoutAdaptationLevel);
PHP_METHOD(php_wxDialog, EnableLayoutAdaptation);
PHP_METHOD(php_wxDialog, DoLayoutAdaptation);
PHP_METHOD(php_wxDialog, CanDoLayoutAdaptation);
PHP_METHOD(php_wxDialog, IsLayoutAdaptationEnabled);
PHP_METHOD(php_wxDialog, Connect);
PHP_METHOD(php_wxSysColourChangedEvent, __construct);
PHP_METHOD(php_wxSymbolPickerDialog, Create);
PHP_METHOD(php_wxSymbolPickerDialog, GetFontName);
PHP_METHOD(php_wxSymbolPickerDialog, GetFromUnicode);
PHP_METHOD(php_wxSymbolPickerDialog, GetNormalTextFontName);
PHP_METHOD(php_wxSymbolPickerDialog, GetSymbol);
PHP_METHOD(php_wxSymbolPickerDialog, GetSymbolChar);
PHP_METHOD(php_wxSymbolPickerDialog, HasSelection);
PHP_METHOD(php_wxSymbolPickerDialog, SetFontName);
PHP_METHOD(php_wxSymbolPickerDialog, SetFromUnicode);
PHP_METHOD(php_wxSymbolPickerDialog, SetNormalTextFontName);
PHP_METHOD(php_wxSymbolPickerDialog, SetSymbol);
PHP_METHOD(php_wxSymbolPickerDialog, SetUnicodeMode);
PHP_METHOD(php_wxSymbolPickerDialog, UseNormalFont);
PHP_METHOD(php_wxSymbolPickerDialog, __construct);
PHP_METHOD(php_wxSymbolPickerDialog, Connect);
PHP_METHOD(php_wxGBPosition, GetCol);
PHP_METHOD(php_wxGBPosition, GetRow);
PHP_METHOD(php_wxGBPosition, SetCol);
PHP_METHOD(php_wxGBPosition, SetRow);
PHP_METHOD(php_wxGBPosition, __construct);
PHP_METHOD(php_wxGBSpan, GetColspan);
PHP_METHOD(php_wxGBSpan, GetRowspan);
PHP_METHOD(php_wxGBSpan, SetColspan);
PHP_METHOD(php_wxGBSpan, SetRowspan);
PHP_METHOD(php_wxGBSpan, __construct);
PHP_METHOD(php_wxGBSizerItem, __construct);
PHP_METHOD(php_wxGBSizerItem, SetSpan);
PHP_METHOD(php_wxGBSizerItem, SetPos);
PHP_METHOD(php_wxGBSizerItem, SetGBSizer);
PHP_METHOD(php_wxGBSizerItem, Intersects);
PHP_METHOD(php_wxGBSizerItem, GetSpan);
PHP_METHOD(php_wxGBSizerItem, GetPos);
PHP_METHOD(php_wxGBSizerItem, GetGBSizer);
PHP_METHOD(php_wxGBSizerItem, GetEndPos);
PHP_METHOD(php_wxPopupWindow, Create);
PHP_METHOD(php_wxPopupWindow, Position);
PHP_METHOD(php_wxPopupWindow, __construct);
PHP_METHOD(php_wxPopupWindow, Connect);
PHP_METHOD(php_wxMDIChildFrame, __construct);
PHP_METHOD(php_wxMDIChildFrame, Restore);
PHP_METHOD(php_wxMDIChildFrame, Maximize);
PHP_METHOD(php_wxMDIChildFrame, IsAlwaysMaximized);
PHP_METHOD(php_wxMDIChildFrame, GetMDIParent);
PHP_METHOD(php_wxMDIChildFrame, Create);
PHP_METHOD(php_wxMDIChildFrame, Activate);
PHP_METHOD(php_wxMDIChildFrame, Connect);
PHP_METHOD(php_wxMDIClientWindow, __construct);
PHP_METHOD(php_wxMDIClientWindow, CreateClient);
PHP_METHOD(php_wxMDIClientWindow, Connect);
PHP_METHOD(php_wxMDIParentFrame, ActivateNext);
PHP_METHOD(php_wxMDIParentFrame, ActivatePrevious);
PHP_METHOD(php_wxMDIParentFrame, ArrangeIcons);
PHP_METHOD(php_wxMDIParentFrame, Cascade);
PHP_METHOD(php_wxMDIParentFrame, Create);
PHP_METHOD(php_wxMDIParentFrame, GetActiveChild);
PHP_METHOD(php_wxMDIParentFrame, GetWindowMenu);
PHP_METHOD(php_wxMDIParentFrame, IsTDI);
PHP_METHOD(php_wxMDIParentFrame, OnCreateClient);
PHP_METHOD(php_wxMDIParentFrame, SetWindowMenu);
PHP_METHOD(php_wxMDIParentFrame, Tile);
PHP_METHOD(php_wxMDIParentFrame, __construct);
PHP_METHOD(php_wxMDIParentFrame, Connect);
PHP_METHOD(php_wxMiniFrame, Create);
PHP_METHOD(php_wxMiniFrame, __construct);
PHP_METHOD(php_wxMiniFrame, Connect);
PHP_METHOD(php_wxPropertySheetDialog, AddBookCtrl);
PHP_METHOD(php_wxPropertySheetDialog, Create);
PHP_METHOD(php_wxPropertySheetDialog, CreateBookCtrl);
PHP_METHOD(php_wxPropertySheetDialog, CreateButtons);
PHP_METHOD(php_wxPropertySheetDialog, GetBookCtrl);
PHP_METHOD(php_wxPropertySheetDialog, GetInnerSizer);
PHP_METHOD(php_wxPropertySheetDialog, GetSheetStyle);
PHP_METHOD(php_wxPropertySheetDialog, LayoutDialog);
PHP_METHOD(php_wxPropertySheetDialog, SetBookCtrl);
PHP_METHOD(php_wxPropertySheetDialog, SetSheetStyle);
PHP_METHOD(php_wxPropertySheetDialog, __construct);
PHP_METHOD(php_wxPropertySheetDialog, Connect);
PHP_METHOD(php_wxWizard, Create);
PHP_METHOD(php_wxWizard, FitToPage);
PHP_METHOD(php_wxWizard, GetBitmap);
PHP_METHOD(php_wxWizard, GetBitmapBackgroundColour);
PHP_METHOD(php_wxWizard, GetBitmapPlacement);
PHP_METHOD(php_wxWizard, GetCurrentPage);
PHP_METHOD(php_wxWizard, GetMinimumBitmapWidth);
PHP_METHOD(php_wxWizard, GetPageSize);
PHP_METHOD(php_wxWizard, HasNextPage);
PHP_METHOD(php_wxWizard, HasPrevPage);
PHP_METHOD(php_wxWizard, RunWizard);
PHP_METHOD(php_wxWizard, SetBitmap);
PHP_METHOD(php_wxWizard, SetBitmapBackgroundColour);
PHP_METHOD(php_wxWizard, SetBitmapPlacement);
PHP_METHOD(php_wxWizard, SetBorder);
PHP_METHOD(php_wxWizard, SetMinimumBitmapWidth);
PHP_METHOD(php_wxWizard, SetPageSize);
PHP_METHOD(php_wxWizard, __construct);
PHP_METHOD(php_wxWizard, GetPageAreaSizer);
PHP_METHOD(php_wxWizard, Connect);
PHP_METHOD(php_wxWizardEvent, GetDirection);
PHP_METHOD(php_wxWizardEvent, __construct);
PHP_METHOD(php_wxWizardEvent, GetPage);
PHP_METHOD(php_wxWizardPage, GetBitmap);
PHP_METHOD(php_wxWizardPage, GetPrev);
PHP_METHOD(php_wxWizardPage, __construct);
PHP_METHOD(php_wxWizardPage, GetNext);
PHP_METHOD(php_wxWizardPage, Connect);
PHP_METHOD(php_wxWizardPageSimple, Chain);
PHP_METHOD(php_wxWizardPageSimple, SetPrev);
PHP_METHOD(php_wxWizardPageSimple, __construct);
PHP_METHOD(php_wxWizardPageSimple, SetNext);
PHP_METHOD(php_wxWizardPageSimple, Connect);
PHP_METHOD(php_wxWindowModalDialogEvent, CloneMethod);
PHP_METHOD(php_wxWindowModalDialogEvent, GetDialog);
PHP_METHOD(php_wxWindowModalDialogEvent, GetReturnCode);
PHP_METHOD(php_wxWindowModalDialogEvent, __construct);
PHP_METHOD(php_wxTreeListItem, IsOk);
PHP_METHOD(php_wxTreeListItem, __construct);
PHP_METHOD(php_wxTreebook, AddPage);
PHP_METHOD(php_wxTreebook, AddSubPage);
PHP_METHOD(php_wxTreebook, CollapseNode);
PHP_METHOD(php_wxTreebook, Create);
PHP_METHOD(php_wxTreebook, DeletePage);
PHP_METHOD(php_wxTreebook, ExpandNode);
PHP_METHOD(php_wxTreebook, GetPageParent);
PHP_METHOD(php_wxTreebook, GetSelection);
PHP_METHOD(php_wxTreebook, InsertPage);
PHP_METHOD(php_wxTreebook, InsertSubPage);
PHP_METHOD(php_wxTreebook, IsNodeExpanded);
PHP_METHOD(php_wxTreebook, __construct);
PHP_METHOD(php_wxTreebook, Connect);
PHP_METHOD(php_wxTreeListCtrl, __construct);
PHP_METHOD(php_wxTreeListCtrl, WidthFor);
PHP_METHOD(php_wxTreeListCtrl, UpdateItemParentStateRecursively);
PHP_METHOD(php_wxTreeListCtrl, UnselectAll);
PHP_METHOD(php_wxTreeListCtrl, Unselect);
PHP_METHOD(php_wxTreeListCtrl, UncheckItem);
PHP_METHOD(php_wxTreeListCtrl, SetSortColumn);
PHP_METHOD(php_wxTreeListCtrl, SetItemText);
PHP_METHOD(php_wxTreeListCtrl, SetItemImage);
PHP_METHOD(php_wxTreeListCtrl, SetItemData);
PHP_METHOD(php_wxTreeListCtrl, SetImageList);
PHP_METHOD(php_wxTreeListCtrl, SetColumnWidth);
PHP_METHOD(php_wxTreeListCtrl, SelectAll);
PHP_METHOD(php_wxTreeListCtrl, Select);
PHP_METHOD(php_wxTreeListCtrl, PrependItem);
PHP_METHOD(php_wxTreeListCtrl, IsSelected);
PHP_METHOD(php_wxTreeListCtrl, IsExpanded);
PHP_METHOD(php_wxTreeListCtrl, InsertItem);
PHP_METHOD(php_wxTreeListCtrl, GetView);
PHP_METHOD(php_wxTreeListCtrl, GetSortColumn);
PHP_METHOD(php_wxTreeListCtrl, GetSelection);
PHP_METHOD(php_wxTreeListCtrl, GetRootItem);
PHP_METHOD(php_wxTreeListCtrl, GetNextSibling);
PHP_METHOD(php_wxTreeListCtrl, GetNextItem);
PHP_METHOD(php_wxTreeListCtrl, GetItemText);
PHP_METHOD(php_wxTreeListCtrl, GetItemParent);
PHP_METHOD(php_wxTreeListCtrl, GetFirstItem);
PHP_METHOD(php_wxTreeListCtrl, GetFirstChild);
PHP_METHOD(php_wxTreeListCtrl, GetDataView);
PHP_METHOD(php_wxTreeListCtrl, GetColumnWidth);
PHP_METHOD(php_wxTreeListCtrl, GetColumnCount);
PHP_METHOD(php_wxTreeListCtrl, GetCheckedState);
PHP_METHOD(php_wxTreeListCtrl, Expand);
PHP_METHOD(php_wxTreeListCtrl, DeleteItem);
PHP_METHOD(php_wxTreeListCtrl, DeleteColumn);
PHP_METHOD(php_wxTreeListCtrl, DeleteAllItems);
PHP_METHOD(php_wxTreeListCtrl, Create);
PHP_METHOD(php_wxTreeListCtrl, Collapse);
PHP_METHOD(php_wxTreeListCtrl, ClearColumns);
PHP_METHOD(php_wxTreeListCtrl, CheckItemRecursively);
PHP_METHOD(php_wxTreeListCtrl, CheckItem);
PHP_METHOD(php_wxTreeListCtrl, AssignImageList);
PHP_METHOD(php_wxTreeListCtrl, AreAllChildrenInState);
PHP_METHOD(php_wxTreeListCtrl, AppendItem);
PHP_METHOD(php_wxTreeListCtrl, AppendColumn);
PHP_METHOD(php_wxTreeListCtrl, Connect);
PHP_METHOD(php_wxSound, Create);
PHP_METHOD(php_wxSound, IsOk);
PHP_METHOD(php_wxSound, Play);
PHP_METHOD(php_wxSound, Stop);
PHP_METHOD(php_wxSound, __construct);
PHP_METHOD(php_wxSimpleHtmlListBox, Create);
PHP_METHOD(php_wxSimpleHtmlListBox, __construct);
PHP_METHOD(php_wxFileSystem, __construct);
PHP_METHOD(php_wxFileSystem, URLToFileName);
PHP_METHOD(php_wxFileSystem, OpenFile);
PHP_METHOD(php_wxFileSystem, HasHandlerForPath);
PHP_METHOD(php_wxFileSystem, GetPath);
PHP_METHOD(php_wxFileSystem, FindNext);
PHP_METHOD(php_wxFileSystem, FindFirst);
PHP_METHOD(php_wxFileSystem, FindFileInPath);
PHP_METHOD(php_wxFileSystem, FileNameToURL);
PHP_METHOD(php_wxFileSystem, ChangePathTo);
PHP_METHOD(php_wxFileSystem, AddHandler);
PHP_METHOD(php_wxFileSystemHandler, CanOpen);
PHP_METHOD(php_wxFileSystemHandler, FindFirst);
PHP_METHOD(php_wxFileSystemHandler, FindNext);
PHP_METHOD(php_wxFileSystemHandler, GetMimeTypeFromExt);
PHP_METHOD(php_wxFileSystemHandler, OpenFile);
PHP_METHOD(php_wxFileSystemHandler, __construct);
PHP_METHOD(php_wxNativeFontInfo, __construct);
PHP_METHOD(php_wxNativeFontInfo, FromString);
PHP_METHOD(php_wxNativeFontInfo, FromUserString);
PHP_METHOD(php_wxNativeFontInfo, GetEncoding);
PHP_METHOD(php_wxNativeFontInfo, GetFaceName);
PHP_METHOD(php_wxNativeFontInfo, GetFamily);
PHP_METHOD(php_wxNativeFontInfo, GetPointSize);
PHP_METHOD(php_wxNativeFontInfo, GetStyle);
PHP_METHOD(php_wxNativeFontInfo, GetUnderlined);
PHP_METHOD(php_wxNativeFontInfo, GetWeight);
PHP_METHOD(php_wxNativeFontInfo, Init);
PHP_METHOD(php_wxNativeFontInfo, InitFromFont);
PHP_METHOD(php_wxNativeFontInfo, SetEncoding);
PHP_METHOD(php_wxNativeFontInfo, SetFaceName);
PHP_METHOD(php_wxNativeFontInfo, SetFamily);
PHP_METHOD(php_wxNativeFontInfo, SetPointSize);
PHP_METHOD(php_wxNativeFontInfo, SetStyle);
PHP_METHOD(php_wxNativeFontInfo, SetUnderlined);
PHP_METHOD(php_wxNativeFontInfo, SetWeight);
PHP_METHOD(php_wxNativeFontInfo, ToString);
PHP_METHOD(php_wxNativeFontInfo, ToUserString);
PHP_METHOD(php_wxDateEvent, GetDate);
PHP_METHOD(php_wxDateEvent, SetDate);
PHP_METHOD(php_wxBitmapToggleButton, Create);
PHP_METHOD(php_wxBitmapToggleButton, GetValue);
PHP_METHOD(php_wxBitmapToggleButton, SetValue);
PHP_METHOD(php_wxBitmapToggleButton, __construct);
PHP_METHOD(php_wxBitmapToggleButton, Connect);
PHP_METHOD(php_wxCalendarDateAttr, __construct);
PHP_METHOD(php_wxCalendarDateAttr, SetTextColour);
PHP_METHOD(php_wxCalendarDateAttr, SetHoliday);
PHP_METHOD(php_wxCalendarDateAttr, SetFont);
PHP_METHOD(php_wxCalendarDateAttr, SetBorderColour);
PHP_METHOD(php_wxCalendarDateAttr, SetBorder);
PHP_METHOD(php_wxCalendarDateAttr, SetBackgroundColour);
PHP_METHOD(php_wxCalendarDateAttr, IsHoliday);
PHP_METHOD(php_wxCalendarDateAttr, HasTextColour);
PHP_METHOD(php_wxCalendarDateAttr, HasFont);
PHP_METHOD(php_wxCalendarDateAttr, HasBorderColour);
PHP_METHOD(php_wxCalendarDateAttr, HasBorder);
PHP_METHOD(php_wxCalendarDateAttr, HasBackgroundColour);
PHP_METHOD(php_wxCalendarDateAttr, GetTextColour);
PHP_METHOD(php_wxCalendarDateAttr, GetMark);
PHP_METHOD(php_wxCalendarDateAttr, GetFont);
PHP_METHOD(php_wxCalendarDateAttr, GetBorderColour);
PHP_METHOD(php_wxCalendarDateAttr, GetBorder);
PHP_METHOD(php_wxCalendarDateAttr, GetBackgroundColour);
PHP_METHOD(php_wxCalendarDateAttr, SetMark);
PHP_METHOD(php_wxCalendarCtrl, Create);
PHP_METHOD(php_wxCalendarCtrl, EnableHolidayDisplay);
PHP_METHOD(php_wxCalendarCtrl, EnableMonthChange);
PHP_METHOD(php_wxCalendarCtrl, GetAttr);
PHP_METHOD(php_wxCalendarCtrl, GetDate);
PHP_METHOD(php_wxCalendarCtrl, GetDateRange);
PHP_METHOD(php_wxCalendarCtrl, GetHeaderColourBg);
PHP_METHOD(php_wxCalendarCtrl, GetHeaderColourFg);
PHP_METHOD(php_wxCalendarCtrl, GetHighlightColourBg);
PHP_METHOD(php_wxCalendarCtrl, GetHighlightColourFg);
PHP_METHOD(php_wxCalendarCtrl, GetHolidayColourBg);
PHP_METHOD(php_wxCalendarCtrl, GetHolidayColourFg);
PHP_METHOD(php_wxCalendarCtrl, HitTest);
PHP_METHOD(php_wxCalendarCtrl, Mark);
PHP_METHOD(php_wxCalendarCtrl, ResetAttr);
PHP_METHOD(php_wxCalendarCtrl, SetAttr);
PHP_METHOD(php_wxCalendarCtrl, SetDate);
PHP_METHOD(php_wxCalendarCtrl, SetDateRange);
PHP_METHOD(php_wxCalendarCtrl, SetHeaderColours);
PHP_METHOD(php_wxCalendarCtrl, SetHighlightColours);
PHP_METHOD(php_wxCalendarCtrl, SetHoliday);
PHP_METHOD(php_wxCalendarCtrl, SetHolidayColours);
PHP_METHOD(php_wxCalendarCtrl, __construct);
PHP_METHOD(php_wxCalendarCtrl, Connect);
PHP_METHOD(php_wxMask, Create);
PHP_METHOD(php_wxMask, __construct);
PHP_METHOD(php_wxToolTip, __construct);
PHP_METHOD(php_wxToolTip, SetTip);
PHP_METHOD(php_wxToolTip, SetReshow);
PHP_METHOD(php_wxToolTip, SetDelay);
PHP_METHOD(php_wxToolTip, SetAutoPop);
PHP_METHOD(php_wxToolTip, GetWindow);
PHP_METHOD(php_wxToolTip, GetTip);
PHP_METHOD(php_wxToolTip, Enable);
PHP_METHOD(php_wxCaret, __construct);
PHP_METHOD(php_wxCaret, Show);
PHP_METHOD(php_wxCaret, SetSize);
PHP_METHOD(php_wxCaret, SetBlinkTime);
PHP_METHOD(php_wxCaret, Move);
PHP_METHOD(php_wxCaret, IsVisible);
PHP_METHOD(php_wxCaret, IsOk);
PHP_METHOD(php_wxCaret, Hide);
PHP_METHOD(php_wxCaret, GetWindow);
PHP_METHOD(php_wxCaret, GetSize);
PHP_METHOD(php_wxCaret, GetBlinkTime);
PHP_METHOD(php_wxCaret, GetPosition);
PHP_METHOD(php_wxRegion, Clear);
PHP_METHOD(php_wxRegion, Contains);
PHP_METHOD(php_wxRegion, ConvertToBitmap);
PHP_METHOD(php_wxRegion, GetBox);
PHP_METHOD(php_wxRegion, Intersect);
PHP_METHOD(php_wxRegion, IsEmpty);
PHP_METHOD(php_wxRegion, IsEqual);
PHP_METHOD(php_wxRegion, Offset);
PHP_METHOD(php_wxRegion, Subtract);
PHP_METHOD(php_wxRegion, Union);
PHP_METHOD(php_wxRegion, XorMethod);
PHP_METHOD(php_wxRegion, __construct);
PHP_METHOD(php_wxPoint2DDouble, __get);
PHP_METHOD(php_wxPoint2DDouble, __construct);
PHP_METHOD(php_wxPoint2DDouble, SetVectorLength);
PHP_METHOD(php_wxPoint2DDouble, SetVectorAngle);
PHP_METHOD(php_wxPoint2DDouble, Normalize);
PHP_METHOD(php_wxPoint2DDouble, GetVectorLength);
PHP_METHOD(php_wxPoint2DDouble, GetVectorAngle);
PHP_METHOD(php_wxPoint2DDouble, GetDotProduct);
PHP_METHOD(php_wxPoint2DDouble, GetDistanceSquare);
PHP_METHOD(php_wxPoint2DDouble, GetDistance);
PHP_METHOD(php_wxPoint2DDouble, GetCrossProduct);
PHP_METHOD(php_wxPoint2DDouble, GetFloor);
PHP_METHOD(php_wxPoint2DDouble, GetRounded);
PHP_METHOD(php_wxPoint2DInt, GetCrossProduct);
PHP_METHOD(php_wxPoint2DInt, GetDistance);
PHP_METHOD(php_wxPoint2DInt, GetDistanceSquare);
PHP_METHOD(php_wxPoint2DInt, GetDotProduct);
PHP_METHOD(php_wxPoint2DInt, GetVectorAngle);
PHP_METHOD(php_wxPoint2DInt, GetVectorLength);
PHP_METHOD(php_wxPoint2DInt, Normalize);
PHP_METHOD(php_wxPoint2DInt, SetVectorAngle);
PHP_METHOD(php_wxPoint2DInt, SetVectorLength);
PHP_METHOD(php_wxPoint2DInt, __get);
PHP_METHOD(php_wxPoint2DInt, __construct);
PHP_METHOD(php_wxPoint2DInt, GetFloor);
PHP_METHOD(php_wxPoint2DInt, GetRounded);
PHP_METHOD(php_wxPopupTransientWindow, Dismiss);
PHP_METHOD(php_wxPopupTransientWindow, Popup);
PHP_METHOD(php_wxPopupTransientWindow, ProcessLeftDown);
PHP_METHOD(php_wxPopupTransientWindow, __construct);
PHP_METHOD(php_wxPopupTransientWindow, Connect);
PHP_METHOD(php_wxProcessEvent, GetExitCode);
PHP_METHOD(php_wxProcessEvent, GetPid);
PHP_METHOD(php_wxProcessEvent, __construct);
PHP_METHOD(php_wxProgressDialog, __construct);
PHP_METHOD(php_wxProgressDialog, Connect);
PHP_METHOD(php_wxWindowDC, __construct);
PHP_METHOD(php_wxWindowCreateEvent, GetWindow);
PHP_METHOD(php_wxWindowCreateEvent, __construct);
PHP_METHOD(php_wxWindowDestroyEvent, GetWindow);
PHP_METHOD(php_wxWindowDestroyEvent, __construct);
PHP_METHOD(php_wxGraphicsGradientStop, GetColour);
PHP_METHOD(php_wxGraphicsGradientStop, GetPosition);
PHP_METHOD(php_wxGraphicsGradientStop, SetColour);
PHP_METHOD(php_wxGraphicsGradientStop, SetPosition);
PHP_METHOD(php_wxGraphicsGradientStop, __construct);
PHP_METHOD(php_wxGraphicsGradientStops, Add);
PHP_METHOD(php_wxGraphicsGradientStops, GetCount);
PHP_METHOD(php_wxGraphicsGradientStops, GetEndColour);
PHP_METHOD(php_wxGraphicsGradientStops, GetStartColour);
PHP_METHOD(php_wxGraphicsGradientStops, Item);
PHP_METHOD(php_wxGraphicsGradientStops, SetEndColour);
PHP_METHOD(php_wxGraphicsGradientStops, SetStartColour);
PHP_METHOD(php_wxGraphicsGradientStops, __construct);
PHP_METHOD(php_wxEventFilter, FilterEvent);
PHP_METHOD(php_wxEventFilter, __construct);
PHP_METHOD(php_wxEventBlocker, Block);
PHP_METHOD(php_wxEventBlocker, __construct);
PHP_METHOD(php_wxEventBlocker, Connect);
PHP_METHOD(php_wxEraseEvent, GetDC);
PHP_METHOD(php_wxEraseEvent, __construct);
PHP_METHOD(php_wxEventLoopActivator, __construct);
PHP_METHOD(php_wxEventLoopBase, Dispatch);
PHP_METHOD(php_wxEventLoopBase, DispatchTimeout);
PHP_METHOD(php_wxEventLoopBase, GetActive);
PHP_METHOD(php_wxEventLoopBase, IsEventAllowedInsideYield);
PHP_METHOD(php_wxEventLoopBase, IsMain);
PHP_METHOD(php_wxEventLoopBase, IsOk);
PHP_METHOD(php_wxEventLoopBase, IsRunning);
PHP_METHOD(php_wxEventLoopBase, IsYielding);
PHP_METHOD(php_wxEventLoopBase, OnExit);
PHP_METHOD(php_wxEventLoopBase, Pending);
PHP_METHOD(php_wxEventLoopBase, ProcessIdle);
PHP_METHOD(php_wxEventLoopBase, Run);
PHP_METHOD(php_wxEventLoopBase, ExitMethod);
PHP_METHOD(php_wxEventLoopBase, SetActive);
PHP_METHOD(php_wxEventLoopBase, WakeUp);
PHP_METHOD(php_wxEventLoopBase, WakeUpIdle);
PHP_METHOD(php_wxEventLoopBase, YieldMethod);
PHP_METHOD(php_wxEventLoopBase, YieldFor);
PHP_METHOD(php_wxPickerBase, GetInternalMargin);
PHP_METHOD(php_wxPickerBase, GetPickerCtrl);
PHP_METHOD(php_wxPickerBase, GetPickerCtrlProportion);
PHP_METHOD(php_wxPickerBase, GetTextCtrl);
PHP_METHOD(php_wxPickerBase, GetTextCtrlProportion);
PHP_METHOD(php_wxPickerBase, HasTextCtrl);
PHP_METHOD(php_wxPickerBase, IsPickerCtrlGrowable);
PHP_METHOD(php_wxPickerBase, IsTextCtrlGrowable);
PHP_METHOD(php_wxPickerBase, SetInternalMargin);
PHP_METHOD(php_wxPickerBase, SetPickerCtrlGrowable);
PHP_METHOD(php_wxPickerBase, SetPickerCtrlProportion);
PHP_METHOD(php_wxPickerBase, SetTextCtrlGrowable);
PHP_METHOD(php_wxPickerBase, SetTextCtrlProportion);
PHP_METHOD(php_wxPickerBase, Connect);
PHP_METHOD(php_wxGridEvent, AltDown);
PHP_METHOD(php_wxGridEvent, ControlDown);
PHP_METHOD(php_wxGridEvent, GetCol);
PHP_METHOD(php_wxGridEvent, GetPosition);
PHP_METHOD(php_wxGridEvent, GetRow);
PHP_METHOD(php_wxGridEvent, MetaDown);
PHP_METHOD(php_wxGridEvent, Selecting);
PHP_METHOD(php_wxGridEvent, ShiftDown);
PHP_METHOD(php_wxGridEvent, __construct);
PHP_METHOD(php_wxUpdateUIEvent, CanUpdate);
PHP_METHOD(php_wxUpdateUIEvent, Check);
PHP_METHOD(php_wxUpdateUIEvent, Enable);
PHP_METHOD(php_wxUpdateUIEvent, GetEnabled);
PHP_METHOD(php_wxUpdateUIEvent, GetChecked);
PHP_METHOD(php_wxUpdateUIEvent, GetMode);
PHP_METHOD(php_wxUpdateUIEvent, GetSetChecked);
PHP_METHOD(php_wxUpdateUIEvent, GetSetEnabled);
PHP_METHOD(php_wxUpdateUIEvent, GetSetShown);
PHP_METHOD(php_wxUpdateUIEvent, GetSetText);
PHP_METHOD(php_wxUpdateUIEvent, GetShown);
PHP_METHOD(php_wxUpdateUIEvent, GetText);
PHP_METHOD(php_wxUpdateUIEvent, GetUpdateInterval);
PHP_METHOD(php_wxUpdateUIEvent, ResetUpdateTime);
PHP_METHOD(php_wxUpdateUIEvent, SetMode);
PHP_METHOD(php_wxUpdateUIEvent, SetText);
PHP_METHOD(php_wxUpdateUIEvent, SetUpdateInterval);
PHP_METHOD(php_wxUpdateUIEvent, Show);
PHP_METHOD(php_wxUpdateUIEvent, __construct);
PHP_METHOD(php_wxHelpEvent, GetOrigin);
PHP_METHOD(php_wxHelpEvent, GetPosition);
PHP_METHOD(php_wxHelpEvent, SetOrigin);
PHP_METHOD(php_wxHelpEvent, SetPosition);
PHP_METHOD(php_wxHelpEvent, __construct);
PHP_METHOD(php_wxLayoutConstraints, AreSatisfied);
PHP_METHOD(php_wxLayoutConstraints, __get);
PHP_METHOD(php_wxLayoutConstraints, __construct);
PHP_METHOD(php_wxLayoutConstraints, SatisfyConstraints);
PHP_METHOD(php_wxDropTarget, OnLeave);
PHP_METHOD(php_wxDropTarget, __construct);
PHP_METHOD(php_wxDropTarget, SetDataObject);
PHP_METHOD(php_wxDropTarget, OnDragOver);
PHP_METHOD(php_wxDropTarget, OnEnter);
PHP_METHOD(php_wxDropTarget, GetData);
PHP_METHOD(php_wxDropTarget, OnData);
PHP_METHOD(php_wxDropTarget, OnDrop);
PHP_METHOD(php_wxObject, __get);
PHP_METHOD(php_wxObject, __construct);
PHP_METHOD(php_wxObject, UnShare);
PHP_METHOD(php_wxObject, UnRef);
PHP_METHOD(php_wxObject, IsSameAs);
PHP_METHOD(php_wxObject, Ref);
PHP_METHOD(php_wxObject, GetClassInfo);
PHP_METHOD(php_wxObject, IsKindOf);
PHP_METHOD(php_wxFFile, __construct);
PHP_METHOD(php_wxFFile, Write);
PHP_METHOD(php_wxFFile, Tell);
PHP_METHOD(php_wxFFile, SeekEnd);
PHP_METHOD(php_wxFFile, Seek);
PHP_METHOD(php_wxFFile, Read);
PHP_METHOD(php_wxFFile, Open);
PHP_METHOD(php_wxFFile, Length);
PHP_METHOD(php_wxFFile, IsOpened);
PHP_METHOD(php_wxFFile, GetKind);
PHP_METHOD(php_wxFFile, Flush);
PHP_METHOD(php_wxFFile, Error);
PHP_METHOD(php_wxFFile, Eof);
PHP_METHOD(php_wxFFile, Close);
PHP_METHOD(php_wxFSFile, __construct);
PHP_METHOD(php_wxFSFile, GetStream);
PHP_METHOD(php_wxFSFile, GetModificationTime);
PHP_METHOD(php_wxFSFile, GetMimeType);
PHP_METHOD(php_wxFSFile, GetLocation);
PHP_METHOD(php_wxFSFile, GetAnchor);
PHP_METHOD(php_wxFSFile, DetachStream);
PHP_METHOD(php_wxInputStream, __construct);
PHP_METHOD(php_wxInputStream, Ungetch);
PHP_METHOD(php_wxInputStream, TellI);
PHP_METHOD(php_wxInputStream, SeekI);
PHP_METHOD(php_wxInputStream, Read);
PHP_METHOD(php_wxInputStream, Peek);
PHP_METHOD(php_wxInputStream, OnSysRead);
PHP_METHOD(php_wxInputStream, LastRead);
PHP_METHOD(php_wxInputStream, GetC);
PHP_METHOD(php_wxInputStream, Eof);
PHP_METHOD(php_wxInputStream, CanRead);
PHP_METHOD(php_wxStreamBase, __construct);
PHP_METHOD(php_wxStreamBase, Reset);
PHP_METHOD(php_wxStreamBase, IsSeekable);
PHP_METHOD(php_wxStreamBase, IsOk);
PHP_METHOD(php_wxStreamBase, GetSize);
PHP_METHOD(php_wxStreamBase, GetLength);
PHP_METHOD(php_wxStreamBase, GetLastError);
PHP_METHOD(php_wxStreamBase, OnSysSeek);
PHP_METHOD(php_wxStreamBase, OnSysTell);
PHP_METHOD(php_wxThread, __construct);
PHP_METHOD(php_wxThread, YieldMethod);
PHP_METHOD(php_wxThread, This);
PHP_METHOD(php_wxThread, TestDestroy);
PHP_METHOD(php_wxThread, SetPriority);
PHP_METHOD(php_wxThread, Sleep);
PHP_METHOD(php_wxThread, SetConcurrency);
PHP_METHOD(php_wxThread, GetCPUCount);
PHP_METHOD(php_wxThread, GetCurrentId);
PHP_METHOD(php_wxThread, GetId);
PHP_METHOD(php_wxThread, GetKind);
PHP_METHOD(php_wxThread, GetMainId);
PHP_METHOD(php_wxThread, GetPriority);
PHP_METHOD(php_wxThread, IsAlive);
PHP_METHOD(php_wxThread, IsDetached);
PHP_METHOD(php_wxThread, IsMain);
PHP_METHOD(php_wxThread, IsPaused);
PHP_METHOD(php_wxThread, IsRunning);
PHP_METHOD(php_wxThread, Kill);
PHP_METHOD(php_wxThread, Pause);
PHP_METHOD(php_wxThread, Resume);
PHP_METHOD(php_wxThread, Run);
PHP_METHOD(php_wxThread, Create);
PHP_METHOD(php_wxThread, Delete);
PHP_METHOD(php_wxThread, Entry);
PHP_METHOD(php_wxThread, Wait);
PHP_METHOD(php_wxTimePickerCtrl, __construct);
PHP_METHOD(php_wxTimePickerCtrl, Create);
PHP_METHOD(php_wxTimePickerCtrl, GetValue);
PHP_METHOD(php_wxTimePickerCtrl, SetValue);
PHP_METHOD(php_wxTimePickerCtrl, Connect);
PHP_METHOD(php_wxOutputStream, __construct);
PHP_METHOD(php_wxOutputStream, Write);
PHP_METHOD(php_wxOutputStream, TellO);
PHP_METHOD(php_wxOutputStream, SeekO);
PHP_METHOD(php_wxOutputStream, PutC);
PHP_METHOD(php_wxOutputStream, Close);
PHP_METHOD(php_wxOutputStream, LastWrite);
PHP_METHOD(php_wxColourDialog, __construct);
PHP_METHOD(php_wxColourDialog, ShowModal);
PHP_METHOD(php_wxColourDialog, GetColourData);
PHP_METHOD(php_wxColourDialog, Create);
PHP_METHOD(php_wxColourDialog, Connect);
PHP_METHOD(php_wxColourData, __construct);
PHP_METHOD(php_wxColourData, ToString);
PHP_METHOD(php_wxColourData, SetCustomColour);
PHP_METHOD(php_wxColourData, SetColour);
PHP_METHOD(php_wxColourData, SetChooseFull);
PHP_METHOD(php_wxColourData, GetCustomColour);
PHP_METHOD(php_wxColourData, GetColour);
PHP_METHOD(php_wxColourData, GetChooseFull);
PHP_METHOD(php_wxColourData, FromString);
PHP_METHOD(php_wxFileDialog, __construct);
PHP_METHOD(php_wxFileDialog, ShowModal);
PHP_METHOD(php_wxFileDialog, SetWildcard);
PHP_METHOD(php_wxFileDialog, SetPath);
PHP_METHOD(php_wxFileDialog, SetMessage);
PHP_METHOD(php_wxFileDialog, SetFilterIndex);
PHP_METHOD(php_wxFileDialog, SetFilename);
PHP_METHOD(php_wxFileDialog, SetDirectory);
PHP_METHOD(php_wxFileDialog, GetWildcard);
PHP_METHOD(php_wxFileDialog, GetPaths);
PHP_METHOD(php_wxFileDialog, GetMessage);
PHP_METHOD(php_wxFileDialog, GetPath);
PHP_METHOD(php_wxFileDialog, GetFilterIndex);
PHP_METHOD(php_wxFileDialog, GetFilenames);
PHP_METHOD(php_wxFileDialog, GetFilename);
PHP_METHOD(php_wxFileDialog, GetExtraControl);
PHP_METHOD(php_wxFileDialog, GetDirectory);
PHP_METHOD(php_wxFileDialog, Connect);
PHP_METHOD(php_wxFontData, __construct);
PHP_METHOD(php_wxFontData, SetShowHelp);
PHP_METHOD(php_wxFontData, SetRange);
PHP_METHOD(php_wxFontData, SetInitialFont);
PHP_METHOD(php_wxFontData, SetColour);
PHP_METHOD(php_wxFontData, SetChosenFont);
PHP_METHOD(php_wxFontData, SetAllowSymbols);
PHP_METHOD(php_wxFontData, GetShowHelp);
PHP_METHOD(php_wxFontData, GetInitialFont);
PHP_METHOD(php_wxFontData, GetEnableEffects);
PHP_METHOD(php_wxFontData, GetColour);
PHP_METHOD(php_wxFontData, GetChosenFont);
PHP_METHOD(php_wxFontData, GetAllowSymbols);
PHP_METHOD(php_wxFontData, EnableEffects);
PHP_METHOD(php_wxFontDialog, Create);
PHP_METHOD(php_wxFontDialog, GetFontData);
PHP_METHOD(php_wxFontDialog, ShowModal);
PHP_METHOD(php_wxFontDialog, __construct);
PHP_METHOD(php_wxFontDialog, Connect);
PHP_METHOD(php_wxThreadHelper, GetThread);
PHP_METHOD(php_wxThreadHelper, CreateThread);
PHP_METHOD(php_wxThreadHelper, Create);
PHP_METHOD(php_wxToolBar, __construct);
PHP_METHOD(php_wxToolBar, ToggleTool);
PHP_METHOD(php_wxToolBar, SetToolShortHelp);
PHP_METHOD(php_wxToolBar, SetToolSeparation);
PHP_METHOD(php_wxToolBar, SetToolPacking);
PHP_METHOD(php_wxToolBar, SetToolNormalBitmap);
PHP_METHOD(php_wxToolBar, SetToolLongHelp);
PHP_METHOD(php_wxToolBar, SetToolDisabledBitmap);
PHP_METHOD(php_wxToolBar, SetToolClientData);
PHP_METHOD(php_wxToolBar, SetToolBitmapSize);
PHP_METHOD(php_wxToolBar, SetMargins);
PHP_METHOD(php_wxToolBar, SetDropdownMenu);
PHP_METHOD(php_wxToolBar, OnRightClick);
PHP_METHOD(php_wxToolBar, OnMouseEnter);
PHP_METHOD(php_wxToolBar, OnLeftClick);
PHP_METHOD(php_wxToolBar, GetToolsCount);
PHP_METHOD(php_wxToolBar, GetToolState);
PHP_METHOD(php_wxToolBar, GetToolSize);
PHP_METHOD(php_wxToolBar, GetToolShortHelp);
PHP_METHOD(php_wxToolBar, GetToolSeparation);
PHP_METHOD(php_wxToolBar, GetToolPos);
PHP_METHOD(php_wxToolBar, GetToolPacking);
PHP_METHOD(php_wxToolBar, GetToolLongHelp);
PHP_METHOD(php_wxToolBar, GetToolEnabled);
PHP_METHOD(php_wxToolBar, GetToolClientData);
PHP_METHOD(php_wxToolBar, GetToolBitmapSize);
PHP_METHOD(php_wxToolBar, GetMargins);
PHP_METHOD(php_wxToolBar, FindControl);
PHP_METHOD(php_wxToolBar, EnableTool);
PHP_METHOD(php_wxToolBar, DeleteToolByPos);
PHP_METHOD(php_wxToolBar, DeleteTool);
PHP_METHOD(php_wxToolBar, ClearTools);
PHP_METHOD(php_wxToolBar, AddCheckTool);
PHP_METHOD(php_wxToolBar, AddControl);
PHP_METHOD(php_wxToolBar, AddRadioTool);
PHP_METHOD(php_wxToolBar, AddSeparator);
PHP_METHOD(php_wxToolBar, AddStretchableSpace);
PHP_METHOD(php_wxToolBar, AddTool);
PHP_METHOD(php_wxToolBar, FindById);
PHP_METHOD(php_wxToolBar, FindToolForPosition);
PHP_METHOD(php_wxToolBar, GetToolByPos);
PHP_METHOD(php_wxToolBar, InsertControl);
PHP_METHOD(php_wxToolBar, InsertSeparator);
PHP_METHOD(php_wxToolBar, InsertStretchableSpace);
PHP_METHOD(php_wxToolBar, InsertTool);
PHP_METHOD(php_wxToolBar, Realize);
PHP_METHOD(php_wxToolBar, RemoveTool);
PHP_METHOD(php_wxToolBar, Connect);
PHP_METHOD(php_wxAuiTabArt, SetSizingInfo);
PHP_METHOD(php_wxAuiTabArt, SetSelectedFont);
PHP_METHOD(php_wxAuiTabArt, SetNormalFont);
PHP_METHOD(php_wxAuiTabArt, SetMeasuringFont);
PHP_METHOD(php_wxAuiTabArt, SetFlags);
PHP_METHOD(php_wxAuiTabArt, SetColour);
PHP_METHOD(php_wxAuiTabArt, SetActiveColour);
PHP_METHOD(php_wxAuiTabArt, GetTabSize);
PHP_METHOD(php_wxAuiTabArt, GetIndentSize);
PHP_METHOD(php_wxAuiTabArt, DrawButton);
PHP_METHOD(php_wxAuiTabArt, DrawBackground);
PHP_METHOD(php_wxAuiTabArt, CloneMethod);
PHP_METHOD(php_wxCalendarEvent, GetWeekDay);
PHP_METHOD(php_wxCalendarEvent, SetWeekDay);
PHP_METHOD(php_wxGrid, AppendCols);
PHP_METHOD(php_wxGrid, AppendRows);
PHP_METHOD(php_wxGrid, AreHorzGridLinesClipped);
PHP_METHOD(php_wxGrid, AreVertGridLinesClipped);
PHP_METHOD(php_wxGrid, AutoSize);
PHP_METHOD(php_wxGrid, AutoSizeColLabelSize);
PHP_METHOD(php_wxGrid, AutoSizeColumn);
PHP_METHOD(php_wxGrid, AutoSizeColumns);
PHP_METHOD(php_wxGrid, AutoSizeRow);
PHP_METHOD(php_wxGrid, AutoSizeRowLabelSize);
PHP_METHOD(php_wxGrid, AutoSizeRows);
PHP_METHOD(php_wxGrid, BeginBatch);
PHP_METHOD(php_wxGrid, BlockToDeviceRect);
PHP_METHOD(php_wxGrid, CanDragCell);
PHP_METHOD(php_wxGrid, CanDragColMove);
PHP_METHOD(php_wxGrid, CanDragColSize);
PHP_METHOD(php_wxGrid, CanDragGridSize);
PHP_METHOD(php_wxGrid, CanDragRowSize);
PHP_METHOD(php_wxGrid, CanEnableCellControl);
PHP_METHOD(php_wxGrid, CellToRect);
PHP_METHOD(php_wxGrid, ClearGrid);
PHP_METHOD(php_wxGrid, ClearSelection);
PHP_METHOD(php_wxGrid, ClipHorzGridLines);
PHP_METHOD(php_wxGrid, ClipVertGridLines);
PHP_METHOD(php_wxGrid, Create);
PHP_METHOD(php_wxGrid, CreateGrid);
PHP_METHOD(php_wxGrid, DeleteCols);
PHP_METHOD(php_wxGrid, DeleteRows);
PHP_METHOD(php_wxGrid, DisableCellEditControl);
PHP_METHOD(php_wxGrid, DisableColResize);
PHP_METHOD(php_wxGrid, DisableDragColMove);
PHP_METHOD(php_wxGrid, DisableDragColSize);
PHP_METHOD(php_wxGrid, DisableDragGridSize);
PHP_METHOD(php_wxGrid, DisableDragRowSize);
PHP_METHOD(php_wxGrid, DisableRowResize);
PHP_METHOD(php_wxGrid, EnableCellEditControl);
PHP_METHOD(php_wxGrid, EnableDragCell);
PHP_METHOD(php_wxGrid, EnableDragColMove);
PHP_METHOD(php_wxGrid, EnableDragColSize);
PHP_METHOD(php_wxGrid, EnableDragGridSize);
PHP_METHOD(php_wxGrid, EnableDragRowSize);
PHP_METHOD(php_wxGrid, EnableEditing);
PHP_METHOD(php_wxGrid, EnableGridLines);
PHP_METHOD(php_wxGrid, EndBatch);
PHP_METHOD(php_wxGrid, Fit);
PHP_METHOD(php_wxGrid, ForceRefresh);
PHP_METHOD(php_wxGrid, GetBatchCount);
PHP_METHOD(php_wxGrid, GetCellAlignment);
PHP_METHOD(php_wxGrid, GetCellBackgroundColour);
PHP_METHOD(php_wxGrid, GetCellEditor);
PHP_METHOD(php_wxGrid, GetCellFont);
PHP_METHOD(php_wxGrid, GetCellRenderer);
PHP_METHOD(php_wxGrid, GetCellSize);
PHP_METHOD(php_wxGrid, GetCellTextColour);
PHP_METHOD(php_wxGrid, GetCellValue);
PHP_METHOD(php_wxGrid, GetColAt);
PHP_METHOD(php_wxGrid, GetColGridLinePen);
PHP_METHOD(php_wxGrid, GetColLabelAlignment);
PHP_METHOD(php_wxGrid, GetColLabelSize);
PHP_METHOD(php_wxGrid, GetColLabelTextOrientation);
PHP_METHOD(php_wxGrid, GetColLabelValue);
PHP_METHOD(php_wxGrid, GetColMinimalAcceptableWidth);
PHP_METHOD(php_wxGrid, GetColPos);
PHP_METHOD(php_wxGrid, GetColSize);
PHP_METHOD(php_wxGrid, GetColSizes);
PHP_METHOD(php_wxGrid, GetDefaultCellAlignment);
PHP_METHOD(php_wxGrid, GetDefaultCellBackgroundColour);
PHP_METHOD(php_wxGrid, GetDefaultCellFont);
PHP_METHOD(php_wxGrid, GetDefaultCellTextColour);
PHP_METHOD(php_wxGrid, GetDefaultColLabelSize);
PHP_METHOD(php_wxGrid, GetDefaultColSize);
PHP_METHOD(php_wxGrid, GetDefaultEditor);
PHP_METHOD(php_wxGrid, GetDefaultEditorForCell);
PHP_METHOD(php_wxGrid, GetDefaultEditorForType);
PHP_METHOD(php_wxGrid, GetDefaultGridLinePen);
PHP_METHOD(php_wxGrid, GetDefaultRenderer);
PHP_METHOD(php_wxGrid, GetDefaultRendererForCell);
PHP_METHOD(php_wxGrid, GetDefaultRendererForType);
PHP_METHOD(php_wxGrid, GetDefaultRowLabelSize);
PHP_METHOD(php_wxGrid, GetDefaultRowSize);
PHP_METHOD(php_wxGrid, GetGridColHeader);
PHP_METHOD(php_wxGrid, GetGridColLabelWindow);
PHP_METHOD(php_wxGrid, GetGridCornerLabelWindow);
PHP_METHOD(php_wxGrid, GetGridCursorCol);
PHP_METHOD(php_wxGrid, GetGridCursorRow);
PHP_METHOD(php_wxGrid, GetGridLineColour);
PHP_METHOD(php_wxGrid, GetGridRowLabelWindow);
PHP_METHOD(php_wxGrid, GetGridWindow);
PHP_METHOD(php_wxGrid, GetLabelBackgroundColour);
PHP_METHOD(php_wxGrid, GetLabelFont);
PHP_METHOD(php_wxGrid, GetLabelTextColour);
PHP_METHOD(php_wxGrid, GetNumberCols);
PHP_METHOD(php_wxGrid, GetNumberRows);
PHP_METHOD(php_wxGrid, GetOrCreateCellAttr);
PHP_METHOD(php_wxGrid, GetRowGridLinePen);
PHP_METHOD(php_wxGrid, GetRowLabelAlignment);
PHP_METHOD(php_wxGrid, GetRowLabelSize);
PHP_METHOD(php_wxGrid, GetRowLabelValue);
PHP_METHOD(php_wxGrid, GetRowMinimalAcceptableHeight);
PHP_METHOD(php_wxGrid, GetRowSize);
PHP_METHOD(php_wxGrid, GetRowSizes);
PHP_METHOD(php_wxGrid, GetScrollLineX);
PHP_METHOD(php_wxGrid, GetScrollLineY);
PHP_METHOD(php_wxGrid, GetSelectionBackground);
PHP_METHOD(php_wxGrid, GetSelectionForeground);
PHP_METHOD(php_wxGrid, GetSelectionMode);
PHP_METHOD(php_wxGrid, GetSortingColumn);
PHP_METHOD(php_wxGrid, GetTable);
PHP_METHOD(php_wxGrid, GoToCell);
PHP_METHOD(php_wxGrid, GridLinesEnabled);
PHP_METHOD(php_wxGrid, HideCellEditControl);
PHP_METHOD(php_wxGrid, HideCol);
PHP_METHOD(php_wxGrid, HideColLabels);
PHP_METHOD(php_wxGrid, HideRow);
PHP_METHOD(php_wxGrid, HideRowLabels);
PHP_METHOD(php_wxGrid, InsertCols);
PHP_METHOD(php_wxGrid, InsertRows);
PHP_METHOD(php_wxGrid, IsCellEditControlEnabled);
PHP_METHOD(php_wxGrid, IsCurrentCellReadOnly);
PHP_METHOD(php_wxGrid, IsEditable);
PHP_METHOD(php_wxGrid, IsColShown);
PHP_METHOD(php_wxGrid, IsInSelection);
PHP_METHOD(php_wxGrid, IsReadOnly);
PHP_METHOD(php_wxGrid, IsRowShown);
PHP_METHOD(php_wxGrid, IsSelection);
PHP_METHOD(php_wxGrid, IsSortOrderAscending);
PHP_METHOD(php_wxGrid, IsSortingBy);
PHP_METHOD(php_wxGrid, IsVisible);
PHP_METHOD(php_wxGrid, MakeCellVisible);
PHP_METHOD(php_wxGrid, MoveCursorDown);
PHP_METHOD(php_wxGrid, MoveCursorDownBlock);
PHP_METHOD(php_wxGrid, MoveCursorLeft);
PHP_METHOD(php_wxGrid, MoveCursorLeftBlock);
PHP_METHOD(php_wxGrid, MoveCursorRight);
PHP_METHOD(php_wxGrid, MoveCursorRightBlock);
PHP_METHOD(php_wxGrid, MoveCursorUp);
PHP_METHOD(php_wxGrid, MoveCursorUpBlock);
PHP_METHOD(php_wxGrid, MovePageDown);
PHP_METHOD(php_wxGrid, MovePageUp);
PHP_METHOD(php_wxGrid, RefreshAttr);
PHP_METHOD(php_wxGrid, RegisterDataType);
PHP_METHOD(php_wxGrid, ResetColPos);
PHP_METHOD(php_wxGrid, SaveEditControlValue);
PHP_METHOD(php_wxGrid, SelectAll);
PHP_METHOD(php_wxGrid, SelectBlock);
PHP_METHOD(php_wxGrid, SelectCol);
PHP_METHOD(php_wxGrid, SelectRow);
PHP_METHOD(php_wxGrid, SetCellAlignment);
PHP_METHOD(php_wxGrid, SetCellBackgroundColour);
PHP_METHOD(php_wxGrid, SetCellEditor);
PHP_METHOD(php_wxGrid, SetCellFont);
PHP_METHOD(php_wxGrid, SetCellRenderer);
PHP_METHOD(php_wxGrid, SetCellSize);
PHP_METHOD(php_wxGrid, SetCellTextColour);
PHP_METHOD(php_wxGrid, SetCellValue);
PHP_METHOD(php_wxGrid, SetColAttr);
PHP_METHOD(php_wxGrid, SetColFormatBool);
PHP_METHOD(php_wxGrid, SetColFormatCustom);
PHP_METHOD(php_wxGrid, SetColFormatFloat);
PHP_METHOD(php_wxGrid, SetColFormatNumber);
PHP_METHOD(php_wxGrid, SetColLabelAlignment);
PHP_METHOD(php_wxGrid, SetColLabelSize);
PHP_METHOD(php_wxGrid, SetColLabelTextOrientation);
PHP_METHOD(php_wxGrid, SetColLabelValue);
PHP_METHOD(php_wxGrid, SetColMinimalAcceptableWidth);
PHP_METHOD(php_wxGrid, SetColMinimalWidth);
PHP_METHOD(php_wxGrid, SetColPos);
PHP_METHOD(php_wxGrid, SetColSize);
PHP_METHOD(php_wxGrid, SetColSizes);
PHP_METHOD(php_wxGrid, SetDefaultCellAlignment);
PHP_METHOD(php_wxGrid, SetDefaultCellBackgroundColour);
PHP_METHOD(php_wxGrid, SetDefaultCellFont);
PHP_METHOD(php_wxGrid, SetDefaultCellTextColour);
PHP_METHOD(php_wxGrid, SetDefaultColSize);
PHP_METHOD(php_wxGrid, SetDefaultEditor);
PHP_METHOD(php_wxGrid, SetDefaultRenderer);
PHP_METHOD(php_wxGrid, SetDefaultRowSize);
PHP_METHOD(php_wxGrid, SetGridCursor);
PHP_METHOD(php_wxGrid, SetGridLineColour);
PHP_METHOD(php_wxGrid, SetLabelBackgroundColour);
PHP_METHOD(php_wxGrid, SetLabelFont);
PHP_METHOD(php_wxGrid, SetLabelTextColour);
PHP_METHOD(php_wxGrid, SetMargins);
PHP_METHOD(php_wxGrid, SetReadOnly);
PHP_METHOD(php_wxGrid, SetRowAttr);
PHP_METHOD(php_wxGrid, SetRowLabelAlignment);
PHP_METHOD(php_wxGrid, SetRowLabelSize);
PHP_METHOD(php_wxGrid, SetRowLabelValue);
PHP_METHOD(php_wxGrid, SetRowMinimalAcceptableHeight);
PHP_METHOD(php_wxGrid, SetRowMinimalHeight);
PHP_METHOD(php_wxGrid, SetRowSize);
PHP_METHOD(php_wxGrid, SetRowSizes);
PHP_METHOD(php_wxGrid, SetScrollLineX);
PHP_METHOD(php_wxGrid, SetScrollLineY);
PHP_METHOD(php_wxGrid, SetSelectionBackground);
PHP_METHOD(php_wxGrid, SetSelectionForeground);
PHP_METHOD(php_wxGrid, SetSelectionMode);
PHP_METHOD(php_wxGrid, SetSortingColumn);
PHP_METHOD(php_wxGrid, SetTable);
PHP_METHOD(php_wxGrid, SetUseNativeColLabels);
PHP_METHOD(php_wxGrid, ShowCellEditControl);
PHP_METHOD(php_wxGrid, ShowCol);
PHP_METHOD(php_wxGrid, ShowRow);
PHP_METHOD(php_wxGrid, UnsetSortingColumn);
PHP_METHOD(php_wxGrid, UseNativeColHeader);
PHP_METHOD(php_wxGrid, XToCol);
PHP_METHOD(php_wxGrid, XToEdgeOfCol);
PHP_METHOD(php_wxGrid, XYToCell);
PHP_METHOD(php_wxGrid, YToEdgeOfRow);
PHP_METHOD(php_wxGrid, YToRow);
PHP_METHOD(php_wxGrid, __construct);
PHP_METHOD(php_wxGrid, Connect);
PHP_METHOD(php_wxGridCellAttr, CloneMethod);
PHP_METHOD(php_wxGridCellAttr, DecRef);
PHP_METHOD(php_wxGridCellAttr, GetAlignment);
PHP_METHOD(php_wxGridCellAttr, GetBackgroundColour);
PHP_METHOD(php_wxGridCellAttr, GetEditor);
PHP_METHOD(php_wxGridCellAttr, GetFont);
PHP_METHOD(php_wxGridCellAttr, GetNonDefaultAlignment);
PHP_METHOD(php_wxGridCellAttr, GetRenderer);
PHP_METHOD(php_wxGridCellAttr, GetTextColour);
PHP_METHOD(php_wxGridCellAttr, HasAlignment);
PHP_METHOD(php_wxGridCellAttr, HasBackgroundColour);
PHP_METHOD(php_wxGridCellAttr, HasEditor);
PHP_METHOD(php_wxGridCellAttr, HasFont);
PHP_METHOD(php_wxGridCellAttr, HasRenderer);
PHP_METHOD(php_wxGridCellAttr, HasTextColour);
PHP_METHOD(php_wxGridCellAttr, IncRef);
PHP_METHOD(php_wxGridCellAttr, IsReadOnly);
PHP_METHOD(php_wxGridCellAttr, SetAlignment);
PHP_METHOD(php_wxGridCellAttr, SetBackgroundColour);
PHP_METHOD(php_wxGridCellAttr, SetDefAttr);
PHP_METHOD(php_wxGridCellAttr, SetEditor);
PHP_METHOD(php_wxGridCellAttr, SetFont);
PHP_METHOD(php_wxGridCellAttr, SetReadOnly);
PHP_METHOD(php_wxGridCellAttr, SetRenderer);
PHP_METHOD(php_wxGridCellAttr, SetTextColour);
PHP_METHOD(php_wxGridCellAttr, __construct);
PHP_METHOD(php_wxGridCellAttrProvider, GetAttr);
PHP_METHOD(php_wxGridCellAttrProvider, GetColumnHeaderRenderer);
PHP_METHOD(php_wxGridCellAttrProvider, GetCornerRenderer);
PHP_METHOD(php_wxGridCellAttrProvider, GetRowHeaderRenderer);
PHP_METHOD(php_wxGridCellAttrProvider, SetAttr);
PHP_METHOD(php_wxGridCellAttrProvider, SetColAttr);
PHP_METHOD(php_wxGridCellAttrProvider, SetRowAttr);
PHP_METHOD(php_wxGridCellAttrProvider, __construct);
PHP_METHOD(php_wxGridCellBoolEditor, IsTrueValue);
PHP_METHOD(php_wxGridCellBoolEditor, UseStringValues);
PHP_METHOD(php_wxGridCellBoolEditor, __construct);
PHP_METHOD(php_wxGridCellChoiceEditor, SetParameters);
PHP_METHOD(php_wxGridCellChoiceEditor, __construct);
PHP_METHOD(php_wxGridCellDateTimeRenderer, SetParameters);
PHP_METHOD(php_wxGridCellDateTimeRenderer, __construct);
PHP_METHOD(php_wxGridCellBoolRenderer, __construct);
PHP_METHOD(php_wxGridCellAutoWrapStringRenderer, __construct);
PHP_METHOD(php_wxGridCellAutoWrapStringEditor, __construct);
PHP_METHOD(php_wxGridCellEditor, PaintBackground);
PHP_METHOD(php_wxGridCellEditor, ApplyEdit);
PHP_METHOD(php_wxGridCellEditor, BeginEdit);
PHP_METHOD(php_wxGridCellEditor, CloneMethod);
PHP_METHOD(php_wxGridCellEditor, Create);
PHP_METHOD(php_wxGridCellEditor, Destroy);
PHP_METHOD(php_wxGridCellEditor, EndEdit);
PHP_METHOD(php_wxGridCellEditor, HandleReturn);
PHP_METHOD(php_wxGridCellEditor, IsCreated);
PHP_METHOD(php_wxGridCellEditor, SetSize);
PHP_METHOD(php_wxGridCellEditor, Reset);
PHP_METHOD(php_wxGridCellEditor, Show);
PHP_METHOD(php_wxGridCellEditor, StartingClick);
PHP_METHOD(php_wxGridCellEditor, StartingKey);
PHP_METHOD(php_wxGridCellEnumEditor, __construct);
PHP_METHOD(php_wxGridCellEnumRenderer, SetParameters);
PHP_METHOD(php_wxGridCellEnumRenderer, __construct);
PHP_METHOD(php_wxGridCellFloatEditor, __construct);
PHP_METHOD(php_wxGridCellFloatEditor, SetParameters);
PHP_METHOD(php_wxGridCellFloatRenderer, GetFormat);
PHP_METHOD(php_wxGridCellFloatRenderer, GetPrecision);
PHP_METHOD(php_wxGridCellFloatRenderer, GetWidth);
PHP_METHOD(php_wxGridCellFloatRenderer, SetFormat);
PHP_METHOD(php_wxGridCellFloatRenderer, SetParameters);
PHP_METHOD(php_wxGridCellFloatRenderer, SetPrecision);
PHP_METHOD(php_wxGridCellFloatRenderer, SetWidth);
PHP_METHOD(php_wxGridCellFloatRenderer, __construct);
PHP_METHOD(php_wxGridCellNumberEditor, __construct);
PHP_METHOD(php_wxGridCellNumberEditor, SetParameters);
PHP_METHOD(php_wxGridCellNumberRenderer, __construct);
PHP_METHOD(php_wxGridCellRenderer, GetBestSize);
PHP_METHOD(php_wxGridCellRenderer, Draw);
PHP_METHOD(php_wxGridCellRenderer, CloneMethod);
PHP_METHOD(php_wxGridCellStringRenderer, __construct);
PHP_METHOD(php_wxGridCellTextEditor, __construct);
PHP_METHOD(php_wxGridCellTextEditor, SetParameters);
PHP_METHOD(php_wxGridColumnHeaderRendererDefault, DrawBorder);
PHP_METHOD(php_wxGridCornerHeaderRenderer, DrawBorder);
PHP_METHOD(php_wxGridCornerHeaderRendererDefault, DrawBorder);
PHP_METHOD(php_wxGridEditorCreatedEvent, GetCol);
PHP_METHOD(php_wxGridEditorCreatedEvent, GetControl);
PHP_METHOD(php_wxGridEditorCreatedEvent, GetRow);
PHP_METHOD(php_wxGridEditorCreatedEvent, SetCol);
PHP_METHOD(php_wxGridEditorCreatedEvent, SetControl);
PHP_METHOD(php_wxGridEditorCreatedEvent, SetRow);
PHP_METHOD(php_wxGridEditorCreatedEvent, __construct);
PHP_METHOD(php_wxGridHeaderLabelsRenderer, DrawLabel);
PHP_METHOD(php_wxGridRangeSelectEvent, AltDown);
PHP_METHOD(php_wxGridRangeSelectEvent, ControlDown);
PHP_METHOD(php_wxGridRangeSelectEvent, GetBottomRightCoords);
PHP_METHOD(php_wxGridRangeSelectEvent, GetBottomRow);
PHP_METHOD(php_wxGridRangeSelectEvent, GetLeftCol);
PHP_METHOD(php_wxGridRangeSelectEvent, GetRightCol);
PHP_METHOD(php_wxGridRangeSelectEvent, GetTopLeftCoords);
PHP_METHOD(php_wxGridRangeSelectEvent, GetTopRow);
PHP_METHOD(php_wxGridRangeSelectEvent, MetaDown);
PHP_METHOD(php_wxGridRangeSelectEvent, Selecting);
PHP_METHOD(php_wxGridRangeSelectEvent, ShiftDown);
PHP_METHOD(php_wxGridRangeSelectEvent, __construct);
PHP_METHOD(php_wxGridRowHeaderRendererDefault, DrawBorder);
PHP_METHOD(php_wxGridSizesInfo, __get);
PHP_METHOD(php_wxGridSizesInfo, __construct);
PHP_METHOD(php_wxGridSizesInfo, GetSize);
PHP_METHOD(php_wxGridTableBase, AppendCols);
PHP_METHOD(php_wxGridTableBase, AppendRows);
PHP_METHOD(php_wxGridTableBase, CanGetValueAs);
PHP_METHOD(php_wxGridTableBase, CanHaveAttributes);
PHP_METHOD(php_wxGridTableBase, CanSetValueAs);
PHP_METHOD(php_wxGridTableBase, Clear);
PHP_METHOD(php_wxGridTableBase, DeleteCols);
PHP_METHOD(php_wxGridTableBase, DeleteRows);
PHP_METHOD(php_wxGridTableBase, GetAttr);
PHP_METHOD(php_wxGridTableBase, GetAttrProvider);
PHP_METHOD(php_wxGridTableBase, GetColLabelValue);
PHP_METHOD(php_wxGridTableBase, GetColsCount);
PHP_METHOD(php_wxGridTableBase, GetNumberCols);
PHP_METHOD(php_wxGridTableBase, GetNumberRows);
PHP_METHOD(php_wxGridTableBase, GetRowLabelValue);
PHP_METHOD(php_wxGridTableBase, GetRowsCount);
PHP_METHOD(php_wxGridTableBase, GetTypeName);
PHP_METHOD(php_wxGridTableBase, GetValue);
PHP_METHOD(php_wxGridTableBase, GetValueAsBool);
PHP_METHOD(php_wxGridTableBase, GetValueAsCustom);
PHP_METHOD(php_wxGridTableBase, GetValueAsDouble);
PHP_METHOD(php_wxGridTableBase, GetValueAsLong);
PHP_METHOD(php_wxGridTableBase, GetView);
PHP_METHOD(php_wxGridTableBase, InsertCols);
PHP_METHOD(php_wxGridTableBase, InsertRows);
PHP_METHOD(php_wxGridTableBase, IsEmpty);
PHP_METHOD(php_wxGridTableBase, IsEmptyCell);
PHP_METHOD(php_wxGridTableBase, SetAttr);
PHP_METHOD(php_wxGridTableBase, SetAttrProvider);
PHP_METHOD(php_wxGridTableBase, SetColAttr);
PHP_METHOD(php_wxGridTableBase, SetColLabelValue);
PHP_METHOD(php_wxGridTableBase, SetRowAttr);
PHP_METHOD(php_wxGridTableBase, SetRowLabelValue);
PHP_METHOD(php_wxGridTableBase, SetValue);
PHP_METHOD(php_wxGridTableBase, SetValueAsBool);
PHP_METHOD(php_wxGridTableBase, SetValueAsCustom);
PHP_METHOD(php_wxGridTableBase, SetValueAsDouble);
PHP_METHOD(php_wxGridTableBase, SetValueAsLong);
PHP_METHOD(php_wxGridTableBase, SetView);
PHP_METHOD(php_wxGridTableBase, __construct);
PHP_METHOD(php_wxGridUpdateLocker, Create);
PHP_METHOD(php_wxGridUpdateLocker, __construct);
PHP_METHOD(php_wxDatePickerCtrl, __construct);
PHP_METHOD(php_wxDatePickerCtrl, Create);
PHP_METHOD(php_wxDatePickerCtrl, SetValue);
PHP_METHOD(php_wxDatePickerCtrl, SetRange);
PHP_METHOD(php_wxDatePickerCtrl, GetValue);
PHP_METHOD(php_wxDatePickerCtrl, GetRange);
PHP_METHOD(php_wxDatePickerCtrl, Connect);
PHP_METHOD(php_wxPasswordEntryDialog, __construct);
PHP_METHOD(php_wxPasswordEntryDialog, Connect);
PHP_METHOD(php_wxScreenDC, EndDrawingOnTop);
PHP_METHOD(php_wxScreenDC, StartDrawingOnTop);
PHP_METHOD(php_wxScreenDC, __construct);
PHP_METHOD(php_wxCollapsiblePane, __construct);
PHP_METHOD(php_wxCollapsiblePane, IsExpanded);
PHP_METHOD(php_wxCollapsiblePane, IsCollapsed);
PHP_METHOD(php_wxCollapsiblePane, GetPane);
PHP_METHOD(php_wxCollapsiblePane, Expand);
PHP_METHOD(php_wxCollapsiblePane, Create);
PHP_METHOD(php_wxCollapsiblePane, Collapse);
PHP_METHOD(php_wxCollapsiblePane, Connect);
PHP_METHOD(php_wxCollapsiblePaneEvent, GetCollapsed);
PHP_METHOD(php_wxCollapsiblePaneEvent, SetCollapsed);
PHP_METHOD(php_wxCollapsiblePaneEvent, __construct);
PHP_METHOD(php_wxComboCtrl, __construct);
PHP_METHOD(php_wxComboCtrl, UseAltPopupWindow);
PHP_METHOD(php_wxComboCtrl, Undo);
PHP_METHOD(php_wxComboCtrl, ShowPopup);
PHP_METHOD(php_wxComboCtrl, SetValue);
PHP_METHOD(php_wxComboCtrl, SetTextIndent);
PHP_METHOD(php_wxComboCtrl, SetTextCtrlStyle);
PHP_METHOD(php_wxComboCtrl, SetText);
PHP_METHOD(php_wxComboCtrl, SetSelection);
PHP_METHOD(php_wxComboCtrl, SetPopupMinWidth);
PHP_METHOD(php_wxComboCtrl, SetPopupMaxHeight);
PHP_METHOD(php_wxComboCtrl, SetPopupExtents);
PHP_METHOD(php_wxComboCtrl, SetPopupControl);
PHP_METHOD(php_wxComboCtrl, SetPopupAnchor);
PHP_METHOD(php_wxComboCtrl, SetMargins);
PHP_METHOD(php_wxComboCtrl, SetInsertionPointEnd);
PHP_METHOD(php_wxComboCtrl, SetInsertionPoint);
PHP_METHOD(php_wxComboCtrl, SetCustomPaintWidth);
PHP_METHOD(php_wxComboCtrl, SetButtonPosition);
PHP_METHOD(php_wxComboCtrl, SetButtonBitmaps);
PHP_METHOD(php_wxComboCtrl, Replace);
PHP_METHOD(php_wxComboCtrl, Remove);
PHP_METHOD(php_wxComboCtrl, Popup);
PHP_METHOD(php_wxComboCtrl, Paste);
PHP_METHOD(php_wxComboCtrl, OnButtonClick);
PHP_METHOD(php_wxComboCtrl, IsPopupWindowState);
PHP_METHOD(php_wxComboCtrl, IsPopupShown);
PHP_METHOD(php_wxComboCtrl, HidePopup);
PHP_METHOD(php_wxComboCtrl, GetValue);
PHP_METHOD(php_wxComboCtrl, GetTextRect);
PHP_METHOD(php_wxComboCtrl, GetTextIndent);
PHP_METHOD(php_wxComboCtrl, GetTextCtrl);
PHP_METHOD(php_wxComboCtrl, GetPopupWindow);
PHP_METHOD(php_wxComboCtrl, GetPopupControl);
PHP_METHOD(php_wxComboCtrl, GetMargins);
PHP_METHOD(php_wxComboCtrl, GetLastPosition);
PHP_METHOD(php_wxComboCtrl, GetInsertionPoint);
PHP_METHOD(php_wxComboCtrl, GetHint);
PHP_METHOD(php_wxComboCtrl, GetFeatures);
PHP_METHOD(php_wxComboCtrl, GetCustomPaintWidth);
PHP_METHOD(php_wxComboCtrl, GetButtonSize);
PHP_METHOD(php_wxComboCtrl, GetBitmapPressed);
PHP_METHOD(php_wxComboCtrl, GetBitmapNormal);
PHP_METHOD(php_wxComboCtrl, GetBitmapHover);
PHP_METHOD(php_wxComboCtrl, GetBitmapDisabled);
PHP_METHOD(php_wxComboCtrl, EnablePopupAnimation);
PHP_METHOD(php_wxComboCtrl, DoShowPopup);
PHP_METHOD(php_wxComboCtrl, DoSetPopupControl);
PHP_METHOD(php_wxComboCtrl, Dismiss);
PHP_METHOD(php_wxComboCtrl, Cut);
PHP_METHOD(php_wxComboCtrl, Create);
PHP_METHOD(php_wxComboCtrl, Copy);
PHP_METHOD(php_wxComboCtrl, AnimateShow);
PHP_METHOD(php_wxComboCtrl, SetHint);
PHP_METHOD(php_wxComboCtrl, Connect);
PHP_METHOD(php_wxComboPopup, __get);
PHP_METHOD(php_wxComboPopup, __construct);
PHP_METHOD(php_wxComboPopup, SetStringValue);
PHP_METHOD(php_wxComboPopup, PaintComboControl);
PHP_METHOD(php_wxComboPopup, OnPopup);
PHP_METHOD(php_wxComboPopup, OnDismiss);
PHP_METHOD(php_wxComboPopup, OnComboKeyEvent);
PHP_METHOD(php_wxComboPopup, OnComboDoubleClick);
PHP_METHOD(php_wxComboPopup, LazyCreate);
PHP_METHOD(php_wxComboPopup, IsCreated);
PHP_METHOD(php_wxComboPopup, Init);
PHP_METHOD(php_wxComboPopup, GetStringValue);
PHP_METHOD(php_wxComboPopup, GetControl);
PHP_METHOD(php_wxComboPopup, GetComboCtrl);
PHP_METHOD(php_wxComboPopup, GetAdjustedSize);
PHP_METHOD(php_wxComboPopup, FindItem);
PHP_METHOD(php_wxComboPopup, Dismiss);
PHP_METHOD(php_wxComboPopup, DestroyPopup);
PHP_METHOD(php_wxComboPopup, Create);
PHP_METHOD(php_wxDataViewCtrl, __construct);
PHP_METHOD(php_wxDataViewCtrl, UnselectAll);
PHP_METHOD(php_wxDataViewCtrl, Unselect);
PHP_METHOD(php_wxDataViewCtrl, SetRowHeight);
PHP_METHOD(php_wxDataViewCtrl, SetIndent);
PHP_METHOD(php_wxDataViewCtrl, SetExpanderColumn);
PHP_METHOD(php_wxDataViewCtrl, SetCurrentItem);
PHP_METHOD(php_wxDataViewCtrl, SelectAll);
PHP_METHOD(php_wxDataViewCtrl, Select);
PHP_METHOD(php_wxDataViewCtrl, PrependColumn);
PHP_METHOD(php_wxDataViewCtrl, IsSelected);
PHP_METHOD(php_wxDataViewCtrl, IsExpanded);
PHP_METHOD(php_wxDataViewCtrl, InsertColumn);
PHP_METHOD(php_wxDataViewCtrl, HitTest);
PHP_METHOD(php_wxDataViewCtrl, HasSelection);
PHP_METHOD(php_wxDataViewCtrl, GetSortingColumn);
PHP_METHOD(php_wxDataViewCtrl, AppendBitmapColumn);
PHP_METHOD(php_wxDataViewCtrl, AppendColumn);
PHP_METHOD(php_wxDataViewCtrl, AppendDateColumn);
PHP_METHOD(php_wxDataViewCtrl, AppendIconTextColumn);
PHP_METHOD(php_wxDataViewCtrl, AppendProgressColumn);
PHP_METHOD(php_wxDataViewCtrl, AppendTextColumn);
PHP_METHOD(php_wxDataViewCtrl, AppendToggleColumn);
PHP_METHOD(php_wxDataViewCtrl, AssociateModel);
PHP_METHOD(php_wxDataViewCtrl, ClearColumns);
PHP_METHOD(php_wxDataViewCtrl, Collapse);
PHP_METHOD(php_wxDataViewCtrl, Create);
PHP_METHOD(php_wxDataViewCtrl, DeleteColumn);
PHP_METHOD(php_wxDataViewCtrl, EnableDragSource);
PHP_METHOD(php_wxDataViewCtrl, EnableDropTarget);
PHP_METHOD(php_wxDataViewCtrl, EnsureVisible);
PHP_METHOD(php_wxDataViewCtrl, Expand);
PHP_METHOD(php_wxDataViewCtrl, ExpandAncestors);
PHP_METHOD(php_wxDataViewCtrl, GetColumn);
PHP_METHOD(php_wxDataViewCtrl, GetColumnCount);
PHP_METHOD(php_wxDataViewCtrl, GetColumnPosition);
PHP_METHOD(php_wxDataViewCtrl, GetCurrentItem);
PHP_METHOD(php_wxDataViewCtrl, GetExpanderColumn);
PHP_METHOD(php_wxDataViewCtrl, GetIndent);
PHP_METHOD(php_wxDataViewCtrl, GetItemRect);
PHP_METHOD(php_wxDataViewCtrl, GetModel);
PHP_METHOD(php_wxDataViewCtrl, GetSelectedItemsCount);
PHP_METHOD(php_wxDataViewCtrl, GetSelection);
PHP_METHOD(php_wxDataViewCtrl, Connect);
PHP_METHOD(php_wxDataViewItem, GetID);
PHP_METHOD(php_wxDataViewItem, IsOk);
PHP_METHOD(php_wxDataViewItem, __construct);
PHP_METHOD(php_wxDataViewColumn, GetModelColumn);
PHP_METHOD(php_wxDataViewColumn, GetOwner);
PHP_METHOD(php_wxDataViewColumn, __construct);
PHP_METHOD(php_wxDataViewColumn, GetRenderer);
PHP_METHOD(php_wxDataViewRenderer, EnableEllipsize);
PHP_METHOD(php_wxDataViewRenderer, DisableEllipsize);
PHP_METHOD(php_wxDataViewRenderer, GetAlignment);
PHP_METHOD(php_wxDataViewRenderer, GetEllipsizeMode);
PHP_METHOD(php_wxDataViewRenderer, GetMode);
PHP_METHOD(php_wxDataViewRenderer, GetOwner);
PHP_METHOD(php_wxDataViewRenderer, GetValue);
PHP_METHOD(php_wxDataViewRenderer, GetVariantType);
PHP_METHOD(php_wxDataViewRenderer, SetAlignment);
PHP_METHOD(php_wxDataViewRenderer, SetOwner);
PHP_METHOD(php_wxDataViewRenderer, SetValue);
PHP_METHOD(php_wxDataViewRenderer, Validate);
PHP_METHOD(php_wxDataViewModel, AddNotifier);
PHP_METHOD(php_wxDataViewModel, ChangeValue);
PHP_METHOD(php_wxDataViewModel, Cleared);
PHP_METHOD(php_wxDataViewModel, Compare);
PHP_METHOD(php_wxDataViewModel, GetAttr);
PHP_METHOD(php_wxDataViewModel, GetColumnCount);
PHP_METHOD(php_wxDataViewModel, GetColumnType);
PHP_METHOD(php_wxDataViewModel, GetParent);
PHP_METHOD(php_wxDataViewModel, GetValue);
PHP_METHOD(php_wxDataViewModel, HasContainerColumns);
PHP_METHOD(php_wxDataViewModel, HasDefaultCompare);
PHP_METHOD(php_wxDataViewModel, HasValue);
PHP_METHOD(php_wxDataViewModel, IsContainer);
PHP_METHOD(php_wxDataViewModel, IsEnabled);
PHP_METHOD(php_wxDataViewModel, ItemAdded);
PHP_METHOD(php_wxDataViewModel, ItemChanged);
PHP_METHOD(php_wxDataViewModel, ItemDeleted);
PHP_METHOD(php_wxDataViewModel, RemoveNotifier);
PHP_METHOD(php_wxDataViewModel, Resort);
PHP_METHOD(php_wxDataViewModel, SetValue);
PHP_METHOD(php_wxDataViewModel, ValueChanged);
PHP_METHOD(php_wxDataViewModelNotifier, Cleared);
PHP_METHOD(php_wxDataViewModelNotifier, GetOwner);
PHP_METHOD(php_wxDataViewModelNotifier, ItemAdded);
PHP_METHOD(php_wxDataViewModelNotifier, ItemChanged);
PHP_METHOD(php_wxDataViewModelNotifier, ItemDeleted);
PHP_METHOD(php_wxDataViewModelNotifier, Resort);
PHP_METHOD(php_wxDataViewModelNotifier, SetOwner);
PHP_METHOD(php_wxDataViewModelNotifier, ValueChanged);
PHP_METHOD(php_wxDataViewModelNotifier, __construct);
PHP_METHOD(php_wxRefCounter, DecRef);
PHP_METHOD(php_wxRefCounter, GetRefCount);
PHP_METHOD(php_wxRefCounter, IncRef);
PHP_METHOD(php_wxRefCounter, __construct);
PHP_METHOD(php_wxDataViewListCtrl, AppendColumn);
PHP_METHOD(php_wxDataViewListCtrl, AppendIconTextColumn);
PHP_METHOD(php_wxDataViewListCtrl, AppendProgressColumn);
PHP_METHOD(php_wxDataViewListCtrl, AppendTextColumn);
PHP_METHOD(php_wxDataViewListCtrl, AppendToggleColumn);
PHP_METHOD(php_wxDataViewListCtrl, Create);
PHP_METHOD(php_wxDataViewListCtrl, DeleteAllItems);
PHP_METHOD(php_wxDataViewListCtrl, DeleteItem);
PHP_METHOD(php_wxDataViewListCtrl, GetSelectedRow);
PHP_METHOD(php_wxDataViewListCtrl, GetStore);
PHP_METHOD(php_wxDataViewListCtrl, GetTextValue);
PHP_METHOD(php_wxDataViewListCtrl, GetToggleValue);
PHP_METHOD(php_wxDataViewListCtrl, GetValue);
PHP_METHOD(php_wxDataViewListCtrl, InsertColumn);
PHP_METHOD(php_wxDataViewListCtrl, IsRowSelected);
PHP_METHOD(php_wxDataViewListCtrl, ItemToRow);
PHP_METHOD(php_wxDataViewListCtrl, PrependColumn);
PHP_METHOD(php_wxDataViewListCtrl, RowToItem);
PHP_METHOD(php_wxDataViewListCtrl, SelectRow);
PHP_METHOD(php_wxDataViewListCtrl, SetTextValue);
PHP_METHOD(php_wxDataViewListCtrl, SetToggleValue);
PHP_METHOD(php_wxDataViewListCtrl, SetValue);
PHP_METHOD(php_wxDataViewListCtrl, UnselectRow);
PHP_METHOD(php_wxDataViewListCtrl, __construct);
PHP_METHOD(php_wxDataViewListCtrl, Connect);
PHP_METHOD(php_wxDataViewListStore, AppendColumn);
PHP_METHOD(php_wxDataViewListStore, DeleteAllItems);
PHP_METHOD(php_wxDataViewListStore, DeleteItem);
PHP_METHOD(php_wxDataViewListStore, GetColumnCount);
PHP_METHOD(php_wxDataViewListStore, GetColumnType);
PHP_METHOD(php_wxDataViewListStore, GetValueByRow);
PHP_METHOD(php_wxDataViewListStore, InsertColumn);
PHP_METHOD(php_wxDataViewListStore, PrependColumn);
PHP_METHOD(php_wxDataViewListStore, SetValueByRow);
PHP_METHOD(php_wxDataViewListStore, __construct);
PHP_METHOD(php_wxDataViewListModel, GetAttrByRow);
PHP_METHOD(php_wxDataViewListModel, GetValueByRow);
PHP_METHOD(php_wxDataViewListModel, GetCount);
PHP_METHOD(php_wxDataViewListModel, GetRow);
PHP_METHOD(php_wxDataViewListModel, IsEnabledByRow);
PHP_METHOD(php_wxDataViewListModel, SetValueByRow);
PHP_METHOD(php_wxDataViewEvent, GetItem);
PHP_METHOD(php_wxDataViewEvent, SetItem);
PHP_METHOD(php_wxDataViewEvent, GetCacheFrom);
PHP_METHOD(php_wxDataViewEvent, GetCacheTo);
PHP_METHOD(php_wxDataViewEvent, GetColumn);
PHP_METHOD(php_wxDataViewEvent, GetDataBuffer);
PHP_METHOD(php_wxDataViewEvent, GetDataFormat);
PHP_METHOD(php_wxDataViewEvent, GetDataSize);
PHP_METHOD(php_wxDataViewEvent, GetDataViewColumn);
PHP_METHOD(php_wxDataViewEvent, GetModel);
PHP_METHOD(php_wxDataViewEvent, GetPosition);
PHP_METHOD(php_wxDataViewEvent, GetValue);
PHP_METHOD(php_wxDataViewEvent, IsEditCancelled);
PHP_METHOD(php_wxDataViewEvent, SetColumn);
PHP_METHOD(php_wxDataViewEvent, SetDataObject);
PHP_METHOD(php_wxDataViewEvent, SetDataViewColumn);
PHP_METHOD(php_wxDataViewEvent, SetModel);
PHP_METHOD(php_wxDataViewEvent, SetValue);
PHP_METHOD(php_wxDataViewEvent, __construct);
PHP_METHOD(php_wxDataFormat, GetId);
PHP_METHOD(php_wxDataFormat, GetType);
PHP_METHOD(php_wxDataFormat, SetId);
PHP_METHOD(php_wxDataFormat, SetType);
PHP_METHOD(php_wxDataFormat, __construct);
PHP_METHOD(php_wxDataInputStream, ReadString);
PHP_METHOD(php_wxDataInputStream, ReadDouble);
PHP_METHOD(php_wxDataInputStream, Read8);
PHP_METHOD(php_wxDataInputStream, Read32);
PHP_METHOD(php_wxDataInputStream, Read16);
PHP_METHOD(php_wxDataInputStream, BigEndianOrdered);
PHP_METHOD(php_wxDataObject, GetAllFormats);
PHP_METHOD(php_wxDataObject, GetDataHere);
PHP_METHOD(php_wxDataObject, GetDataSize);
PHP_METHOD(php_wxDataObject, GetFormatCount);
PHP_METHOD(php_wxDataObject, GetPreferredFormat);
PHP_METHOD(php_wxDataObject, IsSupported);
PHP_METHOD(php_wxDataObject, SetData);
PHP_METHOD(php_wxDataObject, __construct);
PHP_METHOD(php_wxDataObjectComposite, Add);
PHP_METHOD(php_wxDataObjectComposite, GetReceivedFormat);
PHP_METHOD(php_wxDataObjectComposite, __construct);
PHP_METHOD(php_wxDataObjectComposite, GetObject);
PHP_METHOD(php_wxDataObjectSimple, GetDataHere);
PHP_METHOD(php_wxDataObjectSimple, GetDataSize);
PHP_METHOD(php_wxDataObjectSimple, GetFormat);
PHP_METHOD(php_wxDataObjectSimple, SetData);
PHP_METHOD(php_wxDataObjectSimple, SetFormat);
PHP_METHOD(php_wxDataObjectSimple, __construct);
PHP_METHOD(php_wxDataOutputStream, BigEndianOrdered);
PHP_METHOD(php_wxDataOutputStream, Write16);
PHP_METHOD(php_wxDataOutputStream, Write32);
PHP_METHOD(php_wxDataOutputStream, Write8);
PHP_METHOD(php_wxDataOutputStream, WriteDouble);
PHP_METHOD(php_wxDataOutputStream, WriteString);
PHP_METHOD(php_wxDataViewBitmapRenderer, __construct);
PHP_METHOD(php_wxDataViewChoiceRenderer, GetChoice);
PHP_METHOD(php_wxDataViewChoiceRenderer, GetChoices);
PHP_METHOD(php_wxDataViewChoiceRenderer, __construct);
PHP_METHOD(php_wxDataViewCustomRenderer, ActivateCell);
PHP_METHOD(php_wxDataViewCustomRenderer, CreateEditorCtrl);
PHP_METHOD(php_wxDataViewCustomRenderer, GetAttr);
PHP_METHOD(php_wxDataViewCustomRenderer, GetSize);
PHP_METHOD(php_wxDataViewCustomRenderer, GetValueFromEditorCtrl);
PHP_METHOD(php_wxDataViewCustomRenderer, HasEditorCtrl);
PHP_METHOD(php_wxDataViewCustomRenderer, Render);
PHP_METHOD(php_wxDataViewCustomRenderer, RenderText);
PHP_METHOD(php_wxDataViewCustomRenderer, LeftClick);
PHP_METHOD(php_wxDataViewCustomRenderer, StartDrag);
PHP_METHOD(php_wxDataViewDateRenderer, __construct);
PHP_METHOD(php_wxDataViewIconText, GetIcon);
PHP_METHOD(php_wxDataViewIconText, GetText);
PHP_METHOD(php_wxDataViewIconText, SetIcon);
PHP_METHOD(php_wxDataViewIconText, SetText);
PHP_METHOD(php_wxDataViewIconText, __construct);
PHP_METHOD(php_wxDataViewIconTextRenderer, __construct);
PHP_METHOD(php_wxDataViewItemAttr, SetBold);
PHP_METHOD(php_wxDataViewItemAttr, SetColour);
PHP_METHOD(php_wxDataViewItemAttr, SetItalic);
PHP_METHOD(php_wxDataViewItemAttr, __construct);
PHP_METHOD(php_wxDataViewProgressRenderer, __construct);
PHP_METHOD(php_wxDataViewSpinRenderer, __construct);
PHP_METHOD(php_wxDataViewTextRenderer, __construct);
PHP_METHOD(php_wxDataViewToggleRenderer, __construct);
PHP_METHOD(php_wxDataViewTreeCtrl, AppendContainer);
PHP_METHOD(php_wxDataViewTreeCtrl, AppendItem);
PHP_METHOD(php_wxDataViewTreeCtrl, Create);
PHP_METHOD(php_wxDataViewTreeCtrl, DeleteAllItems);
PHP_METHOD(php_wxDataViewTreeCtrl, DeleteChildren);
PHP_METHOD(php_wxDataViewTreeCtrl, DeleteItem);
PHP_METHOD(php_wxDataViewTreeCtrl, GetChildCount);
PHP_METHOD(php_wxDataViewTreeCtrl, GetImageList);
PHP_METHOD(php_wxDataViewTreeCtrl, GetItemData);
PHP_METHOD(php_wxDataViewTreeCtrl, GetItemExpandedIcon);
PHP_METHOD(php_wxDataViewTreeCtrl, GetItemIcon);
PHP_METHOD(php_wxDataViewTreeCtrl, GetItemText);
PHP_METHOD(php_wxDataViewTreeCtrl, GetNthChild);
PHP_METHOD(php_wxDataViewTreeCtrl, GetStore);
PHP_METHOD(php_wxDataViewTreeCtrl, InsertContainer);
PHP_METHOD(php_wxDataViewTreeCtrl, InsertItem);
PHP_METHOD(php_wxDataViewTreeCtrl, IsContainer);
PHP_METHOD(php_wxDataViewTreeCtrl, PrependContainer);
PHP_METHOD(php_wxDataViewTreeCtrl, PrependItem);
PHP_METHOD(php_wxDataViewTreeCtrl, SetImageList);
PHP_METHOD(php_wxDataViewTreeCtrl, SetItemData);
PHP_METHOD(php_wxDataViewTreeCtrl, SetItemExpandedIcon);
PHP_METHOD(php_wxDataViewTreeCtrl, SetItemIcon);
PHP_METHOD(php_wxDataViewTreeCtrl, SetItemText);
PHP_METHOD(php_wxDataViewTreeCtrl, __construct);
PHP_METHOD(php_wxDataViewTreeCtrl, Connect);
PHP_METHOD(php_wxDataViewTreeStore, AppendContainer);
PHP_METHOD(php_wxDataViewTreeStore, AppendItem);
PHP_METHOD(php_wxDataViewTreeStore, DeleteAllItems);
PHP_METHOD(php_wxDataViewTreeStore, DeleteChildren);
PHP_METHOD(php_wxDataViewTreeStore, DeleteItem);
PHP_METHOD(php_wxDataViewTreeStore, GetChildCount);
PHP_METHOD(php_wxDataViewTreeStore, GetItemData);
PHP_METHOD(php_wxDataViewTreeStore, GetItemExpandedIcon);
PHP_METHOD(php_wxDataViewTreeStore, GetItemIcon);
PHP_METHOD(php_wxDataViewTreeStore, GetItemText);
PHP_METHOD(php_wxDataViewTreeStore, GetNthChild);
PHP_METHOD(php_wxDataViewTreeStore, InsertContainer);
PHP_METHOD(php_wxDataViewTreeStore, InsertItem);
PHP_METHOD(php_wxDataViewTreeStore, PrependContainer);
PHP_METHOD(php_wxDataViewTreeStore, PrependItem);
PHP_METHOD(php_wxDataViewTreeStore, SetItemData);
PHP_METHOD(php_wxDataViewTreeStore, SetItemExpandedIcon);
PHP_METHOD(php_wxDataViewTreeStore, SetItemIcon);
PHP_METHOD(php_wxDataViewTreeStore, __construct);
PHP_METHOD(php_wxVariant, Append);
PHP_METHOD(php_wxVariant, Clear);
PHP_METHOD(php_wxVariant, ClearList);
PHP_METHOD(php_wxVariant, Convert);
PHP_METHOD(php_wxVariant, Delete);
PHP_METHOD(php_wxVariant, GetArrayString);
PHP_METHOD(php_wxVariant, GetBool);
PHP_METHOD(php_wxVariant, GetData);
PHP_METHOD(php_wxVariant, GetDateTime);
PHP_METHOD(php_wxVariant, GetDouble);
PHP_METHOD(php_wxVariant, GetLong);
PHP_METHOD(php_wxVariant, GetName);
PHP_METHOD(php_wxVariant, GetType);
PHP_METHOD(php_wxVariant, GetVoidPtr);
PHP_METHOD(php_wxVariant, GetWxObjectPtr);
PHP_METHOD(php_wxVariant, Insert);
PHP_METHOD(php_wxVariant, IsNull);
PHP_METHOD(php_wxVariant, IsValueKindOf);
PHP_METHOD(php_wxVariant, MakeNull);
PHP_METHOD(php_wxVariant, MakeString);
PHP_METHOD(php_wxVariant, Member);
PHP_METHOD(php_wxVariant, IsType);
PHP_METHOD(php_wxVariant, GetString);
PHP_METHOD(php_wxVariant, GetCount);
PHP_METHOD(php_wxVariant, NullList);
PHP_METHOD(php_wxVariant, SetData);
PHP_METHOD(php_wxVariant, __construct);
PHP_METHOD(php_wxVariantData, CloneMethod);
PHP_METHOD(php_wxVariantData, DecRef);
PHP_METHOD(php_wxVariantData, Eq);
PHP_METHOD(php_wxVariantData, GetType);
PHP_METHOD(php_wxVariantData, GetValueClassInfo);
PHP_METHOD(php_wxVariantData, IncRef);
PHP_METHOD(php_wxVariantData, Read);
PHP_METHOD(php_wxVariantData, Write);
PHP_METHOD(php_wxVariantData, __construct);
PHP_METHOD(php_wxClassInfo, CreateObject);
PHP_METHOD(php_wxClassInfo, FindClass);
PHP_METHOD(php_wxClassInfo, GetSize);
PHP_METHOD(php_wxClassInfo, IsDynamic);
PHP_METHOD(php_wxClassInfo, IsKindOf);
PHP_METHOD(php_wxColourDatabase, AddColour);
PHP_METHOD(php_wxColourDatabase, Find);
PHP_METHOD(php_wxColourDatabase, FindName);
PHP_METHOD(php_wxColourDatabase, __construct);
PHP_METHOD(php_wxClipboard, AddData);
PHP_METHOD(php_wxClipboard, Clear);
PHP_METHOD(php_wxClipboard, Close);
PHP_METHOD(php_wxClipboard, Flush);
PHP_METHOD(php_wxClipboard, GetData);
PHP_METHOD(php_wxClipboard, IsOpened);
PHP_METHOD(php_wxClipboard, IsSupported);
PHP_METHOD(php_wxClipboard, IsUsingPrimarySelection);
PHP_METHOD(php_wxClipboard, Open);
PHP_METHOD(php_wxClipboard, SetData);
PHP_METHOD(php_wxClipboard, UsePrimarySelection);
PHP_METHOD(php_wxClipboard, __construct);
PHP_METHOD(php_wxClipboard, Get);
PHP_METHOD(php_wxClipboardTextEvent, __construct);
PHP_METHOD(php_wxListView, ClearColumnImage);
PHP_METHOD(php_wxListView, Focus);
PHP_METHOD(php_wxListView, GetFirstSelected);
PHP_METHOD(php_wxListView, GetFocusedItem);
PHP_METHOD(php_wxListView, GetNextSelected);
PHP_METHOD(php_wxListView, IsSelected);
PHP_METHOD(php_wxListView, Select);
PHP_METHOD(php_wxListView, SetColumnImage);
PHP_METHOD(php_wxListView, Connect);
PHP_METHOD(php_wxConfigBase, Create);
PHP_METHOD(php_wxConfigBase, DeleteAll);
PHP_METHOD(php_wxConfigBase, DeleteEntry);
PHP_METHOD(php_wxConfigBase, DeleteGroup);
PHP_METHOD(php_wxConfigBase, DontCreateOnDemand);
PHP_METHOD(php_wxConfigBase, Exists);
PHP_METHOD(php_wxConfigBase, Flush);
PHP_METHOD(php_wxConfigBase, Get);
PHP_METHOD(php_wxConfigBase, GetAppName);
PHP_METHOD(php_wxConfigBase, GetEntryType);
PHP_METHOD(php_wxConfigBase, GetFirstEntry);
PHP_METHOD(php_wxConfigBase, GetFirstGroup);
PHP_METHOD(php_wxConfigBase, GetNextEntry);
PHP_METHOD(php_wxConfigBase, GetNextGroup);
PHP_METHOD(php_wxConfigBase, GetNumberOfEntries);
PHP_METHOD(php_wxConfigBase, GetNumberOfGroups);
PHP_METHOD(php_wxConfigBase, GetPath);
PHP_METHOD(php_wxConfigBase, GetVendorName);
PHP_METHOD(php_wxConfigBase, HasEntry);
PHP_METHOD(php_wxConfigBase, HasGroup);
PHP_METHOD(php_wxConfigBase, IsExpandingEnvVars);
PHP_METHOD(php_wxConfigBase, IsRecordingDefaults);
PHP_METHOD(php_wxConfigBase, Read);
PHP_METHOD(php_wxConfigBase, ReadBool);
PHP_METHOD(php_wxConfigBase, ReadDouble);
PHP_METHOD(php_wxConfigBase, ReadLong);
PHP_METHOD(php_wxConfigBase, RenameEntry);
PHP_METHOD(php_wxConfigBase, RenameGroup);
PHP_METHOD(php_wxConfigBase, Set);
PHP_METHOD(php_wxConfigBase, SetExpandEnvVars);
PHP_METHOD(php_wxConfigBase, SetPath);
PHP_METHOD(php_wxConfigBase, SetRecordDefaults);
PHP_METHOD(php_wxConfigBase, Write);
PHP_METHOD(php_wxHeaderCtrlEvent, GetColumn);
PHP_METHOD(php_wxHeaderCtrlEvent, GetNewOrder);
PHP_METHOD(php_wxHeaderCtrlEvent, GetWidth);
PHP_METHOD(php_wxHeaderCtrl, AddColumnsItems);
PHP_METHOD(php_wxHeaderCtrl, Create);
PHP_METHOD(php_wxHeaderCtrl, GetColumn);
PHP_METHOD(php_wxHeaderCtrl, GetColumnAt);
PHP_METHOD(php_wxHeaderCtrl, GetColumnCount);
PHP_METHOD(php_wxHeaderCtrl, GetColumnPos);
PHP_METHOD(php_wxHeaderCtrl, IsEmpty);
PHP_METHOD(php_wxHeaderCtrl, OnColumnCountChanging);
PHP_METHOD(php_wxHeaderCtrl, ResetColumnsOrder);
PHP_METHOD(php_wxHeaderCtrl, SetColumnCount);
PHP_METHOD(php_wxHeaderCtrl, ShowColumnsMenu);
PHP_METHOD(php_wxHeaderCtrl, ShowCustomizeDialog);
PHP_METHOD(php_wxHeaderCtrl, UpdateColumn);
PHP_METHOD(php_wxHeaderCtrl, UpdateColumnVisibility);
PHP_METHOD(php_wxHeaderCtrl, UpdateColumnWidthToFit);
PHP_METHOD(php_wxHeaderCtrl, __construct);
PHP_METHOD(php_wxHeaderCtrl, Connect);
PHP_METHOD(php_wxHeaderColumn, GetAlignment);
PHP_METHOD(php_wxHeaderColumn, GetBitmap);
PHP_METHOD(php_wxHeaderColumn, GetFlags);
PHP_METHOD(php_wxHeaderColumn, GetMinWidth);
PHP_METHOD(php_wxHeaderColumn, GetTitle);
PHP_METHOD(php_wxHeaderColumn, GetWidth);
PHP_METHOD(php_wxHeaderColumn, HasFlag);
PHP_METHOD(php_wxHeaderColumn, IsHidden);
PHP_METHOD(php_wxHeaderColumn, IsReorderable);
PHP_METHOD(php_wxHeaderColumn, IsResizeable);
PHP_METHOD(php_wxHeaderColumn, IsShown);
PHP_METHOD(php_wxHeaderColumn, IsSortKey);
PHP_METHOD(php_wxHeaderColumn, IsSortOrderAscending);
PHP_METHOD(php_wxHeaderColumn, IsSortable);
PHP_METHOD(php_wxHeaderCtrlSimple, AppendColumn);
PHP_METHOD(php_wxHeaderCtrlSimple, DeleteColumn);
PHP_METHOD(php_wxHeaderCtrlSimple, GetBestFittingWidth);
PHP_METHOD(php_wxHeaderCtrlSimple, HideColumn);
PHP_METHOD(php_wxHeaderCtrlSimple, InsertColumn);
PHP_METHOD(php_wxHeaderCtrlSimple, RemoveSortIndicator);
PHP_METHOD(php_wxHeaderCtrlSimple, ShowColumn);
PHP_METHOD(php_wxHeaderCtrlSimple, ShowSortIndicator);
PHP_METHOD(php_wxHeaderCtrlSimple, __construct);
PHP_METHOD(php_wxHeaderCtrlSimple, Connect);
PHP_METHOD(php_wxHeaderColumnSimple, GetAlignment);
PHP_METHOD(php_wxHeaderColumnSimple, GetBitmap);
PHP_METHOD(php_wxHeaderColumnSimple, GetFlags);
PHP_METHOD(php_wxHeaderColumnSimple, GetMinWidth);
PHP_METHOD(php_wxHeaderColumnSimple, GetTitle);
PHP_METHOD(php_wxHeaderColumnSimple, GetWidth);
PHP_METHOD(php_wxHeaderColumnSimple, IsSortKey);
PHP_METHOD(php_wxHeaderColumnSimple, IsSortOrderAscending);
PHP_METHOD(php_wxHeaderColumnSimple, SetAlignment);
PHP_METHOD(php_wxHeaderColumnSimple, SetBitmap);
PHP_METHOD(php_wxHeaderColumnSimple, SetFlags);
PHP_METHOD(php_wxHeaderColumnSimple, SetMinWidth);
PHP_METHOD(php_wxHeaderColumnSimple, SetSortOrder);
PHP_METHOD(php_wxHeaderColumnSimple, SetTitle);
PHP_METHOD(php_wxHeaderColumnSimple, SetWidth);
PHP_METHOD(php_wxHeaderColumnSimple, __construct);
PHP_METHOD(php_wxSettableHeaderColumn, UnsetAsSortKey);
PHP_METHOD(php_wxSettableHeaderColumn, ToggleSortOrder);
PHP_METHOD(php_wxSettableHeaderColumn, ToggleFlag);
PHP_METHOD(php_wxSettableHeaderColumn, SetWidth);
PHP_METHOD(php_wxSettableHeaderColumn, SetTitle);
PHP_METHOD(php_wxSettableHeaderColumn, SetSortable);
PHP_METHOD(php_wxSettableHeaderColumn, SetSortOrder);
PHP_METHOD(php_wxSettableHeaderColumn, SetResizeable);
PHP_METHOD(php_wxSettableHeaderColumn, SetReorderable);
PHP_METHOD(php_wxSettableHeaderColumn, SetMinWidth);
PHP_METHOD(php_wxSettableHeaderColumn, SetHidden);
PHP_METHOD(php_wxSettableHeaderColumn, SetFlags);
PHP_METHOD(php_wxSettableHeaderColumn, SetFlag);
PHP_METHOD(php_wxSettableHeaderColumn, SetBitmap);
PHP_METHOD(php_wxSettableHeaderColumn, SetAlignment);
PHP_METHOD(php_wxSettableHeaderColumn, ClearFlag);
PHP_METHOD(php_wxSettableHeaderColumn, ChangeFlag);
PHP_METHOD(php_wxSetCursorEvent, GetCursor);
PHP_METHOD(php_wxSetCursorEvent, GetX);
PHP_METHOD(php_wxSetCursorEvent, GetY);
PHP_METHOD(php_wxSetCursorEvent, HasCursor);
PHP_METHOD(php_wxSetCursorEvent, SetCursor);
PHP_METHOD(php_wxSetCursorEvent, __construct);
PHP_METHOD(php_wxIdleEvent, GetMode);
PHP_METHOD(php_wxIdleEvent, MoreRequested);
PHP_METHOD(php_wxIdleEvent, RequestMore);
PHP_METHOD(php_wxIdleEvent, SetMode);
PHP_METHOD(php_wxIdleEvent, __construct);
PHP_METHOD(php_wxPen, __construct);
PHP_METHOD(php_wxPen, IsTransparent);
PHP_METHOD(php_wxPen, IsOk);
PHP_METHOD(php_wxPen, IsNonTransparent);
PHP_METHOD(php_wxPen, GetWidth);
PHP_METHOD(php_wxPen, GetStyle);
PHP_METHOD(php_wxPen, GetStipple);
PHP_METHOD(php_wxPen, GetJoin);
PHP_METHOD(php_wxPen, GetColour);
PHP_METHOD(php_wxPen, GetCap);
PHP_METHOD(php_wxPen, SetColour);
PHP_METHOD(php_wxPen, SetJoin);
PHP_METHOD(php_wxPen, SetStipple);
PHP_METHOD(php_wxPen, SetStyle);
PHP_METHOD(php_wxPen, SetWidth);
PHP_METHOD(php_wxPen, SetCap);
PHP_METHOD(php_wxEditableListBox, GetStrings);
PHP_METHOD(php_wxEditableListBox, SetStrings);
PHP_METHOD(php_wxEditableListBox, __construct);
PHP_METHOD(php_wxEditableListBox, Create);
PHP_METHOD(php_wxEditableListBox, Connect);
PHP_METHOD(php_wxFileCtrlEvent, GetDirectory);
PHP_METHOD(php_wxFileCtrlEvent, GetFile);
PHP_METHOD(php_wxFileCtrlEvent, GetFiles);
PHP_METHOD(php_wxFileCtrlEvent, GetFilterIndex);
PHP_METHOD(php_wxFileCtrlEvent, SetDirectory);
PHP_METHOD(php_wxFileCtrlEvent, SetFiles);
PHP_METHOD(php_wxFileCtrlEvent, SetFilterIndex);
PHP_METHOD(php_wxFileCtrlEvent, __construct);
PHP_METHOD(php_wxFileCtrl, __construct);
PHP_METHOD(php_wxFileCtrl, ShowHidden);
PHP_METHOD(php_wxFileCtrl, SetWildcard);
PHP_METHOD(php_wxFileCtrl, SetFilterIndex);
PHP_METHOD(php_wxFileCtrl, SetFilename);
PHP_METHOD(php_wxFileCtrl, SetDirectory);
PHP_METHOD(php_wxFileCtrl, GetWildcard);
PHP_METHOD(php_wxFileCtrl, GetPaths);
PHP_METHOD(php_wxFileCtrl, GetPath);
PHP_METHOD(php_wxFileCtrl, GetFilterIndex);
PHP_METHOD(php_wxFileCtrl, GetFilenames);
PHP_METHOD(php_wxFileCtrl, GetFilename);
PHP_METHOD(php_wxFileCtrl, GetDirectory);
PHP_METHOD(php_wxFileCtrl, Create);
PHP_METHOD(php_wxFileCtrl, Connect);
PHP_METHOD(php_wxProcess, CloseOutput);
PHP_METHOD(php_wxProcess, Detach);
PHP_METHOD(php_wxProcess, Exists);
PHP_METHOD(php_wxProcess, GetErrorStream);
PHP_METHOD(php_wxProcess, GetInputStream);
PHP_METHOD(php_wxProcess, GetOutputStream);
PHP_METHOD(php_wxProcess, GetPid);
PHP_METHOD(php_wxProcess, IsErrorAvailable);
PHP_METHOD(php_wxProcess, IsInputOpened);
PHP_METHOD(php_wxProcess, Kill);
PHP_METHOD(php_wxProcess, IsInputAvailable);
PHP_METHOD(php_wxProcess, OnTerminate);
PHP_METHOD(php_wxProcess, Redirect);
PHP_METHOD(php_wxProcess, Open);
PHP_METHOD(php_wxProcess, __construct);
PHP_METHOD(php_wxProcess, Connect);
PHP_METHOD(php_wxTextValidator, CloneMethod);
PHP_METHOD(php_wxTextValidator, GetExcludes);
PHP_METHOD(php_wxTextValidator, GetIncludes);
PHP_METHOD(php_wxTextValidator, GetStyle);
PHP_METHOD(php_wxTextValidator, HasFlag);
PHP_METHOD(php_wxTextValidator, IsValid);
PHP_METHOD(php_wxTextValidator, SetCharExcludes);
PHP_METHOD(php_wxTextValidator, SetCharIncludes);
PHP_METHOD(php_wxTextValidator, SetExcludes);
PHP_METHOD(php_wxTextValidator, SetIncludes);
PHP_METHOD(php_wxTextValidator, SetStyle);
PHP_METHOD(php_wxTextValidator, TransferFromWindow);
PHP_METHOD(php_wxTextValidator, TransferToWindow);
PHP_METHOD(php_wxTextValidator, Validate);
PHP_METHOD(php_wxTextValidator, __construct);
PHP_METHOD(php_wxTextValidator, Connect);
PHP_METHOD(php_wxHScrolledWindow, Create);
PHP_METHOD(php_wxHScrolledWindow, Connect);
PHP_METHOD(php_wxInfoBar, __construct);
PHP_METHOD(php_wxInfoBar, ShowMessage);
PHP_METHOD(php_wxInfoBar, SetFont);
PHP_METHOD(php_wxInfoBar, SetEffectDuration);
PHP_METHOD(php_wxInfoBar, RemoveButton);
PHP_METHOD(php_wxInfoBar, GetShowEffect);
PHP_METHOD(php_wxInfoBar, GetHideEffect);
PHP_METHOD(php_wxInfoBar, GetEffectDuration);
PHP_METHOD(php_wxInfoBar, Create);
PHP_METHOD(php_wxInfoBar, AddButton);
PHP_METHOD(php_wxInfoBar, SetShowHideEffects);
PHP_METHOD(php_wxInfoBar, Dismiss);
PHP_METHOD(php_wxInfoBar, Connect);
PHP_METHOD(php_wxRichToolTip, SetBackgroundColour);
PHP_METHOD(php_wxRichToolTip, SetTimeout);
PHP_METHOD(php_wxRichToolTip, SetIcon);
PHP_METHOD(php_wxRichToolTip, SetTipKind);
PHP_METHOD(php_wxRichToolTip, ShowFor);
PHP_METHOD(php_wxRichToolTip, __construct);
PHP_METHOD(php_wxPosition, GetCol);
PHP_METHOD(php_wxPosition, GetColumn);
PHP_METHOD(php_wxPosition, GetRow);
PHP_METHOD(php_wxPosition, SetCol);
PHP_METHOD(php_wxPosition, SetColumn);
PHP_METHOD(php_wxPosition, SetRow);
PHP_METHOD(php_wxPosition, __construct);
PHP_METHOD(php_wxMutex, Lock);
PHP_METHOD(php_wxMutex, LockTimeout);
PHP_METHOD(php_wxMutex, TryLock);
PHP_METHOD(php_wxMutex, Unlock);
PHP_METHOD(php_wxMutex, __construct);
PHP_METHOD(php_wxMutexLocker, IsOk);
PHP_METHOD(php_wxMutexLocker, __construct);
PHP_METHOD(php_wxXmlResource, AddHandler);
PHP_METHOD(php_wxXmlResource, AttachUnknownControl);
PHP_METHOD(php_wxXmlResource, ClearHandlers);
PHP_METHOD(php_wxXmlResource, CompareVersion);
PHP_METHOD(php_wxXmlResource, DoReportError);
PHP_METHOD(php_wxXmlResource, FindXRCIDById);
PHP_METHOD(php_wxXmlResource, Get);
PHP_METHOD(php_wxXmlResource, GetDomain);
PHP_METHOD(php_wxXmlResource, GetFlags);
PHP_METHOD(php_wxXmlResource, GetResourceNode);
PHP_METHOD(php_wxXmlResource, GetVersion);
PHP_METHOD(php_wxXmlResource, GetXRCID);
PHP_METHOD(php_wxXmlResource, InitAllHandlers);
PHP_METHOD(php_wxXmlResource, Load);
PHP_METHOD(php_wxXmlResource, LoadAllFiles);
PHP_METHOD(php_wxXmlResource, LoadBitmap);
PHP_METHOD(php_wxXmlResource, LoadDialog);
PHP_METHOD(php_wxXmlResource, LoadFile);
PHP_METHOD(php_wxXmlResource, LoadFrame);
PHP_METHOD(php_wxXmlResource, LoadIcon);
PHP_METHOD(php_wxXmlResource, LoadMenu);
PHP_METHOD(php_wxXmlResource, LoadMenuBar);
PHP_METHOD(php_wxXmlResource, LoadObject);
PHP_METHOD(php_wxXmlResource, LoadObjectRecursively);
PHP_METHOD(php_wxXmlResource, LoadPanel);
PHP_METHOD(php_wxXmlResource, LoadToolBar);
PHP_METHOD(php_wxXmlResource, Set);
PHP_METHOD(php_wxXmlResource, SetDomain);
PHP_METHOD(php_wxXmlResource, SetFlags);
PHP_METHOD(php_wxXmlResource, Unload);
PHP_METHOD(php_wxXmlResource, __construct);
PHP_METHOD(php_wxGenericValidator, CloneMethod);
PHP_METHOD(php_wxGenericValidator, TransferFromWindow);
PHP_METHOD(php_wxGenericValidator, TransferToWindow);
PHP_METHOD(php_wxGenericValidator, __construct);
PHP_METHOD(php_wxGenericValidator, Connect);
PHP_METHOD(php_wxSashWindow, GetMaximumSizeX);
PHP_METHOD(php_wxSashWindow, GetMaximumSizeY);
PHP_METHOD(php_wxSashWindow, GetMinimumSizeX);
PHP_METHOD(php_wxSashWindow, GetMinimumSizeY);
PHP_METHOD(php_wxSashWindow, GetSashVisible);
PHP_METHOD(php_wxSashWindow, SetMaximumSizeX);
PHP_METHOD(php_wxSashWindow, SetMaximumSizeY);
PHP_METHOD(php_wxSashWindow, SetMinimumSizeX);
PHP_METHOD(php_wxSashWindow, SetMinimumSizeY);
PHP_METHOD(php_wxSashWindow, SetSashVisible);
PHP_METHOD(php_wxSashWindow, __construct);
PHP_METHOD(php_wxSashWindow, Connect);
PHP_METHOD(php_wxSashEvent, GetDragRect);
PHP_METHOD(php_wxSashEvent, GetDragStatus);
PHP_METHOD(php_wxSashEvent, GetEdge);
PHP_METHOD(php_wxSashEvent, __construct);
PHP_METHOD(php_wxSashLayoutWindow, Create);
PHP_METHOD(php_wxSashLayoutWindow, GetAlignment);
PHP_METHOD(php_wxSashLayoutWindow, GetOrientation);
PHP_METHOD(php_wxSashLayoutWindow, SetAlignment);
PHP_METHOD(php_wxSashLayoutWindow, SetDefaultSize);
PHP_METHOD(php_wxSashLayoutWindow, SetOrientation);
PHP_METHOD(php_wxSashLayoutWindow, __construct);
PHP_METHOD(php_wxSashLayoutWindow, Connect);
PHP_METHOD(php_wxSemaphore, Post);
PHP_METHOD(php_wxSemaphore, TryWait);
PHP_METHOD(php_wxSemaphore, Wait);
PHP_METHOD(php_wxSemaphore, WaitTimeout);
PHP_METHOD(php_wxSemaphore, __construct);
PHP_METHOD(php_wxAuiToolBarArt, CloneMethod);
PHP_METHOD(php_wxAuiToolBarArt, DrawBackground);
PHP_METHOD(php_wxAuiToolBarArt, DrawButton);
PHP_METHOD(php_wxAuiToolBarArt, DrawControlLabel);
PHP_METHOD(php_wxAuiToolBarArt, DrawDropDownButton);
PHP_METHOD(php_wxAuiToolBarArt, DrawGripper);
PHP_METHOD(php_wxAuiToolBarArt, DrawLabel);
PHP_METHOD(php_wxAuiToolBarArt, DrawOverflowButton);
PHP_METHOD(php_wxAuiToolBarArt, DrawSeparator);
PHP_METHOD(php_wxAuiToolBarArt, GetElementSize);
PHP_METHOD(php_wxAuiToolBarArt, GetFlags);
PHP_METHOD(php_wxAuiToolBarArt, GetFont);
PHP_METHOD(php_wxAuiToolBarArt, GetLabelSize);
PHP_METHOD(php_wxAuiToolBarArt, GetTextOrientation);
PHP_METHOD(php_wxAuiToolBarArt, GetToolSize);
PHP_METHOD(php_wxAuiToolBarArt, SetElementSize);
PHP_METHOD(php_wxAuiToolBarArt, SetFlags);
PHP_METHOD(php_wxAuiToolBarArt, SetFont);
PHP_METHOD(php_wxAuiToolBarArt, SetTextOrientation);
PHP_METHOD(php_wxBrush, GetColour);
PHP_METHOD(php_wxBrush, GetStipple);
PHP_METHOD(php_wxBrush, GetStyle);
PHP_METHOD(php_wxBrush, IsHatch);
PHP_METHOD(php_wxBrush, IsNonTransparent);
PHP_METHOD(php_wxBrush, IsOk);
PHP_METHOD(php_wxBrush, IsTransparent);
PHP_METHOD(php_wxBrush, SetColour);
PHP_METHOD(php_wxBrush, SetStipple);
PHP_METHOD(php_wxBrush, SetStyle);
PHP_METHOD(php_wxBrush, __construct);
PHP_METHOD(php_wxPlatformInfo, __construct);
PHP_METHOD(php_wxPlatformInfo, CheckOSVersion);
PHP_METHOD(php_wxPlatformInfo, CheckToolkitVersion);
PHP_METHOD(php_wxPlatformInfo, Get);
PHP_METHOD(php_wxPlatformInfo, GetArch);
PHP_METHOD(php_wxPlatformInfo, GetArchName);
PHP_METHOD(php_wxPlatformInfo, GetArchitecture);
PHP_METHOD(php_wxPlatformInfo, GetDesktopEnvironment);
PHP_METHOD(php_wxPlatformInfo, GetEndianness);
PHP_METHOD(php_wxPlatformInfo, GetEndiannessName);
PHP_METHOD(php_wxPlatformInfo, GetOSMajorVersion);
PHP_METHOD(php_wxPlatformInfo, GetOSMinorVersion);
PHP_METHOD(php_wxPlatformInfo, GetOperatingSystemDescription);
PHP_METHOD(php_wxPlatformInfo, GetOperatingSystemDirectory);
PHP_METHOD(php_wxPlatformInfo, GetOperatingSystemFamilyName);
PHP_METHOD(php_wxPlatformInfo, GetOperatingSystemId);
PHP_METHOD(php_wxPlatformInfo, GetOperatingSystemIdName);
PHP_METHOD(php_wxPlatformInfo, GetPortId);
PHP_METHOD(php_wxPlatformInfo, GetPortIdName);
PHP_METHOD(php_wxPlatformInfo, GetPortIdShortName);
PHP_METHOD(php_wxPlatformInfo, GetToolkitMajorVersion);
PHP_METHOD(php_wxPlatformInfo, GetToolkitMinorVersion);
PHP_METHOD(php_wxPlatformInfo, IsOk);
PHP_METHOD(php_wxPlatformInfo, IsUsingUniversalWidgets);
PHP_METHOD(php_wxPlatformInfo, SetArchitecture);
PHP_METHOD(php_wxPlatformInfo, SetDesktopEnvironment);
PHP_METHOD(php_wxPlatformInfo, SetEndianness);
PHP_METHOD(php_wxPlatformInfo, SetOSVersion);
PHP_METHOD(php_wxPlatformInfo, SetOperatingSystemDescription);
PHP_METHOD(php_wxPlatformInfo, SetOperatingSystemId);
PHP_METHOD(php_wxPlatformInfo, SetPortId);
PHP_METHOD(php_wxPlatformInfo, SetToolkitVersion);
PHP_METHOD(php_wxPageSetupDialog, GetPageSetupData);
PHP_METHOD(php_wxPageSetupDialog, __construct);
PHP_METHOD(php_wxPageSetupDialog, ShowModal);
PHP_METHOD(php_wxPageSetupDialogData, EnableHelp);
PHP_METHOD(php_wxPageSetupDialogData, EnableMargins);
PHP_METHOD(php_wxPageSetupDialogData, EnableOrientation);
PHP_METHOD(php_wxPageSetupDialogData, EnablePaper);
PHP_METHOD(php_wxPageSetupDialogData, EnablePrinter);
PHP_METHOD(php_wxPageSetupDialogData, GetDefaultInfo);
PHP_METHOD(php_wxPageSetupDialogData, GetDefaultMinMargins);
PHP_METHOD(php_wxPageSetupDialogData, GetEnableHelp);
PHP_METHOD(php_wxPageSetupDialogData, GetEnableMargins);
PHP_METHOD(php_wxPageSetupDialogData, GetEnableOrientation);
PHP_METHOD(php_wxPageSetupDialogData, GetEnablePaper);
PHP_METHOD(php_wxPageSetupDialogData, GetEnablePrinter);
PHP_METHOD(php_wxPageSetupDialogData, GetMarginBottomRight);
PHP_METHOD(php_wxPageSetupDialogData, GetMarginTopLeft);
PHP_METHOD(php_wxPageSetupDialogData, GetMinMarginBottomRight);
PHP_METHOD(php_wxPageSetupDialogData, GetMinMarginTopLeft);
PHP_METHOD(php_wxPageSetupDialogData, GetPaperId);
PHP_METHOD(php_wxPageSetupDialogData, GetPaperSize);
PHP_METHOD(php_wxPageSetupDialogData, GetPrintData);
PHP_METHOD(php_wxPageSetupDialogData, IsOk);
PHP_METHOD(php_wxPageSetupDialogData, SetDefaultInfo);
PHP_METHOD(php_wxPageSetupDialogData, SetDefaultMinMargins);
PHP_METHOD(php_wxPageSetupDialogData, SetMarginBottomRight);
PHP_METHOD(php_wxPageSetupDialogData, SetMarginTopLeft);
PHP_METHOD(php_wxPageSetupDialogData, SetMinMarginBottomRight);
PHP_METHOD(php_wxPageSetupDialogData, SetMinMarginTopLeft);
PHP_METHOD(php_wxPageSetupDialogData, SetPaperId);
PHP_METHOD(php_wxPageSetupDialogData, SetPaperSize);
PHP_METHOD(php_wxPageSetupDialogData, SetPrintData);
PHP_METHOD(php_wxPageSetupDialogData, __construct);
PHP_METHOD(php_wxPrintDialog, GetPrintDC);
PHP_METHOD(php_wxPrintDialog, GetPrintDialogData);
PHP_METHOD(php_wxPrintDialog, ShowModal);
PHP_METHOD(php_wxPrintDialog, __construct);
PHP_METHOD(php_wxPrintDialog, GetPrintData);
PHP_METHOD(php_wxPrintDialogData, EnableHelp);
PHP_METHOD(php_wxPrintDialogData, EnablePageNumbers);
PHP_METHOD(php_wxPrintDialogData, EnablePrintToFile);
PHP_METHOD(php_wxPrintDialogData, EnableSelection);
PHP_METHOD(php_wxPrintDialogData, GetAllPages);
PHP_METHOD(php_wxPrintDialogData, GetCollate);
PHP_METHOD(php_wxPrintDialogData, GetFromPage);
PHP_METHOD(php_wxPrintDialogData, GetMaxPage);
PHP_METHOD(php_wxPrintDialogData, GetMinPage);
PHP_METHOD(php_wxPrintDialogData, GetNoCopies);
PHP_METHOD(php_wxPrintDialogData, GetPrintData);
PHP_METHOD(php_wxPrintDialogData, GetPrintToFile);
PHP_METHOD(php_wxPrintDialogData, GetSelection);
PHP_METHOD(php_wxPrintDialogData, GetToPage);
PHP_METHOD(php_wxPrintDialogData, IsOk);
PHP_METHOD(php_wxPrintDialogData, SetCollate);
PHP_METHOD(php_wxPrintDialogData, SetFromPage);
PHP_METHOD(php_wxPrintDialogData, SetMaxPage);
PHP_METHOD(php_wxPrintDialogData, SetMinPage);
PHP_METHOD(php_wxPrintDialogData, SetNoCopies);
PHP_METHOD(php_wxPrintDialogData, SetPrintData);
PHP_METHOD(php_wxPrintDialogData, SetPrintToFile);
PHP_METHOD(php_wxPrintDialogData, SetSelection);
PHP_METHOD(php_wxPrintDialogData, SetToPage);
PHP_METHOD(php_wxPrintDialogData, __construct);
PHP_METHOD(php_wxPrintData, GetBin);
PHP_METHOD(php_wxPrintData, GetCollate);
PHP_METHOD(php_wxPrintData, GetColour);
PHP_METHOD(php_wxPrintData, GetDuplex);
PHP_METHOD(php_wxPrintData, GetFilename);
PHP_METHOD(php_wxPrintData, GetNoCopies);
PHP_METHOD(php_wxPrintData, GetOrientation);
PHP_METHOD(php_wxPrintData, GetPaperId);
PHP_METHOD(php_wxPrintData, GetPrintMode);
PHP_METHOD(php_wxPrintData, GetPrinterName);
PHP_METHOD(php_wxPrintData, GetQuality);
PHP_METHOD(php_wxPrintData, IsOk);
PHP_METHOD(php_wxPrintData, SetBin);
PHP_METHOD(php_wxPrintData, SetCollate);
PHP_METHOD(php_wxPrintData, SetColour);
PHP_METHOD(php_wxPrintData, SetDuplex);
PHP_METHOD(php_wxPrintData, SetFilename);
PHP_METHOD(php_wxPrintData, SetNoCopies);
PHP_METHOD(php_wxPrintData, SetOrientation);
PHP_METHOD(php_wxPrintData, SetPaperId);
PHP_METHOD(php_wxPrintData, SetPrintMode);
PHP_METHOD(php_wxPrintData, SetPrinterName);
PHP_METHOD(php_wxPrintData, SetQuality);
PHP_METHOD(php_wxPrintData, __construct);
PHP_METHOD(php_wxPostScriptDC, __construct);
PHP_METHOD(php_wxPrintPreview, GetCanvas);
PHP_METHOD(php_wxPrintPreview, GetCurrentPage);
PHP_METHOD(php_wxPrintPreview, GetFrame);
PHP_METHOD(php_wxPrintPreview, GetMaxPage);
PHP_METHOD(php_wxPrintPreview, GetMinPage);
PHP_METHOD(php_wxPrintPreview, GetPrintout);
PHP_METHOD(php_wxPrintPreview, GetPrintoutForPrinting);
PHP_METHOD(php_wxPrintPreview, IsOk);
PHP_METHOD(php_wxPrintPreview, PaintPage);
PHP_METHOD(php_wxPrintPreview, PrintMethod);
PHP_METHOD(php_wxPrintPreview, RenderPage);
PHP_METHOD(php_wxPrintPreview, SetCanvas);
PHP_METHOD(php_wxPrintPreview, SetCurrentPage);
PHP_METHOD(php_wxPrintPreview, SetFrame);
PHP_METHOD(php_wxPrintPreview, SetPrintout);
PHP_METHOD(php_wxPrintPreview, SetZoom);
PHP_METHOD(php_wxPrintPreview, __construct);
PHP_METHOD(php_wxPrinter, GetAbort);
PHP_METHOD(php_wxPrinter, GetLastError);
PHP_METHOD(php_wxPrinter, GetPrintDialogData);
PHP_METHOD(php_wxPrinter, PrintMethod);
PHP_METHOD(php_wxPrinter, PrintDialog);
PHP_METHOD(php_wxPrinter, ReportError);
PHP_METHOD(php_wxPrinter, Setup);
PHP_METHOD(php_wxPrinter, __construct);
PHP_METHOD(php_wxPrinterDC, GetPaperRect);
PHP_METHOD(php_wxPrinterDC, __construct);
PHP_METHOD(php_wxPrintout, FitThisSizeToPage);
PHP_METHOD(php_wxPrintout, FitThisSizeToPageMargins);
PHP_METHOD(php_wxPrintout, FitThisSizeToPaper);
PHP_METHOD(php_wxPrintout, GetDC);
PHP_METHOD(php_wxPrintout, GetLogicalPageMarginsRect);
PHP_METHOD(php_wxPrintout, GetLogicalPageRect);
PHP_METHOD(php_wxPrintout, GetLogicalPaperRect);
PHP_METHOD(php_wxPrintout, GetPPIPrinter);
PHP_METHOD(php_wxPrintout, GetPPIScreen);
PHP_METHOD(php_wxPrintout, GetPageInfo);
PHP_METHOD(php_wxPrintout, GetPageSizeMM);
PHP_METHOD(php_wxPrintout, GetPageSizePixels);
PHP_METHOD(php_wxPrintout, GetPaperRectPixels);
PHP_METHOD(php_wxPrintout, GetPreview);
PHP_METHOD(php_wxPrintout, GetTitle);
PHP_METHOD(php_wxPrintout, HasPage);
PHP_METHOD(php_wxPrintout, IsPreview);
PHP_METHOD(php_wxPrintout, MapScreenSizeToDevice);
PHP_METHOD(php_wxPrintout, MapScreenSizeToPage);
PHP_METHOD(php_wxPrintout, MapScreenSizeToPageMargins);
PHP_METHOD(php_wxPrintout, MapScreenSizeToPaper);
PHP_METHOD(php_wxPrintout, OffsetLogicalOrigin);
PHP_METHOD(php_wxPrintout, OnBeginDocument);
PHP_METHOD(php_wxPrintout, OnBeginPrinting);
PHP_METHOD(php_wxPrintout, OnEndDocument);
PHP_METHOD(php_wxPrintout, OnEndPrinting);
PHP_METHOD(php_wxPrintout, OnPreparePrinting);
PHP_METHOD(php_wxPrintout, OnPrintPage);
PHP_METHOD(php_wxPrintout, SetLogicalOrigin);
PHP_METHOD(php_wxPrintout, __construct);
PHP_METHOD(php_wxPreviewFrame, CreateCanvas);
PHP_METHOD(php_wxPreviewFrame, CreateControlBar);
PHP_METHOD(php_wxPreviewFrame, Initialize);
PHP_METHOD(php_wxPreviewFrame, InitializeWithModality);
PHP_METHOD(php_wxPreviewFrame, Connect);
PHP_METHOD(php_wxPreviewControlBar, CreateButtons);
PHP_METHOD(php_wxPreviewControlBar, GetZoomControl);
PHP_METHOD(php_wxPreviewControlBar, SetZoomControl);
PHP_METHOD(php_wxPreviewControlBar, __construct);
PHP_METHOD(php_wxPreviewControlBar, Connect);
PHP_METHOD(php_wxPreviewCanvas, __construct);
PHP_METHOD(php_wxPreviewCanvas, Connect);
PHP_METHOD(php_wxSingleChoiceDialog, GetSelection);
PHP_METHOD(php_wxSingleChoiceDialog, GetStringSelection);
PHP_METHOD(php_wxSingleChoiceDialog, SetSelection);
PHP_METHOD(php_wxSingleChoiceDialog, ShowModal);
PHP_METHOD(php_wxSingleChoiceDialog, __construct);
PHP_METHOD(php_wxSingleChoiceDialog, GetSelectionData);
PHP_METHOD(php_wxSingleChoiceDialog, Connect);
PHP_METHOD(php_wxHtmlDCRenderer, GetTotalHeight);
PHP_METHOD(php_wxHtmlDCRenderer, GetTotalWidth);
PHP_METHOD(php_wxHtmlDCRenderer, __construct);
PHP_METHOD(php_wxHtmlDCRenderer, SetStandardFonts);
PHP_METHOD(php_wxHtmlDCRenderer, SetSize);
PHP_METHOD(php_wxHtmlDCRenderer, SetHtmlText);
PHP_METHOD(php_wxHtmlDCRenderer, SetFonts);
PHP_METHOD(php_wxHtmlDCRenderer, SetDC);
PHP_METHOD(php_wxHtmlFilter, CanRead);
PHP_METHOD(php_wxHtmlFilter, ReadFile);
PHP_METHOD(php_wxHtmlFilter, __construct);
PHP_METHOD(php_wxHtmlHelpController, AddBook);
PHP_METHOD(php_wxHtmlHelpController, CreateHelpDialog);
PHP_METHOD(php_wxHtmlHelpController, CreateHelpFrame);
PHP_METHOD(php_wxHtmlHelpController, Display);
PHP_METHOD(php_wxHtmlHelpController, DisplayContents);
PHP_METHOD(php_wxHtmlHelpController, DisplayIndex);
PHP_METHOD(php_wxHtmlHelpController, KeywordSearch);
PHP_METHOD(php_wxHtmlHelpController, ReadCustomization);
PHP_METHOD(php_wxHtmlHelpController, SetShouldPreventAppExit);
PHP_METHOD(php_wxHtmlHelpController, SetTempDir);
PHP_METHOD(php_wxHtmlHelpController, SetTitleFormat);
PHP_METHOD(php_wxHtmlHelpController, UseConfig);
PHP_METHOD(php_wxHtmlHelpController, WriteCustomization);
PHP_METHOD(php_wxHtmlHelpController, __construct);
PHP_METHOD(php_wxHtmlHelpData, AddBook);
PHP_METHOD(php_wxHtmlHelpData, FindPageById);
PHP_METHOD(php_wxHtmlHelpData, FindPageByName);
PHP_METHOD(php_wxHtmlHelpData, SetTempDir);
PHP_METHOD(php_wxHtmlHelpData, __construct);
PHP_METHOD(php_wxHtmlHelpDialog, AddToolbarButtons);
PHP_METHOD(php_wxHtmlHelpDialog, Create);
PHP_METHOD(php_wxHtmlHelpDialog, GetController);
PHP_METHOD(php_wxHtmlHelpDialog, SetController);
PHP_METHOD(php_wxHtmlHelpDialog, SetTitleFormat);
PHP_METHOD(php_wxHtmlHelpDialog, __construct);
PHP_METHOD(php_wxHtmlHelpDialog, Connect);
PHP_METHOD(php_wxHtmlHelpFrame, AddToolbarButtons);
PHP_METHOD(php_wxHtmlHelpFrame, Create);
PHP_METHOD(php_wxHtmlHelpFrame, GetController);
PHP_METHOD(php_wxHtmlHelpFrame, SetController);
PHP_METHOD(php_wxHtmlHelpFrame, SetTitleFormat);
PHP_METHOD(php_wxHtmlHelpFrame, __construct);
PHP_METHOD(php_wxHtmlHelpFrame, Connect);
PHP_METHOD(php_wxHtmlHelpWindow, AddToolbarButtons);
PHP_METHOD(php_wxHtmlHelpWindow, Create);
PHP_METHOD(php_wxHtmlHelpWindow, Display);
PHP_METHOD(php_wxHtmlHelpWindow, DisplayIndex);
PHP_METHOD(php_wxHtmlHelpWindow, GetData);
PHP_METHOD(php_wxHtmlHelpWindow, DisplayContents);
PHP_METHOD(php_wxHtmlHelpWindow, KeywordSearch);
PHP_METHOD(php_wxHtmlHelpWindow, ReadCustomization);
PHP_METHOD(php_wxHtmlHelpWindow, RefreshLists);
PHP_METHOD(php_wxHtmlHelpWindow, UseConfig);
PHP_METHOD(php_wxHtmlHelpWindow, WriteCustomization);
PHP_METHOD(php_wxHtmlHelpWindow, __construct);
PHP_METHOD(php_wxHtmlHelpWindow, Connect);
PHP_METHOD(php_wxHtmlModalHelp, __construct);
PHP_METHOD(php_wxHtmlPrintout, __construct);
PHP_METHOD(php_wxHtmlPrintout, SetMargins);
PHP_METHOD(php_wxHtmlPrintout, SetHtmlText);
PHP_METHOD(php_wxHtmlPrintout, SetHtmlFile);
PHP_METHOD(php_wxHtmlPrintout, SetHeader);
PHP_METHOD(php_wxHtmlPrintout, SetFooter);
PHP_METHOD(php_wxHtmlPrintout, SetFonts);
PHP_METHOD(php_wxHtmlPrintout, AddFilter);
PHP_METHOD(php_wxHtmlRenderingInfo, GetStyle);
PHP_METHOD(php_wxHtmlRenderingInfo, SetStyle);
PHP_METHOD(php_wxHtmlRenderingInfo, __construct);
PHP_METHOD(php_wxHtmlRenderingStyle, GetSelectedTextBgColour);
PHP_METHOD(php_wxHtmlRenderingStyle, GetSelectedTextColour);
PHP_METHOD(php_wxHtmlTagHandler, GetSupportedTags);
PHP_METHOD(php_wxHtmlTagHandler, HandleTag);
PHP_METHOD(php_wxHtmlTagHandler, __get);
PHP_METHOD(php_wxHtmlTagHandler, __construct);
PHP_METHOD(php_wxHtmlTagsModule, FillHandlersTable);
PHP_METHOD(php_wxModule, OnExit);
PHP_METHOD(php_wxModule, OnInit);
PHP_METHOD(php_wxModule, __construct);
PHP_METHOD(php_wxHtmlWidgetCell, __construct);
PHP_METHOD(php_wxHtmlWinParser, AddModule);
PHP_METHOD(php_wxHtmlWinParser, CloseContainer);
PHP_METHOD(php_wxHtmlWinParser, CreateCurrentFont);
PHP_METHOD(php_wxHtmlWinParser, GetActualColor);
PHP_METHOD(php_wxHtmlWinParser, GetAlign);
PHP_METHOD(php_wxHtmlWinParser, GetCharHeight);
PHP_METHOD(php_wxHtmlWinParser, GetCharWidth);
PHP_METHOD(php_wxHtmlWinParser, GetContainer);
PHP_METHOD(php_wxHtmlWinParser, GetDC);
PHP_METHOD(php_wxHtmlWinParser, GetFontBold);
PHP_METHOD(php_wxHtmlWinParser, GetFontFace);
PHP_METHOD(php_wxHtmlWinParser, GetFontFixed);
PHP_METHOD(php_wxHtmlWinParser, GetFontItalic);
PHP_METHOD(php_wxHtmlWinParser, GetFontSize);
PHP_METHOD(php_wxHtmlWinParser, GetFontUnderlined);
PHP_METHOD(php_wxHtmlWinParser, GetLink);
PHP_METHOD(php_wxHtmlWinParser, GetLinkColor);
PHP_METHOD(php_wxHtmlWinParser, SetActualColor);
PHP_METHOD(php_wxHtmlWinParser, SetAlign);
PHP_METHOD(php_wxHtmlWinParser, SetContainer);
PHP_METHOD(php_wxHtmlWinParser, SetDC);
PHP_METHOD(php_wxHtmlWinParser, OpenContainer);
PHP_METHOD(php_wxHtmlWinParser, SetFontBold);
PHP_METHOD(php_wxHtmlWinParser, SetFontFace);
PHP_METHOD(php_wxHtmlWinParser, SetFontFixed);
PHP_METHOD(php_wxHtmlWinParser, SetFontItalic);
PHP_METHOD(php_wxHtmlWinParser, SetFontSize);
PHP_METHOD(php_wxHtmlWinParser, SetFontUnderlined);
PHP_METHOD(php_wxHtmlWinParser, SetFonts);
PHP_METHOD(php_wxHtmlWinParser, SetLink);
PHP_METHOD(php_wxHtmlWinParser, SetLinkColor);
PHP_METHOD(php_wxAutoBufferedPaintDC, __construct);
PHP_METHOD(php_wxBufferedDC, Init);
PHP_METHOD(php_wxBufferedDC, __construct);
PHP_METHOD(php_wxBufferedPaintDC, __construct);
PHP_METHOD(php_wxClientDC, __construct);
PHP_METHOD(php_wxPaintEvent, __construct);
PHP_METHOD(php_wxPaintDC, __construct);
PHP_METHOD(php_wxMemoryDC, SelectObject);
PHP_METHOD(php_wxMemoryDC, SelectObjectAsSource);
PHP_METHOD(php_wxMemoryDC, __construct);
PHP_METHOD(php_wxMirrorDC, __construct);
PHP_METHOD(php_wxDCClipper, __construct);
PHP_METHOD(php_wxFontList, __construct);
PHP_METHOD(php_wxFontList, FindOrCreateFont);
PHP_METHOD(php_wxPenList, FindOrCreatePen);
PHP_METHOD(php_wxPenList, __construct);
PHP_METHOD(php_wxPaletteChangedEvent, GetChangedWindow);
PHP_METHOD(php_wxPaletteChangedEvent, SetChangedWindow);
PHP_METHOD(php_wxPaletteChangedEvent, __construct);
PHP_METHOD(php_wxRendererNative, DrawCheckBox);
PHP_METHOD(php_wxRendererNative, DrawChoice);
PHP_METHOD(php_wxRendererNative, DrawComboBox);
PHP_METHOD(php_wxRendererNative, DrawComboBoxDropButton);
PHP_METHOD(php_wxRendererNative, DrawDropArrow);
PHP_METHOD(php_wxRendererNative, DrawFocusRect);
PHP_METHOD(php_wxRendererNative, DrawPushButton);
PHP_METHOD(php_wxRendererNative, DrawItemSelectionRect);
PHP_METHOD(php_wxRendererNative, DrawRadioBitmap);
PHP_METHOD(php_wxRendererNative, DrawSplitterBorder);
PHP_METHOD(php_wxRendererNative, DrawSplitterSash);
PHP_METHOD(php_wxRendererNative, DrawTextCtrl);
PHP_METHOD(php_wxRendererNative, DrawTreeItemButton);
PHP_METHOD(php_wxRendererNative, Get);
PHP_METHOD(php_wxRendererNative, GetCheckBoxSize);
PHP_METHOD(php_wxRendererNative, GetDefault);
PHP_METHOD(php_wxRendererNative, GetGeneric);
PHP_METHOD(php_wxRendererNative, GetHeaderButtonHeight);
PHP_METHOD(php_wxRendererNative, GetHeaderButtonMargin);
PHP_METHOD(php_wxRendererNative, Load);
PHP_METHOD(php_wxRendererNative, Set);
PHP_METHOD(php_wxImageHandler, CanRead);
PHP_METHOD(php_wxImageHandler, GetAltExtensions);
PHP_METHOD(php_wxImageHandler, GetExtension);
PHP_METHOD(php_wxImageHandler, GetImageCount);
PHP_METHOD(php_wxImageHandler, GetMimeType);
PHP_METHOD(php_wxImageHandler, GetName);
PHP_METHOD(php_wxImageHandler, GetType);
PHP_METHOD(php_wxImageHandler, LoadFile);
PHP_METHOD(php_wxImageHandler, SaveFile);
PHP_METHOD(php_wxImageHandler, SetAltExtensions);
PHP_METHOD(php_wxImageHandler, SetExtension);
PHP_METHOD(php_wxImageHandler, SetMimeType);
PHP_METHOD(php_wxImageHandler, SetName);
PHP_METHOD(php_wxInitDialogEvent, __construct);
PHP_METHOD(php_wxMaximizeEvent, __construct);
PHP_METHOD(php_wxNavigationKeyEvent, GetCurrentFocus);
PHP_METHOD(php_wxNavigationKeyEvent, GetDirection);
PHP_METHOD(php_wxNavigationKeyEvent, IsFromTab);
PHP_METHOD(php_wxNavigationKeyEvent, IsWindowChange);
PHP_METHOD(php_wxNavigationKeyEvent, SetCurrentFocus);
PHP_METHOD(php_wxNavigationKeyEvent, SetDirection);
PHP_METHOD(php_wxNavigationKeyEvent, SetFlags);
PHP_METHOD(php_wxNavigationKeyEvent, SetFromTab);
PHP_METHOD(php_wxNavigationKeyEvent, SetWindowChange);
PHP_METHOD(php_wxNavigationKeyEvent, __construct);
PHP_METHOD(php_wxPathList, Add);
PHP_METHOD(php_wxPathList, AddEnvList);
PHP_METHOD(php_wxPathList, EnsureFileAccessible);
PHP_METHOD(php_wxPathList, FindAbsoluteValidPath);
PHP_METHOD(php_wxPathList, FindValidPath);
PHP_METHOD(php_wxPathList, __construct);
PHP_METHOD(php_wxCriticalSection, Enter);
PHP_METHOD(php_wxCriticalSection, Leave);
PHP_METHOD(php_wxCriticalSection, TryEnter);
PHP_METHOD(php_wxCriticalSection, __construct);
PHP_METHOD(php_wxCriticalSectionLocker, __construct);
PHP_METHOD(php_wxCondition, Broadcast);
PHP_METHOD(php_wxCondition, IsOk);
PHP_METHOD(php_wxCondition, Signal);
PHP_METHOD(php_wxCondition, Wait);
PHP_METHOD(php_wxCondition, WaitTimeout);
PHP_METHOD(php_wxCondition, __construct);
PHP_METHOD(php_wxBusyCursor, __construct);
PHP_METHOD(php_wxBusyInfo, __construct);
PHP_METHOD(php_wxXmlResourceHandler, CanHandle);
PHP_METHOD(php_wxXmlResourceHandler, CreateResource);
PHP_METHOD(php_wxXmlResourceHandler, DoCreateResource);
PHP_METHOD(php_wxXmlResourceHandler, SetParentResource);
PHP_METHOD(php_wxXmlResourceHandler, __construct);
PHP_METHOD(php_wxXmlNode, AddAttribute);
PHP_METHOD(php_wxXmlNode, AddChild);
PHP_METHOD(php_wxXmlNode, DeleteAttribute);
PHP_METHOD(php_wxXmlNode, GetAttribute);
PHP_METHOD(php_wxXmlNode, GetAttributes);
PHP_METHOD(php_wxXmlNode, GetChildren);
PHP_METHOD(php_wxXmlNode, GetContent);
PHP_METHOD(php_wxXmlNode, GetDepth);
PHP_METHOD(php_wxXmlNode, GetLineNumber);
PHP_METHOD(php_wxXmlNode, GetName);
PHP_METHOD(php_wxXmlNode, GetNext);
PHP_METHOD(php_wxXmlNode, GetNoConversion);
PHP_METHOD(php_wxXmlNode, GetNodeContent);
PHP_METHOD(php_wxXmlNode, GetParent);
PHP_METHOD(php_wxXmlNode, GetType);
PHP_METHOD(php_wxXmlNode, HasAttribute);
PHP_METHOD(php_wxXmlNode, InsertChild);
PHP_METHOD(php_wxXmlNode, InsertChildAfter);
PHP_METHOD(php_wxXmlNode, IsWhitespaceOnly);
PHP_METHOD(php_wxXmlNode, RemoveChild);
PHP_METHOD(php_wxXmlNode, SetAttributes);
PHP_METHOD(php_wxXmlNode, SetChildren);
PHP_METHOD(php_wxXmlNode, SetContent);
PHP_METHOD(php_wxXmlNode, SetName);
PHP_METHOD(php_wxXmlNode, SetNext);
PHP_METHOD(php_wxXmlNode, SetNoConversion);
PHP_METHOD(php_wxXmlNode, SetParent);
PHP_METHOD(php_wxXmlNode, SetType);
PHP_METHOD(php_wxXmlNode, __construct);
PHP_METHOD(php_wxXmlDocument, AppendToProlog);
PHP_METHOD(php_wxXmlDocument, DetachDocumentNode);
PHP_METHOD(php_wxXmlDocument, DetachRoot);
PHP_METHOD(php_wxXmlDocument, GetDocumentNode);
PHP_METHOD(php_wxXmlDocument, GetFileEncoding);
PHP_METHOD(php_wxXmlDocument, GetLibraryVersionInfo);
PHP_METHOD(php_wxXmlDocument, GetRoot);
PHP_METHOD(php_wxXmlDocument, GetVersion);
PHP_METHOD(php_wxXmlDocument, IsOk);
PHP_METHOD(php_wxXmlDocument, Load);
PHP_METHOD(php_wxXmlDocument, Save);
PHP_METHOD(php_wxXmlDocument, SetDocumentNode);
PHP_METHOD(php_wxXmlDocument, SetFileEncoding);
PHP_METHOD(php_wxXmlDocument, SetRoot);
PHP_METHOD(php_wxXmlDocument, SetVersion);
PHP_METHOD(php_wxXmlDocument, __construct);
PHP_METHOD(php_wxXmlAttribute, GetName);
PHP_METHOD(php_wxXmlAttribute, GetNext);
PHP_METHOD(php_wxXmlAttribute, GetValue);
PHP_METHOD(php_wxXmlAttribute, SetName);
PHP_METHOD(php_wxXmlAttribute, SetNext);
PHP_METHOD(php_wxXmlAttribute, SetValue);
PHP_METHOD(php_wxXmlAttribute, __construct);
PHP_METHOD(php_wxLayoutAlgorithm, LayoutFrame);
PHP_METHOD(php_wxLayoutAlgorithm, LayoutMDIFrame);
PHP_METHOD(php_wxLayoutAlgorithm, LayoutWindow);
PHP_METHOD(php_wxLayoutAlgorithm, __construct);
PHP_METHOD(php_wxFocusEvent, GetWindow);
PHP_METHOD(php_wxFocusEvent, SetWindow);
PHP_METHOD(php_wxFocusEvent, __construct);
PHP_METHOD(php_wxFontMapper, CharsetToEncoding);
PHP_METHOD(php_wxFontMapper, Get);
PHP_METHOD(php_wxFontMapper, GetAltForEncoding);
PHP_METHOD(php_wxFontMapper, GetEncoding);
PHP_METHOD(php_wxFontMapper, GetEncodingDescription);
PHP_METHOD(php_wxFontMapper, GetEncodingFromName);
PHP_METHOD(php_wxFontMapper, GetEncodingName);
PHP_METHOD(php_wxFontMapper, GetSupportedEncodingsCount);
PHP_METHOD(php_wxFontMapper, IsEncodingAvailable);
PHP_METHOD(php_wxFontMapper, Set);
PHP_METHOD(php_wxFontMapper, SetConfigPath);
PHP_METHOD(php_wxFontMapper, SetDialogParent);
PHP_METHOD(php_wxFontMapper, SetDialogTitle);
PHP_METHOD(php_wxFontMapper, __construct);
PHP_METHOD(php_wxFontEnumerator, OnFontEncoding);
PHP_METHOD(php_wxFontEnumerator, OnFacename);
PHP_METHOD(php_wxFontEnumerator, IsValidFacename);
PHP_METHOD(php_wxFontEnumerator, GetFacenames);
PHP_METHOD(php_wxFontEnumerator, GetEncodings);
PHP_METHOD(php_wxFontEnumerator, EnumerateFacenames);
PHP_METHOD(php_wxFontEnumerator, EnumerateEncodings);
PHP_METHOD(php_wxFFileInputStream, __construct);
PHP_METHOD(php_wxFFileInputStream, IsOk);
PHP_METHOD(php_wxFFileOutputStream, IsOk);
PHP_METHOD(php_wxFFileOutputStream, __construct);
PHP_METHOD(php_wxFFileStream, IsOk);
PHP_METHOD(php_wxFFileStream, __construct);
PHP_METHOD(php_wxFile, Seek);
PHP_METHOD(php_wxFile, SeekEnd);
PHP_METHOD(php_wxFile, Tell);
PHP_METHOD(php_wxFile, Write);
PHP_METHOD(php_wxFile, fd);
PHP_METHOD(php_wxFile, __construct);
PHP_METHOD(php_wxFile, Open);
PHP_METHOD(php_wxFile, Length);
PHP_METHOD(php_wxFile, IsOpened);
PHP_METHOD(php_wxFile, GetLastError);
PHP_METHOD(php_wxFile, GetKind);
PHP_METHOD(php_wxFile, Flush);
PHP_METHOD(php_wxFile, Exists);
PHP_METHOD(php_wxFile, Eof);
PHP_METHOD(php_wxFile, Create);
PHP_METHOD(php_wxFile, Close);
PHP_METHOD(php_wxFile, ClearLastError);
PHP_METHOD(php_wxFile, Attach);
PHP_METHOD(php_wxFile, Detach);
PHP_METHOD(php_wxFile, Access);
PHP_METHOD(php_wxFileConfig, DeleteAll);
PHP_METHOD(php_wxFileConfig, DeleteEntry);
PHP_METHOD(php_wxFileConfig, DeleteGroup);
PHP_METHOD(php_wxFileConfig, Flush);
PHP_METHOD(php_wxFileConfig, GetFirstEntry);
PHP_METHOD(php_wxFileConfig, GetFirstGroup);
PHP_METHOD(php_wxFileConfig, GetGlobalFile);
PHP_METHOD(php_wxFileConfig, GetGlobalFileName);
PHP_METHOD(php_wxFileConfig, GetLocalFile);
PHP_METHOD(php_wxFileConfig, GetLocalFileName);
PHP_METHOD(php_wxFileConfig, GetNextEntry);
PHP_METHOD(php_wxFileConfig, GetNextGroup);
PHP_METHOD(php_wxFileConfig, GetNumberOfEntries);
PHP_METHOD(php_wxFileConfig, GetNumberOfGroups);
PHP_METHOD(php_wxFileConfig, GetPath);
PHP_METHOD(php_wxFileConfig, HasEntry);
PHP_METHOD(php_wxFileConfig, HasGroup);
PHP_METHOD(php_wxFileConfig, RenameEntry);
PHP_METHOD(php_wxFileConfig, RenameGroup);
PHP_METHOD(php_wxFileConfig, SetPath);
PHP_METHOD(php_wxFileConfig, SetUmask);
PHP_METHOD(php_wxFileDirPickerEvent, GetPath);
PHP_METHOD(php_wxFileDirPickerEvent, SetPath);
PHP_METHOD(php_wxFileDirPickerEvent, __construct);
PHP_METHOD(php_wxFileHistory, AddFileToHistory);
PHP_METHOD(php_wxFileHistory, AddFilesToMenu);
PHP_METHOD(php_wxFileHistory, GetBaseId);
PHP_METHOD(php_wxFileHistory, GetCount);
PHP_METHOD(php_wxFileHistory, GetHistoryFile);
PHP_METHOD(php_wxFileHistory, GetMaxFiles);
PHP_METHOD(php_wxFileHistory, Load);
PHP_METHOD(php_wxFileHistory, RemoveFileFromHistory);
PHP_METHOD(php_wxFileHistory, RemoveMenu);
PHP_METHOD(php_wxFileHistory, Save);
PHP_METHOD(php_wxFileHistory, SetBaseId);
PHP_METHOD(php_wxFileHistory, UseMenu);
PHP_METHOD(php_wxFileHistory, __construct);
PHP_METHOD(php_wxFileInputStream, IsOk);
PHP_METHOD(php_wxFileInputStream, __construct);
PHP_METHOD(php_wxFileDropTarget, __construct);
PHP_METHOD(php_wxFileDropTarget, OnDropFiles);
PHP_METHOD(php_wxFileDropTarget, OnDrop);
PHP_METHOD(php_wxFileOutputStream, IsOk);
PHP_METHOD(php_wxFileOutputStream, __construct);
PHP_METHOD(php_wxFileStream, IsOk);
PHP_METHOD(php_wxFileStream, __construct);
PHP_METHOD(php_wxFileSystemWatcher, Add);
PHP_METHOD(php_wxFileSystemWatcher, AddTree);
PHP_METHOD(php_wxFileSystemWatcher, GetWatchedPathsCount);
PHP_METHOD(php_wxFileSystemWatcher, Remove);
PHP_METHOD(php_wxFileSystemWatcher, RemoveAll);
PHP_METHOD(php_wxFileSystemWatcher, RemoveTree);
PHP_METHOD(php_wxFileSystemWatcher, SetOwner);
PHP_METHOD(php_wxFileSystemWatcher, __construct);
PHP_METHOD(php_wxFileSystemWatcher, Connect);
PHP_METHOD(php_wxFileSystemWatcherEvent, GetChangeType);
PHP_METHOD(php_wxFileSystemWatcherEvent, GetErrorDescription);
PHP_METHOD(php_wxFileSystemWatcherEvent, GetNewPath);
PHP_METHOD(php_wxFileSystemWatcherEvent, GetPath);
PHP_METHOD(php_wxFileSystemWatcherEvent, IsError);
PHP_METHOD(php_wxFileSystemWatcherEvent, ToString);
PHP_METHOD(php_wxFileType, GetDescription);
PHP_METHOD(php_wxFileType, GetExtensions);
PHP_METHOD(php_wxFileType, GetMimeType);
PHP_METHOD(php_wxFileType, GetMimeTypes);
PHP_METHOD(php_wxFileType, GetOpenCommand);
PHP_METHOD(php_wxFileType, __construct);
PHP_METHOD(php_wxFileTypeInfo, AddExtension);
PHP_METHOD(php_wxFileTypeInfo, SetDescription);
PHP_METHOD(php_wxFileTypeInfo, SetOpenCommand);
PHP_METHOD(php_wxFileTypeInfo, SetPrintCommand);
PHP_METHOD(php_wxFileTypeInfo, SetShortDesc);
PHP_METHOD(php_wxFileTypeInfo, __construct);
PHP_METHOD(php_wxStopWatch, __construct);
PHP_METHOD(php_wxStopWatch, Time);
PHP_METHOD(php_wxStopWatch, Start);
PHP_METHOD(php_wxStopWatch, Resume);
PHP_METHOD(php_wxStopWatch, Pause);
PHP_METHOD(php_wxSingleInstanceChecker, Create);
PHP_METHOD(php_wxSingleInstanceChecker, CreateDefault);
PHP_METHOD(php_wxSingleInstanceChecker, IsAnotherRunning);
PHP_METHOD(php_wxSingleInstanceChecker, __construct);
PHP_METHOD(php_wxStandardPaths, Get);
PHP_METHOD(php_wxStandardPaths, GetAppDocumentsDir);
PHP_METHOD(php_wxStandardPaths, GetConfigDir);
PHP_METHOD(php_wxStandardPaths, GetDataDir);
PHP_METHOD(php_wxStandardPaths, GetDocumentsDir);
PHP_METHOD(php_wxStandardPaths, GetExecutablePath);
PHP_METHOD(php_wxStandardPaths, GetLocalDataDir);
PHP_METHOD(php_wxStandardPaths, GetPluginsDir);
PHP_METHOD(php_wxStandardPaths, GetResourcesDir);
PHP_METHOD(php_wxStandardPaths, GetTempDir);
PHP_METHOD(php_wxStandardPaths, GetUserConfigDir);
PHP_METHOD(php_wxStandardPaths, GetUserDataDir);
PHP_METHOD(php_wxStandardPaths, GetUserLocalDataDir);
PHP_METHOD(php_wxStandardPaths, UseAppInfo);
PHP_METHOD(php_wxLog, AddTraceMask);
PHP_METHOD(php_wxLog, ClearTraceMasks);
PHP_METHOD(php_wxLog, DisableTimestamp);
PHP_METHOD(php_wxLog, DoLogText);
PHP_METHOD(php_wxLog, DoLogTextAtLevel);
PHP_METHOD(php_wxLog, DontCreateOnDemand);
PHP_METHOD(php_wxLog, EnableLogging);
PHP_METHOD(php_wxLog, Flush);
PHP_METHOD(php_wxLog, FlushActive);
PHP_METHOD(php_wxLog, GetActiveTarget);
PHP_METHOD(php_wxLog, GetLogLevel);
PHP_METHOD(php_wxLog, GetRepetitionCounting);
PHP_METHOD(php_wxLog, GetTimestamp);
PHP_METHOD(php_wxLog, GetTraceMasks);
PHP_METHOD(php_wxLog, GetVerbose);
PHP_METHOD(php_wxLog, IsAllowedTraceMask);
PHP_METHOD(php_wxLog, IsEnabled);
PHP_METHOD(php_wxLog, IsLevelEnabled);
PHP_METHOD(php_wxLog, RemoveTraceMask);
PHP_METHOD(php_wxLog, Resume);
PHP_METHOD(php_wxLog, SetActiveTarget);
PHP_METHOD(php_wxLog, SetComponentLevel);
PHP_METHOD(php_wxLog, SetLogLevel);
PHP_METHOD(php_wxLog, SetRepetitionCounting);
PHP_METHOD(php_wxLog, SetThreadActiveTarget);
PHP_METHOD(php_wxLog, SetTimestamp);
PHP_METHOD(php_wxLog, SetVerbose);
PHP_METHOD(php_wxLog, Suspend);
PHP_METHOD(php_wxLogBuffer, Flush);
PHP_METHOD(php_wxLogBuffer, GetBuffer);
PHP_METHOD(php_wxLogBuffer, __construct);
PHP_METHOD(php_wxLogChain, DetachOldLog);
PHP_METHOD(php_wxLogChain, GetOldLog);
PHP_METHOD(php_wxLogChain, IsPassingMessages);
PHP_METHOD(php_wxLogChain, PassMessages);
PHP_METHOD(php_wxLogChain, SetLog);
PHP_METHOD(php_wxLogChain, __construct);
PHP_METHOD(php_wxLogGui, Flush);
PHP_METHOD(php_wxLogGui, __get);
PHP_METHOD(php_wxLogGui, __construct);
PHP_METHOD(php_wxLogInterposer, __construct);
PHP_METHOD(php_wxLogWindow, GetFrame);
PHP_METHOD(php_wxLogWindow, OnFrameClose);
PHP_METHOD(php_wxLogWindow, OnFrameDelete);
PHP_METHOD(php_wxLogWindow, Show);
PHP_METHOD(php_wxLogWindow, __construct);
PHP_METHOD(php_wxLogTextCtrl, __construct);
PHP_METHOD(php_wxTextDataObject, GetFormat);
PHP_METHOD(php_wxTextDataObject, GetText);
PHP_METHOD(php_wxTextDataObject, GetTextLength);
PHP_METHOD(php_wxTextDataObject, GetFormatCount);
PHP_METHOD(php_wxTextDataObject, GetAllFormats);
PHP_METHOD(php_wxTextDataObject, SetText);
PHP_METHOD(php_wxTextDataObject, __construct);
PHP_METHOD(php_wxFileDataObject, AddFile);
PHP_METHOD(php_wxFileDataObject, GetFilenames);
PHP_METHOD(php_wxFileDataObject, __construct);
PHP_METHOD(php_wxBitmapDataObject, GetBitmap);
PHP_METHOD(php_wxBitmapDataObject, SetBitmap);
PHP_METHOD(php_wxBitmapDataObject, __construct);
PHP_METHOD(php_wxURLDataObject, GetURL);
PHP_METHOD(php_wxURLDataObject, SetURL);
PHP_METHOD(php_wxURLDataObject, __construct);
PHP_METHOD(php_wxCustomDataObject, Alloc);
PHP_METHOD(php_wxCustomDataObject, Free);
PHP_METHOD(php_wxCustomDataObject, GetData);
PHP_METHOD(php_wxCustomDataObject, GetSize);
PHP_METHOD(php_wxCustomDataObject, SetData);
PHP_METHOD(php_wxCustomDataObject, TakeData);
PHP_METHOD(php_wxCustomDataObject, __construct);
PHP_METHOD(php_wxTextDropTarget, __construct);
PHP_METHOD(php_wxTextDropTarget, OnDropText);
PHP_METHOD(php_wxTextDropTarget, OnDrop);
PHP_METHOD(php_wxDisplay, ChangeMode);
PHP_METHOD(php_wxDisplay, GetClientArea);
PHP_METHOD(php_wxDisplay, GetCount);
PHP_METHOD(php_wxDisplay, GetCurrentMode);
PHP_METHOD(php_wxDisplay, GetFromPoint);
PHP_METHOD(php_wxDisplay, GetFromWindow);
PHP_METHOD(php_wxDisplay, GetGeometry);
PHP_METHOD(php_wxDisplay, GetName);
PHP_METHOD(php_wxDisplay, IsPrimary);
PHP_METHOD(php_wxDisplay, __construct);
PHP_METHOD(php_wxDisplayChangedEvent, __construct);
PHP_METHOD(php_wxCalculateLayoutEvent, GetFlags);
PHP_METHOD(php_wxCalculateLayoutEvent, GetRect);
PHP_METHOD(php_wxCalculateLayoutEvent, SetFlags);
PHP_METHOD(php_wxCalculateLayoutEvent, SetRect);
PHP_METHOD(php_wxCalculateLayoutEvent, __construct);
PHP_METHOD(php_wxContextMenuEvent, GetPosition);
PHP_METHOD(php_wxContextMenuEvent, SetPosition);
PHP_METHOD(php_wxContextMenuEvent, __construct);
PHP_METHOD(php_wxQueryLayoutInfoEvent, GetAlignment);
PHP_METHOD(php_wxQueryLayoutInfoEvent, GetFlags);
PHP_METHOD(php_wxQueryLayoutInfoEvent, GetOrientation);
PHP_METHOD(php_wxQueryLayoutInfoEvent, GetRequestedLength);
PHP_METHOD(php_wxQueryLayoutInfoEvent, GetSize);
PHP_METHOD(php_wxQueryLayoutInfoEvent, SetAlignment);
PHP_METHOD(php_wxQueryLayoutInfoEvent, SetFlags);
PHP_METHOD(php_wxQueryLayoutInfoEvent, SetOrientation);
PHP_METHOD(php_wxQueryLayoutInfoEvent, SetRequestedLength);
PHP_METHOD(php_wxQueryLayoutInfoEvent, SetSize);
PHP_METHOD(php_wxQueryLayoutInfoEvent, __construct);
PHP_METHOD(php_wxToolbook, __construct);
PHP_METHOD(php_wxToolbook, GetToolBar);
PHP_METHOD(php_wxToolbook, Connect);
PHP_METHOD(php_wxVideoMode, __get);
PHP_METHOD(php_wxVideoMode, __construct);
PHP_METHOD(php_wxVideoMode, Matches);
PHP_METHOD(php_wxVideoMode, IsOk);
PHP_METHOD(php_wxVideoMode, GetWidth);
PHP_METHOD(php_wxVideoMode, GetHeight);
PHP_METHOD(php_wxVideoMode, GetDepth);
PHP_METHOD(php_wxRibbonControl, DoGetNextLargerSize);
PHP_METHOD(php_wxRibbonControl, DoGetNextSmallerSize);
PHP_METHOD(php_wxRibbonControl, GetArtProvider);
PHP_METHOD(php_wxRibbonControl, GetNextLargerSize);
PHP_METHOD(php_wxRibbonControl, GetNextSmallerSize);
PHP_METHOD(php_wxRibbonControl, IsSizingContinuous);
PHP_METHOD(php_wxRibbonControl, Realise);
PHP_METHOD(php_wxRibbonControl, Realize);
PHP_METHOD(php_wxRibbonControl, SetArtProvider);
PHP_METHOD(php_wxRibbonControl, __construct);
PHP_METHOD(php_wxRibbonControl, Connect);
PHP_METHOD(php_wxRibbonBar, ArePanelsShown);
PHP_METHOD(php_wxRibbonBar, Create);
PHP_METHOD(php_wxRibbonBar, DismissExpandedPanel);
PHP_METHOD(php_wxRibbonBar, GetActivePage);
PHP_METHOD(php_wxRibbonBar, GetPage);
PHP_METHOD(php_wxRibbonBar, HidePanels);
PHP_METHOD(php_wxRibbonBar, Realize);
PHP_METHOD(php_wxRibbonBar, SetActivePage);
PHP_METHOD(php_wxRibbonBar, SetArtProvider);
PHP_METHOD(php_wxRibbonBar, SetTabCtrlMargins);
PHP_METHOD(php_wxRibbonBar, ShowPanels);
PHP_METHOD(php_wxRibbonBar, __construct);
PHP_METHOD(php_wxRibbonBar, Connect);
PHP_METHOD(php_wxRibbonBarEvent, GetPage);
PHP_METHOD(php_wxRibbonBarEvent, SetPage);
PHP_METHOD(php_wxRibbonBarEvent, __construct);
PHP_METHOD(php_wxRibbonButtonBar, AddDropdownButton);
PHP_METHOD(php_wxRibbonButtonBar, AddHybridButton);
PHP_METHOD(php_wxRibbonButtonBar, AddToggleButton);
PHP_METHOD(php_wxRibbonButtonBar, ClearButtons);
PHP_METHOD(php_wxRibbonButtonBar, Create);
PHP_METHOD(php_wxRibbonButtonBar, DeleteButton);
PHP_METHOD(php_wxRibbonButtonBar, EnableButton);
PHP_METHOD(php_wxRibbonButtonBar, Realize);
PHP_METHOD(php_wxRibbonButtonBar, ToggleButton);
PHP_METHOD(php_wxRibbonButtonBar, __construct);
PHP_METHOD(php_wxRibbonButtonBar, AddButton);
PHP_METHOD(php_wxRibbonButtonBar, Connect);
PHP_METHOD(php_wxRibbonButtonBarEvent, __construct);
PHP_METHOD(php_wxRibbonButtonBarEvent, GetBar);
PHP_METHOD(php_wxRibbonButtonBarEvent, PopupMenu);
PHP_METHOD(php_wxRibbonButtonBarEvent, SetBar);
PHP_METHOD(php_wxRibbonArtProvider, CloneMethod);
PHP_METHOD(php_wxRibbonArtProvider, DrawButtonBarBackground);
PHP_METHOD(php_wxRibbonArtProvider, DrawGalleryBackground);
PHP_METHOD(php_wxRibbonArtProvider, DrawGalleryItemBackground);
PHP_METHOD(php_wxRibbonArtProvider, DrawMinimisedPanel);
PHP_METHOD(php_wxRibbonArtProvider, DrawPageBackground);
PHP_METHOD(php_wxRibbonArtProvider, DrawPanelBackground);
PHP_METHOD(php_wxRibbonArtProvider, DrawScrollButton);
PHP_METHOD(php_wxRibbonArtProvider, DrawTabCtrlBackground);
PHP_METHOD(php_wxRibbonArtProvider, DrawTabSeparator);
PHP_METHOD(php_wxRibbonArtProvider, DrawTool);
PHP_METHOD(php_wxRibbonArtProvider, DrawToolBarBackground);
PHP_METHOD(php_wxRibbonArtProvider, DrawToolGroupBackground);
PHP_METHOD(php_wxRibbonArtProvider, GetBarTabWidth);
PHP_METHOD(php_wxRibbonArtProvider, GetColor);
PHP_METHOD(php_wxRibbonArtProvider, GetColour);
PHP_METHOD(php_wxRibbonArtProvider, GetColourScheme);
PHP_METHOD(php_wxRibbonArtProvider, GetFlags);
PHP_METHOD(php_wxRibbonArtProvider, GetFont);
PHP_METHOD(php_wxRibbonArtProvider, GetGalleryClientSize);
PHP_METHOD(php_wxRibbonArtProvider, GetGallerySize);
PHP_METHOD(php_wxRibbonArtProvider, GetMetric);
PHP_METHOD(php_wxRibbonArtProvider, GetMinimisedPanelMinimumSize);
PHP_METHOD(php_wxRibbonArtProvider, GetPageBackgroundRedrawArea);
PHP_METHOD(php_wxRibbonArtProvider, GetPanelClientSize);
PHP_METHOD(php_wxRibbonArtProvider, GetPanelSize);
PHP_METHOD(php_wxRibbonArtProvider, GetScrollButtonMinimumSize);
PHP_METHOD(php_wxRibbonArtProvider, GetToolSize);
PHP_METHOD(php_wxRibbonArtProvider, SetColor);
PHP_METHOD(php_wxRibbonArtProvider, SetColourScheme);
PHP_METHOD(php_wxRibbonArtProvider, SetFlags);
PHP_METHOD(php_wxRibbonArtProvider, SetFont);
PHP_METHOD(php_wxRibbonArtProvider, SetMetric);
PHP_METHOD(php_wxRibbonArtProvider, DrawButtonBarButton);
PHP_METHOD(php_wxRibbonArtProvider, GetButtonBarButtonSize);
PHP_METHOD(php_wxRibbonGallery, Append);
PHP_METHOD(php_wxRibbonGallery, Clear);
PHP_METHOD(php_wxRibbonGallery, Create);
PHP_METHOD(php_wxRibbonGallery, EnsureVisible);
PHP_METHOD(php_wxRibbonGallery, GetActiveItem);
PHP_METHOD(php_wxRibbonGallery, GetCount);
PHP_METHOD(php_wxRibbonGallery, GetDownButtonState);
PHP_METHOD(php_wxRibbonGallery, GetExtensionButtonState);
PHP_METHOD(php_wxRibbonGallery, GetHoveredItem);
PHP_METHOD(php_wxRibbonGallery, GetItem);
PHP_METHOD(php_wxRibbonGallery, GetItemClientData);
PHP_METHOD(php_wxRibbonGallery, GetItemClientObject);
PHP_METHOD(php_wxRibbonGallery, GetSelection);
PHP_METHOD(php_wxRibbonGallery, GetUpButtonState);
PHP_METHOD(php_wxRibbonGallery, IsEmpty);
PHP_METHOD(php_wxRibbonGallery, IsHovered);
PHP_METHOD(php_wxRibbonGallery, ScrollLines);
PHP_METHOD(php_wxRibbonGallery, ScrollPixels);
PHP_METHOD(php_wxRibbonGallery, SetItemClientData);
PHP_METHOD(php_wxRibbonGallery, SetItemClientObject);
PHP_METHOD(php_wxRibbonGallery, SetSelection);
PHP_METHOD(php_wxRibbonGallery, __construct);
PHP_METHOD(php_wxRibbonGallery, Connect);
PHP_METHOD(php_wxRibbonGalleryEvent, GetGallery);
PHP_METHOD(php_wxRibbonGalleryEvent, GetGalleryItem);
PHP_METHOD(php_wxRibbonGalleryEvent, SetGallery);
PHP_METHOD(php_wxRibbonGalleryEvent, SetGalleryItem);
PHP_METHOD(php_wxRibbonGalleryEvent, __construct);
PHP_METHOD(php_wxRibbonPage, AdjustRectToIncludeScrollButtons);
PHP_METHOD(php_wxRibbonPage, Create);
PHP_METHOD(php_wxRibbonPage, DismissExpandedPanel);
PHP_METHOD(php_wxRibbonPage, GetIcon);
PHP_METHOD(php_wxRibbonPage, GetMajorAxis);
PHP_METHOD(php_wxRibbonPage, Realize);
PHP_METHOD(php_wxRibbonPage, ScrollLines);
PHP_METHOD(php_wxRibbonPage, ScrollPixels);
PHP_METHOD(php_wxRibbonPage, SetArtProvider);
PHP_METHOD(php_wxRibbonPage, SetSizeWithScrollButtonAdjustment);
PHP_METHOD(php_wxRibbonPage, __construct);
PHP_METHOD(php_wxRibbonPage, Connect);
PHP_METHOD(php_wxRibbonPanel, CanAutoMinimise);
PHP_METHOD(php_wxRibbonPanel, Create);
PHP_METHOD(php_wxRibbonPanel, GetExpandedDummy);
PHP_METHOD(php_wxRibbonPanel, GetExpandedPanel);
PHP_METHOD(php_wxRibbonPanel, GetMinimisedIcon);
PHP_METHOD(php_wxRibbonPanel, HideExpanded);
PHP_METHOD(php_wxRibbonPanel, IsHovered);
PHP_METHOD(php_wxRibbonPanel, IsMinimised);
PHP_METHOD(php_wxRibbonPanel, Realize);
PHP_METHOD(php_wxRibbonPanel, SetArtProvider);
PHP_METHOD(php_wxRibbonPanel, ShowExpanded);
PHP_METHOD(php_wxRibbonPanel, __construct);
PHP_METHOD(php_wxRibbonPanel, Connect);
PHP_METHOD(php_wxRibbonToolBar, AddDropdownTool);
PHP_METHOD(php_wxRibbonToolBar, AddHybridTool);
PHP_METHOD(php_wxRibbonToolBar, AddSeparator);
PHP_METHOD(php_wxRibbonToolBar, AddTool);
PHP_METHOD(php_wxRibbonToolBar, Create);
PHP_METHOD(php_wxRibbonToolBar, SetRows);
PHP_METHOD(php_wxRibbonToolBar, __construct);
PHP_METHOD(php_wxRibbonToolBar, Connect);
PHP_METHOD(php_wxTaskBarIcon, CreatePopupMenu);
PHP_METHOD(php_wxTaskBarIcon, Destroy);
PHP_METHOD(php_wxTaskBarIcon, IsAvailable);
PHP_METHOD(php_wxTaskBarIcon, IsIconInstalled);
PHP_METHOD(php_wxTaskBarIcon, IsOk);
PHP_METHOD(php_wxTaskBarIcon, PopupMenu);
PHP_METHOD(php_wxTaskBarIcon, RemoveIcon);
PHP_METHOD(php_wxTaskBarIcon, SetIcon);
PHP_METHOD(php_wxTaskBarIcon, __construct);
PHP_METHOD(php_wxTaskBarIcon, Connect);
PHP_METHOD(php_wxTaskBarIconEvent, __construct);
PHP_METHOD(php_wxTimerRunner, Start);
PHP_METHOD(php_wxTimerRunner, __construct);
PHP_METHOD(php_wxNotificationMessage, Close);
PHP_METHOD(php_wxNotificationMessage, SetFlags);
PHP_METHOD(php_wxNotificationMessage, SetMessage);
PHP_METHOD(php_wxNotificationMessage, SetParent);
PHP_METHOD(php_wxNotificationMessage, SetTitle);
PHP_METHOD(php_wxNotificationMessage, Show);
PHP_METHOD(php_wxNotificationMessage, __construct);
PHP_METHOD(php_wxNotificationMessage, Connect);
PHP_METHOD(php_wxSystemOptions, GetOption);
PHP_METHOD(php_wxSystemOptions, GetOptionInt);
PHP_METHOD(php_wxSystemOptions, HasOption);
PHP_METHOD(php_wxSystemOptions, IsFalse);
PHP_METHOD(php_wxSystemOptions, SetOption);
PHP_METHOD(php_wxSystemSettings, GetColour);
PHP_METHOD(php_wxSystemSettings, GetFont);
PHP_METHOD(php_wxSystemSettings, GetMetric);
PHP_METHOD(php_wxSystemSettings, GetScreenType);
PHP_METHOD(php_wxSystemSettings, HasFeature);
PHP_METHOD(php_wxWindowDisabler, __construct);
PHP_METHOD(php_wxGenericProgressDialog, GetMessage);
PHP_METHOD(php_wxGenericProgressDialog, GetRange);
PHP_METHOD(php_wxGenericProgressDialog, GetValue);
PHP_METHOD(php_wxGenericProgressDialog, Resume);
PHP_METHOD(php_wxGenericProgressDialog, Pulse);
PHP_METHOD(php_wxGenericProgressDialog, SetRange);
PHP_METHOD(php_wxGenericProgressDialog, Update);
PHP_METHOD(php_wxGenericProgressDialog, WasCancelled);
PHP_METHOD(php_wxGenericProgressDialog, WasSkipped);
PHP_METHOD(php_wxGenericProgressDialog, __construct);
PHP_METHOD(php_wxGenericProgressDialog, Connect);
PHP_METHOD(php_wxToolBarToolBase, Detach);
PHP_METHOD(php_wxToolBarToolBase, CanBeToggled);
PHP_METHOD(php_wxToolBarToolBase, Enable);
PHP_METHOD(php_wxToolBarToolBase, GetBitmap);
PHP_METHOD(php_wxToolBarToolBase, GetClientData);
PHP_METHOD(php_wxToolBarToolBase, GetControl);
PHP_METHOD(php_wxToolBarToolBase, GetDisabledBitmap);
PHP_METHOD(php_wxToolBarToolBase, GetDropdownMenu);
PHP_METHOD(php_wxToolBarToolBase, GetId);
PHP_METHOD(php_wxToolBarToolBase, GetKind);
PHP_METHOD(php_wxToolBarToolBase, GetLabel);
PHP_METHOD(php_wxToolBarToolBase, GetLongHelp);
PHP_METHOD(php_wxToolBarToolBase, GetNormalBitmap);
PHP_METHOD(php_wxToolBarToolBase, GetShortHelp);
PHP_METHOD(php_wxToolBarToolBase, GetStyle);
PHP_METHOD(php_wxToolBarToolBase, IsButton);
PHP_METHOD(php_wxToolBarToolBase, IsControl);
PHP_METHOD(php_wxToolBarToolBase, IsEnabled);
PHP_METHOD(php_wxToolBarToolBase, IsSeparator);
PHP_METHOD(php_wxToolBarToolBase, IsStretchable);
PHP_METHOD(php_wxToolBarToolBase, IsStretchableSpace);
PHP_METHOD(php_wxToolBarToolBase, IsToggled);
PHP_METHOD(php_wxToolBarToolBase, MakeStretchable);
PHP_METHOD(php_wxToolBarToolBase, SetDropdownMenu);
PHP_METHOD(php_wxToolBarToolBase, SetLabel);
PHP_METHOD(php_wxToolBarToolBase, SetLongHelp);
PHP_METHOD(php_wxToolBarToolBase, SetNormalBitmap);
PHP_METHOD(php_wxToolBarToolBase, SetShortHelp);
PHP_METHOD(php_wxToolBarToolBase, SetToggle);
PHP_METHOD(php_wxToolBarToolBase, Toggle);
PHP_METHOD(php_wxToolBarToolBase, SetDisabledBitmap);
PHP_METHOD(php_wxToolBarToolBase, SetClientData);
PHP_METHOD(php_wxWebViewHistoryItem, __construct);
PHP_METHOD(php_wxWebViewHistoryItem, GetUrl);
PHP_METHOD(php_wxWebViewHistoryItem, GetTitle);
PHP_METHOD(php_wxWebViewHandler, __construct);
PHP_METHOD(php_wxWebViewHandler, GetName);
PHP_METHOD(php_wxWebViewHandler, GetFile);
PHP_METHOD(php_wxWebViewEvent, GetTarget);
PHP_METHOD(php_wxWebViewEvent, GetURL);
PHP_METHOD(php_wxWebViewEvent, __construct);
PHP_METHOD(php_wxWebViewArchiveHandler, __construct);
PHP_METHOD(php_wxWebViewArchiveHandler, GetFile);
PHP_METHOD(php_wxWebView, NewMethod);
PHP_METHOD(php_wxWebView, CanCopy);
PHP_METHOD(php_wxWebView, CanCut);
PHP_METHOD(php_wxWebView, CanGoBack);
PHP_METHOD(php_wxWebView, CanGoForward);
PHP_METHOD(php_wxWebView, CanPaste);
PHP_METHOD(php_wxWebView, CanRedo);
PHP_METHOD(php_wxWebView, CanSetZoomType);
PHP_METHOD(php_wxWebView, CanUndo);
PHP_METHOD(php_wxWebView, ClearHistory);
PHP_METHOD(php_wxWebView, ClearSelection);
PHP_METHOD(php_wxWebView, Copy);
PHP_METHOD(php_wxWebView, Create);
PHP_METHOD(php_wxWebView, Cut);
PHP_METHOD(php_wxWebView, DeleteSelection);
PHP_METHOD(php_wxWebView, EnableHistory);
PHP_METHOD(php_wxWebView, Undo);
PHP_METHOD(php_wxWebView, Stop);
PHP_METHOD(php_wxWebView, SetZoomType);
PHP_METHOD(php_wxWebView, SetZoom);
PHP_METHOD(php_wxWebView, SetPage);
PHP_METHOD(php_wxWebView, SetEditable);
PHP_METHOD(php_wxWebView, SelectAll);
PHP_METHOD(php_wxWebView, RunScript);
PHP_METHOD(php_wxWebView, Redo);
PHP_METHOD(php_wxWebView, Reload);
PHP_METHOD(php_wxWebView, PrintMethod);
PHP_METHOD(php_wxWebView, Paste);
PHP_METHOD(php_wxWebView, LoadURL);
PHP_METHOD(php_wxWebView, IsEditable);
PHP_METHOD(php_wxWebView, IsBusy);
PHP_METHOD(php_wxWebView, HasSelection);
PHP_METHOD(php_wxWebView, GoForward);
PHP_METHOD(php_wxWebView, GoBack);
PHP_METHOD(php_wxWebView, GetCurrentTitle);
PHP_METHOD(php_wxWebView, GetCurrentURL);
PHP_METHOD(php_wxWebView, GetPageSource);
PHP_METHOD(php_wxWebView, GetPageText);
PHP_METHOD(php_wxWebView, GetSelectedSource);
PHP_METHOD(php_wxWebView, GetSelectedText);
PHP_METHOD(php_wxWebView, GetZoom);
PHP_METHOD(php_wxWebView, GetZoomType);
PHP_METHOD(php_wxWebView, Connect);
PHP_METHOD(php_wxTextCompleterSimple, GetCompletions);
PHP_METHOD(php_wxMediaCtrl, Load);
PHP_METHOD(php_wxMediaCtrl, Create);
PHP_METHOD(php_wxMediaCtrl, GetBestSize);
PHP_METHOD(php_wxMediaCtrl, GetPlaybackRate);
PHP_METHOD(php_wxMediaCtrl, GetVolume);
PHP_METHOD(php_wxMediaCtrl, Length);
PHP_METHOD(php_wxMediaCtrl, LoadURI);
PHP_METHOD(php_wxMediaCtrl, LoadURIWithProxy);
PHP_METHOD(php_wxMediaCtrl, Pause);
PHP_METHOD(php_wxMediaCtrl, Play);
PHP_METHOD(php_wxMediaCtrl, Seek);
PHP_METHOD(php_wxMediaCtrl, SetPlaybackRate);
PHP_METHOD(php_wxMediaCtrl, SetVolume);
PHP_METHOD(php_wxMediaCtrl, ShowPlayerControls);
PHP_METHOD(php_wxMediaCtrl, Stop);
PHP_METHOD(php_wxMediaCtrl, __construct);
PHP_METHOD(php_wxMediaCtrl, GetState);
PHP_METHOD(php_wxMediaCtrl, Tell);
PHP_METHOD(php_wxMediaCtrl, Connect);
PHP_METHOD(php_wxURI, BuildURI);
PHP_METHOD(php_wxURI, BuildUnescapedURI);
PHP_METHOD(php_wxURI, Create);
PHP_METHOD(php_wxURI, GetFragment);
PHP_METHOD(php_wxURI, GetHostType);
PHP_METHOD(php_wxURI, GetPassword);
PHP_METHOD(php_wxURI, GetPath);
PHP_METHOD(php_wxURI, GetPort);
PHP_METHOD(php_wxURI, __construct);
PHP_METHOD(php_wxURI, Unescape);
PHP_METHOD(php_wxURI, Resolve);
PHP_METHOD(php_wxURI, IsReference);
PHP_METHOD(php_wxURI, HasUserInfo);
PHP_METHOD(php_wxURI, HasServer);
PHP_METHOD(php_wxURI, HasScheme);
PHP_METHOD(php_wxURI, HasQuery);
PHP_METHOD(php_wxURI, HasPort);
PHP_METHOD(php_wxURI, HasPath);
PHP_METHOD(php_wxURI, HasFragment);
PHP_METHOD(php_wxURI, GetUserInfo);
PHP_METHOD(php_wxURI, GetUser);
PHP_METHOD(php_wxURI, GetServer);
PHP_METHOD(php_wxURI, GetScheme);
PHP_METHOD(php_wxURI, GetQuery);
PHP_METHOD(php_wxMediaEvent, __construct);
PHP_METHOD(php_wxScrolled, SetScrollRate);
PHP_METHOD(php_wxScrolled, SetScrollbars);
PHP_METHOD(php_wxScrolled, SetTargetRect);
PHP_METHOD(php_wxScrolled, SetTargetWindow);
PHP_METHOD(php_wxScrolled, ShowScrollbars);
PHP_METHOD(php_wxScrolled, StopAutoScrolling);
PHP_METHOD(php_wxScrolled, SetScrollPageSize);
PHP_METHOD(php_wxScrolled, SetScale);
PHP_METHOD(php_wxScrolled, Scroll);
PHP_METHOD(php_wxScrolled, SendAutoScrollEvents);
PHP_METHOD(php_wxScrolled, PrepareDC);
PHP_METHOD(php_wxScrolled, OnDraw);
PHP_METHOD(php_wxScrolled, IsRetained);
PHP_METHOD(php_wxScrolled, IsAutoScrolling);
PHP_METHOD(php_wxScrolled, GetViewStart);
PHP_METHOD(php_wxScrolled, GetVirtualSize);
PHP_METHOD(php_wxScrolled, GetTargetWindow);
PHP_METHOD(php_wxScrolled, GetTargetRect);
PHP_METHOD(php_wxScrolled, GetSizeAvailableForScrollTarget);
PHP_METHOD(php_wxScrolled, GetScrollPixelsPerUnit);
PHP_METHOD(php_wxScrolled, GetScrollPageSize);
PHP_METHOD(php_wxScrolled, GetScrollLines);
PHP_METHOD(php_wxScrolled, GetScaleY);
PHP_METHOD(php_wxScrolled, GetScaleX);
PHP_METHOD(php_wxScrolled, EnableScrolling);
PHP_METHOD(php_wxScrolled, DoPrepareDC);
PHP_METHOD(php_wxScrolled, DisableKeyboardScrolling);
PHP_METHOD(php_wxScrolled, CalcUnscrolledPosition);
PHP_METHOD(php_wxScrolled, CalcScrolledPosition);
PHP_METHOD(php_wxScrolled, AdjustScrollbars);
PHP_METHOD(php_wxScrolled, __construct);
// <--- entries


#endif //WXPHP_PHP_WXWIDGETS_H_GUARD
